import Mock from 'mockjs';

Mock.mock("/apiTest", {
    hello: "hello"
})

// 向后台请求数据：
// 信息的主键
// 外键交易人信息（名称，地址，国家，生日，证件），
// 拦截时间，拦截原因，来源系统，
// 源报文标识，报文类别，交易代码，处理结果，处理状态，
// 备注，操作/合规状态，
// 审核经办（时间，操作员，合规操作，结果，备注），
// 复核（时间，操作员，合规操作，结果，备注），
Mock.mock("/apiTest/lvaHomelistdata", {
    'datalist|12-30': [{
        'key|+1': 20,
        'personKey|+1': 0,
        '拦截时间|1': [Mock.Random.datetime(),Mock.Random.datetime(),Mock.Random.datetime()],
        '拦截原因|1': ["中黑名单", "疑似黑名单"],
        '来源系统|1': ["国结系统", "本系统"],
        '源报文标识|1': ["1000000111", "1000000121", "1000000128"],
        '报文类别|1': ["SWIFT","OPER"],
        '交易代码|1': ["507", "609", "1001", "1111"],
        '处理结果|1': ["疑似黑名单", "误中黑名单"],
        '处理状态|1': ["待经办", "待复核"],
        '操作|1': ["经办", "复核"],
        '备注|1': ["合规流程模式：经办+审核"],
        '审核经办|1': [
            {
                '时间': Mock.Random.datetime(),
                '操作员': Mock.Random.name(),
                '合规操作|1': ["待经办", "待审核"],
                '结果|1': ["是黑名单", "不是黑名单"],
                '备注': "--",
            },
            {
                '时间': null,
                '操作员': null,
                '合规操作': null,
                '结果': null,
                '备注': null,
            },
        ],
        '复核|1': [
            {
                '时间': Mock.Random.datetime(),
                '操作员': Mock.Random.name(),
                '合规操作|1': ["待经办", "待审核"],
                '结果|1': ["是黑名单", "不是黑名单"],
                '备注': "--",
            },
            {
                '时间': null,
                '操作员': null,
                '合规操作': null,
                '结果': null,
                '备注': null,
            }
        ],
        '侦测类型|1': ["qqq","www"],
        '侦测内容': "--",
    }],
})
// 向后台请求数据：
// 交易人表格
// 主键
// 侦测域：1，名称 2，地址 3，国家 4，生日 5，证件
// 关键字个数，命中个数，匹配率，参考匹配率下限
function getsomedata(str){
    let result={};
    result={
        侦测域: str,
        关键字个数: Mock.Random.natural(0,100),
        命中个数: Mock.Random.natural(0,100),
        匹配率: Mock.Random.natural(0,100)/100.0,
        参考匹配率下限: Mock.Random.natural(0,100)/100.0,
    }
    return result;
}
Mock.mock("/apiTest/person", {
    'datalist|1-5': [{
        'key': "BLF200001123(Person)",
        'table': {
            名称: getsomedata("名称"),
            地址: getsomedata("地址"),
            国家: getsomedata("国家"),
            生日: getsomedata("生日"),
            证件: getsomedata("证件"),
        },
    }],
})
  
Mock.mock('/bld/bldList', 'get', {
    'datalist|30-50': [{
                    'uptTime': '@datetime',
                    'updMethod|1': ['自动', '手动'],
                    'dataSourse|1': ['道琼斯', 'CFAC'],
                    'fileType|1': ['全量','增量'],
                    'dataFile': '@file',
                    'remark': 'System update...'
                }]
});
