import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Bdtfee {
    
    @observable
    accdat=""           // \bddgrp\rec\accdat    承兑日期 

    @observable
    amedat=""           // \bddgrp\rec\amedat    修改日期 

    @observable
    clrtyp=""           // \bddgrp\rec\clrtyp    清算方式 

    @observable
    clsdat=""           // \bddgrp\rec\clsdat    闭卷日期 

    @observable
    credat=""           // \bddgrp\rec\credat    创建日期 

    @observable
    docamt=""           // \bddgrp\rec\docamt    索偿金额 

    @observable
    doccur=""           // \bddgrp\rec\doccur    索偿币种 

    @observable
    docflg=""           // \bddgrp\rec\docflg    单据类型 

    @observable
    docinf=""           // \bddgrp\rec\docinf    单据明细 

    @observable
    docref=""           // \bddgrp\rec\docref    寄单索款编号 

    @observable
    docsta=""           // \bddgrp\rec\docsta    单据处理状态 

    @observable
    etyextkey=""           // \bddgrp\rec\etyextkey    实体代码 

    @observable
    feeamt=""           // \bddgrp\rec\feeamt    交单行费用金额 

    @observable
    feecur=""           // \bddgrp\rec\feecur    交单行费用币种 

    @observable
    frepayflg=""           // \bddgrp\rec\frepayflg    无偿放单标识 

    @observable
    inr=""           // \bddgrp\rec\inr    索引 

    @observable
    invno=""           // \bddgrp\rec\invno    发票信息 

    @observable
    matdat=""           // \bddgrp\rec\matdat    到期日 

    @observable
    nam=""           // \bddgrp\rec\nam    概要描述 

    @observable
    negsta=""           // \bddgrp\rec\negsta    议付标识 

    @observable
    opndat=""           // \bddgrp\rec\opndat    收单日期 

    @observable
    ownbch=""           // \bddgrp\rec\ownbch    经办机构 

    @observable
    ownref=""           // \bddgrp\rec\ownref    单据编号 

    @observable
    ownusr=""           // \bddgrp\rec\ownusr    创建柜员 

    @observable
    payinf=""           // \bddgrp\rec\payinf    远期付款指示 

    @observable
    payrmk=""           // \bddgrp\rec\payrmk    付款备注 

    @observable
    paytyp=""           // \bddgrp\rec\paytyp    付款类型 

    @observable
    pntinr=""           // \bddgrp\rec\pntinr    父业务索引 

    @observable
    pnttyp=""           // \bddgrp\rec\pnttyp    父业务类型 

    @observable
    predat=""           // \bddgrp\rec\predat    寄单日期 

    @observable
    rejflg=""           // \bddgrp\rec\rejflg    拒付标识 

    @observable
    rtntranum=""           // \bddgrp\rec\rtntranum    退单快递编号 

    @observable
    tenmaxday=""           // \bddgrp\rec\tenmaxday    期限 

    @observable
    tranum=""           // \bddgrp\rec\tranum    来单快递单号 

    @observable
    ver=""           // \bddgrp\rec\ver    版本号 

    @observable
    nam1=""           // \didgrp\rec\nam    概要描述 

    @observable
    ownref1=""           // \didgrp\rec\ownref    业务编号 

    @observable
    pts_extact=""           // \bddgrp\apl\pts\extact    结算账号 

    @observable
    pts_extkey=""           // \bddgrp\apl\pts\extkey    客户编号 

    @observable
    pts1_extact=""           // \bddgrp\ben\pts\extact    结算账号 

    @observable
    pts1_extkey=""           // \bddgrp\ben\pts\extkey    客户编号 

    @observable
    max_amt=""           // \bddgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \bddgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \bddgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \bddgrp\cbs\opn1\cur    Currency 

    @observable
    pts2_extkey=""           // \bddgrp\pre\pts\extkey    客户编号 

    @observable
    pts3_extkey=""           // \bddgrp\rcv\pts\extkey    客户编号 

    @observable
    bdtmod_clsflg=""           // \bdtmod\clsflg    闭卷业务 

    @observable
    pts4_namcn=""           // \didgrp\adv\pts\namcn    客户中文名称 

    @observable
    pts5_namcn=""           // \didgrp\apl\pts\namcn    客户中文名称 

    @observable
    pts6_namcn=""           // \didgrp\ben\pts\namcn    客户中文名称 

    @observable
    ditmod_clsflg=""           // \ditmod\clsflg    闭卷业务 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.accdat=""
            this.amedat=""
            this.clrtyp=""
            this.clsdat=""
            this.credat=""
            this.docamt=""
            this.doccur=""
            this.docflg=""
            this.docinf=""
            this.docref=""
            this.docsta=""
            this.etyextkey=""
            this.feeamt=""
            this.feecur=""
            this.frepayflg=""
            this.inr=""
            this.invno=""
            this.matdat=""
            this.nam=""
            this.negsta=""
            this.opndat=""
            this.ownbch=""
            this.ownref=""
            this.ownusr=""
            this.payinf=""
            this.payrmk=""
            this.paytyp=""
            this.pntinr=""
            this.pnttyp=""
            this.predat=""
            this.rejflg=""
            this.rtntranum=""
            this.tenmaxday=""
            this.tranum=""
            this.ver=""
            this.nam1=""
            this.ownref1=""
            this.pts_extact=""
            this.pts_extkey=""
            this.pts1_extact=""
            this.pts1_extkey=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts2_extkey=""
            this.pts3_extkey=""
            this.bdtmod_clsflg=""
            this.pts4_namcn=""
            this.pts5_namcn=""
            this.pts6_namcn=""
            this.ditmod_clsflg=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
    }

} 


export default Bdtfee