import React, { Component, Fragment } from 'react'
import {
    Page, Validator, Notification, FormItem,
    InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps, CheckboxItem, TextAreaItem
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal, Spin } from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta1 from '@/views/Public/Ptspta1'
import Business from '@/views/Public/Business'
import { YwbhPicker1, YwbhPicker2 } from '@/components/Business-Library'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class SetpScreen extends Page {
    @observable
    formBlur = false

    constructor(props) {
        super(props)
        this.model = props.model
        this.bind = Bind.bind(this)
    }

    onTabFocus() {
        console.log('#我被选中#')
    }


    onTabBlur() {
        //this.goNext();
        console.log('#我已离开#')
    }
    //按钮事件 获取业务编号
    onGetref = async () => {
        const rtnmsg = await Api.post(this.props.extra.inifrm + '/getref', { data: this.model })
        if (rtnmsg.retcod == SUCCESS) {
            // Notification.success({ message: 'cptopn/mtabut/getref数据提交成功!' })
            this.model.ownref = rtnmsg.data.ownref;
        }
        else {
            Notification.error({ message: '请求失败!' })
        }
        //余下逻辑处理
    }
    // 退出按钮
    onRtn = async () => {
        this.com.wrappedInstance.wrappedInstance.onRtn();
    }
    // 暂存按钮
    onPed = async () => {
        this.com.wrappedInstance.wrappedInstance.onPed();
    }
    // 校验 按钮
    onChk = () => {
        this.com.wrappedInstance.wrappedInstance.onChk();
    }

    onSav = () => {
        this.com.wrappedInstance.wrappedInstance.onSav();
    }



    onSetmod_ast = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('ditopn/setmod_ast', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
                Notification.success({ message: '数据提交成功!' })

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
    }

    async onRecal() {
        this.formBlur = true  //已触发表单提交处理
        const rtnmsg = await Api.post(this.props.extra.inifrm + '/setmod_ast', { data: this.model })
        if (rtnmsg.retcod == SUCCESS) {
            this.model.fegmod_feslst = rtnmsg.data.fegmod_feslst;
            this.model.glgmod_glslst = rtnmsg.data.glgmod_glslst;
        }
        else {
            Notification.error({ message: '服务端请求失败!' })
        }
        //余下逻辑处理
    }
    async onRecal1() {
        this.formBlur = true  //已触发表单提交处理
        const rtnmsg = await Api.post(this.props.extra.inifrm + '/setmod_recal', { data: this.model })
        if (rtnmsg.retcod == SUCCESS) {
            this.model.fegmod_feslst = rtnmsg.data.fegmod_feslst;
            this.model.glgmod_glslst = rtnmsg.data.glgmod_glslst;
        }
        else {
            Notification.error({ message: '服务端请求失败!' })
        }
        //余下逻辑处理
    }


    onAplp_ptysel = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('ditopn/aplp_ptysel', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
                Notification.success({ message: '数据提交成功!' })

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
    }

    goNext = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, (errors, values) => {
            if (!errors) {
                this.props.steps.go(1)
                this.onRecal()
                return
            }
            for (let item of errors) {
                if (this.bindSet.has(item.field))
                    return;
            }
            this.props.steps.go(1)
        })
    }

    //交易内实现
    renderPage() {
        const bind = this.bind
        const { i18n } = this.props
        if (this.props.flag == true) {
            return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
        }
        return (
            <div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} extra={this.props.extra} model={this.model} />
                {/* 第一行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 单据编号 */}
                                <Label itext="单据编号" />
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("ownref")} maxLength={16} disabled={true} desp="Own Reference BR Number" path="/bddgrp/rec/ownref" />
                            </Col>
                            {/* <Col span={4} offset={1}>
                                <YwbhPicker2 type="primary" onChange={(data) => { Object.assign(this.model, data) }} onClick={() => this.onGetref()}>
                                    <Label i18nId="查询" />
                                </YwbhPicker2>
                            </Col>
                            <Col span={1} offset={1}><CheckboxItem InputProps={bind("ditmod_clsflg")} desp="闭卷业务" path="/ditmod/clsflg" /> </Col>
                            <Col span={4} offset={0}>
                              
                                <Label itext="闭卷业务" />
                            </Col> */}
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 概要描述 */}
                                <Label itext="概要描述" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("nam")} maxLength={40} disabled={true} desp="Name of Bill Contract" path="/bddgrp/rec/nam" />
                            </Col>
                        </Row>
                    </Col>

                </Row>
                {/* 第二行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 到单金额 */}
                                <Label itext="到单金额" />
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={{
                                    ...bind("max_cur"), onChange: val => {
                                        this.model.max_cur = val
                                        this.model.liqtyp = ""
                                        this.model.swftyp = ""
                                    }
                                }}
                                    disabled={true} code={CodeTable.curtxt} />
                            </Col>
                            <Col span={7} offset={1}>
                                {/* <InputItem InputProps={bind("max_amt")} disabled={true} /> */}
                                <InputItem disabled={true} InputProps={{ ...bind("max_amt"), type: "amount", cur: this.model.max_cur }} />
                            </Col>


                        </Row>

                    </Col>
                    <Col span={12}>
                        <Col span={5} offset={2}>
                            {/* 申请人名称 */}
                            <Label itext="申请人名称" />
                        </Col>
                        <Col span={14}>
                            <InputItem InputProps={bind("pts7_namcn")} disabled={true} maxLength={100} desp="客户中文名称" path="/didgrp/apl/pts/namcn" />
                        </Col>


                    </Col>

                </Row>
                {/* 第三行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 未付款金额 */}
                                <Label itext="未付款金额" />
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={{
                                    ...bind("opn1_cur"), onChange: val => {
                                        this.model.opn1_cur = val
                                        this.model.liqtyp = ""
                                        this.model.swftyp = ""
                                    }
                                }}
                                    disabled={true} code={CodeTable.curtxt} />
                            </Col>
                            <Col span={7} offset={1}>
                                {/* <InputItem InputProps={bind("opn1_amt")}disabled={true}  desp="Balance" path="/didgrp/cbs/opn1/amt" /> */}
                                <InputItem disabled={true} InputProps={{ ...bind("opn1_amt"), type: "amount", cur: this.model.opn1_cur }} />
                            </Col>
                        </Row>

                    </Col>
                    <Col span={12}>
                        <Col span={5} offset={2}>
                            {/* 受益人名称 */}
                            <Label itext="受益人名称" />
                        </Col>
                        <Col span={14}>
                            <InputItem InputProps={bind("pts8_namcn")} disabled={true} maxLength={100} desp="客户中文名称" path="/didgrp/ben/pts/namcn" />
                        </Col>
                    </Col>

                </Row >
                {/* 第四行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 到单日期 */}
                                <Label itext="到单日期" />
                            </Col>
                            <Col span={10}>
                                <DatePickerItem InputProps={bind("opndat")} disabled={true} desp="Date of Opening" path="/bddgrp/rec/opndat" />
                            </Col>

                        </Row>

                    </Col>
                    <Col span={12}>



                        <Col span={5} offset={2}>
                            {/* 通知行名称 */}
                            <Label itext="通知行名称" />
                        </Col>
                        <Col span={14}>
                            <InputItem InputProps={bind("pts5_namcn")} maxLength={100} disabled={true} desp="客户中文名称" path="/didgrp/adv/pts/namcn" />
                        </Col>
                    </Col>

                </Row >

                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 单据期限 */}
                                <Label itext="单据期限" />
                            </Col>
                            <Col span={10}>
                                <DatePickerItem InputProps={bind("matdat")} disabled={true} desp="Maturity Date" path="/bddgrp/rec/matdat" />
                            </Col>
                            <Col span={7}>

                            </Col>
                        </Row>

                    </Col>
                    <Col span={12}>



                        <Col span={5} offset={2}>
                            {/* 单据类型 */}
                            <Label itext="单据类型" />
                        </Col>
                        <Col span={14}>
                            <SelectItem InputProps={bind("docflg")} disabled={true} code={CodeTable.doc} desp="单据类型" path="/bddgrp/rec/docflg" />
                        </Col>
                    </Col>

                </Row >

                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 索引 */}
                                <Label itext="索引" trn="bdtacc" />
                            </Col>
                            <Col span={10}>
                                <InputItem InputProps={bind("inr")} disabled={true} maxLength={8} desp="索引" path="/bddgrp/rec/inr" />
                            </Col>
                            <Col span={7}>

                            </Col>
                        </Row>

                    </Col>
                    <Col span={12}>
                        <Col span={5} offset={2}>
                            {/* 承兑日期 */}
                            <Label itext="承兑日期" trn="bdtset" />
                        </Col>
                        <Col span={14}>
                            <DatePickerItem InputProps={bind("accdat")} disabled={true} desp="Acceptance Date" path="/bddgrp/rec/accdat" />
                        </Col>
                    </Col>

                </Row >

                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 付款金额 */}
                                <Label itext="付款金额" />
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={{
                                    ...bind("setmod_doccur"), onChange: val => {
                                        this.model.setmod_doccur = val
                                        this.model.liqtyp = ""
                                        this.model.swftyp = ""
                                    }
                                }}
                                    disabled={true} code={CodeTable.curtxt} />
                            </Col>
                            <Col span={7} offset={1}>
                                {/* <InputItem InputProps={bind("setmod_docamt")} desp="document amount" path="/setmod/docamt" /> */}
                                <InputItem InputProps={{ ...bind("setmod_docamt"), type: "amount", cur: this.model.setmod_doccur }} />
                            </Col>
                        </Row>

                    </Col>
                    <Col span={12}>
                        <Col span={5} offset={2}>
                            {/* 付款类型 */}
                            <Label itext="付款类型" trn="bdtset" />
                        </Col>
                        <Col span={14}>
                            <SelectItem InputProps={bind("paytyp")} code={CodeTable.paytyp} desp="付款类型" path="/bddgrp/rec/paytyp" />
                        </Col>
                    </Col>

                </Row >

                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 扣减费用 */}
                                <Label itext="扣减费用" trn="bdtset" />
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={{
                                    ...bind("setmod_doccur"), onChange: val => {
                                        this.model.setmod_doccur = val
                                        this.model.liqtyp = ""
                                        this.model.swftyp = ""
                                    }
                                }}
                                    disabled={true} code={CodeTable.curtxt} />
                            </Col>
                            <Col span={7} offset={1}>
                                {/* <InputItem InputProps={bind("setmod_redamt")} desp="Reduction Amount" path="/setmod/redamt" /> */}
                                <InputItem InputProps={{ ...bind("setmod_redamt"), type: "amount", cur: this.model.setmod_doccur }} />
                            </Col>
                        </Row>

                    </Col>
                    <Col span={12}>
                        <Col span={5} offset={2}>
                            {/* 清算方式 */}
                            <Label itext="清算方式" trn="bdtset" />
                        </Col>
                        <Col span={14}>
                            <SelectItem InputProps={bind("clrtyp")} code={CodeTable.clrtyp} desp="清算方式" path="/bddgrp/rec/clrtyp" />
                        </Col>
                    </Col>

                </Row >


                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 实际付款金额 */}
                                <Label itext="实际付款金额" trn="bdtset" />
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={{
                                    ...bind("setmod_doccur"), onChange: val => {
                                        this.model.setmod_doccur = val
                                        this.model.liqtyp = ""
                                        this.model.swftyp = ""
                                    }
                                }}
                                    disabled={true} code={CodeTable.curtxt} />
                            </Col>
                            <Col span={7} offset={1}>
                                {/* <InputItem InputProps={bind("setmod_setamt")} desp="Reduced Amount to settle" path="/setmod/setamt" /> */}
                                <InputItem InputProps={{ ...bind("setmod_setamt"), type: "amount", cur: this.model.setmod_doccur }} />
                            </Col>
                        </Row>

                    </Col>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={1} offset={2}>
                                {/* 闭卷业务 */}
                                <CheckboxItem InputProps={bind("ditmod_clsflg")} desp="闭卷业务" path="/ditmod/clsflg" /> </Col>
                            <Col span={4} >
                                {/* 闭卷业务 */}
                                <Label itext="闭卷业务" />
                            </Col>
                            <Col span={1} offset={2}>
                              <CheckboxItem InputProps={bind("trtcre_crefin")} /> 
                            </Col>
                            <Col span={4} >
                                <Label itext="买方融资" />
                            </Col>
                        </Row>
                    </Col>

                </Row >

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 付款备注 */}
                                <Label itext="付款备注" trn="bdtset" />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                <Row>
                    <Col span={24}>
                        <Row className="row">

                            <Col span={16} offset={1}>
                                <TextAreaItem rows={9} style={{ resize: "none" }} InputProps={bind("payrmk")} desp="付款备注" path="/bddgrp/rec/payrmk" />
                            </Col>
                        </Row>
                    </Col>

                </Row>

                <Row type="flex" justify="center">
                    <Col>
                        <div className='button0'>
                            <div className='button2'>
                                {/* 退出按钮 */}
                                <ConfirmButton
                                    onOK={this.onRtn}
                                    title=""
                                    message="确定退出？"
                                >
                                    <Label i18nId="MTABUT_BT000464" />
                                </ConfirmButton>
                            </div>
                            <div className='button2'>
                                {/* 暂存按钮 */}
                                <ConfirmButton
                                    onOK={this.onPed}
                                    title=""
                                    message="确定暂存？"
                                >
                                    <Label i18nId="MTABUT_BT000398" />
                                </ConfirmButton>
                            </div>
                            <div className='button2'>
                                {/* 检核按钮 */}
                                <Button onClick={this.onChk}>
                                    <Label i18nId="MTABUT_BT000180" />
                                </Button>
                            </div>
                            <div className='button2'>
                                <ConfirmButton icon="save"
                                    onOK={this.onSav}>
                                    <Label i18nId="MTABUT_BT000473" />
                                </ConfirmButton>
                            </div>


                        </div>
                    </Col>
                </Row>
            </div >
        )
    }
}
