import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps,TextAreaItem
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal ,Spin} from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta1 from '@/views/Public/Ptspta1'
import Business from '@/views/Public/Business'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm
  
@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class OvwpScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
    this.bind = Bind.bind(this)
	}


	async componentWillMount(){
		
	}

	// 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}

	// 暂存按钮
	onPed = async () => {
		 this.com.wrappedInstance.wrappedInstance.onPed();
	}

	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
	}
	
	onSav = () => {
		this.com.wrappedInstance.wrappedInstance.onSav();
	}

	//交易内实现
	renderPage() {
    const bind = this.bind
    
    //将模型变量绑定到页签的bindSet对象中，才能在检核的时候被检查到变量所在页签，继而跳转到对应页签
    bind("pts1_namcn")

		const { i18n } = this.props
		//const {next,pre} = this.props.steps
		if(this.props.flag==true){
			return <Spin style={{width:"100%", justifyContent:"center"}} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
			   <Business  wrappedComponentRef={ref => (this.com = ref)} page={this} steps={this.props.steps}  extra={this.props.extra}  model={this.model} />
				{/* 第一行 */}
				<Row>
          <Col span={12}>
						<Row className="row">
              <Col span={5} offset={2}>
								<Label itext="业务编号" trn="bmtacc" />
              </Col>
              <Col span={14}>
                <InputItem InputProps={bind("ownref1")}  maxLength={20}  desp="业务编号" path="/dedgrp/rec/ownref" disabled={true} />
              </Col>
            </Row>
          </Col>
          <Col span={12}>
						<Row className="row">
              <Col span={5} offset={2}>
								<Label itext="信用证编号" trn="bmtacc" />
              </Col>
              <Col span={14}>
                <InputItem InputProps={bind("lcref")}  maxLength={35}  desp="信用证编号" path="/dedgrp/rec/lcref" disabled={true} />
              </Col>
            </Row>
          </Col>
        </Row>

				{/**第二行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="信用证金额" trn="bmtacc" />
							</Col>
							<Col span={6}>
                <SelectItem InputProps={bind("max_cur")} code={CodeTable.curtxt}  desp="Currency" path="/dedgrp/cbs/max/cur"  disabled={true}/>
							</Col>
							<Col span={7} offset={1}>
								<InputItem   InputProps={ {...bind("max_amt"), type:"amount", cur:this.model.max_cur} } disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
              <Col span={5} offset={2}>
								<Label itext="受益人" trn="bmtacc" />
              </Col>
              <Col span={14}>
                <InputItem InputProps={bind("pts15_namcn")}  maxLength={100}  desp="客户中文名称" path="/dedgrp/ben/pts/namcn" disabled={true} />
              </Col>
						</Row>
					</Col>
				</Row>

				{/**第三行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
              <Col span={5} offset={2}>
								<Label itext="信用证余额" trn="bmtacc" />
							</Col>
							<Col span={6}>
                <SelectItem InputProps={bind("opn1_cur")} code={CodeTable.curtxt}  desp="Currency" path="/dedgrp/cbs/opn1/cur"  disabled={true}/>
							</Col>
							<Col span={7} offset={1}>
								<InputItem   InputProps={ {...bind("opn1_amt"), type:"amount", cur:this.model.opn1_cur} } disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="申请人" trn="bmtacc" />
							</Col>
							<Col span={14}>
                <InputItem InputProps={bind("pts14_namcn")}  maxLength={100}  desp="客户中文名称" path="/dedgrp/apl/pts/namcn" disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

				{/**第四行 */}
				<Row>
					<Col span={12}>
            <Row className="row">
							<Col span={5} offset={2}>
								<Label itext="信用证兑付方式" trn="bmtacc" />
							</Col>
							<Col span={14}>
                <SelectItem InputProps={bind("avbby")} code={CodeTable.avbby}  desp="信用证对付方式" path="/dedgrp/rec/avbby"  disabled={true}/>
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="开证行" trn="bmtacc" />	
							</Col>
							<Col span={14}>
                <InputItem InputProps={bind("pts16_namcn")}  maxLength={100}  desp="客户中文名称" path="/dedgrp/iss/pts/namcn" disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

				{/**第五行 */}
				<Row>
					<Col span={12}>
            <Row className="row">
              <Col span={5} offset={2}>
								<Label itext="有效日期" trn="bmtacc" />
							</Col>
							<Col span={14}>
                <DatePickerItem InputProps={bind("expdat")}  desp="有效日期" path="/dedgrp/rec/expdat" disabled={true} />
							</Col>
            </Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="有效地点" trn="bmtacc" />
							</Col>
							<Col span={14}>
                <InputItem InputProps={bind("expplc")}  maxLength={100}  desp="有效地点" path="/dedgrp/rec/expplc" disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

        {/**第七行 */}
				<Row>
					<Col span={12}>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="寄单索款编号" trn="bmtacc" />
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("ownref")}  maxLength={16} disabled={true} />
								</Col>
							</Row>
						</Col>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="寄单索款金额" trn="bmtacc" />
								</Col>
								<Col span={6}>
									<SelectItem InputProps={bind("totcur")} code={CodeTable.curtxt} disabled={true}/>
								</Col>
								<Col span={7} offset={1}>
									<InputItem   InputProps={ {...bind("totamt"), type:"amount", cur:this.model.totcur} } disabled={true} />
								</Col>
							</Row>
						</Col>
            <Col span={24}>
              <Row className="row">
								<Col span={5} offset={2}>
									<Label itext="寄单索款日期" trn="bmtacc" />
								</Col>
								<Col span={14}>
									<DatePickerItem InputProps={bind("predat")} disabled={true} />
								</Col>
							</Row>
						</Col>
					</Col>
					<Col span={12}>
            <Row className="row">
              <Ptspta1 model={this.model} argArr={{ desc: "承付行", prefix: 'pts1', url: 'bmtacc/acbp_ptysel', flg: 'B', datakey: '\\bmtp\\acbp\\ptslst'}} formBlur={this.formBlur}/>
						</Row>
					</Col>
				</Row>

        {/**第七行 */}
        <Row>
          <Col span={12}>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="承付日期" trn="bmtacc" />	
								</Col>
								<Col span={14}>
									<DatePickerItem InputProps={bind("accdat")} />
								</Col>
							</Row>
						</Col>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="承付金额" trn="bmtacc" />
								</Col>
								<Col span={6}>
									<SelectItem InputProps={bind("totcur")} code={CodeTable.curtxt} disabled={true} />
								</Col>
								<Col span={7} offset={1}>
									<InputItem   InputProps={ {...bind("accamt"), type:"amount", cur:this.model.totcur} } />
								</Col>
							</Row>
						</Col>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="付款到期日" trn="bmtacc" />
								</Col>
								<Col span={14}>
									<DatePickerItem InputProps={bind("matdat")}  disabled={true} />
								</Col>
							</Row>
						</Col>
          </Col>
          <Col span={12}>
            <Row className="row">
              <Col span={5} offset={2}>
                <Label itext="备注" trn="bmtacc" />	
              </Col>
              <Col span={14} style={{marginTop:10}}>
                <TextAreaItem InputProps={bind("accrmk")} rows={5} style={{ resize: "none" }} />
              </Col>
            </Row>
          </Col>
        </Row>

				{/**底部按钮 */}
				<Row type="flex" justify="center">
					<Col>
						<div className="button0">
							<div className='button2'>
								{/* 退出按钮 */}
								<ConfirmButton
									onOK={this.onRtn}
									title=""
									message="确定退出？"
								>
									<Label i18nId="MTABUT_BT000464" />
								</ConfirmButton>
							</div>
							<div className='button2'>
								{/* 暂存按钮 */}
								<ConfirmButton
									onOK={this.onPed}
									title=""
									message="确定暂存？"
								>
									<Label i18nId="MTABUT_BT000398" />
								</ConfirmButton>
							</div>
							<div className='button2'>
								{/* 检核按钮 */}
								<Button onClick={this.onChk}>
									<Label i18nId="MTABUT_BT000180" />
								</Button>
							</div>
							<div className='button2'>
								<ConfirmButton
									onOK={this.onSav}
									icon="save"
									message="确定提交？"
								>
									<Label i18nId="MTABUT_BT000473" />
								</ConfirmButton>
							</div>
						</div>
					</Col>
				</Row>
			</div >
		)
	}
}
