import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Bmtatt {

    @observable
    docref=""                // \bmdgrp\rec\doctypcod    到单编号
    
    @observable
    docprbrol=""           // \bmdgrp\rec\docprbrol    交单人类型 

    @observable
    doctypcod=""           // \bmdgrp\rec\doctypcod    单据类型 

    @observable
    matdat=""           // \bmdgrp\rec\matdat    单据到期日 

    @observable
    nam=""           // \bmdgrp\rec\nam    描述 

    @observable
    ownref=""           // \bmdgrp\rec\ownref    业务编号 

    @observable
    prbfee=""           // \bmdgrp\rec\prbfee    交单行费用 

    @observable
    predat=""           // \bmdgrp\rec\predat    寄单日期 

    @observable
    rcvdat=""           // \bmdgrp\rec\rcvdat    收单日期 

    @observable
    rcvsta=""           // \bmdgrp\rec\rcvsta    到单确认 

    @observable
    shpdat=""           // \bmdgrp\rec\shpdat    装运日期 

    @observable
    totamt=""           // \bmdgrp\rec\totamt    索偿金额 

    @observable
    totcur=""           // \bmdgrp\rec\totcur    索偿币种 

    @observable
    max_amt=""           // \bmdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \bmdgrp\cbs\max\cur    Currency 

    @observable
    pts_adrcn=""           // \bmdgrp\fre\pts\adrcn    中文地址 

    @observable
    pts_extkey=""           // \bmdgrp\fre\pts\extkey    客户编号 

    @observable
    pts_namcn=""           // \bmdgrp\fre\pts\namcn    客户中文名称 

    @observable
    pts1_adrcn=""           // \bmdgrp\prb\pts\adrcn    中文地址 

    @observable
    pts1_extkey=""           // \bmdgrp\prb\pts\extkey    客户编号 

    @observable
    pts1_namcn=""           // \bmdgrp\prb\pts\namcn    客户中文名称 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.docref=""
            this.docprbrol=""
            this.doctypcod=""
            this.matdat=""
            this.nam=""
            this.ownref=""
            this.prbfee=""
            this.predat=""
            this.rcvdat=""
            this.rcvsta=""
            this.shpdat=""
            this.totamt=""
            this.totcur=""
            this.max_amt=""
            this.max_cur=""
            this.pts_adrcn=""
            this.pts_extkey=""
            this.pts_namcn=""
            this.pts1_adrcn=""
            this.pts1_extkey=""
            this.pts1_namcn=""
    }

} 


export default Bmtatt