export default fieldSet = {
    docprbrol:[
            {type:'string'},{required:true,message:"必输项"}  // \bmdgrp\rec\docprbrol    Presented by 
    ],
    doctypcod:[
            {type:'string'},{required:true,message:"必输项"}  // \bmdgrp\rec\doctypcod    Document Type 
    ],
    prsdoc:[
            {type:'string',max:40,message:'长度不能超过40个字符'},{required:true,message:"必输项"}  // \bmdgrp\rec\prsdoc    单据明细
    ],
    expmno:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \bmdgrp\rec\expmno    快递单号 
    ],
    invdtl:[
            {type:'string',max:25,message:'长度不能超过25个字符'},
            {validator(rule,value,callback,source,options){
              let regexp = /[\u4e00-\u9fa5]/; //禁止输入中文
              let isCH = regexp.test(value)
              if(value && isCH){
                callback('不允许输入中文')
              }else{
                return true
              }
						}}
            // \bmdgrp\rec\invdtl    发票信息 
    ],
    matdat:[
            {type:'string'},{required:true,message:"必输项"}  // \bmdgrp\rec\matdat    Maturity Date 
    ],
    nam:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bmdgrp\rec\nam    Externally Displayed Name to Identify the Contract 
    ],
    negflg:[
            {type:'string'},  // \bmdgrp\rec\negflg    议付标志 
    ],
    predat:[
            {type:'string'},{required:true,message:"必输项"}  // \bmdgrp\rec\predat    Order Date 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rec\ownref    Own Reference BE Number 
    ],
    prbfee:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rec\prbfee    交单行费用 
    ],
    rcvdat:[
            {type:'string'},{required:true,message:"必输项"}  // \bmdgrp\rec\rcvdat    Date of Receipt of Documents 
    ],
    shpdat:[
            {type:'string'},{required:true,message:"必输项"}  // \bmdgrp\rec\shpdat    Date of Shipment 
    ],
    totamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},
            {validator(rule,value,callback,source,options){
              if(value){
                if(value <= 0){
                  callback("金额不可为 0")
                }else{
                  return true
                }
              }else{
                callback("必输项");
              }
            }}
            // \bmdgrp\rec\totamt    Total Amount to be Paid(索偿金额?) 
    ],
    totcur:[
            {type:'string'},  // \bmdgrp\rec\totcur    Currency of Total Amount to be Paid 
    ],
    avbby:[
            {type:'string'},  // \dedgrp\rec\avbby    信用证对付方式 
    ],
    expdat:[
            {type:'string'},  // \dedgrp\rec\expdat    有效日期 
    ],
    expplc:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\rec\expplc    有效地点 
    ],
    lcref:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \dedgrp\rec\lcref    信用证编号 
    ],
    opndat:[
            {type:'string'},  // \dedgrp\rec\opndat    开立日期 
    ],
    ownref1:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \dedgrp\rec\ownref    业务编号 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},
            {validator(rule,value,callback,source,options){
              if(value){
                if(value <= 0){
                  callback("金额不可为 0")
                }else{
                  return true
                }
              }else{
                callback("必输项");
              }
            }}
            // \bmdgrp\cbs\max\amt    Balance 
    ],
    max_cur:[
            {type:'string'},  // \bmdgrp\cbs\max\cur    Currency 
    ],
    pts9_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{required:true,message:"必输项"}  // \bmdgrp\fre\pts\adrcn    中文地址 
    ],
    pts9_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},{required:true,message:"必输项"}  // \bmdgrp\fre\pts\extkey    客户编号 
    ],
    pts9_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{required:true,message:"必输项"}  // \bmdgrp\fre\pts\namcn    客户中文名称 
    ],
    pts11_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{required:true,message:"必输项"}  // \bmdgrp\oth\pts\adrcn    中文地址 
    ],
    pts11_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},{required:true,message:"必输项"}  // \bmdgrp\oth\pts\extkey    客户编号 
    ],
    pts11_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{required:true,message:"必输项"}  // \bmdgrp\oth\pts\namcn    客户中文名称 
    ],
    pts12_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{required:true,message:"必输项"}  // \bmdgrp\prb\pts\adrcn    中文地址 
    ],
    pts12_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},{required:true,message:"必输项"}  // \bmdgrp\prb\pts\extkey    客户编号 
    ],
    pts12_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},{required:true,message:"必输项"}  // \bmdgrp\prb\pts\namcn    客户中文名称 
    ],
    pts3_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\apl\pts\namcn    客户中文名称 
    ],
    pts4_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\ben\pts\namcn    客户中文名称 
    ],
    max1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \dedgrp\cbs\max\amt    Balance 
    ],
    max1_cur:[
            {type:'string'},  // \dedgrp\cbs\max\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \dedgrp\cbs\opn1\amt    Balance 
    ],
    opn1_cur:[
            {type:'string'},  // \dedgrp\cbs\opn1\cur    Currency 
    ],
    pts5_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\iss\pts\namcn    客户中文名称 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
}