/***
 * 
 * 第一个 
 * 
***/

import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,autorun } from 'mobx'
import { Row, Col, Popconfirm, Modal ,Spin} from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta1 from '@/views/Public/Ptspta1'
import Business from '@/views/Public/Business'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm
  
@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class OvwpScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
    this.bind = Bind.bind(this)
	}

	async componentWillMount(){
	
	}

	//交易描述赋值
	componentDidMount() {
		super.componentDidMount()
		this.autoDispose = autorun(() => {
			this.model.nam = `${this.model.max_cur}   ${this.model.max_amt}   ${this.model.pts15_namcn || ""}`
		})
	}

	componentWillUnmount() {
		this.autoDispose && this.autoDispose()
	}

	//按钮事件 获取业务编号
	async onGetref(){
		const rtnmsg = await Api.post('bmtrgf/getref',{data:this.model})
		if(rtnmsg.retcod == SUCCESS)
		{
			// Notification.success({message:'数据提交成功!'})
			this.model.ownref = rtnmsg.data.ownref;
		}
		else
		{
			Notification.error({message:'服务端请求失败!'})
		}
		//余下逻辑处理
	}

	// 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}

	// 暂存按钮
	onPed = async () => {
		 this.com.wrappedInstance.wrappedInstance.onPed();
	}

	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
	}

	onSav = () => {
		this.com.wrappedInstance.wrappedInstance.onSav();
	}


	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const { bchlevelLst } = this.props.extra
		//const {next,pre} = this.props.steps
		if(this.props.flag==true){
			return <Spin style={{width:"100%", justifyContent:"center"}} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
			   <Business  wrappedComponentRef={ref => (this.com = ref)} page={this} steps={this.props.steps}  extra={this.props.extra}  model={this.model} />

				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="业务编号" trn="bmtrgf" />	
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("ownref1")}  maxLength={20}  desp="业务编号" path="/dedgrp/rec/ownref" disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="信用证编号" trn="bmtrgf" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("lcref")}  maxLength={35}  desp="信用证编号" path="/dedgrp/rec/lcref" disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="信用证金额" trn="bmtrgf" />
							</Col>
							<Col span={6}>
								<SelectItem InputProps={bind("max1_cur")} code={CodeTable.curtxt}  desp="Currency" path="/dedgrp/cbs/max/cur" disabled={true} />
							</Col>
							<Col span={7} offset={1}>
								<InputItem   InputProps={ {...bind("max1_amt"), type:"amount", cur:this.model.max1_cur} } disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="受益人" trn="bmtrgf" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("pts15_namcn")}  maxLength={100}  desp="客户中文名称" path="/dedgrp/ben/pts/namcn" disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

				{/**第二行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="信用证余额" trn="bmtrgf" />
							</Col>
							<Col span={6}>
								<SelectItem InputProps={bind("opn1_cur")} code={CodeTable.curtxt}  desp="Currency" path="/dedgrp/cbs/opn1/cur" disabled={true}  />
							</Col>
							<Col span={7} offset={1}>
								<InputItem   InputProps={ {...bind("opn1_amt"), type:"amount", cur:this.model.opn1_cur} } disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="申请人" trn="bmtrgf" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("pts14_namcn")}  maxLength={100}  desp="客户中文名称" path="/dedgrp/apl/pts/namcn"  disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

				{/**第三行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="开立日期" trn="bmtrgf" />
							</Col>
							<Col span={6}>
								<DatePickerItem InputProps={bind("opndat")}  desp="开立日期" path="/dedgrp/rec/opndat"  disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="开证行" trn="bmtrgf" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("pts16_namcn")}  maxLength={100}  desp="客户中文名称" path="/dedgrp/iss/pts/namcn"  disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

				{/**第四行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="信用证兑付方式" trn="bmtrgf" />
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("avbby")} code={CodeTable.avbby}  desp="信用证对付方式" path="/dedgrp/rec/avbby" disabled={true}  />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="有效地点" trn="bmtrgf" />	
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("expplc")}  maxLength={100}  desp="有效地点" path="/dedgrp/rec/expplc" disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

				{/**第五行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="有效日期" trn="bmtrgf" />
							</Col>
							<Col span={6}>
								<DatePickerItem InputProps={bind("expdat")}  desp="有效日期" path="/dedgrp/rec/expdat"  disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="概要说明" trn="bmtrgf" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("nam")}  maxLength={40} disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

				{/**第六行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="寄单索款编号" trn="bmtrgf" />
							</Col>
							<Col span={10}>
								<InputItem InputProps={bind("ownref")}  maxLength={16}  desp="Own Reference BE Number" path="/bmdgrp/rec/ownref" disabled={true} />
							</Col>
							<Col span={4} offset={1}>
								<Button  type="primary"  onClick={()=>{this.onGetref()}} disabled={this.model.ownref} >
									<Label itext="获取"/>
								</Button>
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="交单人类型" trn="bmtrgf" />
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("docprbrol")} code={CodeTable.jiaodan}   desp="Presented by" path="/bmdgrp/rec/docprbrol"/>
							</Col>
						</Row>
					</Col>
				</Row>

				{/**第七行 */}
				<Row>
					<Col span={12}>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="单据类型" trn="bmtrgf" />
								</Col>
								<Col span={14}>
									<SelectItem InputProps={bind("doctypcod")} code={CodeTable.doc}  desp="Document Type" path="/bmdgrp/rec/doctypcod"/>
								</Col>
							</Row>
						</Col>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="单据金额" trn="bmtrgf" />
								</Col>
								<Col span={6}>
									<SelectItem InputProps={bind("max_cur")} code={CodeTable.curtxt} disabled={true} />
								</Col>
								<Col span={7} offset={1}>
									<InputItem   InputProps={ {...bind("max_amt"), type:"amount", cur:this.model.max_cur} } />
								</Col>
							</Row>
						</Col>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="收单日期" trn="bmtrgf" />
								</Col>
								<Col span={6}>
									<DatePickerItem InputProps={bind("rcvdat")}  desp="Date of Receipt of Documents" path="/bmdgrp/rec/rcvdat" />
								</Col>
							</Row>
						</Col>
					</Col>
					<Col span={12}>
						{/**交单人 */}
						<Ptspta1 model={this.model} argArr={{ desc: "交单人", prefix: 'pts12', url: 'bmtrgf/prbp_ptysel', flg: 'C', datakey: '\\bmtp\\prbp\\ptslst' }} formBlur={this.formBlur} />	
					</Col>
				</Row>

				{/**第八行 */}
				<Row>
					<Col span={12}>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="寄单日期" trn="bmtrgf" />
								</Col>
								<Col span={6}>
									<DatePickerItem InputProps={bind("predat")}  desp="Order Date" path="/bmdgrp/rec/predat" />
								</Col>
							</Row>
						</Col>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="到期日期" trn="bmtrgf" />
								</Col>
								<Col span={6}>
									<DatePickerItem InputProps={bind("matdat")}  desp="Maturity Date" path="/bmdgrp/rec/matdat" />
								</Col>
							</Row>
						</Col>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="装运日期" trn="bmtrgf" />
								</Col>
								<Col span={6}>
									<DatePickerItem InputProps={bind("shpdat")}  desp="Date of Shipment" path="/bmdgrp/rec/shpdat" />
								</Col>
							</Row>
						</Col>
					</Col>
					<Col span={12}>
						<Ptspta1 model={this.model} argArr={{ desc: "交单行", prefix: 'pts9', url: 'bmtrgf/frep_ptysel', flg: 'B', datakey: '\\bmtp\\frep\\ptslst' }} formBlur={this.formBlur} />
					</Col>
				</Row>
				
				{/**底部按钮 */}
				<Row type="flex" justify="center">
					<Col>
						<div className="button0">
							<div className='button2'>
								{/* 退出按钮 */}
								<ConfirmButton
									onOK={this.onRtn}
									title=""
									message="确定退出？"
								>
									<Label i18nId="MTABUT_BT000464" />
								</ConfirmButton>
							</div>
							<div className='button2'>
								{/* 暂存按钮 */}
								<ConfirmButton
									onOK={this.onPed}
									title=""
									message="确定暂存？"
								>
									<Label i18nId="MTABUT_BT000398" />
								</ConfirmButton>
							</div>
							<div className='button2'>
								{/* 检核按钮 */}
								<Button onClick={this.onChk}>
									<Label i18nId="MTABUT_BT000180" />
								</Button>
							</div>
							<div className='button2'>
								<ConfirmButton
									onOK={this.onSav}
									icon="save"
									message="确定提交？"
								>
									<Label i18nId="MTABUT_BT000473" />
								</ConfirmButton>
							</div>
						</div>
					</Col>
				</Row>
			</div >
		)
	}
}
