import React,{Component,Fragment} from 'react'
import { Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,Steps } from '@/components/Common-Library'
import Api from '@/service/api'
import mBptset from '../model'
import CodeTableFactory from '@/components/CodeTable'

import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
 
import Ovwp from './Ovwp'
import Fee from '@/views/Public/Fee'
import Gle from '@/views/Public/Gle'
import Papper from '@/views/Public/Papper'
import Lixi from '@/views/Public/Lixi'

import { Card } from 'antd'

const CodeTable = CodeTableFactory.getInstance()
const StepItem = Steps.Item

@inject('UserContext')
@inject('i18n')
@observer
export default class BptsetScreen extends Page
{
    @observable
    formBlur=false

    @observable
		extra = { inifrm: 'bptset', sptinr: '', ownbch: [] }
 
  constructor(props)
  {
      super(props)
      this.model = new mBptset()    
			this.bind = Bind.bind(this)
			this.state={
				flag:true
			}
  }
	
	async componentWillMount(){
		/*
		*添加初始化代码
		*/
		let bpdinr = '';
		let rtnmsg = [];
		if (this.props.location.query) {
      bpdinr = this.props.location.query.inr
      rtnmsg = await Api.post(this.extra.inifrm + '/init', { params: { bpdinr } })
		} else {
			rtnmsg = await Api.post(this.extra.inifrm + '/init', {})
		}
		if (rtnmsg.retcod == SUCCESS) {
      Object.assign(this.model, rtnmsg.data)
      this.extra.ownbch=rtnmsg.codetable.ownbch
			this.setState({ flag: false })
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
    }
    
		//快照模式下，不必开启校验，否则，静默校验，和记录变动
		!this.loadDisplay() && this.model.openMonitor() //开启校验	
	}

  componentWillUnmount()
  {
    this.model.stopMonitor&&this.model.stopMonitor()//关闭校验
  }


    //交易内实现
    renderPage(){
			const bind = this.bind
      const {i18n} = this.props
             
        return (
					<Card title="贸易融资还款" size="small" className="transTitle">
						<Steps>
							
							<StepItem title="概述">
								<Ovwp model={this.model} extra={this.extra} flag={this.state.flag} />
							</StepItem>

							<StepItem title="利息明细">
								<Lixi model={this.model} extra={this.extra} />
							</StepItem>
							<StepItem title="费用">
								<Fee model={this.model} extra={this.extra} />
							</StepItem>
							<StepItem title="会计分录">
								<Gle model={this.model} extra={this.extra} />
							</StepItem>
							<StepItem title="面函">
								<Papper model={this.model} extra={this.extra} />
							</StepItem>

						</Steps>
					</Card>
				)
	}
}
