import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Cptadv {
    
    @observable
    branchinr=""           // \cpdgrp\rec\branchinr    所属机构 

    @observable
    cpdflg=""           // \cpdgrp\rec\cpdflg    汇款类型 

    @observable
    custyp=""           // \cpdgrp\rec\custyp    汇款人性质 

    @observable
    diptyp=""           // \cpdgrp\rec\diptyp    解付方式 

    @observable
    liqtyp=""           // \cpdgrp\rec\liqtyp    清算路径 

    @observable
    orcacc=""           // \cpdgrp\rec\orcacc    付款人账号 

    @observable
    ownref=""           // \cpdgrp\rec\ownref    业务编号 

    @observable
    paytyp=""           // \cpdgrp\rec\paytyp    汇款方式 

    @observable
    pyeacc=""           // \cpdgrp\rec\pyeacc    收款人账号 

    @observable
    stacty=""           // \cpdgrp\rec\stacty    交易对手国别 

    @observable
    swftyp=""           // \cpdgrp\rec\swftyp    报文类型 

    @observable
    valdat=""           // \cpdgrp\rec\valdat    起息日 

    @observable
    bopmod_acttyp=""           // \bopmod\acttyp    款项来源 

    @observable
    bopmod_basflg=""           // \bopmod\basflg    基础数据 

    @observable
    bas_actiondesc=""           // \bopmod\dbamod\dbagrp\bas\actiondesc    修改/删除原因 

    @observable
    bas_actiontype=""           // \bopmod\dbamod\dbagrp\bas\actiontype    操作类型 

    @observable
    bas_buscode=""           // \bopmod\dbamod\dbagrp\bas\buscode    银行业务编号 

    @observable
    bas_custcod=""           // \bopmod\dbamod\dbagrp\bas\custcod    组织机构 

    @observable
    bas_custnm=""           // \bopmod\dbamod\dbagrp\bas\custnm    收款人名称 

    @observable
    bas_custype=""           // \bopmod\dbamod\dbagrp\bas\custype    收款人类型 

    @observable
    bas_exrate=""           // \bopmod\dbamod\dbagrp\bas\exrate    结汇汇率 

    @observable
    bas_fcyacc=""           // \bopmod\dbamod\dbagrp\bas\fcyacc    外汇帐号/银行卡号 

    @observable
    bas_fcyamt=""           // \bopmod\dbamod\dbagrp\bas\fcyamt    现汇金额 

    @observable
    bas_idcode=""           // \bopmod\dbamod\dbagrp\bas\idcode    个人身份证件号码 

    @observable
    bas_inchargeamt=""           // \bopmod\dbamod\dbagrp\bas\inchargeamt    国内银行扣费金额 

    @observable
    bas_inchargeccy=""           // \bopmod\dbamod\dbagrp\bas\inchargeccy    国内银行扣费币种 

    @observable
    bas_lcyacc=""           // \bopmod\dbamod\dbagrp\bas\lcyacc    人民币帐号/银行卡号 

    @observable
    bas_lcyamt=""           // \bopmod\dbamod\dbagrp\bas\lcyamt    结汇金额 

    @observable
    bas_method=""           // \bopmod\dbamod\dbagrp\bas\method    结算方式 

    @observable
    bas_oppuser=""           // \bopmod\dbamod\dbagrp\bas\oppuser    付款人名称 

    @observable
    bas_othacc=""           // \bopmod\dbamod\dbagrp\bas\othacc    其它帐号/银行卡号 

    @observable
    bas_othamt=""           // \bopmod\dbamod\dbagrp\bas\othamt    其它金额 

    @observable
    bas_outchargeamt=""           // \bopmod\dbamod\dbagrp\bas\outchargeamt    国外银行扣费金额 

    @observable
    bas_outchargeccy=""           // \bopmod\dbamod\dbagrp\bas\outchargeccy    国外银行扣费币种 

    @observable
    bas_ownextkey=""           // \bopmod\dbamod\dbagrp\bas\ownextkey    initial entity code 

    @observable
    bas_rptno=""           // \bopmod\dbamod\dbagrp\bas\rptno    申报号码 

    @observable
    bas_txamt=""           // \bopmod\dbamod\dbagrp\bas\txamt    收入款金额 

    @observable
    bas_txccy=""           // \bopmod\dbamod\dbagrp\bas\txccy    收入款币种 

    @observable
    dcl_actiondesc=""           // \bopmod\dbamod\dbagrp\dcl\actiondesc    修改/删除原因 

    @observable
    dcl_actiontype=""           // \bopmod\dbamod\dbagrp\dcl\actiontype    操作类型 

    @observable
    dcl_billno=""           // \bopmod\dbamod\dbagrp\dcl\billno    外债编号涉外收入申报单独有 

    @observable
    dcl_country=""           // \bopmod\dbamod\dbagrp\dcl\country    付款人常驻国家/地区编码 

    @observable
    dcl_crtuser=""           // \bopmod\dbamod\dbagrp\dcl\crtuser    填报人 

    @observable
    dcl_inptelc=""           // \bopmod\dbamod\dbagrp\dcl\inptelc    填报人电话 

    @observable
    dcl_isref=""           // \bopmod\dbamod\dbagrp\dcl\isref    是否出口核销项下收汇 

    @observable
    dcl_payattr=""           // \bopmod\dbamod\dbagrp\dcl\payattr    收入类型 

    @observable
    dcl_paytype=""           // \bopmod\dbamod\dbagrp\dcl\paytype    收款性质 

    @observable
    dcl_rptdate=""           // \bopmod\dbamod\dbagrp\dcl\rptdate    申报日期 

    @observable
    dcl_rptno=""           // \bopmod\dbamod\dbagrp\dcl\rptno    申报号码 

    @observable
    dcl_tc1amt=""           // \bopmod\dbamod\dbagrp\dcl\tc1amt    相应金额1 

    @observable
    dcl_tc2amt=""           // \bopmod\dbamod\dbagrp\dcl\tc2amt    相应金额2 

    @observable
    dcl_tx2rem=""           // \bopmod\dbamod\dbagrp\dcl\tx2rem    交易附言2 

    @observable
    dcl_txcode=""           // \bopmod\dbamod\dbagrp\dcl\txcode    交易编码1 

    @observable
    dcl_txcode2=""           // \bopmod\dbamod\dbagrp\dcl\txcode2    交易编码2 

    @observable
    dcl_txrem=""           // \bopmod\dbamod\dbagrp\dcl\txrem    交易附言1 

    @observable
    baspp_cornam=""           // \bopmod\dbamod\dbap\baspp\cornam     

    @observable
    baspp_corpnam=""           // \bopmod\dbamod\dbap\baspp\corpnam     

    @observable
    baspp_cusnam=""           // \bopmod\dbamod\dbap\baspp\cusnam     

    @observable
    baspp_exratelab=""           // \bopmod\dbamod\dbap\baspp\exratelab    售汇/结汇汇率 

    @observable
    baspp_lcyamtlab=""           // \bopmod\dbamod\dbap\baspp\lcyamtlab    售汇/结汇金额 

    @observable
    dclpp_country1=""           // \bopmod\dbamod\dbap\dclpp\country1    收/付款人常驻国家/地区编码 

    @observable
    dclpp_crtuser1=""           // \bopmod\dbamod\dbap\dclpp\crtuser1    申报填报人 

    @observable
    dclpp_inptelc1=""           // \bopmod\dbamod\dbap\dclpp\inptelc1    申报填报人电话 

    @observable
    dclpp_isref1=""           // \bopmod\dbamod\dbap\dclpp\isref1    是否出口核销项下收汇 

    @observable
    dclpp_paytype1=""           // \bopmod\dbamod\dbap\dclpp\paytype1    收款性质 

    @observable
    bas1_actiondesc=""           // \bopmod\dbdmod\dbdgrp\bas\actiondesc    修改/删除原因 

    @observable
    bas1_actiontype=""           // \bopmod\dbdmod\dbdgrp\bas\actiontype    操作类型 

    @observable
    bas1_buscode=""           // \bopmod\dbdmod\dbdgrp\bas\buscode    银行业务编号 

    @observable
    bas1_custcod=""           // \bopmod\dbdmod\dbdgrp\bas\custcod    组织机构 

    @observable
    bas1_custnm=""           // \bopmod\dbdmod\dbdgrp\bas\custnm    收款人名称 

    @observable
    bas1_custype=""           // \bopmod\dbdmod\dbdgrp\bas\custype    收款人类型 

    @observable
    bas1_exrate=""           // \bopmod\dbdmod\dbdgrp\bas\exrate    结汇汇率 

    @observable
    bas1_fcyacc=""           // \bopmod\dbdmod\dbdgrp\bas\fcyacc    外汇帐号/银行卡号 

    @observable
    bas1_fcyamt=""           // \bopmod\dbdmod\dbdgrp\bas\fcyamt    现汇金额 

    @observable
    bas1_idcode=""           // \bopmod\dbdmod\dbdgrp\bas\idcode    个人身份证件号码 

    @observable
    bas1_inchargeamt=""           // \bopmod\dbdmod\dbdgrp\bas\inchargeamt    国内银行扣费金额 

    @observable
    bas1_inchargeccy=""           // \bopmod\dbdmod\dbdgrp\bas\inchargeccy    国内银行扣费币种 

    @observable
    bas1_lcyacc=""           // \bopmod\dbdmod\dbdgrp\bas\lcyacc    人民币帐号/银行卡号 

    @observable
    bas1_lcyamt=""           // \bopmod\dbdmod\dbdgrp\bas\lcyamt    结汇金额 

    @observable
    bas1_method=""           // \bopmod\dbdmod\dbdgrp\bas\method    结算方式 

    @observable
    bas1_oppuser=""           // \bopmod\dbdmod\dbdgrp\bas\oppuser    付款人名称 

    @observable
    bas1_othacc=""           // \bopmod\dbdmod\dbdgrp\bas\othacc    其它帐号/银行卡号 

    @observable
    bas1_othamt=""           // \bopmod\dbdmod\dbdgrp\bas\othamt    其它金额 

    @observable
    bas1_ownextkey=""           // \bopmod\dbdmod\dbdgrp\bas\ownextkey    initial entity code 

    @observable
    bas1_rptno=""           // \bopmod\dbdmod\dbdgrp\bas\rptno    申报号码 

    @observable
    bas1_txamt=""           // \bopmod\dbdmod\dbdgrp\bas\txamt    收入款金额 

    @observable
    bas1_txccy=""           // \bopmod\dbdmod\dbdgrp\bas\txccy    收入款币种 

    @observable
    vrf_actiondesc=""           // \bopmod\dbdmod\dbdgrp\vrf\actiondesc    修改/删除原因 

    @observable
    vrf_actiontype=""           // \bopmod\dbdmod\dbdgrp\vrf\actiontype    操作类型 

    @observable
    vrf_crtuser=""           // \bopmod\dbdmod\dbdgrp\vrf\crtuser    填报人 

    @observable
    vrf_inptelc=""           // \bopmod\dbdmod\dbdgrp\vrf\inptelc    填报人电话 

    @observable
    vrf_isref=""           // \bopmod\dbdmod\dbdgrp\vrf\isref    是否出口核销项下收汇 

    @observable
    vrf_payattr=""           // \bopmod\dbdmod\dbdgrp\vrf\payattr    收汇类型 

    @observable
    vrf_paytype=""           // \bopmod\dbdmod\dbdgrp\vrf\paytype    收款性' 

    @observable
    vrf_regno=""           // \bopmod\dbdmod\dbdgrp\vrf\regno    外汇局批件/备案表号 

    @observable
    vrf_rptdate=""           // \bopmod\dbdmod\dbdgrp\vrf\rptdate    申报日期 

    @observable
    vrf_rptno=""           // \bopmod\dbdmod\dbdgrp\vrf\rptno    申报号码 

    @observable
    vrf_tc1amt=""           // \bopmod\dbdmod\dbdgrp\vrf\tc1amt    相应金额1 

    @observable
    vrf_tc2amt=""           // \bopmod\dbdmod\dbdgrp\vrf\tc2amt    相应金额2 

    @observable
    vrf_tx2rem=""           // \bopmod\dbdmod\dbdgrp\vrf\tx2rem    交易附言2 

    @observable
    vrf_txcode=""           // \bopmod\dbdmod\dbdgrp\vrf\txcode    交易编码1 

    @observable
    vrf_txcode2=""           // \bopmod\dbdmod\dbdgrp\vrf\txcode2    交易编码2 

    @observable
    vrf_txrem=""           // \bopmod\dbdmod\dbdgrp\vrf\txrem    交易附言1 

    @observable
    baspp1_cornam=""           // \bopmod\dbdmod\dbdp\baspp\cornam     

    @observable
    baspp1_corpnam=""           // \bopmod\dbdmod\dbdp\baspp\corpnam     

    @observable
    baspp1_cusnam=""           // \bopmod\dbdmod\dbdp\baspp\cusnam     

    @observable
    baspp1_exratelab=""           // \bopmod\dbdmod\dbdp\baspp\exratelab    售汇/结汇汇率 

    @observable
    baspp1_lcyamtlab=""           // \bopmod\dbdmod\dbdp\baspp\lcyamtlab    售汇/结汇金额 

    @observable
    bopmod_dclflg=""           // \bopmod\dclflg    申报数据 

    @observable
    bopmod_szflg=""           // \bopmod\szflg    申报类型 

    @observable
    bopmod_vrfflg=""           // \bopmod\vrfflg    管理数据 

    @observable
    max_amt=""           // \cpdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \cpdgrp\cbs\max\cur    Currency 

    @observable
    pts_adrblk=""           // \cpdgrp\orc\pts\adrblk    SWIFT地址 

    @observable
    pts_extkey=""           // \cpdgrp\orc\pts\extkey    客户编号 

    @observable
    pty_ownusr=""           // \cpdgrp\orc\pty\ownusr    客户经理 

    @observable
    pts1_adrblk=""           // \cpdgrp\ori\pts\adrblk    SWIFT地址 

    @observable
    pts1_extkey=""           // \cpdgrp\ori\pts\extkey    客户编号 

    @observable
    pts2_adrblk=""           // \cpdgrp\pyb\pts\adrblk    SWIFT地址 

    @observable
    pts2_extkey=""           // \cpdgrp\pyb\pts\extkey    客户编号 

    @observable
    pts3_adrblk=""           // \cpdgrp\pye\pts\adrblk    SWIFT地址 

    @observable
    pts3_extkey=""           // \cpdgrp\pye\pts\extkey    客户编号 

    @observable
    mtabut_basflg=""           // \mtabut\basflg    基础信息 

    @observable
    mtabut_dclflg=""           // \mtabut\dclflg    申报信息 

    @observable
    mtabut_paydat=""           // \mtabut\paydat    收付汇日期 

    @observable
    mtabut_pdfrcv=""           // \mtabut\pdfrcv    PDF Receiver 

    @observable
    mtabut_vrfflg=""           // \mtabut\vrfflg    管理信息 

    @observable
    regmod_paydat=""           // \rmbmod\regmod\paydat    收付汇日期 

    @observable
    rmbmod_rmbflg=""           // \rmbmod\rmbflg    是否报送跨境人民币信息 

    @observable
    bas2_actiondesc=""           // \rmbmod\tdagrp\bas\actiondesc    修改/删除原因或申报无误理由 

    @observable
    bas2_addword=""           // \rmbmod\tdagrp\bas\addword    交易附言 

    @observable
    bas2_balancemode=""           // \rmbmod\tdagrp\bas\balancemode    结算方式 

    @observable
    bas2_bankorgcode=""           // \rmbmod\tdagrp\bas\bankorgcode    银行机构代码 

    @observable
    bas2_bankorgname=""           // \rmbmod\tdagrp\bas\bankorgname    银行机构名称 

    @observable
    bas2_banktrano=""           // \rmbmod\tdagrp\bas\banktrano    银行业务编号 

    @observable
    bas2_goodstrade=""           // \rmbmod\tdagrp\bas\goodstrade    货物贸易 

    @observable
    bas2_levyno=""           // \rmbmod\tdagrp\bas\levyno    申报号码 

    @observable
    bas2_midtransbank=""           // \rmbmod\tdagrp\bas\midtransbank    中间转汇行 

    @observable
    bas2_opertype=""           // \rmbmod\tdagrp\bas\opertype    操作类型 

    @observable
    bas2_orilevyno=""           // \rmbmod\tdagrp\bas\orilevyno    原申报号码 

    @observable
    bas2_payeeacct=""           // \rmbmod\tdagrp\bas\payeeacct    收款人账号 

    @observable
    bas2_payeeattr=""           // \rmbmod\tdagrp\bas\payeeattr    收款人属性 

    @observable
    bas2_payeecny=""           // \rmbmod\tdagrp\bas\payeecny    收款币种 

    @observable
    bas2_payeedate=""           // \rmbmod\tdagrp\bas\payeedate    收款日期 

    @observable
    bas2_payeename=""           // \rmbmod\tdagrp\bas\payeename    收款人名称 

    @observable
    bas2_payeeorgcode=""           // \rmbmod\tdagrp\bas\payeeorgcode    收款人组织机构代码或身份证件号码 

    @observable
    bas2_payeracct=""           // \rmbmod\tdagrp\bas\payeracct    清算（结算）账户账号 

    @observable
    bas2_payeraccttype=""           // \rmbmod\tdagrp\bas\payeraccttype    清算（结算）账户类型 

    @observable
    bas2_payercountrycode=""           // \rmbmod\tdagrp\bas\payercountrycode    付款人常驻国家（地区）代码 

    @observable
    bas2_payername=""           // \rmbmod\tdagrp\bas\payername    付款人名称 

    @observable
    bas2_swiftbic=""           // \rmbmod\tdagrp\bas\swiftbic    付款行SWIFT BIC 

    @observable
    bas2_totalamt=""           // \rmbmod\tdagrp\bas\totalamt    收款总金额 

    @observable
    tba_accountperiod=""           // \rmbmod\tdagrp\tba\accountperiod    结账期 

    @observable
    tba_customsamt=""           // \rmbmod\tdagrp\tba\customsamt    已报关收款金额 

    @observable
    tba_nogoodsamt=""           // \rmbmod\tdagrp\tba\nogoodsamt    无货物报关的货物贸易-其他金额 

    @observable
    tba_offshoreamt=""           // \rmbmod\tdagrp\tba\offshoreamt    无货物报关的货物贸易-离岸转手买卖金额 

    @observable
    tba_onshoreamt=""           // \rmbmod\tdagrp\tba\onshoreamt    无货物报关的货物贸易-海关特殊监管区域及保税监管场所进出境物流货物金额 

    @observable
    tba_payeeamt=""           // \rmbmod\tdagrp\tba\payeeamt    货物贸易收款金额 

    @observable
    tba_prepayeeamt=""           // \rmbmod\tdagrp\tba\prepayeeamt    预收款金额 

    @observable
    tba_prepayeescale=""           // \rmbmod\tdagrp\tba\prepayeescale    预收款比例 

    @observable
    tba_recordamt=""           // \rmbmod\tdagrp\tba\recordamt    已备案收款金额 

    @observable
    tdagrp_tbblst=[]           // \rmbmod\tdagrp\tbblst 

    @observable
    tdagrp_tbclst=[]           // \rmbmod\tdagrp\tbclst 

    @observable
    tdagrp_tbdlst=[]           // \rmbmod\tdagrp\tbdlst 

    @observable
    tdagrp_tbelst=[]           // \rmbmod\tdagrp\tbelst 

    @observable
    tdagrp_tbflst=[]           // \rmbmod\tdagrp\tbflst 

    @observable
    tdagrp_tbglst=[]           // \rmbmod\tdagrp\tbglst 

    @observable
    tdagrp_tbhlst=[]           // \rmbmod\tdagrp\tbhlst 

    @observable
    tdagrp_tbilst=[]           // \rmbmod\tdagrp\tbilst 

    @observable
    tdap_capitaltransfer=""           // \rmbmod\tdap\capitaltransfer    资本转移 

    @observable
    codsel_ctylst=[]           // \rmbmod\tdap\codsel\ctylst 

    @observable
    codsel_ctytj=""           // \rmbmod\tdap\codsel\ctytj    国家代码 

    @observable
    tdap_directinvest=""           // \rmbmod\tdap\directinvest    直接投资 

    @observable
    tdap_financing=""           // \rmbmod\tdap\financing    跨境融资 

    @observable
    tdap_indirectinvest=""           // \rmbmod\tdap\indirectinvest    证券投资 

    @observable
    tdap_otherinvest=""           // \rmbmod\tdap\otherinvest    其他投资 

    @observable
    tdap_proceedstransfer=""           // \rmbmod\tdap\proceedstransfer    收益与经济转移 

    @observable
    tdap_servicetrade=""           // \rmbmod\tdap\servicetrade    服务贸易 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    msgmod_acctyp=""           // \setmod\msgmod\acctyp    汇款人账户性质 

    @observable
    pts4_adrblk=""           // \setmod\msgmod\acs\pts\adrblk    SWIFT地址 

    @observable
    pts4_extact=""           // \setmod\msgmod\acs\pts\extact    结算账号 

    @observable
    pts4_extkey=""           // \setmod\msgmod\acs\pts\extkey    客户编号 

    @observable
    msgmod_amtf33b=""           // \setmod\msgmod\amtf33b    扣款金额 

    @observable
    msgmod_buscod=""           // \setmod\msgmod\buscod    大额支付类型 

    @observable
    msgmod_busflg=""           // \setmod\msgmod\busflg    业务种类 

    @observable
    msgmod_bustyp=""           // \setmod\msgmod\bustyp    业务种类 

    @observable
    msgmod_chato=""           // \setmod\msgmod\chato    费用承担方 

    @observable
    msgmod_commet=""           // \setmod\msgmod\commet    附言 

    @observable
    msgmod_contag70=""           // \setmod\msgmod\contag70    Content of TAG 70 

    @observable
    msgmod_contag72=""           // \setmod\msgmod\contag72    Content of TAG 72 

    @observable
    msgmod_curf33b=""           // \setmod\msgmod\curf33b    扣款币种 

    @observable
    msgmod_doccod=""           // \setmod\msgmod\doccod    报文类型 

    @observable
    msgmod_docpth=""           // \setmod\msgmod\docpth    报文路径 

    @observable
    pts5_adrblk=""           // \setmod\msgmod\med\pts\adrblk    SWIFT地址 

    @observable
    pts5_extact=""           // \setmod\msgmod\med\pts\extact    结算账号 

    @observable
    pts5_extkey=""           // \setmod\msgmod\med\pts\extkey    客户编号 

    @observable
    pts6_adrblk=""           // \setmod\msgmod\ori\pts\adrblk    SWIFT地址 

    @observable
    pts6_extkey=""           // \setmod\msgmod\ori\pts\extkey    客户编号 

    @observable
    pts7_adrblk=""           // \setmod\msgmod\pyb\pts\adrblk    SWIFT地址 

    @observable
    pts7_extact=""           // \setmod\msgmod\pyb\pts\extact    结算账号 

    @observable
    pts7_extkey=""           // \setmod\msgmod\pyb\pts\extkey    客户编号 

    @observable
    pts7_namcn=""           // \setmod\msgmod\pyb\pts\namcn    客户中文名称 

    @observable
    pts7_ref=""           // \setmod\msgmod\pyb\pts\ref    参考号 

    @observable
    pts8_adrblk=""           // \setmod\msgmod\pye\pts\adrblk    SWIFT地址 

    @observable
    pts8_adrcn=""           // \setmod\msgmod\pye\pts\adrcn    中文地址 

    @observable
    pts8_extact=""           // \setmod\msgmod\pye\pts\extact    结算账号 

    @observable
    pts8_extkey=""           // \setmod\msgmod\pye\pts\extkey    客户编号 

    @observable
    pts8_namcn=""           // \setmod\msgmod\pye\pts\namcn    客户中文名称 

    @observable
    msgmod_rcvfee=""           // \setmod\msgmod\rcvfee    收报行收费 

    @observable
    pts9_adrblk=""           // \setmod\msgmod\rmt\pts\adrblk    SWIFT地址 

    @observable
    pts9_extact=""           // \setmod\msgmod\rmt\pts\extact    结算账号 

    @observable
    pts9_extkey=""           // \setmod\msgmod\rmt\pts\extkey    客户编号 

    @observable
    pts10_adrblk=""           // \setmod\msgmod\snd\pts\adrblk    SWIFT地址 

    @observable
    pts10_extkey=""           // \setmod\msgmod\snd\pts\extkey    客户编号 

    @observable
    msgmod_sndfee=""           // \setmod\msgmod\sndfee    发报行收费 

    @observable
    msgmod_tag20272=""           // \setmod\msgmod\tag20272    202报文附言 

    @observable
    msgmod_valdat=""           // \setmod\msgmod\valdat    起息日 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_swftyp=""           // \trnmod\trndoc\swftyp    报文类型 

    @observable
    trndoc_tag79txt=""           // \trnmod\trndoc\tag79txt    Content of tag 79 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.branchinr=""
            this.cpdflg=""
            this.custyp=""
            this.diptyp=""
            this.liqtyp=""
            this.orcacc=""
            this.ownref=""
            this.paytyp=""
            this.pyeacc=""
            this.stacty=""
            this.swftyp=""
            this.valdat=""
            this.bopmod_acttyp=""
            this.bopmod_basflg=""
            this.bas_actiondesc=""
            this.bas_actiontype=""
            this.bas_buscode=""
            this.bas_custcod=""
            this.bas_custnm=""
            this.bas_custype=""
            this.bas_exrate=""
            this.bas_fcyacc=""
            this.bas_fcyamt=""
            this.bas_idcode=""
            this.bas_inchargeamt=""
            this.bas_inchargeccy=""
            this.bas_lcyacc=""
            this.bas_lcyamt=""
            this.bas_method=""
            this.bas_oppuser=""
            this.bas_othacc=""
            this.bas_othamt=""
            this.bas_outchargeamt=""
            this.bas_outchargeccy=""
            this.bas_ownextkey=""
            this.bas_rptno=""
            this.bas_txamt=""
            this.bas_txccy=""
            this.dcl_actiondesc=""
            this.dcl_actiontype=""
            this.dcl_billno=""
            this.dcl_country=""
            this.dcl_crtuser=""
            this.dcl_inptelc=""
            this.dcl_isref=""
            this.dcl_payattr=""
            this.dcl_paytype=""
            this.dcl_rptdate=""
            this.dcl_rptno=""
            this.dcl_tc1amt=""
            this.dcl_tc2amt=""
            this.dcl_tx2rem=""
            this.dcl_txcode=""
            this.dcl_txcode2=""
            this.dcl_txrem=""
            this.baspp_cornam=""
            this.baspp_corpnam=""
            this.baspp_cusnam=""
            this.baspp_exratelab=""
            this.baspp_lcyamtlab=""
            this.dclpp_country1=""
            this.dclpp_crtuser1=""
            this.dclpp_inptelc1=""
            this.dclpp_isref1=""
            this.dclpp_paytype1=""
            this.bas1_actiondesc=""
            this.bas1_actiontype=""
            this.bas1_buscode=""
            this.bas1_custcod=""
            this.bas1_custnm=""
            this.bas1_custype=""
            this.bas1_exrate=""
            this.bas1_fcyacc=""
            this.bas1_fcyamt=""
            this.bas1_idcode=""
            this.bas1_inchargeamt=""
            this.bas1_inchargeccy=""
            this.bas1_lcyacc=""
            this.bas1_lcyamt=""
            this.bas1_method=""
            this.bas1_oppuser=""
            this.bas1_othacc=""
            this.bas1_othamt=""
            this.bas1_ownextkey=""
            this.bas1_rptno=""
            this.bas1_txamt=""
            this.bas1_txccy=""
            this.vrf_actiondesc=""
            this.vrf_actiontype=""
            this.vrf_crtuser=""
            this.vrf_inptelc=""
            this.vrf_isref=""
            this.vrf_payattr=""
            this.vrf_paytype=""
            this.vrf_regno=""
            this.vrf_rptdate=""
            this.vrf_rptno=""
            this.vrf_tc1amt=""
            this.vrf_tc2amt=""
            this.vrf_tx2rem=""
            this.vrf_txcode=""
            this.vrf_txcode2=""
            this.vrf_txrem=""
            this.baspp1_cornam=""
            this.baspp1_corpnam=""
            this.baspp1_cusnam=""
            this.baspp1_exratelab=""
            this.baspp1_lcyamtlab=""
            this.bopmod_dclflg=""
            this.bopmod_szflg=""
            this.bopmod_vrfflg=""
            this.max_amt=""
            this.max_cur=""
            this.pts_adrblk=""
            this.pts_extkey=""
            this.pty_ownusr=""
            this.pts1_adrblk=""
            this.pts1_extkey=""
            this.pts2_adrblk=""
            this.pts2_extkey=""
            this.pts3_adrblk=""
            this.pts3_extkey=""
            this.mtabut_basflg=""
            this.mtabut_dclflg=""
            this.mtabut_paydat=""
            this.mtabut_pdfrcv=""
            this.mtabut_vrfflg=""
            this.regmod_paydat=""
            this.rmbmod_rmbflg=""
            this.bas2_actiondesc=""
            this.bas2_addword=""
            this.bas2_balancemode=""
            this.bas2_bankorgcode=""
            this.bas2_bankorgname=""
            this.bas2_banktrano=""
            this.bas2_goodstrade=""
            this.bas2_levyno=""
            this.bas2_midtransbank=""
            this.bas2_opertype=""
            this.bas2_orilevyno=""
            this.bas2_payeeacct=""
            this.bas2_payeeattr=""
            this.bas2_payeecny=""
            this.bas2_payeedate=""
            this.bas2_payeename=""
            this.bas2_payeeorgcode=""
            this.bas2_payeracct=""
            this.bas2_payeraccttype=""
            this.bas2_payercountrycode=""
            this.bas2_payername=""
            this.bas2_swiftbic=""
            this.bas2_totalamt=""
            this.tba_accountperiod=""
            this.tba_customsamt=""
            this.tba_nogoodsamt=""
            this.tba_offshoreamt=""
            this.tba_onshoreamt=""
            this.tba_payeeamt=""
            this.tba_prepayeeamt=""
            this.tba_prepayeescale=""
            this.tba_recordamt=""
            this.tdagrp_tbblst=[]
            this.tdagrp_tbclst=[]
            this.tdagrp_tbdlst=[]
            this.tdagrp_tbelst=[]
            this.tdagrp_tbflst=[]
            this.tdagrp_tbglst=[]
            this.tdagrp_tbhlst=[]
            this.tdagrp_tbilst=[]
            this.tdap_capitaltransfer=""
            this.codsel_ctylst=[]
            this.codsel_ctytj=""
            this.tdap_directinvest=""
            this.tdap_financing=""
            this.tdap_indirectinvest=""
            this.tdap_otherinvest=""
            this.tdap_proceedstransfer=""
            this.tdap_servicetrade=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.msgmod_acctyp=""
            this.pts4_adrblk=""
            this.pts4_extact=""
            this.pts4_extkey=""
            this.msgmod_amtf33b=""
            this.msgmod_buscod=""
            this.msgmod_busflg=""
            this.msgmod_bustyp=""
            this.msgmod_chato=""
            this.msgmod_commet=""
            this.msgmod_contag70=""
            this.msgmod_contag72=""
            this.msgmod_curf33b=""
            this.msgmod_doccod=""
            this.msgmod_docpth=""
            this.pts5_adrblk=""
            this.pts5_extact=""
            this.pts5_extkey=""
            this.pts6_adrblk=""
            this.pts6_extkey=""
            this.pts7_adrblk=""
            this.pts7_extact=""
            this.pts7_extkey=""
            this.pts7_namcn=""
            this.pts7_ref=""
            this.pts8_adrblk=""
            this.pts8_adrcn=""
            this.pts8_extact=""
            this.pts8_extkey=""
            this.pts8_namcn=""
            this.msgmod_rcvfee=""
            this.pts9_adrblk=""
            this.pts9_extact=""
            this.pts9_extkey=""
            this.pts10_adrblk=""
            this.pts10_extkey=""
            this.msgmod_sndfee=""
            this.msgmod_tag20272=""
            this.msgmod_valdat=""
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_swftyp=""
            this.trndoc_tag79txt=""
    }

} 


export default Cptadv