import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem, Table,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps
} from '@/components/Common-Library'
import { Row, Col, Spin } from 'antd'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { PtyPicker, ModalTest } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta from '@/views/Public/Ptspta'
const CodeTable = CodeTableFactory.getInstance()
const { Pre, Next, StepWrapper } = Steps

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class CptadvBasicScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
	}

	// 获取业务编号 按钮事件
	onGetref = async () => {
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/getref', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			// Notification.success({ message: '数据提交成功!' })
			this.model.ownref = rtnmsg.data.ownref;
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}
		//余下逻辑处理

	}
	// 退出按钮
	onRtn = async () => {
		// this.formBlur = true  //已触发表单提交处理
		this.props.history.push("/home");
	}
	// 暂存
	onPed = async () => {
		// 暂存之前的检测几个必输项
		// \cpdgrp\rec\ownref    业务编号
		if (this.model.ownref == "") {
			return false
		}
		// \cpdgrp\cbs\max\cur    Currency 收款币种金额
		if (this.model.max_cur == "") {
			return false
		}
		// \cpdgrp\cbs\max\amt    Balance 收款币种金额
		if (this.model.max_amt == "" || this.model.max_amt == "0") {
			return false
		}

		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
			if (errors)
				return
			const rtnmsg = await Api.post(this.props.extra.inifrm + '/ped', { data: this.model })
			if (rtnmsg.retcod == SUCCESS) {
				//Notification.success({ message: '数据提交成功!' })
				this.props.history.push("/home");
				return true;
			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}
			//余下逻辑处理

		})
	}
	onChk = () => {
		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
			if (errors)
				return false;
			const rtnmsg = await Api.post(this.props.extra.inifrm + '/chk', { data: this.model })
			if (rtnmsg.retcod == SUCCESS) {
				// Notification.success({ message: '数据提交成功!' })
				return true;
			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}
			//余下逻辑处理

		})
	}

	async onRecal() {
		this.formBlur = true  //已触发表单提交处理
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/setmod_ast', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			this.model.fegmod_feslst = rtnmsg.data.fegmod_feslst;
			this.model.glgmod_glslst = rtnmsg.data.glgmod_glslst;
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}
		//余下逻辑处理
	}

	onSwftyp = () => {
		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
			if (errors)
				return
			const rtnmsg = await Api.post(this.props.extra.inifrm + '/swftyp', { data: this.model })
			if (rtnmsg.retcod == SUCCESS) {
				Notification.success({ message: '数据提交成功!' })

			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}
			//余下逻辑处理

		})
	}

	goNext = () => {
		this.formBlur = true  //已触发表单提交处理
		this.onRecal()
		Validator.validate(this.model, this.model.descriptor, (errors, values) => {
			if (!errors) {
				this.props.steps.go(1)
				return
			}
			for (let item of errors) {
				if (this.bindSet.has(item.field))
					return;
			}
			this.props.steps.go(1)
		})
	}
	// componentWillUnmount() {
	// 	this.model.closeValidate()//关闭校验
	// }

	//按钮事件
	onSel01 = () => {
		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
			if (errors)
				return
			const rtnmsg = await Api.post(this.props.extra.inifrm + '/sel', { data: this.model })
			if (rtnmsg.retcod == SUCCESS) {
				Notification.success({ message: '数据提交成功!' })

			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}
			//余下逻辑处理

		})
	}
	onSel02 = () => {
		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
			if (errors)
				return
			const rtnmsg = await Api.post(this.props.extra.inifrm + '/sel0', { data: this.model })
			if (rtnmsg.retcod == SUCCESS) {
				Notification.success({ message: '数据提交成功!' })

			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}
			//余下逻辑处理

		})
	}
	onSel03 = () => {
		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
			if (errors)
				return
			const rtnmsg = await Api.post(this.props.extra.inifrm + '/sel1', { data: this.model })
			if (rtnmsg.retcod == SUCCESS) {
				Notification.success({ message: '数据提交成功!' })

			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}
			//余下逻辑处理

		})
	}
	onSel04 = () => {
		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
			if (errors)
				return
			const rtnmsg = await Api.post(this.props.extra.inifrm + '/sel2', { data: this.model })
			if (rtnmsg.retcod == SUCCESS) {
				Notification.success({ message: '数据提交成功!' })

			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}
			//余下逻辑处理

		})
	}
	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		if (this.props.flag == true) {
			return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
				{/*第一行*/}

				<Row>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 业务编号 label框 */}
								<Label i18nId={"CPTP_LT000054"} />
							</Col>
							<Col span={10}>
								{/* 业务编号 输入框 // \cpdgrp\rec\ownref    业务编号 */}
								<InputItem InputProps={bind("ownref")} disabled={true} />
							</Col>
							<Col span={4} offset={1}>
								{/* 业务编号 查询按钮 */}
								<Button type="primary" onClick={this.onGetref}>
									<Label i18nId="CPTP_BT000091" />
								</Button>
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 业务归属机构 label框 */}
								<Label i18nId={"CPTP_LT000052"} />
							</Col>
							<Col span={14}>
								{/* // \cpdgrp\rec\branchinr    所属机构 业务归属机构 选择输入框 动态码表?? */}
								<SelectItem InputProps={bind("branchinr")} code={this.props.extra.bchlevelLst} />
							</Col>
						</Row>
					</Col>

				</Row>
				{/*第二行*/}
				<Row >
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 汇款方式 label框 */}
								<Label i18nId={"CPTP_LT000060"} />
							</Col>
							<Col span={14}>
								{/* // \cpdgrp\rec\paytyp    汇款方式  汇款方式 选择输入框 */}
								<SelectItem InputProps={bind("paytyp")} code={CodeTable.paytyp} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 客户经理 label框 */}
								<Label i18nId={"CPTP_LT000059"} />
							</Col>
							<Col span={14}>
								{/* // \cpdgrp\orc\pty\ownusr    客户经理 客户经理 输入框 */}
								<InputItem InputProps={bind("pty_ownusr")} />
							</Col>
						</Row>
					</Col>
				</Row>
				{/*第三行*/}
				<Row >
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 汇款类型 label框 */}
								<Label i18nId={"CPTP_LT000061"} />
							</Col>
							<Col span={14}>
								{/* // \cpdgrp\rec\cpdflg    汇款类型  汇款类型 选择输入框 */}
								<SelectItem InputProps={bind("cpdflg")} code={CodeTable.custyp} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 解付方式 label框 */}
								<Label i18nId={"CPTP_LT000064"} />
							</Col>
							<Col span={14}>
								{/* // \cpdgrp\rec\diptyp    解付方式  解付方式 选择输入框 */}
								<SelectItem InputProps={bind("diptyp")} code={CodeTable.diptyp} />
							</Col>
						</Row>
					</Col>
				</Row>
				{/*第四行*/}
				<Row >
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 报文类型 label框 */}
								<Label i18nId={"CPTP_LT000066"} />
							</Col>
							<Col span={14}>
								{/*  // \cpdgrp\rec\swftyp    报文类型  报文类型 选择输入框 */}
								<SelectItem InputProps={bind("swftyp")} code={CodeTable.swftyp} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 汇款人性质 label框 */}
								<Label i18nId={"CPTP_LT000087"} />
							</Col>
							<Col span={14}>
								{/* // \bopmod\dbagrp\bas\custype    收款人类型  汇款人性质 选择输入框 */}
								<SelectItem InputProps={bind("custyp")} code={CodeTable.ptytyp} desp="汇款人性质" path="/cpdgrp/rec/custyp" />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第五行 */}
				<Row>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 收款人国别 label框 */}
								<Label i18nId={"CPTP_LT000088"} />
							</Col>
							<Col span={14}>
								{/* // \cpdgrp\rec\stacty    交易对手国别 收款人国别 选择输入框 */}
								<SelectItem InputProps={bind("stacty")} code={this.props.extra.stactyLst} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 清算路径 label框 */}
								<Label i18nId={"CPTP_LT000065"} />
							</Col>
							<Col span={14}>
								{/* // \cpdgrp\rec\liqtyp    清算路径 清算路径 选择输入框 */}
								<SelectItem InputProps={bind("liqtyp")} code={CodeTable.liqtyp} />
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第六行 */}
				<Row>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 收款币种金额 label框 */}
								<Label i18nId={"CPTP_LT000062"} />
							</Col>
							<Col span={5}>
								{/* // \cpdgrp\cbs\max\cur    Currency 收款币种金额 币种类型 选择输入框 */}
								<SelectItem InputProps={bind("max_cur")} code={CodeTable.curtxt} />
							</Col>
							<Col span={8} offset={1}>
								{/* // \cpdgrp\cbs\max\amt    Balance 收款币种金额 币种数量 输入框 */}
								<InputItem InputProps={bind("max_amt")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 起息日 label框 */}
								<Label i18nId={"CPTP_LT000063"} />
							</Col>
							<Col span={14}>
								{/* // \cpdgrp\rec\valdat    起息日 起息日 选择输入框 */}
								<DatePickerItem InputProps={bind("valdat")} />
							</Col>
						</Row>
					</Col>
				</Row>
				{/*第七行*/}
				{/* 四个查询 用public中的组件 */}
				<Row>
					{/* 收款人 */}
					<Ptspta
						// ref={ref => {
						// 	this.orcp = ref
						// }}
						model={this.model}
						argArr={{
							desc: "收款人",
							prefix: 'pts',
							url: 'cptadv/pyep_ptysel',
							flg: 'C',
							datakey: '\\cptp\\pyep\\ptslst'
						}} />
					{/* 汇款人 pts1_extkey*/}
					<Ptspta
						//  ref={ref => {
						// 	this.orcp = ref
						// }}
						model={this.model}
						argArr={{
							desc: "汇款人",
							prefix: 'pts1',
							url: 'cptadv/orcp_ptysel',
							flg: 'C',
							datakey: '\\cptp\\orcp\\ptslst'
						}} />
				</Row>
				{/*第八行*/}
				<Row >
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 收款人账号 label框 */}
								<Label i18nId={"CPTP_LT000069"} />
							</Col>
							<Col span={14}>
								{/* // \cpdgrp\rec\pyeacc    收款人账号 收款人账号？ 输入框 */}
								<InputItem InputProps={bind("pyeacc")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className='row'>
							<Col span={5} offset={2}>
								{/* 汇款人账号 label框 */}
								<Label i18nId={"CPTP_LT000070"} />
							</Col>
							<Col span={14}>
								{/* // \cpdgrp\rec\orcacc    付款人账号 汇款人账号？ 输入框 */}
								<InputItem InputProps={bind("orcacc")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
					</Col>
				</Row>
				{/*第九行*/}
				<Row>
					{/* 我行账户行 pts2_extkey */}
					<Ptspta
						// ref={ref => {
						// 	this.orcp = ref
						// }}
						model={this.model}
						argArr={{
							desc: "我行账户行",
							prefix: 'pts2',
							url: 'cptadv/orip_ptysel',
							flg: 'B',
							datakey: '\\cptp\\orip\\ptslst'
						}} />
					{/* 汇款人账户行 pts3_extkey*/}
					<Ptspta
						//  ref={ref => {
						// 	this.orcp = ref
						// }}
						model={this.model}
						argArr={{
							desc: "汇款人账户行",
							prefix: 'pts3',
							url: 'cptadv/pybp_ptysel',
							flg: 'B',
							datakey: '\\cptp\\pybp\\ptslst'
						}} />
				</Row>
				<Row type="flex" justify="center">
					<Col>
						<div className='button2'>
							{/* 退出按钮 */}
							<ConfirmButton
								onOK={this.onRtn}
								title=""
								message="确定退出？"
							>
								<Label i18nId="MTABUT_BT000464" />
							</ConfirmButton>
						</div>
						<div className='button2'>
							{/* 暂存按钮 */}
							<ConfirmButton
								onOK={this.onPed}
								title=""
								message="确定暂存？"
							>
								<Label i18nId="MTABUT_BT000398" />
							</ConfirmButton>
						</div>
						<div className='button2'>
							{/* 检核按钮 */}
							<Button type="primary" onClick={this.onChk}>
								<Label i18nId="MTABUT_BT000180" />
							</Button>
						</div>
					</Col>
				</Row>
			</div >
		)
	}
}
