export default fieldSet = {
     amtf33b:[
            {type:'string',max:15,message:'长度不能超过15个字符'},  // \cpdgrp\rec\amtf33b    扣款金额 
    ],
    branchinr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cpdgrp\rec\branchinr    所属机构 
    ],
    cpdflg:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cpdgrp\rec\cpdflg    汇款类型 
			{ required: true, message: '必输项' },
    ],
    curf33b:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \cpdgrp\rec\curf33b    扣款币种 
    ],
    custyp:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \cpdgrp\rec\custyp    汇款人性质 
			{ required: true, message: '必输项' },
    ],
    f36:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \cpdgrp\rec\f36    汇率 
    ],
    liqtyp:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cpdgrp\rec\liqtyp    清算路径 
			{ required: true, message: '必输项' },
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \cpdgrp\rec\ownref    业务编号 
    ],
    paytyp:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \cpdgrp\rec\paytyp    汇款方式 
			{ required: true, message: '必输项' },
    ],
    swftyp:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cpdgrp\rec\swftyp    报文类型 
    ],
    valdat:[
            {/*type:'string',max:8,message:'长度不能超过8个字符'*/},  // \cpdgrp\rec\valdat    起息日 
    ],
    bopmod_acttyp:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \bopmod\acttyp    款项性�'� 
    ],
    bopmod_basflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\basflg    基础数据 
    ],
    bas_actiondesc:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbbgrp\bas\actiondesc    修改/删除原因 
    ],
    bas_actiontype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbbgrp\bas\actiontype    操作类型 
    ],
    bas_buscode:[
            {type:'string',max:22,message:'长度不能超过22个字符'},
            {required:true,message:'请输入银行业务编号'}  // \bopmod\dbbgrp\bas\buscode    银行业务编号 
    ],
    bas_custcod:[
            {type:'string',max:9,message:'长度不能超过9个字符'},  // \bopmod\dbbgrp\bas\custcod    组织机构 
            {validator(rule, value, callback, source, options) {
                if(source.bas_custype&&source.bas_custype=='C'&&!value){
                        callback('汇款人类型为对公用户时必填')
                }else{
                        callback();
                }
             }}
    ],
    bas_custnm:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbbgrp\bas\custnm    汇款人名称 
            {required:true,message:'请输入汇款人名称'}
    ],
    bas_custype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbbgrp\bas\custype    汇款人类型 
    ],
    bas_exrate:[
            {type:'string',max:13,message:'长度不能超过13个字符'},
            {pattern:/^0|(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*))$/,message:'请输入数字'},
            {validator(rule, value, callback, source, options) {
                if(source.bas_lcyamt&&!value){
                        callback('请输入购汇汇率')
                }else{
                        callback();
                }
             }}
              // \bopmod\dbbgrp\bas\exrate    结汇汇率 
    ],
    bas_fcyacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},
            {validator(rule, value, callback, source, options) {
                if(source.bas_fcyamt&&source.bas_fcyamt>0&&!value){
                        callback('请输入外汇账号/银行卡号')
                }else{
                        callback();
                }
             }}  // \bopmod\dbbgrp\bas\fcyacc    外汇帐号/银行卡号 
    ],
    bas_fcyamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},
            {pattern:/^(0|[1-9][0-9]*)$/,message:'请输入大于等于0的整数'},  // \bopmod\dbbgrp\bas\fcyamt    现汇金额 
    ],
    bas_idcode:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbbgrp\bas\idcode    个人身份证件号码 
            {validator(rule, value, callback, source, options) {
                if(source.bas_custype&&source.bas_custype!='C'&&!value){
                        callback('汇款人类型为对公用户时必填')
                }else{
                        callback();
                }
             }}
    ],
    bas_lcyacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'}, 
            {validator(rule, value, callback, source, options) {
                if(source.bas_lcyamt&&source.bas_lcyam>0&&!value){
                        callback('请输入人民币账号/银行卡号')
                }else{
                        callback();
                }
             }}  // \bopmod\dbbgrp\bas\lcyacc    人民币帐号/银行卡号 
    ],
    bas_lcyamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'}, 
            {pattern:/^(0|[1-9][0-9]*)$/,message:'请输入大于等于0的整数'},  // \bopmod\dbbgrp\bas\lcyamt    结汇金额 
    ],
    bas_method:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbbgrp\bas\method    结算方式 
    ],
    bas_oppuser:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbbgrp\bas\oppuser    收款人名称 
            {required:true,message:'请输入收款人名称'},
            {pattern:/^\(JW\)|\(JN\)/,message:'必须以(JW)或(JN)开头'}
    ],
    bas_othacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},
            {validator(rule, value, callback, source, options) {
                if(source.bas_othamt&&source.bas_othamt>0&&!value){
                        callback('请输入其他账号/银行卡号')
                }else{
                        callback();
                }
             }}  // \bopmod\dbbgrp\bas\othacc    其它帐号/银行卡号 
    ],// {pattern:/^[1-9]\d*$/,message:'请输入大于0的整数'}, 
    bas_othamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},
            {pattern:/^(0|[1-9][0-9]*)$/,message:'请输入大于等于0的整数'}, 
             // \bopmod\dbbgrp\bas\othamt    其它金额 
    ],
    bas_ownextkey:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbbgrp\bas\ownextkey    initial entity code 
    ],
    bas_rptno:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbbgrp\bas\rptno    申报号码 
    ],
    bas_txamt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},
            {pattern:/^(0|[1-9][0-9]*)$/,message:'请输入大于等于0的整数'},  // \bopmod\dbbgrp\bas\txamt    汇款金额 
    ],
    bas_txccy:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbbgrp\bas\txccy    汇款币种 
    ],
    dcl_actiondesc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbbgrp\dcl\actiondesc    修改/删除原因 
    ],
    dcl_actiontype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbbgrp\dcl\actiontype    操作类型 
    ],
    dcl_country:[
            {type:'string',max:3,message:'长度不能超过3个字符'}, 
            {required:true,message:'请选择收款人常驻国家/地区编码'} // \bopmod\dbbgrp\dcl\country    收款人常驻国家/地区编码 
    ],
    dcl_crtuser:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  
            {required:true,message:'请输入申请人'}// \bopmod\dbbgrp\dcl\crtuser    申请人 
    ],
    dcl_inptelc:[
            {type:'string',max:20,message:'长度不能超过20个字符'}, 
            {required:true,message:'请输入申请人电话'} // \bopmod\dbbgrp\dcl\inptelc    申请人电话 
    ],
    dcl_isref:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbbgrp\dcl\isref    是否进口核销项下收汇 
    ],
    dcl_paytype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbbgrp\dcl\paytype    付款类型 
    ],
    dcl_regno:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbbgrp\dcl\regno    外汇局批件/备案表号 
    ],
    dcl_rptdate:[
        //     {type:'string',max:12,message:'长度不能超过12个字符'}, 
            {required:true,message:'请选择申报日期'} // \bopmod\dbbgrp\dcl\rptdate    申报日期 
    ],
    dcl_rptno:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbbgrp\dcl\rptno    申报号码 
    ],
    dcl_tc1amt:[
            {type:'string',max:22,message:'长度不能超过22个字符'}, 
            {required:true,message:'请输入相应金额'} // \bopmod\dbbgrp\dcl\tc1amt    相应金额1 
    ],
    dcl_tc2amt:[
            {type:'string',max:22,message:'长度不能超过22个字符'},
            {validator(rule, value, callback, source, options) {
                if(source.dcl_txcode2&&!value){
                        callback('请输入相应金额')
                }else{
                        callback();
                }
             }} 
             // \bopmod\dbbgrp\dcl\tc2amt    相应金额2 
    ],
    dcl_tx2rem:[
            {type:'string',max:256,message:'长度不能超过256个字符'}, 
            {validator(rule, value, callback, source, options) {
                if(source.dcl_txcode2&&!value){
                        callback('请输入交易附言')
                }else{
                        callback();
                }
             }}  // \bopmod\dbbgrp\dcl\tx2rem    交易附言2 
    ],
    dcl_txcode:[
            {type:'string',max:6,message:'长度不能超过6个字符'}, 
            {required:true,message:'请输入交易编码'} // \bopmod\dbbgrp\dcl\txcode    交易编码1 
    ],
    dcl_txcode2:[
            {type:'string',max:6,message:'长度不能超过6个字符'}, 
            {validator(rule, value, callback, source, options) {
                if(source.dcl_txcode&&source.dcl_txcode==value){
                        callback('不能与交易编码1相同')
                }else{
                        callback();
                }
             }}  // \bopmod\dbbgrp\dcl\txcode2    交易编码2 
    ],
    dcl_txrem:[
            {type:'string',max:256,message:'长度不能超过256个字符'}, 
            {required:true,message:'请输入交易附言'} // \bopmod\dbbgrp\dcl\txrem    交易附言1 
    ],
    vrf_actiondesc:[
            {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbbgrp\vrf\actiondesc    修改/删除原因 
    ],
    vrf_actiontype:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbbgrp\vrf\actiontype    操作类型 
    ],
    vrf_contrno:[
            {type:'string',max:20,message:'长度不能超过20个字符'},
            {required:true,message:'请输入合同号'}  // \bopmod\dbbgrp\vrf\contrno    合同号 
    ],
    vrf_crtuser:[
            {type:'string',max:20,message:'长度不能超过20个字符'}, 
            {required:true,message:'请输入填报人'} // \bopmod\dbbgrp\vrf\crtuser    填报人 
    ],
    vrf_inptelc:[
            {type:'string',max:20,message:'长度不能超过20个字符'}, 
            {required:true,message:'请输入填报人电话'} // \bopmod\dbbgrp\vrf\inptelc    填报人电话 
    ],
    vrf_invoino:[
            {type:'string',max:35,message:'长度不能超过35个字符'},
            {required:true,message:'请输入发票号'}  // \bopmod\dbbgrp\vrf\invoino    发票号 
    ],
    vrf_rptdate:[
        //     {type:'string',max:12,message:'长度不能超过12个字符'}, 
            {required:true,message:'请选择申报日期'}// \bopmod\dbbgrp\vrf\rptdate    申报日期 
    ],
    vrf_rptno:[
            {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbbgrp\vrf\rptno    申报号码 
    ],
    baspp_cornam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbbp\baspp\cornam     
    ],
    baspp_corpnam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbbp\baspp\corpnam     
    ],
    baspp_cusnam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbbp\baspp\cusnam     
    ],
    baspp_exratelab:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbbp\baspp\exratelab    售汇/结汇汇率 
    ],
    _baspp_getref:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \bopmod\dbbp\baspp\getref    getref 
    ],
    baspp_lcyamtlab:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbbp\baspp\lcyamtlab    售汇/结汇金额 
    ],
    _codsel1_selbut:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbbp\dclpp\codsel1\selbut    ? 
    ],
    _codsel1_selbut1:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbbp\dclpp\codsel1\selbut1    ? 
    ],
    _codsel2_selbut:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbbp\dclpp\codsel2\selbut    ? 
    ],
    dclpp_country1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbbp\dclpp\country1    收/付款人常驻国家/地区编码 
    ],
    dclpp_crtuser1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbbp\dclpp\crtuser1    申报填报人 
    ],
    dclpp_inptelc1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbbp\dclpp\inptelc1    申报填报人电话 
    ],
    dclpp_isref1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbbp\dclpp\isref1    是否出口核销项下收汇 
    ],
    dclpp_paytype1:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bopmod\dbbp\dclpp\paytype1    收款性质 
    ],
//     bas1_actiondesc:[
//             {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbegrp\bas\actiondesc    修改/删除原因 
//     ],
//     bas1_actiontype:[
//             {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbegrp\bas\actiontype    操作类型 
//     ],
//     bas1_buscode:[
//             {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbegrp\bas\buscode    银行业务编号 
//     ],
//     bas1_custcod:[
//             {type:'string',max:9,message:'长度不能超过9个字符'},  // \bopmod\dbegrp\bas\custcod    组织机构 
//     ],
//     bas1_custnm:[
//             {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbegrp\bas\custnm    汇款人名称 
//     ],
//     bas1_custype:[
//             {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbegrp\bas\custype    汇款人类型 
//     ],
//     bas1_exrate:[
//             {type:'string',max:13,message:'长度不能超过13个字符'},  // \bopmod\dbegrp\bas\exrate    购汇汇率 
//     ],
//     bas1_fcyacc:[
//             {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbegrp\bas\fcyacc    外汇帐号/银行卡号 
//     ],
//     bas1_fcyamt:[
//             {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbegrp\bas\fcyamt    现汇金额 
//     ],
//     bas1_idcode:[
//             {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbegrp\bas\idcode    个人身份证件号码 
//     ],
//     bas1_lcyacc:[
//             {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbegrp\bas\lcyacc    人民币帐号/银行卡号 
//     ],
//     bas1_lcyamt:[
//             {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbegrp\bas\lcyamt    购汇金额 
//     ],
//     bas1_method:[
//             {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbegrp\bas\method    结算方式 
//     ],
//     bas1_oppacc:[
//             {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbegrp\bas\oppacc    收款人帐号 
//     ],
//     bas1_oppuser:[
//             {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbegrp\bas\oppuser    收款人名称 
//     ],
//     bas1_othacc:[
//             {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbegrp\bas\othacc    其它帐号/银行卡号 
//     ],
//     bas1_othamt:[
//             {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbegrp\bas\othamt    其它金额 
//     ],
//     bas1_ownextkey:[
//             {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbegrp\bas\ownextkey    initial entity code 
//     ],
//     bas1_rptno:[
//             {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbegrp\bas\rptno    申报号码 
//     ],
//     bas1_txamt:[
//             {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbegrp\bas\txamt    汇款金额 
//     ],
//     bas1_txccy:[
//             {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbegrp\bas\txccy    汇款币种 
//     ],
//     vrf1_actiondesc:[
//             {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbegrp\vrf\actiondesc    修改/删除原因 
//     ],
//     vrf1_actiontype:[
//             {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbegrp\vrf\actiontype    操作类型 
//     ],
//     vrf1_contrno:[
//             {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbegrp\vrf\contrno    合同号 
//     ],
//     vrf1_country:[
//             {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbegrp\vrf\country    收款人常驻国家/地区编码 
//     ],
//     vrf1_crtuser:[
//             {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbegrp\vrf\crtuser    填报人 
//     ],
//     vrf1_inptelc:[
//             {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbegrp\vrf\inptelc    填报人电话 
//     ],
//     vrf1_invoino:[
//             {type:'string',max:35,message:'长度不能超过140个字符'},  // \bopmod\dbegrp\vrf\invoino    发票号 
//     ],
//     vrf1_isref:[
//             {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbegrp\vrf\isref    是否进口核销项下付款 
//     ],
    vrf1_payattr:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbegrp\vrf\payattr    付汇性' 
    ],
//     vrf1_paytype:[
//             {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbegrp\vrf\paytype    付款类型 
//     ],
//     vrf1_regno:[
//             {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbegrp\vrf\regno    外汇局批件/备案表号 
//     ],
//     vrf1_rptdate:[
//             {type:'string',max:12,message:'长度不能超过12个字符'},  // \bopmod\dbegrp\vrf\rptdate    申报日期 
//     ],
//     vrf1_rptno:[
//             {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbegrp\vrf\rptno    申报号码 
//     ],
//     vrf1_tc1amt:[
//             {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbegrp\vrf\tc1amt    相应金额1 
//     ],
//     vrf1_tc2amt:[
//             {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbegrp\vrf\tc2amt    相应金额2 
//     ],
//     vrf1_txcode:[
//             {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbegrp\vrf\txcode    交易编码1 
//     ],
//     vrf1_txcode2:[
//             {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbegrp\vrf\txcode2    交易编码2 
//     ],
bas1_actiondesc:[
        {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbbgrp\bas\actiondesc    修改/删除原因 
],
bas1_actiontype:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbbgrp\bas\actiontype    操作类型 
],
bas1_buscode:[
        {type:'string',max:22,message:'长度不能超过22个字符'},
        {required:true,message:'请输入银行业务编号'}  // \bopmod\dbbgrp\bas\buscode    银行业务编号 
],
bas1_custcod:[
        {type:'string',max:9,message:'长度不能超过9个字符'},  // \bopmod\dbbgrp\bas\custcod    组织机构 
        {validator(rule, value, callback, source, options) {
            if(source.bas1_custype&&source.bas1_custype=='C'&&!value){
                    callback('汇款人类型为对公用户时必填')
            }else{
                    callback();
            }
         }}
],
bas1_custnm:[
        {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbbgrp\bas\custnm    汇款人名称 
        {required:true,message:'请输入汇款人名称'}
],
bas1_custype:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbbgrp\bas\custype    汇款人类型 
],
bas1_exrate:[
        {type:'string',max:13,message:'长度不能超过13个字符'},
        {pattern:/^0|(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*))$/,message:'请输入数字'},
        {validator(rule, value, callback, source, options) {
            if(source.bas1_lcyamt&&!value){
                    callback('请输入购汇汇率')
            }else{
                    callback();
            }
         }}
          // \bopmod\dbbgrp\bas\exrate    结汇汇率 
],
bas1_fcyacc:[
        {type:'string',max:32,message:'长度不能超过32个字符'},
        {validator(rule, value, callback, source, options) {
            if(source.bas1_fcyamt&&source.bas1_fcyamt>0&&!value){
                    callback('请输入外汇账号/银行卡号')
            }else{
                    callback();
            }
         }}  // \bopmod\dbbgrp\bas\fcyacc    外汇帐号/银行卡号 
],
bas1_fcyamt:[
        {type:'string',max:22,message:'长度不能超过22个字符'},
        {pattern:/^(0|[1-9][0-9]*)$/,message:'请输入大于等于0的整数'},  // \bopmod\dbbgrp\bas\fcyamt    现汇金额 
],
bas1_idcode:[
        {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbbgrp\bas\idcode    个人身份证件号码 
        {validator(rule, value, callback, source, options) {
            if(source.bas1_custype&&source.bas1_custype!='C'&&!value){
                    callback('汇款人类型为对公用户时必填')
            }else{
                    callback();
            }
         }}
],
bas1_lcyacc:[
        {type:'string',max:32,message:'长度不能超过32个字符'}, 
        {validator(rule, value, callback, source, options) {
            if(source.bas1_lcyamt&&source.bas1_lcyamt>0&&!value){
                    callback('请输入人民币账号/银行卡号')
            }else{
                    callback();
            }
         }}  // \bopmod\dbbgrp\bas\lcyacc    人民币帐号/银行卡号 
],
bas1_lcyamt:[
        {type:'string',max:22,message:'长度不能超过22个字符'}, 
        {pattern:/^(0|[1-9][0-9]*)$/,message:'请输入大于等于0的整数'},  // \bopmod\dbbgrp\bas\lcyamt    结汇金额 
],
bas1_method:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbbgrp\bas\method    结算方式 
],
bas1_oppuser:[
        {type:'string',max:128,message:'长度不能超过128个字符'},  // \bopmod\dbbgrp\bas\oppuser    收款人名称 
        {required:true,message:'请输入收款人名称'},
        {pattern:/^(JW)|(JN)/,message:'必须以JW或JN开头'}
],
bas1_othacc:[
        {type:'string',max:32,message:'长度不能超过32个字符'},
        {validator(rule, value, callback, source, options) {
            if(source.bas1_othamt&&source.bas1_othamt>0&&!value){
                    callback('请输入其他账号/银行卡号')
            }else{
                    callback();
            }
         }}  // \bopmod\dbbgrp\bas\othacc    其它帐号/银行卡号 
],
bas1_othamt:[
        {type:'string',max:22,message:'长度不能超过22个字符'},
        {pattern:/^(0|[1-9][0-9]*)$/,message:'请输入大于等于0的整数'}, 
         // \bopmod\dbbgrp\bas\othamt    其它金额 
],
bas1_ownextkey:[
        {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbbgrp\bas\ownextkey    initial entity code 
],
bas1_rptno:[
        {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbbgrp\bas\rptno    申报号码 
],
bas1_txamt:[
        {type:'string',max:22,message:'长度不能超过22个字符'},
        {pattern:/^(0|[1-9][0-9]*)$/,message:'请输入大于等于0的整数'},  // \bopmod\dbbgrp\bas\txamt    汇款金额 
],
bas1_txccy:[
        {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbbgrp\bas\txccy    汇款币种 
],
vrf1_actiondesc:[
        {type:'string',max:32,message:'长度不能超过32个字符'},  // \bopmod\dbbgrp\dcl\actiondesc    修改/删除原因 
],
vrf1_actiontype:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbbgrp\dcl\actiontype    操作类型 
],
vrf1_country:[
        {type:'string',max:3,message:'长度不能超过3个字符'}, 
        {required:true,message:'请选择收款人常驻国家/地区编码'} // \bopmod\dbbgrp\dcl\country    收款人常驻国家/地区编码 
],
vrf1_crtuser:[
        {type:'string',max:20,message:'长度不能超过20个字符'},  
        {required:true,message:'请输入申请人'}// \bopmod\dbbgrp\dcl\crtuser    申请人 
],
vrf1_inptelc:[
        {type:'string',max:20,message:'长度不能超过20个字符'}, 
        {required:true,message:'请输入申请人电话'} // \bopmod\dbbgrp\dcl\inptelc    申请人电话 
],
vrf1_isref:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbbgrp\dcl\isref    是否进口核销项下收汇 
],
vrf1_paytype:[
        {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dbbgrp\dcl\paytype    付款类型 
],
vrf1_regno:[
        {type:'string',max:20,message:'长度不能超过20个字符'},  // \bopmod\dbbgrp\dcl\regno    外汇局批件/备案表号 
],
vrf1_rptdate:[
        // {type:'string',max:12,message:'长度不能超过12个字符'}, 
        {required:true,message:'请选择申报日期'} // \bopmod\dbbgrp\dcl\rptdate    申报日期 
],
vrf1_rptno:[
        {type:'string',max:22,message:'长度不能超过22个字符'},  // \bopmod\dbbgrp\dcl\rptno    申报号码 
],
vrf1_tc1amt:[
        {type:'string',max:22,message:'长度不能超过22个字符'}, 
        {required:true,message:'请输入相应金额'} // \bopmod\dbbgrp\dcl\tc1amt    相应金额1 
],
vrf1_tc2amt:[
        {type:'string',max:22,message:'长度不能超过22个字符'},
        {validator(rule, value, callback, source, options) {
            if(source.vrf1_txcode2&&!value){
                    callback('请输入相应金额')
            }else{
                    callback();
            }
         }} 
         // \bopmod\dbbgrp\dcl\tc2amt    相应金额2 
],
vrf1_tx2rem:[
        {type:'string',max:256,message:'长度不能超过256个字符'}, 
        {validator(rule, value, callback, source, options) {
            if(source.vrf1_txcode2&&!value){
                    callback('请输入交易附言')
            }else{
                    callback();
            }
         }}  // \bopmod\dbbgrp\dcl\tx2rem    交易附言2 
],
vrf1_txcode:[
        {type:'string',max:6,message:'长度不能超过6个字符'}, 
        {required:true,message:'请输入交易编码'} // \bopmod\dbbgrp\dcl\txcode    交易编码1 
],
vrf1_txcode2:[
        {type:'string',max:6,message:'长度不能超过6个字符'}, 
        {validator(rule, value, callback, source, options) {
            if(source.vrf1_txcode&&source.vrf1_txcode==value){
                    callback('不能与交易编码1相同')
            }else{
                    callback();
            }
         }}  // \bopmod\dbbgrp\dcl\txcode2    交易编码2 
],
vrf1_txrem:[
        {type:'string',max:256,message:'长度不能超过256个字符'}, 
        {required:true,message:'请输入交易附言'} // \bopmod\dbbgrp\dcl\txrem    交易附言1 
],
    baspp1_cornam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbep\baspp\cornam     
    ],
    baspp1_corpnam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbep\baspp\corpnam     
    ],
    baspp1_cusnam:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bopmod\dbep\baspp\cusnam     
    ],
    baspp1_exratelab:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbep\baspp\exratelab    售汇/结汇汇率 
    ],
    _baspp1_getref:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \bopmod\dbep\baspp\getref    getref 
    ],
    baspp1_lcyamtlab:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bopmod\dbep\baspp\lcyamtlab    售汇/结汇金额 
    ],
    _codsel11_selbut:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbep\codsel1\selbut    ? 
    ],
    _codsel11_selbut1:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbep\codsel1\selbut1    ? 
    ],
    _codsel21_selbut:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bopmod\dbep\codsel2\selbut    ? 
    ],
    bopmod_dclflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\dclflg    申报数据 
    ],
    bopmod_szflg:[
            //{type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\szflg    申报类型 
    ],
    bopmod_vrfflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bopmod\vrfflg    核销数据 
    ],
    max_amt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \cpdgrp\cbs\max\amt    Balance 
			{ required: true, message: '必输项' },
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \cpdgrp\cbs\max\cur    Currency 
			{ required: true, message: '必输项' },
    ],
    pts_adrblk:[
            {/*type:'string',max:35,message:'长度不能超过140个字符'*/},  // \cpdgrp\orc\pts\adrblk    SWIFT地址 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \cpdgrp\orc\pts\extkey    客户编号 
			{ required: true, message: '必输项' },
    ],
    pty_ownusr:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \cpdgrp\orc\pty\ownusr    客户经理 
    ],
    _orcp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\orcp\ptysel    客户查询 
    ],
    _orcp_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \cptp\orcp\sel    查询 
    ],
    mtabut_basflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \mtabut\basflg    基础信息 
    ],
    _chk:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \mtabut\chk    Check 
    ],
    mtabut_dclflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \mtabut\dclflg    申报信息 
    ],
    _getref:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \mtabut\getref    Get Ref. 
    ],
    mtabut_paydat:[
            {},  // \mtabut\paydat    收付汇日期 
    ],
    _ped:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \mtabut\ped    暂存 
    ],
    _rtn:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \mtabut\rtn    退出 
    ],
    _sav:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \mtabut\sav    Save 
    ],
    mtabut_vrfflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \mtabut\vrfflg    管理信息 
    ],
    _setmod_ast:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\ast    加载账务 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    _glemod_rebook:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\glemod\rebook    分录加载 
    ],
    msgmod_acctyp:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \setmod\msgmod\acctyp    汇款人账户性质 
    ],
    pts1_adrblk:[
           {/*type:'string',max:35,message:'长度不能超过140个字符'*/},  // \setmod\msgmod\acs\pts\adrblk    SWIFT地址 
    ],
    pts1_extact:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \setmod\msgmod\acs\pts\extact    结算账号 
    ],
    pts1_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\acs\pts\extkey    客户编号 
    ],
    _acsp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\acsp\ptysel    客户查询 
    ],
    _acsp_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\acsp\sel    查询 
    ],
    msgmod_amtf33b:[
            {type:'string',max:15,message:'长度不能超过15个字符'},  // \setmod\msgmod\amtf33b    扣款金额 
    ],
    msgmod_buscod:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \setmod\msgmod\buscod    大额支付类型 
    ],
    msgmod_busflg:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \setmod\msgmod\busflg    业务种类 
    ],
    msgmod_bustyp:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \setmod\msgmod\bustyp    业务种类 
    ],
    msgmod_chato:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\msgmod\chato    费用承担方 
    ],
    msgmod_commet:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\commet    附言 
    ],
    msgmod_contag70:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\contag70    Content of TAG 70 
    ],
    msgmod_contag72:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\contag72    Content of TAG 72 
    ],
    msgmod_curf33b:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\msgmod\curf33b    扣款币种 
    ],
    pts2_adrblk:[
           {/*type:'string',max:35,message:'长度不能超过140个字符'*/},   // \setmod\msgmod\med\pts\adrblk    SWIFT地址 
    ],
    pts2_extact:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \setmod\msgmod\med\pts\extact    结算账号 
    ],
    pts2_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\med\pts\extkey    客户编号 
    ],
    _medp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\medp\ptysel    客户查询 
    ],
    _medp_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\medp\sel    查询 
    ],
    pts3_adrblk:[
           {/*type:'string',max:35,message:'长度不能超过140个字符'*/},   // \setmod\msgmod\ori\pts\adrblk    SWIFT地址 
    ],
    pts3_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\ori\pts\extkey    客户编号 
    ],
    _orip_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\orip\ptysel    客户查询 
    ],
    _orip_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\orip\sel    查询 
    ],
    pts4_adrblk:[
            {/*type:'string',max:35,message:'长度不能超过140个字符'*/},   // \setmod\msgmod\pyb\pts\adrblk    SWIFT地址 
    ],
    pts4_extact:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \setmod\msgmod\pyb\pts\extact    结算账号 
    ],
    pts4_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\pyb\pts\extkey    客户编号 
    ],
    pts4_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\pyb\pts\namcn    客户中文名称 
    ],
    pts4_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\pyb\pts\ref    参考号 
    ],
    _pybp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\pybp\ptysel    客户查询 
    ],
    _pybp_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\pybp\sel    查询 
    ],
    pts5_adrblk:[
            {/*type:'string',max:35,message:'长度不能超过140个字符'*/},   // \setmod\msgmod\pye\pts\adrblk    SWIFT地址 
    ],
    pts5_adrcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\pye\pts\adrcn    中文地址 
    ],
    pts5_extact:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \setmod\msgmod\pye\pts\extact    结算账号 
    ],
    pts5_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\pye\pts\extkey    客户编号 
    ],
    pts5_namcn:[
            {type:'string',max:60,message:'长度不能超过60个字符'},  // \setmod\msgmod\pye\pts\namcn    客户中文名称 
    ],
    _pyep_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\pyep\ptysel    客户查询 
    ],
    _pyep_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\pyep\sel    查询 
    ],
    msgmod_rcvfee:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\msgmod\rcvfee    收报行收费 
    ],
    pts6_adrblk:[
            {/*type:'string',max:35,message:'长度不能超过140个字符'*/},   // \setmod\msgmod\rmt\pts\adrblk    SWIFT地址 
    ],
    pts6_extact:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \setmod\msgmod\rmt\pts\extact    结算账号 
    ],
    pts6_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\rmt\pts\extkey    客户编号 
    ],
    _rmtp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\rmtp\ptysel    客户查询 
    ],
    _rmtp_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\rmtp\sel    查询 
    ],
    pts7_adrblk:[
           {/*type:'string',max:35,message:'长度不能超过140个字符'*/},   // \setmod\msgmod\snd\pts\adrblk    SWIFT地址 
    ],
    pts7_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \setmod\msgmod\snd\pts\extkey    客户编号 
    ],
    msgmod_sndfee:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\msgmod\sndfee    发报行收费 
    ],
    _sndp_ptysel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\sndp\ptysel    客户查询 
    ],
    _sndp_sel:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\msgmod\sndp\sel    查询 
    ],
    msgmod_tag20272:[
            {type:'string',max:35,message:'长度不能超过140个字符'},  // \setmod\msgmod\tag20272    202报文附言 
    ],
    msgmod_valdat:[
            {/*type:'string',max:8,message:'长度不能超过8个字符'*/},  // \setmod\msgmod\valdat    起息日 
    ],
    _setmod_recal:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \setmod\recal    重算账务 
    ],
    _trndoc_butshw:[
            {type:'string',max:10,message:'长度不能超过10个字符'},  // \trnmod\trndoc\butshw    show doc. 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
    _trndoc_reldoc:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \trnmod\trndoc\reldoc    面函加载 
    ],
	orcacc:[
            {type:'string',max:32,message:'长度不能超过32个字符'},  // \cpdgrp\rec\orcacc    付款人账号 
			{ required: true, message: '必输项' },
    ],
    msgmod_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    msgmod_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
}