import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Cptopn {
    
    @observable
    pts7_extkey=""           // \setmod\msgmod\snd\pts\extkey    客户编号 

    @observable
    pts7_adrblk=""           // \setmod\msgmod\snd\pts\adrblk    SWIFT地址 

    @observable
    pts3_extkey=""           // \setmod\msgmod\ori\pts\extkey    客户编号 

    @observable
    pts3_adrblk=""           // \setmod\msgmod\ori\pts\adrblk    SWIFT地址 

    @observable
    pts1_extkey=""           // \setmod\msgmod\acs\pts\extkey    客户编号 

    @observable
    pts1_adrblk=""           // \setmod\msgmod\acs\pts\adrblk    SWIFT地址 

    @observable
    pts1_extact=""           // \setmod\msgmod\acs\pts\extact    结算账号 

    @observable
    msgmod_chato=""           // \setmod\msgmod\chato    费用承担方 

    @observable
    msgmod_amtf33b=""           // \setmod\msgmod\amtf33b    扣款金额 

    @observable
    msgmod_curf33b=""           // \setmod\msgmod\curf33b    扣款币种 

    @observable
    pts6_extkey=""           // \setmod\msgmod\rmt\pts\extkey    客户编号 

    @observable
    pts6_adrblk=""           // \setmod\msgmod\rmt\pts\adrblk    SWIFT地址 

    @observable
    pts6_extact=""           // \setmod\msgmod\rmt\pts\extact    结算账号 

    @observable
    pts4_extkey=""           // \setmod\msgmod\pyb\pts\extkey    客户编号 

    @observable
    pts4_adrblk=""           // \setmod\msgmod\pyb\pts\adrblk    SWIFT地址 

    @observable
    pts4_extact=""           // \setmod\msgmod\pyb\pts\extact    结算账号 

    @observable
    pts5_extkey=""           // \setmod\msgmod\pye\pts\extkey    客户编号 

    @observable
    pts5_adrblk=""           // \setmod\msgmod\pye\pts\adrblk    SWIFT地址 

    @observable
    pts5_extact=""           // \setmod\msgmod\pye\pts\extact    结算账号 

    @observable
    msgmod_tag20272=""           // \setmod\msgmod\tag20272    202报文附言 

    @observable
    msgmod_contag70=""           // \setmod\msgmod\contag70    Content of TAG 70 

    @observable
    msgmod_contag72=""           // \setmod\msgmod\contag72    Content of TAG 72 

    @observable
    msgmod_valdat=""           // \setmod\msgmod\valdat    起息日 

    @observable
    msgmod_doccod=""           // \setmod\msgmod\doccod    报文类型 

    @observable
    msgmod_docpth=""           // \setmod\msgmod\docpth    报文路径 

    @observable
    pts2_extkey=""           // \setmod\msgmod\med\pts\extkey    客户编号 

    @observable
    pts2_adrblk=""           // \setmod\msgmod\med\pts\adrblk    SWIFT地址 

    @observable
    pts2_extact=""           // \setmod\msgmod\med\pts\extact    结算账号 

    @observable
    msgmod_buscod=""           // \setmod\msgmod\buscod    大额支付类型 

    @observable
    msgmod_bustyp=""           // \setmod\msgmod\bustyp    业务种类 

    @observable
    pts5_namcn=""           // \setmod\msgmod\pye\pts\namcn    客户中文名称 

    @observable
    pts5_adrcn=""           // \setmod\msgmod\pye\pts\adrcn    中文地址 

    @observable
    pts4_ref=""           // \setmod\msgmod\pyb\pts\ref    参考号 

    @observable
    pts4_namcn=""           // \setmod\msgmod\pyb\pts\namcn    客户中文名称 

    @observable
    msgmod_commet=""           // \setmod\msgmod\commet    附言 

    @observable
    msgmod_sndfee=""           // \setmod\msgmod\sndfee    发报行收费 

    @observable
    msgmod_rcvfee=""           // \setmod\msgmod\rcvfee    收报行收费 

    @observable
    msgmod_busflg=""           // \setmod\msgmod\busflg    业务种类 

    @observable
    msgmod_acctyp=""           // \setmod\msgmod\acctyp    汇款人账户性质 

    @observable
    bopmod_szflg=""           // \bopmod\szflg    申报类型 

    @observable
    bopmod_acttyp=""           // \bopmod\acttyp    款项性质 

    @observable
    bopmod_basflg=""           // \bopmod\basflg    基础数据 

    @observable
    bopmod_dclflg=""           // \bopmod\dclflg    申报数据 

    @observable
    bopmod_vrfflg=""           // \bopmod\vrfflg    核销数据 

    @observable
    rmbmod_rmbflg=""           // \rmbmod\rmbflg    是否报送跨境人民币信息 

    @observable
    jspmod_jshtyp=""           // \jspmod\jshtyp    结售汇报送类型 

    @observable
    bas_txamt=""           // \bopmod\dbbmod\dbbgrp\bas\txamt    汇款金额 

    @observable
    bas_rptno=""           // \bopmod\dbbmod\dbbgrp\bas\rptno    申报号码 

    @observable
    bas_actiondesc=""           // \bopmod\dbbmod\dbbgrp\bas\actiondesc    修改/删除原因 

    @observable
    bas_ownextkey=""           // \bopmod\dbbmod\dbbgrp\bas\ownextkey    initial entity code 

    @observable
    bas_buscode=""           // \bopmod\dbbmod\dbbgrp\bas\buscode    银行业务编号 

    @observable
    bas_method=""           // \bopmod\dbbmod\dbbgrp\bas\method    结算方式 

    @observable
    bas_custype=""           // \bopmod\dbbmod\dbbgrp\bas\custype    汇款人类型 

    @observable
    bas_custcod=""           // \bopmod\dbbmod\dbbgrp\bas\custcod    组织机构 

    @observable
    bas_custnm=""           // \bopmod\dbbmod\dbbgrp\bas\custnm    汇款人名称 

    @observable
    bas_oppuser=""           // \bopmod\dbbmod\dbbgrp\bas\oppuser    收款人名称 

    @observable
    bas_idcode=""           // \bopmod\dbbmod\dbbgrp\bas\idcode    个人身份证件号码 

    @observable
    bas_exrate=""           // \bopmod\dbbmod\dbbgrp\bas\exrate    结汇汇率 

    @observable
    bas_lcyacc=""           // \bopmod\dbbmod\dbbgrp\bas\lcyacc    人民币帐号/银行卡号 

    @observable
    bas_fcyacc=""           // \bopmod\dbbmod\dbbgrp\bas\fcyacc    外汇帐号/银行卡号 

    @observable
    bas_othacc=""           // \bopmod\dbbmod\dbbgrp\bas\othacc    其它帐号/银行卡号 

    @observable
    bas_fcyamt=""           // \bopmod\dbbmod\dbbgrp\bas\fcyamt    现汇金额 

    @observable
    bas_lcyamt=""           // \bopmod\dbbmod\dbbgrp\bas\lcyamt    结汇金额 

    @observable
    bas_othamt=""           // \bopmod\dbbmod\dbbgrp\bas\othamt    其它金额 

    @observable
    bas_actiontype=""           // \bopmod\dbbmod\dbbgrp\bas\actiontype    操作类型 

    @observable
    baspp_cusnam=""           // \bopmod\dbbmod\dbbp\baspp\cusnam     

    @observable
    baspp_cornam=""           // \bopmod\dbbmod\dbbp\baspp\cornam     

    @observable
    baspp_corpnam=""           // \bopmod\dbbmod\dbbp\baspp\corpnam     

    @observable
    baspp_exratelab=""           // \bopmod\dbbmod\dbbp\baspp\exratelab    售汇/结汇汇率 

    @observable
    baspp_lcyamtlab=""           // \bopmod\dbbmod\dbbp\baspp\lcyamtlab    售汇/结汇金额 

    @observable
    bas_txccy=""           // \bopmod\dbbmod\dbbgrp\bas\txccy    汇款币种 

    @observable
    dcl_rptno=""           // \bopmod\dbbmod\dbbgrp\dcl\rptno    申报号码 

    @observable
    dcl_actiontype=""           // \bopmod\dbbmod\dbbgrp\dcl\actiontype    操作类型 

    @observable
    dcl_actiondesc=""           // \bopmod\dbbmod\dbbgrp\dcl\actiondesc    修改/删除原因 

    @observable
    dcl_rptdate=""           // \bopmod\dbbmod\dbbgrp\dcl\rptdate    申报日期 

    @observable
    dcl_isref=""           // \bopmod\dbbmod\dbbgrp\dcl\isref    是否进口核销项下收汇 

    @observable
    dcl_paytype=""           // \bopmod\dbbmod\dbbgrp\dcl\paytype    付款类型 

    @observable
    dcl_txcode=""           // \bopmod\dbbmod\dbbgrp\dcl\txcode    交易编码1 

    @observable
    dcl_txrem=""           // \bopmod\dbbmod\dbbgrp\dcl\txrem    交易附言1 

    @observable
    dcl_txcode2=""           // \bopmod\dbbmod\dbbgrp\dcl\txcode2    交易编码2 

    @observable
    dcl_tx2rem=""           // \bopmod\dbbmod\dbbgrp\dcl\tx2rem    交易附言2 

    @observable
    dcl_crtuser=""           // \bopmod\dbbmod\dbbgrp\dcl\crtuser    申请人 

    @observable
    dcl_inptelc=""           // \bopmod\dbbmod\dbbgrp\dcl\inptelc    申请人电话 

    @observable
    dcl_tc1amt=""           // \bopmod\dbbmod\dbbgrp\dcl\tc1amt    相应金额1 

    @observable
    dcl_tc2amt=""           // \bopmod\dbbmod\dbbgrp\dcl\tc2amt    相应金额2 

    @observable
    dclpp_paytype1=""           // \bopmod\dbbmod\dbbp\dclpp\paytype1    收款性质 

    @observable
    dclpp_country1=""           // \bopmod\dbbmod\dbbp\dclpp\country1    收/付款人常驻国家/地区编码 

    @observable
    dclpp_isref1=""           // \bopmod\dbbmod\dbbp\dclpp\isref1    是否出口核销项下收汇 

    @observable
    dclpp_crtuser1=""           // \bopmod\dbbmod\dbbp\dclpp\crtuser1    申报填报人 

    @observable
    dclpp_inptelc1=""           // \bopmod\dbbmod\dbbp\dclpp\inptelc1    申报填报人电话 

    @observable
    dcl_country=""           // \bopmod\dbbmod\dbbgrp\dcl\country    收款人常驻国家/地区编码 

    @observable
    dcl_regno=""           // \bopmod\dbbmod\dbbgrp\dcl\regno    外汇局批件/备案表号 

    @observable
    vrf_contrno=""           // \bopmod\dbbmod\dbbgrp\vrf\contrno    合同号 

    @observable
    vrf_invoino=""           // \bopmod\dbbmod\dbbgrp\vrf\invoino    发票号 

    @observable
    vrf_rptno=""           // \bopmod\dbbmod\dbbgrp\vrf\rptno    申报号码 

    @observable
    vrf_actiondesc=""           // \bopmod\dbbmod\dbbgrp\vrf\actiondesc    修改/删除原因 

    @observable
    vrf_actiontype=""           // \bopmod\dbbmod\dbbgrp\vrf\actiontype    操作类型 

    @observable
    vrf_rptdate=""           // \bopmod\dbbmod\dbbgrp\vrf\rptdate    申报日期 

    @observable
    vrf_crtuser=""           // \bopmod\dbbmod\dbbgrp\vrf\crtuser    填报人 

    @observable
    vrf_inptelc=""           // \bopmod\dbbmod\dbbgrp\vrf\inptelc    填报人电话 

    @observable
    mtabut_paydat=""           // \mtabut\paydat    收付汇日期 

    @observable
    mtabut_basflg=""           // \mtabut\basflg    基础信息 

    @observable
    mtabut_dclflg=""           // \mtabut\dclflg    申报信息 

    @observable
    mtabut_vrfflg=""           // \mtabut\vrfflg    管理信息 

    @observable
    bas1_txamt=""           // \bopmod\dbemod\dbegrp\bas\txamt    汇款金额 

    @observable
    bas1_rptno=""           // \bopmod\dbemod\dbegrp\bas\rptno    申报号码 

    @observable
    bas1_actiondesc=""           // \bopmod\dbemod\dbegrp\bas\actiondesc    修改/删除原因 

    @observable
    bas1_ownextkey=""           // \bopmod\dbemod\dbegrp\bas\ownextkey    initial entity code 

    @observable
    bas1_buscode=""           // \bopmod\dbemod\dbegrp\bas\buscode    银行业务编号 

    @observable
    bas1_method=""           // \bopmod\dbemod\dbegrp\bas\method    结算方式 

    @observable
    bas1_custype=""           // \bopmod\dbemod\dbegrp\bas\custype    汇款人类型 

    @observable
    bas1_custcod=""           // \bopmod\dbemod\dbegrp\bas\custcod    组织机构 

    @observable
    bas1_custnm=""           // \bopmod\dbemod\dbegrp\bas\custnm    汇款人名称 

    @observable
    bas1_oppuser=""           // \bopmod\dbemod\dbegrp\bas\oppuser    收款人名称 

    @observable
    bas1_idcode=""           // \bopmod\dbemod\dbegrp\bas\idcode    个人身份证件号码 

    @observable
    bas1_exrate=""           // \bopmod\dbemod\dbegrp\bas\exrate    购汇汇率 

    @observable
    bas1_lcyacc=""           // \bopmod\dbemod\dbegrp\bas\lcyacc    人民币帐号/银行卡号 

    @observable
    bas1_fcyacc=""           // \bopmod\dbemod\dbegrp\bas\fcyacc    外汇帐号/银行卡号 

    @observable
    bas1_othacc=""           // \bopmod\dbemod\dbegrp\bas\othacc    其它帐号/银行卡号 

    @observable
    bas1_fcyamt=""           // \bopmod\dbemod\dbegrp\bas\fcyamt    现汇金额 

    @observable
    bas1_lcyamt=""           // \bopmod\dbemod\dbegrp\bas\lcyamt    购汇金额 

    @observable
    bas1_othamt=""           // \bopmod\dbemod\dbegrp\bas\othamt    其它金额 

    @observable
    bas1_actiontype=""           // \bopmod\dbemod\dbegrp\bas\actiontype    操作类型 

    @observable
    baspp1_cusnam=""           // \bopmod\dbemod\dbep\baspp\cusnam     

    @observable
    baspp1_cornam=""           // \bopmod\dbemod\dbep\baspp\cornam     

    @observable
    baspp1_corpnam=""           // \bopmod\dbemod\dbep\baspp\corpnam     

    @observable
    baspp1_exratelab=""           // \bopmod\dbemod\dbep\baspp\exratelab    售汇/结汇汇率 

    @observable
    baspp1_lcyamtlab=""           // \bopmod\dbemod\dbep\baspp\lcyamtlab    售汇/结汇金额 

    @observable
    bas1_oppacc=""           // \bopmod\dbemod\dbegrp\bas\oppacc    收款人帐号 

    @observable
    bas1_txccy=""           // \bopmod\dbemod\dbegrp\bas\txccy    汇款币种 

    @observable
    vrf1_txcode=""           // \bopmod\dbemod\dbegrp\vrf\txcode    交易编码1 

    @observable
    vrf1_tc1amt=""           // \bopmod\dbemod\dbegrp\vrf\tc1amt    相应金额1 

    @observable
    vrf1_txcode2=""           // \bopmod\dbemod\dbegrp\vrf\txcode2    交易编码2 

    @observable
    vrf1_tc2amt=""           // \bopmod\dbemod\dbegrp\vrf\tc2amt    相应金额2 

    @observable
    vrf1_regno=""           // \bopmod\dbemod\dbegrp\vrf\regno    外汇局批件/备案表号 

    @observable
    vrf1_contrno=""           // \bopmod\dbemod\dbegrp\vrf\contrno    合同号 

    @observable
    vrf1_isref=""           // \bopmod\dbemod\dbegrp\vrf\isref    是否进口核销项下付款 

    @observable
    vrf1_invoino=""           // \bopmod\dbemod\dbegrp\vrf\invoino    发票号 

    @observable
    vrf1_rptdate=""           // \bopmod\dbemod\dbegrp\vrf\rptdate    申报日期 

    @observable
    vrf1_crtuser=""           // \bopmod\dbemod\dbegrp\vrf\crtuser    填报人 

    @observable
    vrf1_inptelc=""           // \bopmod\dbemod\dbegrp\vrf\inptelc    填报人电话 

    @observable
    vrf1_paytype=""           // \bopmod\dbemod\dbegrp\vrf\paytype    付款类型 

    @observable
    vrf1_payattr=""           // \bopmod\dbemod\dbegrp\vrf\payattr    付汇性' 

    @observable
    vrf1_rptno=""           // \bopmod\dbemod\dbegrp\vrf\rptno    申报号码 

    @observable
    vrf1_actiondesc=""           // \bopmod\dbemod\dbegrp\vrf\actiondesc    修改/删除原因 

    @observable
    vrf1_actiontype=""           // \bopmod\dbemod\dbegrp\vrf\actiontype    操作类型 

    @observable
    vrf1_country=""           // \bopmod\dbemod\dbegrp\vrf\country    收款人常驻国家/地区编码 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    tdbgrp_tbclst=[]           // \rmbmod\tdbgrp\tbclst 

    @observable
    tdbgrp_tbdlst=[]           // \rmbmod\tdbgrp\tbdlst 

    @observable
    tdbgrp_tbelst=[]           // \rmbmod\tdbgrp\tbelst 

    @observable
    tdbgrp_tbflst=[]           // \rmbmod\tdbgrp\tbflst 

    @observable
    tdbgrp_tbglst=[]           // \rmbmod\tdbgrp\tbglst 

    @observable
    tdbgrp_tbhlst=[]           // \rmbmod\tdbgrp\tbhlst 

    @observable
    tdbgrp_tbilst=[]           // \rmbmod\tdbgrp\tbilst 

    @observable
    tea_payeramt=""           // \rmbmod\tdbgrp\tea\payeramt    货物贸易付款金额 

    @observable
    tea_customsamt=""           // \rmbmod\tdbgrp\tea\customsamt    已报关付款金额 

    @observable
    tea_prepayeramt=""           // \rmbmod\tdbgrp\tea\prepayeramt    预付款金额 

    @observable
    tea_nogoodsamt=""           // \rmbmod\tdbgrp\tea\nogoodsamt    无货物报关的货物贸易―其他金额 

    @observable
    tea_prepayerscale=""           // \rmbmod\tdbgrp\tea\prepayerscale    预付款比例 

    @observable
    tea_recordamt=""           // \rmbmod\tdbgrp\tea\recordamt    已备案付款金额 

    @observable
    tea_accountperiod=""           // \rmbmod\tdbgrp\tea\accountperiod    结账期 

    @observable
    tea_onshoreamt=""           // \rmbmod\tdbgrp\tea\onshoreamt    无货物报关的货物贸易―海关特殊监管区域及保税监管场所进出境物流货物金额 

    @observable
    tea_offshoreamt=""           // \rmbmod\tdbgrp\tea\offshoreamt    无货物报关的货物贸易―离岸转手买卖金额 

    @observable
    tdbgrp_tbblst=[]           // \rmbmod\tdbgrp\tbblst 

    @observable
    bas2_levyno=""           // \rmbmod\tdbgrp\bas\levyno    申报号码 

    @observable
    bas2_opertype=""           // \rmbmod\tdbgrp\bas\opertype    操作类型 

    @observable
    bas2_banktrano=""           // \rmbmod\tdbgrp\bas\banktrano    银行业务编号 

    @observable
    bas2_bankorgcode=""           // \rmbmod\tdbgrp\bas\bankorgcode    银行机构代码 

    @observable
    bas2_bankorgname=""           // \rmbmod\tdbgrp\bas\bankorgname    银行机构名称 

    @observable
    bas2_payeename=""           // \rmbmod\tdbgrp\bas\payeename    收款人名称 

    @observable
    bas2_payername=""           // \rmbmod\tdbgrp\bas\payername    付款人名称 

    @observable
    bas2_addword=""           // \rmbmod\tdbgrp\bas\addword    交易附言 

    @observable
    bas2_midtransbank=""           // \rmbmod\tdbgrp\bas\midtransbank    中间转汇行 

    @observable
    bas2_balancemode=""           // \rmbmod\tdbgrp\bas\balancemode    结算方式 

    @observable
    bas2_swiftbic=""           // \rmbmod\tdbgrp\bas\swiftbic    收款行SWIFT BIC 

    @observable
    bas2_orilevyno=""           // \rmbmod\tdbgrp\bas\orilevyno    原申报号码 

    @observable
    bas2_payerorgcode=""           // \rmbmod\tdbgrp\bas\payerorgcode    付款人组织机构代码或身份证件号码 

    @observable
    bas2_payerdate=""           // \rmbmod\tdbgrp\bas\payerdate    付款日期 

    @observable
    bas2_payercny=""           // \rmbmod\tdbgrp\bas\payercny    付款币种 

    @observable
    bas2_totalamt=""           // \rmbmod\tdbgrp\bas\totalamt    付款总金额 

    @observable
    bas2_payeeaccttype=""           // \rmbmod\tdbgrp\bas\payeeaccttype    清算(结算)账户类型 

    @observable
    bas2_payerattr=""           // \rmbmod\tdbgrp\bas\payerattr    付款人属性 

    @observable
    bas2_actiondesc=""           // \rmbmod\tdbgrp\bas\actiondesc    修改/删除原因或申报无误理由 

    @observable
    bas2_payeeacct=""           // \rmbmod\tdbgrp\bas\payeeacct    清算(结算)账户账号 

    @observable
    bas2_payeracct=""           // \rmbmod\tdbgrp\bas\payeracct    付款人境内人民币账号 

    @observable
    bas2_payeecountrycode=""           // \rmbmod\tdbgrp\bas\payeecountrycode    收款人常驻国家（地区）代码 

    @observable
    tdbp_goodstrade=""           // \rmbmod\tdbp\goodstrade    货物贸易 

    @observable
    tdbp_servicetrade=""           // \rmbmod\tdbp\servicetrade    服务贸易 

    @observable
    tdbp_directinvest=""           // \rmbmod\tdbp\directinvest    直接投资 

    @observable
    tdbp_indirectinvest=""           // \rmbmod\tdbp\indirectinvest    证券投资 

    @observable
    tdbp_otherinvest=""           // \rmbmod\tdbp\otherinvest    其他投资 

    @observable
    tdbp_financing=""           // \rmbmod\tdbp\financing    跨境融资 

    @observable
    tdbp_proceedstransfer=""           // \rmbmod\tdbp\proceedstransfer    收益与经济转移 

    @observable
    tdbp_capitaltransfer=""           // \rmbmod\tdbp\capitaltransfer    资本转移 

    @observable
    regmod_paydat=""           // \rmbmod\regmod\paydat    收付汇日期 

    @observable
    codsel_ctylst=[]           // \rmbmod\tdbp\codsel\ctylst 

    @observable
    codsel_ctytj=""           // \rmbmod\tdbp\codsel\ctytj    国家代码 

    @observable
    ownref=""           // \cpdgrp\rec\ownref    业务编号 

    @observable
    curf33b=""           // \cpdgrp\rec\curf33b    扣款币种 

    @observable
    amtf33b=""           // \cpdgrp\rec\amtf33b    扣款金额 

    @observable
    branchinr=""           // \cpdgrp\rec\branchinr    所属机构 

    @observable
    paytyp=""           // \cpdgrp\rec\paytyp    汇款方式 

    @observable
    pty_ownusr=""           // \cpdgrp\orc\pty\ownusr    客户经理 

    @observable
    cpdflg=""           // \cpdgrp\rec\cpdflg    汇款类型 

    @observable
    custyp=""           // \cpdgrp\rec\custyp    汇款人性质 

    @observable
    max_cur=""           // \cpdgrp\cbs\max\cur    Currency 

    @observable
    max_amt=""           // \cpdgrp\cbs\max\amt    Balance 

    @observable
    valdat=""           // \cpdgrp\rec\valdat    起息日 

    @observable
    liqtyp=""           // \cpdgrp\rec\liqtyp    清算路径 

    @observable
    swftyp=""           // \cpdgrp\rec\swftyp    报文类型 

    @observable
    f36=""           // \cpdgrp\rec\f36    汇率 

    @observable
    pts_extkey=""           // \cpdgrp\orc\pts\extkey    客户编号 

    @observable
    pts_adrblk=""           // \cpdgrp\orc\pts\adrblk    SWIFT地址 

    @observable
    orcacc=""           // \cpdgrp\rec\orcacc    付款人账号 

    @observable
    stacty=""           // \cpdgrp\rec\stacty    交易对手国别 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.pts7_extkey=""
            this.pts7_adrblk=""
            this.pts3_extkey=""
            this.pts3_adrblk=""
            this.pts1_extkey=""
            this.pts1_adrblk=""
            this.pts1_extact=""
            this.msgmod_chato=""
            this.msgmod_amtf33b=""
            this.msgmod_curf33b=""
            this.pts6_extkey=""
            this.pts6_adrblk=""
            this.pts6_extact=""
            this.pts4_extkey=""
            this.pts4_adrblk=""
            this.pts4_extact=""
            this.pts5_extkey=""
            this.pts5_adrblk=""
            this.pts5_extact=""
            this.msgmod_tag20272=""
            this.msgmod_contag70=""
            this.msgmod_contag72=""
            this.msgmod_valdat=""
            this.msgmod_doccod=""
            this.msgmod_docpth=""
            this.pts2_extkey=""
            this.pts2_adrblk=""
            this.pts2_extact=""
            this.msgmod_buscod=""
            this.msgmod_bustyp=""
            this.pts5_namcn=""
            this.pts5_adrcn=""
            this.pts4_ref=""
            this.pts4_namcn=""
            this.msgmod_commet=""
            this.msgmod_sndfee=""
            this.msgmod_rcvfee=""
            this.msgmod_busflg=""
            this.msgmod_acctyp=""
            this.bopmod_szflg=""
            this.bopmod_acttyp=""
            this.bopmod_basflg=""
            this.bopmod_dclflg=""
            this.bopmod_vrfflg=""
            this.rmbmod_rmbflg=""
            this.jspmod_jshtyp=""
            this.bas_txamt=""
            this.bas_rptno=""
            this.bas_actiondesc=""
            this.bas_ownextkey=""
            this.bas_buscode=""
            this.bas_method=""
            this.bas_custype=""
            this.bas_custcod=""
            this.bas_custnm=""
            this.bas_oppuser=""
            this.bas_idcode=""
            this.bas_exrate=""
            this.bas_lcyacc=""
            this.bas_fcyacc=""
            this.bas_othacc=""
            this.bas_fcyamt=""
            this.bas_lcyamt=""
            this.bas_othamt=""
            this.bas_actiontype=""
            this.baspp_cusnam=""
            this.baspp_cornam=""
            this.baspp_corpnam=""
            this.baspp_exratelab=""
            this.baspp_lcyamtlab=""
            this.bas_txccy=""
            this.dcl_rptno=""
            this.dcl_actiontype=""
            this.dcl_actiondesc=""
            this.dcl_rptdate=""
            this.dcl_isref=""
            this.dcl_paytype=""
            this.dcl_txcode=""
            this.dcl_txrem=""
            this.dcl_txcode2=""
            this.dcl_tx2rem=""
            this.dcl_crtuser=""
            this.dcl_inptelc=""
            this.dcl_tc1amt=""
            this.dcl_tc2amt=""
            this.dclpp_paytype1=""
            this.dclpp_country1=""
            this.dclpp_isref1=""
            this.dclpp_crtuser1=""
            this.dclpp_inptelc1=""
            this.dcl_country=""
            this.dcl_regno=""
            this.vrf_contrno=""
            this.vrf_invoino=""
            this.vrf_rptno=""
            this.vrf_actiondesc=""
            this.vrf_actiontype=""
            this.vrf_rptdate=""
            this.vrf_crtuser=""
            this.vrf_inptelc=""
            this.mtabut_paydat=""
            this.mtabut_basflg=""
            this.mtabut_dclflg=""
            this.mtabut_vrfflg=""
            this.bas1_txamt=""
            this.bas1_rptno=""
            this.bas1_actiondesc=""
            this.bas1_ownextkey=""
            this.bas1_buscode=""
            this.bas1_method=""
            this.bas1_custype=""
            this.bas1_custcod=""
            this.bas1_custnm=""
            this.bas1_oppuser=""
            this.bas1_idcode=""
            this.bas1_exrate=""
            this.bas1_lcyacc=""
            this.bas1_fcyacc=""
            this.bas1_othacc=""
            this.bas1_fcyamt=""
            this.bas1_lcyamt=""
            this.bas1_othamt=""
            this.bas1_actiontype=""
            this.baspp1_cusnam=""
            this.baspp1_cornam=""
            this.baspp1_corpnam=""
            this.baspp1_exratelab=""
            this.baspp1_lcyamtlab=""
            this.bas1_oppacc=""
            this.bas1_txccy=""
            this.vrf1_txcode=""
            this.vrf1_tc1amt=""
            this.vrf1_txcode2=""
            this.vrf1_tc2amt=""
            this.vrf1_regno=""
            this.vrf1_contrno=""
            this.vrf1_isref=""
            this.vrf1_invoino=""
            this.vrf1_rptdate=""
            this.vrf1_crtuser=""
            this.vrf1_inptelc=""
            this.vrf1_paytype=""
            this.vrf1_payattr=""
            this.vrf1_rptno=""
            this.vrf1_actiondesc=""
            this.vrf1_actiontype=""
            this.vrf1_country=""
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_doccur=""
            this.setmod_docamt=""
            this.setmod_feemac=""
            this.setmod_setmac=""
            this.glemod_glelst=[]
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doccod=""
            this.tdbgrp_tbclst=[]
            this.tdbgrp_tbdlst=[]
            this.tdbgrp_tbelst=[]
            this.tdbgrp_tbflst=[]
            this.tdbgrp_tbglst=[]
            this.tdbgrp_tbhlst=[]
            this.tdbgrp_tbilst=[]
            this.tea_payeramt=""
            this.tea_customsamt=""
            this.tea_prepayeramt=""
            this.tea_nogoodsamt=""
            this.tea_prepayerscale=""
            this.tea_recordamt=""
            this.tea_accountperiod=""
            this.tea_onshoreamt=""
            this.tea_offshoreamt=""
            this.tdbgrp_tbblst=[]
            this.bas2_levyno=""
            this.bas2_opertype=""
            this.bas2_banktrano=""
            this.bas2_bankorgcode=""
            this.bas2_bankorgname=""
            this.bas2_payeename=""
            this.bas2_payername=""
            this.bas2_addword=""
            this.bas2_midtransbank=""
            this.bas2_balancemode=""
            this.bas2_swiftbic=""
            this.bas2_orilevyno=""
            this.bas2_payerorgcode=""
            this.bas2_payerdate=""
            this.bas2_payercny=""
            this.bas2_totalamt=""
            this.bas2_payeeaccttype=""
            this.bas2_payerattr=""
            this.bas2_actiondesc=""
            this.bas2_payeeacct=""
            this.bas2_payeracct=""
            this.bas2_payeecountrycode=""
            this.tdbp_goodstrade=""
            this.tdbp_servicetrade=""
            this.tdbp_directinvest=""
            this.tdbp_indirectinvest=""
            this.tdbp_otherinvest=""
            this.tdbp_financing=""
            this.tdbp_proceedstransfer=""
            this.tdbp_capitaltransfer=""
            this.regmod_paydat=""
            this.codsel_ctylst=[]
            this.codsel_ctytj=""
            this.ownref=""
            this.curf33b=""
            this.amtf33b=""
            this.branchinr=""
            this.paytyp=""
            this.pty_ownusr=""
            this.cpdflg=""
            this.custyp=""
            this.max_cur=""
            this.max_amt=""
            this.valdat=""
            this.liqtyp=""
            this.swftyp=""
            this.f36=""
            this.pts_extkey=""
            this.pts_adrblk=""
            this.orcacc=""
            this.stacty=""
    }

} 


export default Cptopn