import React,{Component,Fragment} from 'react'
import {Page,Validator,Notification,FormItem,
    InputItem,Input,Bind,SelectItem,Button,Label,Table,Section,DatePickerItem,ConfirmButton} from '@/components/Common-Library'
import {Divider} from 'antd'
import Api from '@/service/api'
import mDbdpty from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import {Col,Row} from 'antd'
import {Link} from 'react-router-dom'
import Moment from 'moment'
const CodeTable = CodeTableFactory.getInstance()
import {Card} from 'antd'


@inject('UserContext')
@inject('i18n')
@observer
export default class DbdptyScreen extends Page
{
    @observable
    formBlur=false

    @observable
    isDisabled=false

    constructor(props)
    {
        super(props)
        this.model = new mDbdpty()
        this.bind = Bind.bind(this)
    }

    componentWillUnmount()
    {
      
    }



    //按钮事件
     async componentWillMount() {
		if(this.props.location.query){
			let selinr = this.props.location.query.inr
			const rtnmsg = await Api.post('dbdpty/init', { params: {selinr} })
			if (rtnmsg.retcod == SUCCESS) {
				//Notification.success({ message: '数据提交成功!' })
				Object.assign(this.model,rtnmsg.data)
			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}	
		}	
	}
	 onSav= ()=>{
        this.formBlur=true  //已触发表单提交处理
        this.isDisabled=true

        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors){
                  this.isDisabled=false
                  return 
                }
               let params = {}
				if(this.props.location.query)
				{
					let selinr = this.props.location.query.inr
					params = {selinr}	
				}
                const rtnmsg = await Api.post('dbdpty/sav',{params,data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                    Notification.success({message:'提交成功!'})
					this.props.history.push({pathname: 'dblpty', state: {'selflg':true}});
                }
                else
                {
                  Notification.error({message:'服务端请求失败!'})
                  this.isDisabled=false
                }
                //余下逻辑处理
                    
        })
    }
	onRtn = ()=>{
		this.props.history.push("dblpty");
	}

    //交易内实现
    renderPage(){
    	const bind = this.bind
      const {i18n} = this.props
      const CodeTable = CodeTableFactory.getInstance()
     
      return (
		  <Card title="客户管理 —— 删除" size="small" className="transTitle">
        	<div style={{position:'relative'}}>
            <Row>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000181"}/>
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("extkey")} disabled={true} />
                  </Col>
                </Row>
              </Col>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000043"}/>
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("namcn")} disabled={true} />
                  </Col>
                </Row>
              </Col>
            </Row>

            <Row>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000037"}/>
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("nam1")} disabled={true} />
                  </Col>
                </Row>
              </Col>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000037"}/>
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("nam2")} disabled={true} />
                  </Col>
                </Row>
              </Col>
            </Row>

            <Row>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000046"}/>
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("str1")} disabled={true} />
                  </Col>
                </Row>
              </Col>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000046"}/>
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("str2")} disabled={true} />
                  </Col>
                </Row>
              </Col>
            </Row>

            <Row>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000036"}/>
                  </Col>
                  <Col span={14}>
                  <SelectItem InputProps={bind("ptytyp")} code={CodeTable.ptytyp} disabled={true} />
                  </Col>
                </Row>
              </Col>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000038"}/>
                  </Col>
                  <Col span={14}>
                  <SelectItem InputProps={bind("idtyp")} code={CodeTable.idtyp} disabled={true} />
                  </Col>
                </Row>
              </Col>
            </Row>

            <Row>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000040"}/>
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("juscod")} disabled={true} />
                  </Col>
                </Row>
              </Col>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000039"}/>
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("idcod")} disabled={true} />
                  </Col>
                </Row>
              </Col>
            </Row>

            <Row>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000041"}/>
                  </Col>
                  <Col span={14}>
                  <SelectItem InputProps={bind("sta")} code={CodeTable.sta} disabled={true}  />
                  </Col>
                </Row>
              </Col>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000042"}/>	
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("ownusr")} disabled={true} />
                  </Col>
                </Row>
              </Col>
            </Row>

            <Row>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000048"}/>
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("adrcn")} disabled={true} />
                  </Col>
                </Row>
              </Col>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000049"}/>	
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("loccty")} disabled={true} />
                  </Col>
                </Row>
              </Col>
            </Row>

            <Row>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000050"}/>
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("loczip")} disabled={true} />
                  </Col>
                </Row>
              </Col>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000051"}/>	
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("loctxt")} disabled={true} />
                  </Col>
                </Row>
              </Col>
            </Row>

            <Row>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000052"}/>
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("swfno")} disabled={true} />
                  </Col>
                </Row>
              </Col>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                  <Label i18nId={"PTYP_LT000053"}/>	
                  </Col>
                  <Col span={14}>
                  <InputItem InputProps={bind("email")} disabled={true} />
                  </Col>
                </Row>
              </Col>
            </Row>

            <Row>
              <Col span={12}>
                <Row className="row">
                  <Col span={5} offset={2}>
                    <Label itext="电话" trn="dbapty" />
                  </Col>
                  <Col span={14}>
                    <InputItem InputProps={bind("tel")}  maxLength={30} disabled={true} />
                  </Col>
                </Row>
              </Col>
            </Row>

            <Row type="flex" justify="center">
              <Col>
                <div className="button0">
                  <div className='button2'>
                    {/* 退出按钮 */}
                    <Button type="primary" onClick={this.onRtn}>
                      <Label i18nId="MTABUT_BT000464" />
                    </Button>
                  </div>
                  <div className='button2'>
                    <ConfirmButton
                      onOK={this.onSav}
                      icon="save"
                      type="primary"
                      message="确定提交？"
                      disabled={this.isDisabled}
                    >
                      <Label i18nId="MTABUT_BT000473" />
                    </ConfirmButton>
                  </div>
                </div>
              </Col>
            </Row>
				  </div>
				</Card>
		)
	}
}
