import React,{Component,Fragment} from 'react'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table} from '@/components/Common-Library'
import Api from '@/service/api'
import mDbdrol from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Col, Row ,Card,Divider } from 'antd'
import { Link } from 'react-router-dom'
import Moment from 'moment'
import { Popconfirm, message } from 'antd';


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class DbdrolScreen extends Page
{
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mDbdrol()    
        this.bind = Bind.bind(this)
    }
	
	async componentWillMount() 
	{
        if(this.props.location.query){
			let selinr = this.props.location.query.inr
			const rtnmsg = await Api.post('dberol/init', { params: {selinr} })
			if (rtnmsg.retcod == SUCCESS) {
				//Notification.success({ message: '数据提交成功!' })
				Object.assign(this.model,rtnmsg.data)
			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}	
		}
	}
    componentWillUnmount()
    {
        this.model.stopMonitor&&this.model.stopMonitor()//关闭校验
    }



    //按钮事件
    onMdlbut_submit= ()=>{
        this.formBlur=true  //已触发表单提交处理
        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors)
                    return 
               let params = {}
				if(this.props.location.query)
				{
					let selinr = this.props.location.query.inr
					params = {selinr}	
				}
                const rtnmsg = await Api.post('dbdrol/mdlbut_submit',{params,data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                    Notification.success({message:'删除成功!'})
					this.props.history.push({pathname: 'dblrol', state: {'selflg':true}});
                }
                else
                {
                	Notification.error({message:'服务端请求失败!'})
                }
                //余下逻辑处理
                    
        })
    }
    
    onRtn= ()=>{
        this.props.history.push("dblrol");
    }
    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
            <Card title="删除角色" size="small" className="transTitle">
        	<div style={{position:'relative'}}>
            <Row span={24} >
                <Col span={8} offset={7}>
                    <Col span={7} className='label'>
                    <Label itext="角色名称"  />	
                    </Col>
                    <Col span={17}>
                    <InputItem InputProps={{...bind("rol_nam"),readOnly:true}}  maxLength={100}  desp="角色名称" path="/recgrp/rol/nam" />
                    </Col>
                </Col>
              
            </Row>
            <Row span={24} >
                <Col span={8} offset={7}>
                    <Col span={7} className='label'>
                    <Label itext="角色说明"  />
                    </Col>
                    <Col span={17}>
                    <InputItem InputProps={{...bind("rol_remark"),readOnly:true}}  maxLength={100}  desp="说明" path="/recgrp/rol/remark" />
                    </Col>
                </Col>
              
            </Row>

            <div style={{ textAlign: "center" }}>
                      <Button  type="primary"  onClick={this.onMdlbut_submit} desp="提交" path="/mdlbut/submit">
                            <Label value="确定" />
                        </Button>
                        <Button style={{ marginLeft: 10, marginRight: 10 }} type="primary" onClick={this.onRtn}>
                            <Label value="返回" />
                        </Button>
                       
                    </div>
    
	{/* <InputItem InputProps={bind("rol_nam")}  maxLength={50}  desp="角色名称" path="/recgrp/rol/nam" />
	<Button  type="primary"  onClick={this.onMdlbut_submit} desp="提交" path="/mdlbut/submit">
		<Label   itext="提交"/>
	</Button>
	<TextAreaItem InputProps={bind("rol_remark")} desp="备注" path="/recgrp/rol/remark"/>

	
	<Label itext="角色名称"  />	

	
	<Label itext="角色说明"  />	*/}
		</div>
        </Card>
		)
	}
}
