import React,{Component,Fragment} from 'react'
import {Page,Validator,Notification,FormItem,
    InputItem,Input,Bind,SelectItem,Button,Label,Table,Section,DatePickerItem,ConfirmButton} from '@/components/Common-Library'
import {Divider} from 'antd'
import Api from '@/service/api'
import mDbdusr from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Col, Row,Card } from 'antd'
import {Link} from 'react-router-dom'
import Moment from 'moment'
const CodeTable = CodeTableFactory.getInstance()



@inject('UserContext')
@inject('i18n')
@observer
export default class DbdusrScreen extends Page {
	@observable
  formBlur = false;
  
  @observable
  extra = { inifrm: 'dbiusr', sptinr: '', usg: [], bchkey:[] }
  
  @observable
  isDisabled=false;

	constructor(props) {
		super(props)
		this.model = new mDbdusr()
		this.model.openValidate() //开启校验
		this.bind = Bind.bind(this)
	}

	componentWillUnmount() {
		this.model.closeValidate()//关闭校验
	}


      
	 async componentWillMount() {
		if(this.props.location.query){
			let selinr = this.props.location.query.inr
			const rtnmsg = await Api.post(this.extra.inifrm+'/init', { params: {selinr} })
			if (rtnmsg.retcod == SUCCESS) {
				//Notification.success({ message: '数据提交成功!' })
        Object.assign(this.model,rtnmsg.data)
        this.extra.bchkey = rtnmsg.codetable.bchkey;
        this.extra.usg = rtnmsg.codetable.usg;
			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}	
		}	
	}
    //按钮事件
	onSav= ()=>{
        this.formBlur=true  //已触发表单提交处理
        this.isDisabled=true;

        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors){
                  this.isDisabled=false
                  return 
                }
				let params = {}
				if(this.props.location.query)
				{
					let selinr = this.props.location.query.inr
					params = {selinr}		
				}
                const rtnmsg = await Api.post('dbdusr/sav',{params,data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                    Notification.success({message:'删除成功!'});
					this.props.history.push({pathname: 'dblusr', state: {'selflg':true}});
                }
                else
                {
                  Notification.error({message:'服务端请求失败!'})
                  this.isDisabled=false
                }
                //余下逻辑处理     
        })
    }
     onRtn = ()=>{
		this.props.history.push("dblusr");
	}


	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const CodeTable = CodeTableFactory.getInstance()

		return (
		  <Card title="用户管理" size="small" className="transTitle">
		<div style={{position:'relative'}}>
    <Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label i18nId={"USRP_LT000277"}/>	
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("nam")} disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label i18nId={"USRP_LT000278"}/>
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("dspnam")} disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label i18nId={"USRP_LT000279"}/>	
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("sta")} code={CodeTable.usrsta} disabled={true}  />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
							<Label i18nId={"USRP_LT000280"}/>	
							</Col>
							<Col span={14}>
                <SelectItem InputProps={bind("bchkey")} code={this.extra.bchkey} disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
							<Label i18nId={"USRP_LT000281"}/>	
							</Col>
							<Col span={14}>
								<InputItem InputProps={{type:"password",...bind("pwd")}} disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
							<Label i18nId={"USRP_LT000282"}/>	
							</Col>
							<Col span={14}>
								<DatePickerItem InputProps={bind("valdat")} disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label i18nId={"USRP_LT000286"}/>	
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("usrlvl")} code={CodeTable.usrlvl} disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label i18nId={"USRP_LT000287"}/>	
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("etyextkey")} disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label i18nId={"USRP_LT000288"}/>	
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("etaextkey")} disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label i18nId={"USRP_LT000289"}/>	
							</Col>
							<Col span={14}>
                <SelectItem InputProps={bind("usg")} code={this.extra.usg} disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>	
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label i18nId={"USRP_LT000290"}/>	
							</Col>
							<Col span={14}>
								<DatePickerItem InputProps={bind("credat")} disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label i18nId={"USRP_LT000291"}/>	
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("fax")} disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label i18nId={"USRP_LT000292"}/>	
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("tel")} disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label i18nId={"USRP_LT000293"}/>	
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("eml")} disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

        <Row type="flex" justify="center">
          <Col>
            <div className="button0">
              <div className='button2'>
                {/* 退出按钮 */}
                <Button type="primary" onClick={this.onRtn}>
                  <Label i18nId="MTABUT_BT000020" />      
                </Button>
              </div>
              <div className='button2'>
                <ConfirmButton
                  type="primary"
                  onOK={this.onSav}
                  icon="save"
                  message="确定提交？"
                  disabled={this.isDisabled}
                >
                  <Label i18nId="MTABUT_BT000473" />
                </ConfirmButton>
              </div>
            </div>
          </Col>
        </Row>
		</div>
		</Card>
		)
	}
}
