import React,{Component,Fragment} from 'react'
import {Page,Validator,Notification,FormItem,DatePickerItem ,
    InputItem,Input,Bind,SelectItem,Button,Label} from '@/components/Common-Library'
import Api from '@/service/api'
import mDbdxrt from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'




@inject('UserContext')
@inject('i18n')
@observer
export default class DbdxrtScreen extends Page
{
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mDbdxrt()
        this.model.openValidate() //开启校验
        this.bind = Bind.bind(this)
    }

    componentWillUnmount()
    {
        this.model.closeValidate()//关闭校验
    }



    //按钮事件
    

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
        const CodeTable = CodeTableFactory.getInstance()
     
        return (
        	<div style={{position:'relative'}}>
	<Button  type="primary"  onClick={this.onRtn}>
		<Label i18nId="MTABUT_BT000464"/>
	</Button>
	<Button  type="primary" icon="save"
		  onClick={this.onSav}>
		<Label i18nId="MTABUT_BT000473"/>
	</Button>
	<Label i18nId={"XRTP_LT000007"}/>	
	<InputItem InputProps={bind("cur")} />
	<Label i18nId={"XRTP_LT000008"}/>	
	<DatePickerItem InputProps={bind("begdat")}/>
	<Label i18nId={"XRTP_LT000009"}/>	
	<DatePickerItem InputProps={bind("enddat")}/>
	<Label i18nId={"XRTP_LT000010"}/>	
	<InputItem InputProps={bind("midrat")} />
	<Label i18nId={"XRTP_LT000011"}/>	
	<InputItem InputProps={bind("buyrat")} />
	<Label i18nId={"XRTP_LT000012"}/>	
	<InputItem InputProps={bind("selrat")} />
	<Label i18nId={"XRTP_LT000013"}/>	
	<InputItem InputProps={bind("ibrrat")} />
	<Label i18nId={"XRTP_LT000014"}/>	
	<InputItem InputProps={bind("cshbuyrat")} />
	<Label i18nId={"XRTP_LT000015"}/>	
	<InputItem InputProps={bind("cshselrat")} />
	<Label i18nId={"XRTP_LT000016"}/>	
	<InputItem InputProps={bind("ttrrat")} />
	<Label i18nId={"XRTP_LT000017"}/>	
	<InputItem InputProps={bind("odrrat")} />
	<Label i18nId={"XRTP_LT000018"}/>	
	<InputItem InputProps={bind("rebrat")} />
	<Label i18nId={"XRTP_LT000019"}/>	
	<InputItem InputProps={bind("resrat")} />
		</div>
		)
	}
}
