import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Dbiswm {
    
    @observable
    swmp_fmt=""           // \swmp\fmt    Message Format and Source SWIFT, TradeConnect, EDIFACT 

    @observable
    swmp_frmcod=""           // \swmp\frmcod    Destination Transaction 

    @observable
    swmp_frmdsp=""           // \swmp\frmdsp    交易描述 

    @observable
    swmp_mt=""           // \swmp\mt    Message Type 

    @observable
    swmp_swmlst=[]           // \swmp\swmlst 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.swmp_fmt=""
            this.swmp_frmcod=""
            this.swmp_frmdsp=""
            this.swmp_mt=""
            this.swmp_swmlst=[]
    }

} 


export default Dbiswm