import React,{Component,Fragment} from 'react'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table} from '@/components/Common-Library'
import Api from '@/service/api'
import mDblfrm from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Col, Row ,Card,Divider } from 'antd'
import { Link } from 'react-router-dom'
import Moment from 'moment'
import { Popconfirm, message } from 'antd';


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class DblfrmScreen extends Page
{
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mDblfrm()    
        this.bind = Bind.bind(this)
    }
	
	cancel= () =>{
		message.error('取消成功');
	}

	confirm=  async (row)=>{
		console.log(row)
		let inr = row.inr;
		const rtnmsg = await Api.post('dblfrm/del',{params: { inr } })
		if(rtnmsg.retcod == SUCCESS)
		{
			this.model.frmgrp_frmlst = rtnmsg.data.frmgrp_frmlst;
			
		}
		else
		{
			Notification.error({message:'服务端请求失败!'})
		}
		//余下逻辑处理
			

}

onFrmp_del= (row)=>{
	this.formBlur=true  //已触发表单提交处理
	Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
			if(errors)
				return 
			let frminr = row.inr
			const rtnmsg = await Api.post('dblfrm/frmp_del',{params: {frminr},data: this.model})
			if(rtnmsg.retcod == SUCCESS)
			{
				//Notification.success({message:'数据提交成功!'})
				this.model.frmgrp_frmlst = rtnmsg.data['frmgrp_frmlst'];  
			}
			else
			{
				Notification.error({message:'1!'})
			}
			//余下逻辑处理
				
	})
}

	async componentWillMount() 
	{
		/*
		*添加初始化代码
		*/
		const rtnmsg = await Api.post('trnrel/init',{data:this.model})
		if(rtnmsg.retcod == SUCCESS)
		{
           const {data} = rtnmsg
           runInAction(()=>{
                Object.assign(this.model,data)
           }) 
        }
		//快照模式下，不必开启校验，否则，静默校验，和记录变动
		!this.loadDisplay() && this.model.openMonitor && this.model.openMonitor() //开启校验	
	}
    componentWillUnmount()
    {
        this.model.stopMonitor&&this.model.stopMonitor()//关闭校验
    }

    frmgrp_frmlstHeader=[
    	{
    		title:<Label itext="是否显示在左侧菜单" />, 
    		dataIndex:"flg",
    		key:"flg",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.flg,r2.flg),
    	},
    	{
    		title:<Label itext="交易代码" />, 
    		dataIndex:"frm",
    		key:"frm",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.frm,r2.frm),
    	},
    	{
    		title:<Label itext="交易类型" />, 
    		dataIndex:"frmtyp",
    		key:"frmtyp",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.frmtyp,r2.frmtyp),
    	},
    	{
    		title:<Label itext="父菜单主键INR" />, 
    		dataIndex:"pntinr",
    		key:"pntinr",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.pntinr,r2.pntinr),
    	},
    	{
    		title:<Label itext="类型" />, 
    		dataIndex:"typ",
    		key:"typ",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.typ,r2.typ),
    	},
    	// {
    	// 	title:<Label itext="级别" />, 
    	// 	dataIndex:"lvl",
    	// 	key:"lvl",
    	// 	width:100,
    	// 	sorter: (r1,r2)=>ColSorter(r1.lvl,r2.lvl),
    	// },
    	{
    		title:<Label itext="中文名" />, 
    		dataIndex:"namcn",
    		key:"namcn",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.namcn,r2.namcn),
    	},
    	// {
    	// 	title:<Label itext="英文名" />, 
    	// 	dataIndex:"namen",
    	// 	key:"namen",
    	// 	width:100,
    	// 	sorter: (r1,r2)=>ColSorter(r1.namen,r2.namen),
    	// },
    	{
    		title:<Label itext="是否登记交易" />, 
    		dataIndex:"negflg",
    		key:"negflg",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.negflg,r2.negflg),
    	},
    	{
    		title:<Label itext="业务种类" />, 
    		dataIndex:"busrou",
    		key:"busrou",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.busrou,r2.busrou),
    		render:(val, row, index)=>{
    			let text = val
    			let em = CodeTable.busrou.find(item=>item.value==val)
    			if(em)
    				text= em.label
    			return text
    		}
		},
		{
    		title:<Label itext="操作" />, 

    		width:100,
    		render:(val,row)=>{
				return (
					//<Divider type="vertical" />
					<div>
						<Link to={{ pathname: 'dbefrm', query: { inr: row.inr } }}>修改</Link>
						<Divider type="vertical" />
						<Link to={{ pathname: 'dbifrm', query: { inr: row.inr } }}>查看</Link>
						<Divider type="vertical" />
						<Link to={{ pathname: 'dbdfrm', query: { inr: row.inr } }}>删除</Link>
				{/* <Popconfirm title="确定删除吗？" okText="Yes" cancelText="No" onCancel={this.cancel} onConfirm={() => this.onDel(row)}>
				<a href="#">删除</a> 
				
			
				
				
				</Popconfirm>
				<Label onClick={() => this.onDel(row)} style={{ color: "blue", cursor: "pointer" }} value="删除" /> */}
			  </div>
			  )
			  //onConfirm={this.confirm}
			  
			}
			
    	},
    ]


    //按钮事件
    onAdd= ()=>{
        this.props.history.push('dbafrm')
    }
    onInf= ()=>{
        this.formBlur=true  //已触发表单提交处理
        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors)
                    return 
                const rtnmsg = await Api.post('dblfrm/inf',{data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                    this.model.frmgrp_frmlst = rtnmsg.data['frmgrp_frmlst'];
                    console.log(this.model)
                    
                }
                else
                {
                	Notification.error({ message: '查询失败!' })
                }
                //余下逻辑处理
                    
                    
        })
    }
    onAme= ()=>{
        this.formBlur=true  //已触发表单提交处理
        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors)
                    return 
                const rtnmsg = await Api.post('dblfrm/ame',{data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                    Notification.success({message:'数据提交成功!'})
                    
                }
                else
                {
                	Notification.error({message:'服务端请求失败!'})
                }
                //余下逻辑处理
                    
        })
    }
    onDel=  async (row)=>{
             //   console.log(row)
		        let inr = row.inr;
                const rtnmsg = await Api.post('dbdfrm/sav',{params: { inr } })
                if(rtnmsg.retcod == SUCCESS)
                {
					this.model.frmgrp_frmlst = rtnmsg.data.frmgrp_frmlst;
                    
                }
                else
                {
                	Notification.error({message:'服务端请求失败!'})
                }
                //余下逻辑处理
                    
        
    }

    @observable
    dataSource=[]

    onSel= ()=>{
        this.formBlur=true  //已触发表单提交处理
        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors)
                    return 
                const rtnmsg = await Api.post('dblfrm/sel',{data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                    this.model.frmgrp_frmlst = rtnmsg.data.frmgrp_frmlst;
                    this.dataSource=this.model.frmgrp_frmlst.filter(val=>{
                      return val.flg=val.flg=="0" ? "否" : "是"
                    })
                }
                else
                {
                	Notification.error({ message: '查询失败!' })
                }
                //余下逻辑处理
                    
        })
    }
    

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
			<Card title="交易" size="small" className="transTitle">
        	<div style={{position:'relative'}}>
			


                <div className='button0'>
                    <div className='button2'>
                    <Button  type="primary" icon="search" onClick={this.onSel} desp="查询" path="/sel">
		        <Label   itext="查询"/>
	            </Button>
                    </div>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				 <div className='button2'>
                        <Button type="primary" onClick={this.onAdd}>
                            <Label i18nId="MTABUT_BT000182" />
                        </Button>
                    </div>
                </div>
	{/*<Button  type="primary" icon="search" onClick={this.onSel} desp="查询" path="/sel">
		<Label   itext="查询"/>
	</Button>*/}
	<Table rowKey="inr" columns={this.frmgrp_frmlstHeader}  dataSource={this.dataSource}   path="/frmgrp/frmlst"/>
	{/* <Button  type="primary"  onClick={this.onAdd} desp="新增" path="/mtabut/add">
		<Label   itext="新增"/>
	</Button>
	<Button  type="primary"  onClick={this.onAme} desp="修改" path="/mtabut/ame">
		<Label   itext="修改"/>
	</Button>
	<Button  icon="delete" onClick={this.onDel} desp="删除" path="/mtabut/del">
		<Label   itext="删除"/>
	</Button>
	<Button  type="primary"  onClick={this.onInf} desp="查看" path="/mtabut/inf">
		<Label   itext="查看"/>
	</Button> */}
		</div>
		</Card>
		)
	}
}
