import React,{Component,Fragment} from 'react'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table} from '@/components/Common-Library'
import Api from '@/service/api'
import mDblrol from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Col, Row ,Card,Divider } from 'antd'
import { Link } from 'react-router-dom'
import Moment from 'moment'
import { Popconfirm, message } from 'antd';



const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class DblrolScreen extends Page
{
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mDblrol()    
        this.bind = Bind.bind(this)
    }
	
	async componentWillMount() 
	{
		/*
		*添加初始化代码
		*/
		const rtnmsg = await Api.post('trnrel/init',{data:this.model})
		if(rtnmsg.retcod == SUCCESS)
		{
           const {data} = rtnmsg
           runInAction(()=>{
                Object.assign(this.model,data)
           }) 
        }
		//快照模式下，不必开启校验，否则，静默校验，和记录变动
		!this.loadDisplay() && this.model.openMonitor && this.model.openMonitor() //开启校验	
	}
    componentWillUnmount()
    {
        this.model.stopMonitor&&this.model.stopMonitor()//关闭校验
	}
	
	handleReset = () => {
	    this.model.clear();
	 }
	 add = ()=>{
		 this.props.history.push('/business/dbarol')
	 }

	 del = async(inr)=>{
		const res = await Api.post('dbdrol/mdlbut_submit',{params:{rol_inr:inr}})
		if(res.retcod==SUCCESS){
			dataModel.recp_rollst= dataModel.recp_rollst.filter(item => item.inr !== inr)
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
        }
			
		
	}

	onDel = async (row) => {
		//console.log(row)
		let rolinr = row.inr;
		
		const rtnmsg = await Api.post('dbdrol/mdlbut_submit', { params: { rolinr } })
		if (rtnmsg.retcod == SUCCESS) {
			// Notification.success({ message: '数据提交成功!' })
			this.model.recp_rollst = rtnmsg.data.recp_rollst;
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
        }
	}
    recp_rollstHeader=[
    	{
    		title:<Label itext="角色名称" />, 
    		dataIndex:"nam",
    		key:"nam",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.nam,r2.nam),
    	},
    	{
    		title:<Label itext="创建时间" />, 
    		dataIndex:"credat",
    		key:"credat",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.credat,r2.credat),
    	},
    	{
    		title:<Label itext="最后修改时间" />, 
    		dataIndex:"finamedat",
    		key:"finamedat",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.finamedat,r2.finamedat),
		},
		{
			title: <Label value="操作" />,
			key: "sel",
			width: 200,
			render: (val, row, index,record) => {
				return (
					<div>
						<Link to={{ pathname: 'dberol', query: { inr: row.inr } }}>编辑</Link>
						<Divider type="vertical" />
						<Link to={{ pathname: 'dbefrr', query: { inr: row.inr } }}>配置资源权限</Link>
						<Divider type="vertical" />
						<Link to={{ pathname: 'dbdrol', query: { inr: row.inr } }}>删除</Link>
						{/* <Link to={{ pathname: 'tctame', query: { inr: row.inr } }}>删除</Link> 
						<Label onClick={() => this.onDel(row)} style={{ color: "blue", cursor: "pointer" }} value="删除" />
						<Popconfirm onConfirm={() => this.onDel(row)}  title={<div><h5 style={{color:'red'}}>仅当角色没有用户引用时才可被删除，角色删除后无法恢复！</h5><h5>您确定要继续吗？</h5></div>} okText='继续'>
		              <a href="javascript:;">删除</a> 
		            </Popconfirm> */}
					</div>
				)
			}
		},
    ]


    //按钮事件
    onMdlbut_sel= ()=>{
		this.formBlur=true  //已触发表单提交处理
        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors)
                    return 
                const rtnmsg = await Api.post('dblrol/mdlbut_sel',{data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                    this.model.recp_rollst = rtnmsg.data.recp_rollst;
                    console.log(this.model)
                    
                }
                else
                {
                	Notification.error({ message: '查询失败!' })
                }
                //余下逻辑处理
                    
        })
    }
    

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
			<Card title="角色管理" size="small" className="transTitle">
        	<div style={{position:'relative'}}>
			<Row gutter={24} >
                <Col span={8} offset={0}>
                    <Col span={7} className='label'>
                    <Label itext="角色名称"  />
                    </Col>
                    <Col span={17}>
                    <InputItem   InputProps={bind("recp_nam")}  maxLength={50}  desp="角色名称" path="/recp/nam" />
                    </Col>
                </Col>
				</Row>

				<Row  type='flex' className="simbtn">
          <Col span={4}>
              <Button  type="primary" onClick={this.add}>添加</Button>
           </Col>
           <Col span={4} offset={16} className="btnright">
		   <Button   type="primary" icon="search" onClick={this.onMdlbut_sel} desp="查询" path="/mdlbut/sel">
		   <Label   itext="查询"/></Button>
              <Button  style={{marginLeft:16}} onClick={this.handleReset} >重置</Button>
           </Col>
         </Row>
			
			<Table rowKey="inr" columns={this.recp_rollstHeader}  dataSource={this.model.recp_rollst}   path="/recp/rollst"/>
		
	{/* <InputItem InputProps={bind("recp_nam")}  maxLength={50}  desp="角色名称" path="/recp/nam" />
	<InputItem InputProps={bind("recp_inr")}  maxLength={8}  desp="唯一编号" path="/recp/inr" />
	<Table rowKey="inr" columns={this.recp_rollstHeader}  dataSource={this.model.recp_rollst}   path="/recp/rollst"/>
	<Button  type="primary" icon="search" onClick={this.onMdlbut_sel} desp="查询" path="/mdlbut/sel">
		<Label   itext="查询"/>
	</Button>

	
	<Label itext="角色名称"  />	

	
		<Label itext="唯一编号"  />	  */}
		</div>
		</Card>
		)
	}
}
