/***
 * 
 * 明细  
 * 
***/

import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable, autorun } from 'mobx'
import { Row, Col, Popconfirm, Modal ,Spin} from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Business from '@/views/Public/Business'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm
  
@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class OvwpScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
		this.state={
			detamep_engamt:this.model.detamep_engamt
		}
	}

	//交易描述赋值
	componentDidMount() {
		super.componentDidMount()
		this.autoDispose = autorun(() => {
			//原最大金额=原开证金额*(1+原短装/100)
			this.model.max1_amt=(this.model.nom11_amt*(1+this.model.nomtop1/100)).toString()

			//最大金额变动=修改后最大金额-原最大金额
			this.model.detamep_maxamt=(this.model.max_amt-this.model.max1_amt).toString()
      
      //非拒绝修改时，清空修改理由
      if(!(this.model.rejameflg=="RJCT")){
        this.model.rejamersn=""
      }
    })
	}

	componentWillUnmount() {
		this.autoDispose && this.autoDispose()
	}

	//修改金额 触发事件
	engChange=()=>{
		//修改后金额=修改金额+原开证金额
		this.model.nom1_amt=(Number(this.model.detamep_engamt)+Number(this.model.nom11_amt)).toString()
	}

	//修改后金额 触发事件
	nom1Change=()=>{
		//修改金额=修改后金额-原开证金额
		this.model.detamep_engamt=(this.model.nom1_amt-this.model.nom11_amt).toString();
	}
	
	// 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}

	// 暂存按钮
	onPed = async () => {
		 this.com.wrappedInstance.wrappedInstance.onPed();
	}

	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
	}

	onSav = () => {
		this.com.wrappedInstance.wrappedInstance.onSav();
	}

	
	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
    const { bchlevelLst } = this.props.extra
    const rejameflgCode = [
      { label: `拒绝修改`, value: `RJCT` },
      { label: `同意修改`, value: `ACPT` },
    ]
		//const {next,pre} = this.props.steps
		if(this.props.flag==true){
			return <Spin style={{width:"100%", justifyContent:"center"}} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
			   <Business  wrappedComponentRef={ref => (this.com = ref)} page={this} steps={this.props.steps}  extra={this.props.extra}  model={this.model} />
				{/* 第一行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 业务编号 */}
								<Label i18nId={"CPTP_LT000022"} />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("ownref")}  maxLength={20}  desp="业务编号" path="/dedgrp/rec/ownref"  disabled={true}  />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 概要描述 */}
								<Label itext="概要描述"  />	
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("nam")}  maxLength={40}  desp="概要描述" path="/dedgrp/rec/nam"  disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="最后修改日期" trn="detame" />
							</Col>
							<Col span={14}>
								<DatePickerItem InputProps={bind("amedat")}  desp="最后修改日期" path="/dedgrp/rec/amedat"  disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="修改次数" trn="detame" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("amenbr")}   desp="修改次数" path="/dedgrp/rec/amenbr"  disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="原溢短装" trn="detame" />	
							</Col>
							<Col span={6}>
								<InputItem InputProps={bind("nomtop1")}   desp="上浮" path="/olddedgrp/rec/nomtop"  disabled={true} />
							</Col>
							<Col span={1} offset={1}>
								<Label itext="/" trn="detame" />	
							</Col>
							<Col span={6}>
								<InputItem InputProps={bind("nomton1")}   desp="下浮" path="/olddedgrp/rec/nomton"  disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="新溢短装" trn="detame" />
							</Col>
							<Col span={6}>
								<InputItem InputProps={bind("nomtop")}   desp="上浮" path="/dedgrp/rec/nomtop" />
							</Col>
							<Col span={1} offset={1}>
								<Label itext="/" trn="detame" />	
							</Col>
							<Col span={6}>
								<InputItem InputProps={bind("nomton")}   desp="下浮" path="/dedgrp/rec/nomton" />
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="原开证金额" trn="detame" />
							</Col>
							<Col span={6}>
								<SelectItem InputProps={bind("nom11_cur")} code={CodeTable.curtxt}  desp="Currency" path="/olddedgrp/cbs/nom1/cur"  disabled={true}/>
							</Col>
							<Col span={7} offset={1}>
								<InputItem   InputProps={ {...bind("nom11_amt"), type:"amount", cur:this.model.nom11_cur} } disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="原最大金额" trn="detame" />	
							</Col>
							<Col span={6}>
								<SelectItem InputProps={bind("max1_cur")} code={CodeTable.curtxt}  desp="Currency" path="/olddedgrp/cbs/max/cur"  disabled={true}/>
							</Col>
							<Col span={7} offset={1}>
								<InputItem   InputProps={ {...bind("max1_amt"), type:"amount", cur:this.model.max1_cur} } disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="修改金额" trn="detame" />	
							</Col>
							<Col span={6}>
								<SelectItem InputProps={bind("detamep_engcur")} code={CodeTable.curtxt}   desp="Engagement Currency" path="/detamep/engcur"  disabled={true}/>
							</Col>
							<Col span={7} offset={1}>
								<InputItem   InputProps={ {...bind("detamep_engamt"), type:"amount", cur:this.model.detamep_engcur,onBlur:this.engChange} } disabled={true}/>
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="最大金额变动" trn="detame" />
							</Col>
							<Col span={6}>
								<SelectItem InputProps={bind("detamep_maxcur")} code={CodeTable.curtxt}   desp="Currency of Maximum Amount" path="/detamep/maxcur"  disabled={true}/>
							</Col>
							<Col span={7} offset={1}>
								<InputItem   InputProps={ {...bind("detamep_maxamt"), type:"amount", cur:this.model.detamep_maxcur} } disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="修改后金额" trn="detame" />
							</Col>
							<Col span={6}>
								<SelectItem InputProps={bind("nom1_cur")} code={CodeTable.curtxt}  desp="Currency" path="/dedgrp/cbs/nom1/cur"  disabled={true}/>
							</Col>
							<Col span={7} offset={1}>
								<InputItem   InputProps={ {...bind("nom1_amt"), type:"amount", cur:this.model.nom1_cur,onBlur:this.nom1Change} } disabled={true}/>
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="修改后最大金额" trn="detame" />	
							</Col>
							<Col span={6}>
								<SelectItem InputProps={bind("max_cur")} code={CodeTable.curtxt}  desp="Currency" path="/dedgrp/cbs/max/cur"  disabled={true}/>
							</Col>
							<Col span={7} offset={1}>
								<InputItem   InputProps={ {...bind("max_amt"), type:"amount", cur:this.model.max_cur} } disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="原有效日期" trn="detame" />
							</Col>
							<Col span={14}>
								<DatePickerItem InputProps={bind("expdat1")}  desp="有效日期" path="/olddedgrp/rec/expdat"  disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="新有效日期" trn="detame" />
							</Col>
							<Col span={14}>
								<DatePickerItem InputProps={bind("expdat")}  desp="有效日期" path="/dedgrp/rec/expdat" />
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="原最迟货物装运日期" trn="detame" />
							</Col>
							<Col span={14}>
								<DatePickerItem InputProps={bind("shpdat1")}  desp="最迟货物装运/服务提供日期 " path="/olddedgrp/rec/shpdat"  disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="新最迟货物装运日期 " trn="detame" />	
							</Col>
							<Col span={14}>
								<DatePickerItem InputProps={bind("shpdat")}  desp="最迟货物装运/服务提供日期 " path="/dedgrp/rec/shpdat" />
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="原有效地点" trn="detame" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("expplc1")}  maxLength={100}  desp="有效地点" path="/olddedgrp/rec/expplc"  disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="新有效地点" trn="detame" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("expplc")}  maxLength={100}  desp="有效地点" path="/dedgrp/rec/expplc" />
							</Col>
						</Row>
					</Col>
				</Row>

        {/* <Row>
          <Col span={12}>
            <Row className="row">
              <Col span={5} offset={2}>
                <Label itext="信用证修改理由" trn="detame" />	
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("amersn")}  maxLength={60} />
							</Col>
            </Row>
          </Col>
        </Row> */}

        <Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                <Label itext="拒绝修改标识" trn="detame" />
							</Col>
							<Col span={14}>
                <SelectItem InputProps={bind("rejameflg")} code={rejameflgCode} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
                <Label itext="拒绝修改理由" trn="detame" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("rejamersn")}  maxLength={60} disabled={!(this.model.rejameflg == "RJCT")} />
							</Col>
						</Row>
					</Col>
				</Row>

				<Row type="flex" justify="center">
					<Col>
						<div className="button0">
							<div className='button2'>
								{/* 退出按钮 */}
								<ConfirmButton
									onOK={this.onRtn}
									title=""
									message="确定退出？"
								>
									<Label i18nId="MTABUT_BT000464" />
								</ConfirmButton>
							</div>
							<div className='button2'>
								{/* 暂存按钮 */}
								<ConfirmButton
									onOK={this.onPed}
									title=""
									message="确定暂存？"
								>
									<Label i18nId="MTABUT_BT000398" />
								</ConfirmButton>
							</div>
							<div className='button2'>
								{/* 检核按钮 */}
								<Button onClick={this.onChk}>
									<Label i18nId="MTABUT_BT000180" />
								</Button>
							</div>
							<div className='button2'>
								<ConfirmButton
									onOK={this.onSav}
									icon="save"
									message="确定提交？"
								>
									<Label i18nId="MTABUT_BT000473" />
								</ConfirmButton>
							</div>
						</div>
					</Col>
				</Row>
			</div >
		)
	}
}
