//条款  


import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button,TextAreaItem, Label, DatePickerItem, Section, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal ,Spin} from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Business from '@/views/Public/Business'
import Ptspta1 from '@/views/Public/Ptspta1'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm
  
@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class TkpScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
	}

	// 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}
	// 暂存按钮
	onPed = async () => {
		 this.com.wrappedInstance.wrappedInstance.onPed();
	}
	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
  }
  
	onSav = () => {
		this.com.wrappedInstance.wrappedInstance.onSav();
	}

	
	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const { bchlevelLst } = this.props.extra
		//const {next,pre} = this.props.steps
		if(this.props.flag==true){
			return <Spin style={{width:"100%", justifyContent:"center"}} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
			   <Business  wrappedComponentRef={ref => (this.com = ref)} page={this} steps={this.props.steps}  extra={this.props.extra}  model={this.model} />
				{/* 第一行 */}
				<Row>
					<Col span={12}>
            <Ptspta1 model={this.model} argArr={{ desc: "委托行", prefix: 'pts1', url: 'detame/agep_ptysel', flg: 'B', datakey: '\\detp\\agep\\ptslst' }} isDisabled={this.model.isstyp==='OWIS' || !this.model.isstyp} formBlur={this.formBlur}  />
					</Col>
					<Col span={12}>
            <Ptspta1 model={this.model} argArr={{ desc: "转让行", prefix: 'pts', url: 'detame/a2bp_ptysel', flg: 'B', datakey: '\\detp\\a2bp\\ptslst' }} isDisabled={this.model.traflg=='FALS' || !this.model.traflg} formBlur={this.formBlur}   />
					</Col>
				</Row>

        <Row>
          <Col span={12}>
            <Row className="row">
              {/* 合同编号 */}
              <Col span={5} offset={2}>
                <Label itext="合同编号"  />
              </Col>
              <Col span={14}>
                <InputItem InputProps={bind("conno")}  maxLength={35}  desp="合同编号" path="/dedgrp/rec/conno" />
              </Col>
            </Row>
          </Col>
					<Col span={12}></Col>
        </Row>

        <Row>
          <Col span={12}>
            <Col span={24}>
              <Row className="row">
                <Col span={5} offset={2}>
                  <Label itext="合同金额" trn="detame" />
                </Col>
                <Col span={6}>
                  <SelectItem InputProps={bind("concur")} code={CodeTable.curtxt}  desp="合同金额" path="/dedgrp/rec/concur"/>
                </Col>
                <Col span={7} offset={1}>
                  <InputItem   InputProps={ {...bind("conamt"), type:"amount", cur:this.model.concur} } />
                </Col>
              </Row>
            </Col>
            <Col span={24}>
              <Row className="row">
                <Col span={5} offset={2}>
                  <Label itext="分批装运货物" trn="detame" />
                </Col>
                <Col span={14}>
                  <SelectItem InputProps={bind("shppar")} code={CodeTable.allow} />
                </Col>
              </Row>
            </Col>
            <Col span={24}>
              <Row className="row">
                <Col span={5} offset={2}>
                  <Label itext="分期装运" trn="detame" />
                </Col>
                <Col span={14}>
                  <SelectItem InputProps={bind("shpper")} code={CodeTable.allow} />
                </Col>
              </Row>
            </Col>
          </Col>
					<Col span={12}>
            <Ptspta1 model={this.model} argArr={{ desc: "保兑行", prefix: 'pts4', url: 'detame/conp_ptysel', flg: 'B', datakey: '\\detp\\conp\\ptslst' }} isDisabled={this.model.cfmflg=='FALS' || !this.model.cfmflg} formBlur={this.formBlur}  />
          </Col>
        </Row>

        <Row>
          <Col span={12}>
           <Row className="row">
              <Col span={5} offset={2}>
                <Label itext="转运"  />
              </Col>
              <Col span={14}>
                <SelectItem InputProps={bind("shptrs")} code={CodeTable.allow}  desp="转运" path="/dedgrp/rec/shptrs"/>
                </Col>
            </Row>
          </Col>
          <Col span={12}></Col>
        </Row>

        <Row>
          <Col span={12}>
            <Col span={24}>
              <Row className="row">
                <Col span={5} offset={2}>
                  <Label itext="是否可转让"  />
                </Col>
                <Col span={14}>
                  <SelectItem InputProps={{...bind("traflg"),
                    onAfterChange:(val)=>{
                      if(val=='FALS' || !val){
                        this.model.pts_extkey="";
                        this.model.pts_namcn="";
                        this.model.pts_adrcn="";
                      }
                    }}} 
                    code={CodeTable.yesno}  desp="是否可转让" path="/dedgrp/rec/traflg"
                  />
                </Col>
              </Row>
            </Col>
            <Col span={24}>
              <Row className="row">
                <Col span={5} offset={2}>
                  <Label itext="保兑标志"  />
                </Col>
                <Col span={14}>
                  <SelectItem InputProps={{...bind("cfmflg"),
                    onAfterChange:(val)=>{
                      if(val=='FALS' || !val){
                        this.model.pts4_extkey="";
                        this.model.pts4_namcn="";
                        this.model.pts4_adrcn="";
                      }
                    }}} 
                    code={CodeTable.yesno}  desp="保兑标志" path="/dedgrp/rec/cfmflg"
                  />
                </Col>
              </Row>
            </Col>
            <Col span={24}>
              <Row className="row">
                <Col span={5} offset={2}>
                  <Label itext="是否可议付"  />
                </Col> 
                <Col span={14}>
                  <SelectItem InputProps={{...bind("negflg"),
                    onAfterChange:(val)=>{
                      if(val=='NULL' || !val){
                        this.model.pts6_extkey="";
                        this.model.pts6_namcn="";
                        this.model.pts6_adrcn="";
                      }
                    }}} 
                    code={CodeTable.negCode}  desp="是否可议付" path="/dedgrp/rec/negflg"
                  />
                </Col>
              </Row>
            </Col>
          </Col>
          <Col span={12}>
            <Ptspta1 model={this.model} argArr={{ desc: "议付行", prefix: 'pts6', url: 'detame/negp_ptysel', flg: 'B', datakey: '\\detp\\negp\\ptslst' }} isDisabled={this.model.negflg=='NULL' || !this.model.negflg} formBlur={this.formBlur} />
          </Col>
				</Row>

        <Row>
          <Col span={24}>
            <Row className="row">
              <Col span={4} offset={1}>
                <Label itext="货物装运地(港)" trn="detame" />	
              </Col>
              <Col span={10}>
                <InputItem InputProps={bind("shpfro")}  maxLength={100} />
              </Col>
            </Row>
          </Col>
        </Row>

        <Row>
          <Col span={24}>
            <Row className="row">
              <Col span={4} offset={1}>
                <Label itext="分期装运/提供服务约定" trn="detame" />	
              </Col>
              <Col span={10}>
                <InputItem InputProps={bind("trdapt")}  maxLength={100}  desp="分期装运/提供服务约定" path="/dedgrp/rec/trdapt" />
              </Col>
            </Row>
          </Col>
        </Row>

        <Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								<Label itext="交单期限"  />
							</Col>
							<Col span={10}>
                <InputItem InputProps={bind("preper")}  maxLength={100}  desp="交单期限" path="/dedgrp/rec/preper" />
							</Col>
						</Row>
					</Col>
				</Row>

        <Row>
          <Col span={24}>
            <Row className="row">
              <Col span={4} offset={1}>
                <Label itext="货物运输或交货方式/服务方式" trn="detame" />
              </Col>
              <Col span={10}>
                <InputItem InputProps={bind("tratyp")}  maxLength={20}  desp="货物运输或交货方式/服务方式" path="/dedgrp/rec/tratyp" />
              </Col>
            </Row>
          </Col>
        </Row>

        <Row>
          <Col span={24}>
            <Row className="row">
              <Col span={4} offset={1}>
                <Label itext="货物目的地、交货地（港）" trn="detame" />
              </Col>
              <Col span={10}>
                <InputItem InputProps={bind("shpto")}  maxLength={100}  desp="货物目的地、交货地（港）" path="/dedgrp/rec/shpto" />
              </Col>
            </Row>
          </Col>
        </Row>

        <Row>
          <Col span={24}>
            <Row className="row">
              <Col span={4} offset={1}>
                <Label itext="服务提供地点" trn="detame" />
              </Col>
              <Col span={10}>
                <InputItem InputProps={bind("shppro")}  maxLength={100}  desp="服务提供地点" path="/dedgrp/rec/shppro" />
              </Col>
            </Row>
          </Col>
        </Row>

        <Row>
          <Col span={24}>
            <Row className="row">
              <Col span={4} offset={1}>
                <Label itext="有效地点" trn="detame" />
              </Col>
              <Col span={10}>
                <InputItem InputProps={bind("expplc")}  maxLength={100}  desp="有效地点" path="/dedgrp/rec/expplc" />
              </Col>
            </Row>
          </Col>
        </Row>
        
				<Row type="flex" justify="center">
					<Col>
						<div className="button0">
							<div className='button2'>
								{/* 退出按钮 */}
								<ConfirmButton
									onOK={this.onRtn}
									title=""
									message="确定退出？"
								>
									<Label i18nId="MTABUT_BT000464" />
								</ConfirmButton>
							</div>
							<div className='button2'>
								{/* 暂存按钮 */}
								<ConfirmButton
									onOK={this.onPed}
									title=""
									message="确定暂存？"
								>
									<Label i18nId="MTABUT_BT000398" />
								</ConfirmButton>
							</div>
							<div className='button2'>
								{/* 检核按钮 */}
								<Button onClick={this.onChk}>
									<Label i18nId="MTABUT_BT000180" />
								</Button>
							</div>
							<div className='button2'>
								<ConfirmButton
									onOK={this.onSav}
									icon="save"
									message="确定提交？"
								>
									<Label i18nId="MTABUT_BT000473" />
								</ConfirmButton>
							</div>
						</div>
					</Col>
				</Row>
			
					
			</div >
		)
	}
}
