import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,Steps} from '@/components/Common-Library'
import Api from '@/service/api'
import mDetame from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'

import Ovwp from './Ovwp'
import Detp from './Detp'
import Tkp from './Tkp'
import Four from './Four'
import Five from './Five'
import Six from './Six'
import Fee from '@/views/Public/Fee'
import Gle from '@/views/Public/Gle'
import Papper from '@/views/Public/Papper'
import Engp from '@/views/Public/Engp'

import { Card } from 'antd'

const CodeTable = CodeTableFactory.getInstance()
const StepItem = Steps.Item;

@inject('UserContext')
@inject('i18n')
@observer
export default class DetameScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'detame'}
    }
    
    
    @observable
		formBlur=false
		
		@observable
		extra = { inifrm: 'detame', sptinr:"",oldinr:'', bchlevelLst: [] }

    constructor(props)
    {
        super(props)
        this.model = new mDetame()    
				this.bind = Bind.bind(this)
				this.state={
					flag:true
				}
    }
	
		async componentWillMount(){
			/*
			*添加初始化代码
			*/
      let dedinr = '';
      //如果携带参数，接收参数再发请求
      if(this.props.location.query){
        console.log(this.props.location.query)
        if(this.props.location.query.from=="sptsel"){
          this.extra.sptinr=this.props.location.query.sptinr;
        }else{
          dedinr=this.props.location.query.dedinr;
        }
      }
			const rtnmsg = await Api.post(this.extra.inifrm + '/init', { params: { sptinr:this.extra.sptinr,dedinr } })
      if (rtnmsg.retcod == SUCCESS) {
				Object.assign(this.model, rtnmsg.data)
        this.extra.bchlevelLst = rtnmsg.codetable.ownbch;
        //给oldinr赋值为当前inr，为修改、退回等做准备
				this.extra.oldinr = rtnmsg.data.inr;
				this.setState({ flag: false })
			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}

			//快照模式下，不必开启校验，否则，静默校验，和记录变动
			!this.loadDisplay() && this.model.openMonitor() //开启校验	
		}

    componentWillUnmount()
    {
        this.model.stopMonitor&&this.model.stopMonitor()//关闭校验
    }

		
    //交易内实现
    renderPage(){
    	const bind = this.bind
			const {i18n} = this.props
			
			return (
				<Card title="修改通知" size="small" className="transTitle">
					<Steps>
						
						<StepItem title="修改确认">
							<Ovwp model={this.model} extra={this.extra} flag={this.state.flag} />
						</StepItem>
						<StepItem title="明细">
							<Detp model={this.model} extra={this.extra} />
						</StepItem>
						<StepItem title="条款">
							<Tkp model={this.model} extra={this.extra} />
						</StepItem>
						<StepItem title="货物/服务">
							<Four model={this.model} extra={this.extra} />
						</StepItem>
						<StepItem title="单据要求">
							<Five model={this.model} extra={this.extra} />
						</StepItem>
						<StepItem title="附加条款">
							<Six model={this.model} extra={this.extra} />
						</StepItem>

            <StepItem title="表外明细">
							<Engp model={this.model} extra={this.extra} fcdflg="DE" />
						</StepItem>
						<StepItem title="费用">
							<Fee model={this.model} extra={this.extra} />
						</StepItem>
						<StepItem title="会计分录">
							<Gle model={this.model} extra={this.extra} />
						</StepItem>
						<StepItem title="面函">
							<Papper model={this.model} extra={this.extra} />
						</StepItem>

					</Steps>
				</Card>
			)
	  }
}
