import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,Steps} from '@/components/Common-Library'
import Api from '@/service/api'
import mDetfre from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'

import { Card } from 'antd'

import Ovwp from './Ovwp'

import Fee from '@/views/Public/Fee'
import Gle from '@/views/Public/Gle'
import Papper from '@/views/Public/Papper'

const CodeTable = CodeTableFactory.getInstance()
const StepItem=Steps.Item;

@inject('UserContext')
@inject('i18n')
@observer
export default class DetfreScreen extends Page
{
    
    @observable
    formBlur=false

    @observable
		extra = { inifrm: 'detfre', sptinr: '', oldinr:'', bchlevelLst: [] };

    constructor(props)
    {
        super(props)
        this.model = new mDetfre()    
				this.bind = Bind.bind(this)
				this.state={
          flag:true
        }
    }
	
		async componentWillMount() 
		{
			/*
			*添加初始化代码
      */
      let dedinr = '';
      //如果携带参数，接收参数再发请求
      if(this.props.location.query){
        if(this.props.location.query.from=="sptsel"){
          //经办夹进入
          this.extra.sptinr = this.props.location.query.sptinr
        }else{
          dedinr = this.props.location.query.dedinr
        }
      }
      const rtnmsg = await Api.post(this.extra.inifrm + '/init', { params: { sptinr:this.extra.sptinr, dedinr } })
			
			if (rtnmsg.retcod == SUCCESS) {
        Object.assign(this.model, rtnmsg.data)
        //给oldinr赋值为当前inr，为修改、退回等做准备
				this.extra.oldinr = rtnmsg.data.inr;
				this.setState({ flag: false });
			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}
	
			//快照模式下，不必开启校验，否则，静默校验，和记录变动
			!this.loadDisplay() && this.model.openMonitor() //开启校验
	
		}

    componentWillUnmount()
    {
        this.model.stopMonitor&&this.model.stopMonitor()//关闭校验
    }


    //交易内实现
    renderPage(){
    	const bind = this.bind
      const {i18n} = this.props
			
			return (
				<Card title="自由报文" size="small" className="transTitle">
					<Steps>
					
						<StepItem title="概要">
							<Ovwp model={this.model} extra={this.extra} flag={this.state.flag} />
						</StepItem>
			
						<StepItem title="费用">
							<Fee model={this.model} extra={this.extra} />
						</StepItem>
						<StepItem title="会计分录">
							<Gle model={this.model} extra={this.extra} />
						</StepItem>
						<StepItem title="面函">
							<Papper model={this.model} extra={this.extra} />
						</StepItem>
					</Steps>
				</Card>
			)

  //       return (
  //       	<div className="transPage">
	// <Button  type="primary"  onClick={this.onUsrcon} desp="登记" path="/mtabut/usrcon">
	// 	<Label   itext="登记"/>
	// </Button>
	// <Button  type="primary" icon="save"
	// 	  onClick={this.onSav} desp="Save" path="/mtabut/sav">
	// 	<Label   itext="提交"/>
	// </Button>

	
	// <Label itext="信用证金额" trn="detfre" />	
	// <SelectItem InputProps={bind("max_cur")} code={CodeTable.curtxt}  desp="Currency" path="/dedgrp/cbs/max/cur"/>
	// <InputItem InputProps={bind("max_amt")}   desp="Balance" path="/dedgrp/cbs/max/amt" />

	
	// <Label itext="受益人" trn="detfre" />	
	// <InputItem InputProps={bind("pts1_namcn")}  maxLength={100}  desp="客户中文名称" path="/dedgrp/ben/pts/namcn" />
	// <Button  type="primary"  onClick={this.onChk} desp="Check" path="/mtabut/chk">
	// 	<Label   itext="检核"/>
	// </Button>
	// <InputItem InputProps={bind("pts_namcn")}  maxLength={100}  desp="客户中文名称" path="/dedgrp/apl/pts/namcn" />

	
	// <Label itext="申请人" trn="detfre" />	

	
	// <Label itext="信用证余额" trn="detfre" />	
	// <SelectItem InputProps={bind("opn1_cur")} code={CodeTable.curtxt}  desp="Currency" path="/dedgrp/cbs/opn1/cur"/>
	// <InputItem InputProps={bind("opn1_amt")}   desp="Balance" path="/dedgrp/cbs/opn1/amt" />

	
	// <Label itext="开证行" trn="detfre" />	
	// <InputItem InputProps={bind("pts2_namcn")}  maxLength={100}  desp="客户中文名称" path="/dedgrp/iss/pts/namcn" />

	
	// <Label itext="开立日期" trn="detfre" />	
	// <DatePickerItem InputProps={bind("opndat")}  desp="开立日期" path="/dedgrp/rec/opndat" />

	
	// <Label itext="有效地点" trn="detfre" />	
	// <InputItem InputProps={bind("expplc")}  maxLength={100}  desp="有效地点" path="/dedgrp/rec/expplc" />

	
	// <Label itext="信用证兑付方式" trn="detfre" />	
	// <SelectItem InputProps={bind("avbby")} code={CodeTable.avbby}  desp="信用证对付方式" path="/dedgrp/rec/avbby"/>

	
	// <Label itext="有效日期" trn="detfre" />	
	// <DatePickerItem InputProps={bind("expdat")}  desp="有效日期" path="/dedgrp/rec/expdat" />

	
	// <Label itext="索引" trn="detfre" />	
	// <InputItem InputProps={bind("inr")}  maxLength={8}  desp="索引" path="/dedgrp/rec/inr" />

	
	// <Label itext="报文内容" trn="detfre" />	

	
	// <Label itext="收报行" trn="detfre" />	
	// <TextAreaItem InputProps={bind("fremsg_fretxt")} desp="Narrative" path="/fremsg/fretxt"/>
	// <InputItem InputProps={bind("pts3_extkey")}  maxLength={16}  desp="客户编号" path="/fremsg/fmc/pts/extkey" />
	// <Button  type="primary" icon="search" onClick={this.onFmcp_sel} desp="查询" path="/fremsg/fmcp/sel">
	// 	<Label   itext="查询"/>
	// </Button>
	// <Button  type="primary" icon="search" onClick={this.onFmcp_ptysel} desp="客户查询" path="/fremsg/fmcp/ptysel">
	// 	<Label   itext="客户查询"/>
	// </Button>
	// <InputItem InputProps={bind("pts3_namcn")}  maxLength={100}  desp="客户中文名称" path="/fremsg/fmc/pts/namcn" />
	// <InputItem InputProps={bind("pts3_adrcn")}  maxLength={100}  desp="中文地址" path="/fremsg/fmc/pts/adrcn" />
	// <Button  type="primary"  onClick={this.onPed} desp="暂存" path="/mtabut/ped">
	// 	<Label   itext="暂存"/>
	// </Button>
	// <Button  type="primary"  onClick={this.onRtn} desp="退出" path="/mtabut/rtn">
	// 	<Label   itext="退出"/>
	// </Button>
	// 	</div>
	// 	)
	}
}
