//条款  


import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button,TextAreaItem, Label, DatePickerItem, Section, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal ,Spin} from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta from '@/views/Public/Ptspta'
import Business from '@/views/Public/Business'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm
  
@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class TkpScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
	}


	// 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}
	// 暂存按钮
	onPed = async () => {
		 this.com.wrappedInstance.wrappedInstance.onPed();
	}
	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
	}
	//提交按钮
	onSav = () => {
		this.com.wrappedInstance.wrappedInstance.onSav();
	}

	
	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const { bchlevelLst } = this.props.extra
		//const {next,pre} = this.props.steps
		if(this.props.flag==true){
			return <Spin style={{width:"100%", justifyContent:"center"}} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
			   <Business  wrappedComponentRef={ref => (this.com = ref)} steps={this.props.steps}  extra={this.props.extra}  model={this.model} />
				{/* 第一行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={15} offset={2}>
								{/* 货物服务描述 */}
								<Label itext="货物服务描述"  />	
							</Col>
						
						</Row>
					</Col>
				</Row>
				{/* 第二行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={16} offset={1}>
                <TextAreaItem InputProps={bind("lcrgod")} rows={8} style={{ resize: "none" }} desp="货物服务描述" path="/dedgrp/rec/lcrgod" formBlur={this.formBlur}/>
							</Col>
						</Row>
					</Col>
					
				</Row>
				{/* 第三行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={15} offset={2}>
								{/* 单据要求 */}
								<Label itext="单据要求"  />	
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={16} offset={1}>
                <TextAreaItem InputProps={bind("lcrdoc")} rows={8} style={{ resize: "none" }} desp="单据要求" path="/dedgrp/rec/lcrdoc" formBlur={this.formBlur}/>
							</Col>
						</Row>
					</Col>
					
				</Row>
			
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={15} offset={2}>
								{/* 附加条款 */}
								<Label itext="附加条款"  />	
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={16} offset={1}>
              <TextAreaItem InputProps={bind("adlcnd")} rows={8} style={{ resize: "none" }} desp="附加条款" path="/dedgrp/rec/adlcnd" formBlur={this.formBlur}/>	
              </Col>
						</Row>
					</Col>
				</Row>

				<Row type="flex" justify="center">
					<Col>
						<div className="button0">
							<div className='button2'>
								{/* 退出按钮 */}
								<ConfirmButton
									onOK={this.onRtn}
									title=""
									message="确定退出？"
								>
									<Label i18nId="MTABUT_BT000464" />
								</ConfirmButton>
							</div>
							<div className='button2'>
								{/* 暂存按钮 */}
								<ConfirmButton
									onOK={this.onPed}
									title=""
									message="确定暂存？"
								>
									<Label i18nId="MTABUT_BT000398" />
								</ConfirmButton>
							</div>
							<div className='button2'>
								{/* 检核按钮 */}
								<Button onClick={this.onChk}>
									<Label i18nId="MTABUT_BT000180" />
								</Button>
							</div>
							<div className='button2'>
								<ConfirmButton
									onOK={this.onSav}
									icon="save"
									message="确定提交？"
								>
									<Label i18nId="MTABUT_BT000473" />
								</ConfirmButton>
							</div>
						</div>
					</Col>
				</Row>
			</div >
		)
	}
}
