import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Detsel {
    
    @observable
    accdat=""           // \bmdgrp\rec\accdat    Acceptance Date 

    @observable
    doctypcod=""           // \bmdgrp\rec\doctypcod    Document Type 

    @observable
    expmno=""           // \bmdgrp\rec\expmno    快递单号 

    @observable
    inr=""           // \bmdgrp\rec\inr    Internal Unique ID of Export L/C Document Set 

    @observable
    matdat=""           // \bmdgrp\rec\matdat    Maturity Date 

    @observable
    nam=""           // \bmdgrp\rec\nam    Externally Displayed Name to Identify the Contract 

    @observable
    opndat=""           // \bmdgrp\rec\opndat    Date Opened/Issued 

    @observable
    ownref=""           // \bmdgrp\rec\ownref    Own Reference BE Number 

    @observable
    avbby=""           // \dedgrp\rec\avbby    信用证对付方式 

    @observable
    expdat=""           // \dedgrp\rec\expdat    有效日期 

    @observable
    expplc=""           // \dedgrp\rec\expplc    有效地点 

    @observable
    inr1=""           // \dedgrp\rec\inr    索引 

    @observable
    nam1=""           // \dedgrp\rec\nam    概要描述 

    @observable
    opndat1=""           // \dedgrp\rec\opndat    开立日期 

    @observable
    ownref1=""           // \dedgrp\rec\ownref    业务编号 

    @observable
    ameflg=""           // \ameflg    修改标志 

    @observable
    max_amt=""           // \bmdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \bmdgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \bmdgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \bmdgrp\cbs\opn1\cur    Currency 

    @observable
    bmtmod_bmdlst=[]           // \bmtmod\bmdlst 

    @observable
    bmtmod_bmref=""           // \bmtmod\bmref    单据编号 

    @observable
    bmtmod_clsflg=""           // \bmtmod\clsflg    闭卷业务 

    @observable
    cfgfil_cfga=[]           // \cfgfil\cfga 

    @observable
    cfgfil_cfgb=[]           // \cfgfil\cfgb 

    @observable
    pts_namcn=""           // \dedgrp\adv\pts\namcn    客户中文名称 

    @observable
    pts1_namcn=""           // \dedgrp\apl\pts\namcn    客户中文名称 

    @observable
    pts2_namcn=""           // \dedgrp\ben\pts\namcn    客户中文名称 

    @observable
    max1_amt=""           // \dedgrp\cbs\max\amt    Balance 

    @observable
    max1_cur=""           // \dedgrp\cbs\max\cur    Currency 

    @observable
    opn11_amt=""           // \dedgrp\cbs\opn1\amt    Balance 

    @observable
    opn11_cur=""           // \dedgrp\cbs\opn1\cur    Currency 

    @observable
    pts3_namcn=""           // \dedgrp\iss\pts\namcn    客户中文名称 

    @observable
    detmod_clsflg=""           // \detmod\clsflg    闭卷业务 

    @observable
    detmod_dedlst=[]           // \detmod\dedlst 

    @observable
    detmod_deref=""           // \detmod\deref    业务参考号 

    @observable
    selflg=""           // \selflg    选择标志 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.accdat=""
            this.doctypcod=""
            this.expmno=""
            this.inr=""         //更新
            this.matdat=""
            this.nam=""
            this.opndat=""
            this.ownref=""
            this.avbby=""
            this.expdat=""
            this.expplc=""
            this.inr1=""        //更新
            this.nam1=""
            this.opndat1=""
            this.ownref1=""
            this.ameflg=""      //更新
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.bmtmod_bmdlst=[]
            this.bmtmod_bmref=""        //更新
            this.bmtmod_clsflg=""
            this.cfgfil_cfga=[]
            this.cfgfil_cfgb=[]
            this.pts_namcn=""
            this.pts1_namcn=""
            this.pts2_namcn=""
            this.max1_amt=""
            this.max1_cur=""
            this.opn11_amt=""
            this.opn11_cur=""
            this.pts3_namcn=""
            this.detmod_clsflg=""
            this.detmod_dedlst=[]
            this.detmod_deref=""        //更新
            this.selflg=""              //更新
    }

} 


export default Detsel