import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button,TextAreaItem, Label, DatePickerItem, Section, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal ,Spin} from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta from '@/views/Public/Ptspta'
import Business from '@/views/Public/Business'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class DogpameScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
	}



	// 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}
	// 暂存按钮
	onPed = async () => {
		this.com.wrappedInstance.wrappedInstance.onPed();
	}
	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
	}

	onSav = () => {
		this.com.wrappedInstance.wrappedInstance.onSav();
	}

	

	async onRecal() {
		this.formBlur = true  //已触发表单提交处理
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/setmod_ast', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			this.model.fegmod_feslst = rtnmsg.data.fegmod_feslst;
			this.model.glgmod_glslst = rtnmsg.data.glgmod_glslst;
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}
		//余下逻辑处理
	}
	async onRecal1() {
		this.formBlur = true  //已触发表单提交处理
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/setmod_recal', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			this.model.fegmod_feslst = rtnmsg.data.fegmod_feslst;
			this.model.glgmod_glslst = rtnmsg.data.glgmod_glslst;
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}
		//余下逻辑处理
	}
	

	goNext = () => {
		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, (errors, values) => {
			if (!errors) {
				this.props.steps.go(1)
				this.onRecal()
				return
			}
			for (let item of errors) {
				if (this.bindSet.has(item.field))
					return;
			}
			this.props.steps.go(1)
		})
	}

	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const { bchlevelLst } = this.props.extra
		//const {next,pre} = this.props.steps
		if(this.props.flag==true){
			return <Spin style={{width:"100%", justifyContent:"center"}} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
			   <Business  wrappedComponentRef={ref => (this.com = ref)}  extra={this.props.extra}  model={this.model} />
				{/* 第一行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 单据要求修改记录 */}
								<Label itext="单据要求修改记录" trn="ditram" />
							</Col>
						
						</Row>
					</Col>
				</Row>
				{/* 第二行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							
						 <Col span={16} offset={1}>
						 <TextAreaItem  rows={9}style={{ resize: "none" }} disabled={true}InputProps={bind("lcrdocame1")} desp="单据要求历史修改记录" path="/olddidgrp/rec/lcrdocame"/>
							</Col>
						</Row>
					</Col>
					
				</Row>
				{/* 第三行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 原单据要求 */}
								<Label itext="原单据要求" trn="ditram" />		
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={24}>
						<Row className="row">
							
						 <Col span={16} offset={1}>
						 <TextAreaItem  rows={9}style={{ resize: "none" }} disabled={true} InputProps={bind("lcrdoc1")} desp="单据要求" path="/olddidgrp/rec/lcrdoc"/>
							</Col>
						</Row>
					</Col>
					
				</Row>
			
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 现单据要求 */}
								<Label itext="现单据要求" trn="ditram" />
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={24}>
						<Row className="row">
							
							<Col span={16} offset={1}>
							<TextAreaItem  rows={9}style={{ resize: "none" }} InputProps={bind("lcrdoc")} desp="Documents Required amendment" path="/trnmod/swiadd/lcrdoc"/>
							</Col>
						</Row>
					</Col>
					
				</Row>
			
			

				
               
				<Row type="flex" justify="center">
					<Col>
				<div className='button0'>
					<div className='button2'>
						{/* 退出按钮 */}
						<ConfirmButton
							onOK={this.onRtn}
							title=""
							message="确定退出？"
						>
							<Label i18nId="MTABUT_BT000464" />
						</ConfirmButton>
					</div>
					<div className='button2'>
						{/* 暂存按钮 */}
						<ConfirmButton
							onOK={this.onPed}
							title=""
							message="确定暂存？"
						>
							<Label i18nId="MTABUT_BT000398" />
						</ConfirmButton>
					</div>
					<div className='button2'>
						{/* 检核按钮 */}
						<Button onClick={this.onChk}>
							<Label i18nId="MTABUT_BT000180" />
						</Button>
					</div>
					<div className='button2'>
						<ConfirmButton  icon="save"
							onOK={this.onSav}>
							<Label i18nId="MTABUT_BT000473" />
						</ConfirmButton>
					</div>
					
					
				</div>
				 </Col>
                   </Row>

			</div >
		)
	}
}
