import React, { Component, Fragment } from 'react'
import {
    Page, Validator, Notification, FormItem,
    InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps, CheckboxItem, TextAreaItem, Table
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable ,autorun} from 'mobx'
import { Row, Col, Popconfirm, Modal, Spin } from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta1 from '@/views/Public/Ptspta1'
import Business from '@/views/Public/Business'
import { YwbhPicker1, YwbhPicker2 } from '@/components/Business-Library'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm


@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class BasicScreen extends Page {
    @observable
    formBlur = false

    constructor(props) {
        super(props)
        this.model = props.model
        this.bind = Bind.bind(this)
    }

      	//交易描述赋值
	componentDidMount() {
		super.componentDidMount()
		this.autoDispose = autorun(() => {
		//	this.model.nam = `${this.model.max_cur}   ${this.model.max_amt}   ${this.model.pts3_namcn || ""}`
		
		
		})
    }
    
    // 退出按钮
    onRtn = async () => {
        this.com.wrappedInstance.wrappedInstance.onRtn();
    }
    // 暂存按钮
    onPed = async () => {
        this.com.wrappedInstance.wrappedInstance.onPed();
    }
    // 校验 按钮
    onChk = () => {
        this.com.wrappedInstance.wrappedInstance.onChk();
    }

    onSav = () => {
        this.com.wrappedInstance.wrappedInstance.onSav();
    }

    //交易内实现
    renderPage() {
        const bind = this.bind
        const { i18n } = this.props
        const { bchlevelLst } = this.props.extra
        if (this.props.flag == true) {
            return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
        }

        return (
            <div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} steps={this.props.steps} extra={this.props.extra} model={this.model} />
                {/* 第一行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 业务编号 */}
                                <Label itext="业务编号" />
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("ownref")} disabled={true} maxLength={16} desp="业务编号" path="/didgrp/rec/ownref" />
                            </Col>
                            {/* <Col span={4} offset={1}>
                                <YwbhPicker1 type="primary" onChange={(data) => { Object.assign(this.model, data) }} onClick={() => this.onGetref()}>
                                    <Label i18nId="查询" />
                                </YwbhPicker1>
                            </Col>
                            <Col span={1} offset={1}><CheckboxItem InputProps={bind("ditmod_clsflg")} desp="闭卷业务" path="/ditmod/clsflg" /> </Col>
                            <Col span={4} offset={0}>
                              
                                <Label itext="闭卷业务" />
                            </Col> */}
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 概要描述 */}
                                <Label itext="概要描述" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("nam")} disabled={true} maxLength={40} desp="概要描述" path="/didgrp/rec/nam" />
                            </Col>
                        </Row>
                    </Col>

                </Row>
                {/* 第二行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 信用证金额 */}
                                <Label itext="信用证金额" />
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={{
                                    ...bind("max_cur"), onChange: val => {
                                        this.model.max_cur = val
                                        this.model.liqtyp = ""
                                        this.model.swftyp = ""
                                    }
                                }}
                                disabled={true} code={CodeTable.curtxt} />
                            </Col>
                            <Col span={7} offset={1}>
                                {/* <InputItem InputProps={bind("max_amt")} disabled={true}/> */}
                                <InputItem  disabled={true} InputProps={ {...bind("max_amt"), type:"amount", cur:this.model.max_cur} } />
                            </Col>
                            {/* <Col span={5} offset={2}>
                                
                                <Label itext="客户经理" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("accusr")} maxLength={8} desp="客户经理" path="/didgrp/rec/accusr" />
                            </Col>
                            <Col span={3}>

                            </Col>
                            <Col span={5} offset={2}>
                               
                                <Label itext="开立日期" />
                            </Col>
                            <Col span={10}>
                                <DatePickerItem InputProps={bind("opndat")} desp="开立日期" path="/didgrp/rec/opndat" />
                            </Col>
                            <Col span={7}>

                            </Col> */}


                        </Row>

                    </Col>
                    <Col span={12}>
                        <Col span={5} offset={2}>
                            {/* 申请人名称 */}
                            <Label itext="申请人名称" trn="ditrej" />
                        </Col>
                        <Col span={14}>
                            <InputItem InputProps={bind("pts3_namcn")} maxLength={100} disabled={true} desp="客户中文名称" path="/didgrp/apl/pts/namcn" />
                        </Col>

                    </Col>

                </Row>
                {/* 第三行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 未到单金额*/}
                                <Label itext="未到单金额" trn="ditrej" />
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={{
                                    ...bind("opn1_cur"), onChange: val => {
                                        this.model.opn1_cur = val
                                        this.model.liqtyp = ""
                                        this.model.swftyp = ""
                                    }
                                }}
                                disabled={true} code={CodeTable.curtxt} />
                            </Col>
                            <Col span={7} offset={1}>
                                {/* <InputItem InputProps={bind("opn1_amt")} disabled={true}/> */}
                                <InputItem  disabled={true} InputProps={ {...bind("opn1_amt"), type:"amount", cur:this.model.opn1_cur} } />
                            </Col>

                        </Row>
                    </Col>

                    <Col span={12}>

                        <Col span={5} offset={2}>
                            {/* 受益人名称 */}
                            <Label itext="受益人名称" trn="ditrej" />
                        </Col>
                        <Col span={14}>
                            <InputItem InputProps={bind("pts4_namcn")} maxLength={100} disabled={true}  desp="客户中文名称" path="/didgrp/ben/pts/namcn" />
                        </Col>
                    </Col>
                </Row >
                {/* 第四行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 开立日期 */}
                                <Label itext="开立日期" trn="ditrej" />
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("opndat")} desp="开立日期" disabled={true} path="/didgrp/rec/opndat" />
                            </Col>

                        </Row>
                    </Col>

                    <Col span={12}>

                        <Col span={5} offset={2}>
                            {/* 通知行名称 */}
                            <Label itext="通知行名称" trn="ditrej" />
                        </Col>
                        <Col span={14}>
                            <InputItem InputProps={bind("pts1_namcn")} maxLength={100} disabled={true} desp="客户中文名称" path="/didgrp/adv/pts/namcn" />
                        </Col>
                    </Col>
                </Row >
                {/* 第五行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>

                            <Col span={5} offset={2}>
                                {/* 信用证对付方式 */}
                                <Label itext="信用证对付方式" />
                            </Col>
                            <Col span={7}>
                                <SelectItem InputProps={bind("avbby")} code={CodeTable.avbby} disabled={true}  desp="信用证对付方式" path="/didgrp/rec/avbby" />
                            </Col>



                        </Row>
                    </Col>
                    <Col span={12}>
                        <Col span={5} offset={2}>
                            {/* 有效地点 */}
                            <Label itext="有效地点" trn="ditrej" />
                        </Col>
                        <Col span={14}>
                            <InputItem InputProps={bind("expplc")} maxLength={100} desp="有效地点" disabled={true} path="/didgrp/rec/expplc" />
                        </Col>

                    </Col>
                </Row>

                {/* 第六行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                <Label itext="期限" />
                            </Col>
                            <Col span={5}>
                                <InputItem InputProps={bind("tenmaxday")} desp="期限" disabled={true} path="/didgrp/rec/tenmaxday" />

                            </Col>
                            <Col span={4} offset={1}>
                                <Label itext="天" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Col span={5} offset={2}>
                            {/* 有效日期 */}
                            <Label itext="有效日期" />
                        </Col>
                        <Col span={14}>
                            <DatePickerItem InputProps={bind("expdat")} desp="有效日期" disabled={true} path="/didgrp/rec/expdat" />
                        </Col>
                    </Col>
                </Row>

                <Row>

                    <Col span={12}>
                        <Col span={5} offset={2}>
                            {/* 注销/闭卷类型 */}
                            <Label itext="注销/闭卷类型" trn="ditrej" />
                        </Col>
                        <Col span={14}>
                            <SelectItem InputProps={bind("cancod")} code={CodeTable.cancod} desp="注销/闭卷类型" path="/didgrp/rec/cancod" />
                        </Col>

                    </Col>
                </Row>

                <Row>

                    <Col span={12}>
                        <Col span={5} offset={2}>
                            {/* 注销/闭卷原因 */}
                            <Label itext="注销/闭卷原因" trn="ditrej" />
                        </Col>
                        <Col span={14}>
                            <InputItem InputProps={bind("clsinf")} maxLength={100} desp="注销/闭卷原因" path="/didgrp/rec/clsinf" />
                        </Col>

                    </Col>
                </Row>

                <Row type="flex" justify="center">
                    <Col>
                        <div className='button0'>
                            <div className='button2'>
                                {/* 退出按钮 */}
                                <ConfirmButton
                                    onOK={this.onRtn}
                                    title=""
                                    message="确定退出？"
                                >
                                    <Label i18nId="MTABUT_BT000464" />
                                </ConfirmButton>
                            </div>
                            <div className='button2'>
                                {/* 暂存按钮 */}
                                <ConfirmButton
                                    onOK={this.onPed}
                                    title=""
                                    message="确定暂存？"
                                >
                                    <Label i18nId="MTABUT_BT000398" />
                                </ConfirmButton>
                            </div>
                            <div className='button2'>
                                {/* 检核按钮 */}
                                <Button onClick={this.onChk}>
                                    <Label i18nId="MTABUT_BT000180" />
                                </Button>
                            </div>
                            <div className='button2'>
                                <ConfirmButton icon="save"
                                    onOK={this.onSav}>
                                    <Label i18nId="MTABUT_BT000473" />
                                </ConfirmButton>
                            </div>


                        </div>
                    </Col>
                </Row>
            </div >
        )
    }
}
