import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Ditfee {
    @observable
    rejreason=""           // \didgrp\rec\rejreason    通知行拒绝理由 
    
    @observable
    accusr=""           // \didgrp\rec\accusr    客户经理 

    @observable
    adlcnd=""           // \didgrp\rec\adlcnd    附加条款 

    @observable
    adlcndame=""           // \didgrp\rec\adlcndame    附加条款历史修改记录 

    @observable
    amedat=""           // \didgrp\rec\amedat    最后修改日期 

    @observable
    amenbr=""           // \didgrp\rec\amenbr    修改次数 

    @observable
    avbby=""           // \didgrp\rec\avbby    信用证对付方式 

    @observable
    cfmflg=""           // \didgrp\rec\cfmflg    保兑标志 

    @observable
    clsdat=""           // \didgrp\rec\clsdat    闭卷日期 

    @observable
    clsinf=""           // \didgrp\rec\clsinf    注销/闭卷原因 

    @observable
    conamt=""           // \didgrp\rec\conamt    合同金额 

    @observable
    concur=""           // \didgrp\rec\concur    合同币种 

    @observable
    conno=""           // \didgrp\rec\conno    合同编号 

    @observable
    credat=""           // \didgrp\rec\credat    创建日期 

    @observable
    defdet=""           // \didgrp\rec\defdet    远期付款指示 

    @observable
    etyextkey=""           // \didgrp\rec\etyextkey    实体 

    @observable
    expdat=""           // \didgrp\rec\expdat    有效日期 

    @observable
    expplc=""           // \didgrp\rec\expplc    有效地点 

    @observable
    inr=""           // \didgrp\rec\inr    索引 

    @observable
    isstyp=""           // \didgrp\rec\isstyp    开证类型 

    @observable
    lcrdoc=""           // \didgrp\rec\lcrdoc    单据要求 

    @observable
    lcrdocame=""           // \didgrp\rec\lcrdocame    单据要求历史修改记录 

    @observable
    lcrgod=""           // \didgrp\rec\lcrgod    货物服务描述 

    @observable
    lcrgodame=""           // \didgrp\rec\lcrgodame    货物/服务描述修改记录 

    @observable
    nam=""           // \didgrp\rec\nam    概要描述 

    @observable
    negflg=""           // \didgrp\rec\negflg    指定议付行 

    @observable
    nomspc=""           // \didgrp\rec\nomspc    最高金额限额 

    @observable
    nomton=""           // \didgrp\rec\nomton    下浮 

    @observable
    nomtop=""           // \didgrp\rec\nomtop    上浮 

    @observable
    opndat=""           // \didgrp\rec\opndat    开立日期 

    @observable
    ownbch=""           // \didgrp\rec\ownbch    归属机构 

    @observable
    ownref=""           // \didgrp\rec\ownref    业务编号 

    @observable
    ownusr=""           // \didgrp\rec\ownusr    创建柜员 

    @observable
    preadvdat=""           // \didgrp\rec\preadvdat    预开立日期 

    @observable
    preper=""           // \didgrp\rec\preper    交单期限 

    @observable
    rejameflg=""           // \didgrp\rec\rejameflg    拒绝修改标识 

    @observable
    rejamenbr=""           // \didgrp\rec\rejamenbr    拒绝接受修改次数 

    @observable
    rejflg=""           // \didgrp\rec\rejflg    拒绝标识 

    @observable
    shpdat=""           // \didgrp\rec\shpdat    最迟货物装运/服务提供日期  

    @observable
    shpfro=""           // \didgrp\rec\shpfro    货物装运地(港) 

    @observable
    shppar=""           // \didgrp\rec\shppar    分批装运货物/分次提供服务 

    @observable
    shpper=""           // \didgrp\rec\shpper    分期装运/提供服务 

    @observable
    shppro=""           // \didgrp\rec\shppro    服务提供地点 

    @observable
    shpto=""           // \didgrp\rec\shpto    货物目的地、交货地（港） 

    @observable
    shptrs=""           // \didgrp\rec\shptrs    转运 

    @observable
    tenmaxday=""           // \didgrp\rec\tenmaxday    期限 

    @observable
    traflg=""           // \didgrp\rec\traflg    是否可转让 

    @observable
    tratyp=""           // \didgrp\rec\tratyp    货物运输或交货方式/服务方式 

    @observable
    trdapt=""           // \didgrp\rec\trdapt    分期装运/提供服务约定 

    @observable
    trdtyp=""           // \didgrp\rec\trdtyp    贸易方式 

    @observable
    usrbch=""           // \didgrp\rec\usrbch    经办机构 

    @observable
    utlnbr=""           // \didgrp\rec\utlnbr    收单次数 

    @observable
    ver=""           // \didgrp\rec\ver    版本号 

    @observable
    pts_extkey=""           // \didgrp\a2b\pts\extkey    客户编号 

    @observable
    pts1_extkey=""           // \didgrp\adv\pts\extkey    客户编号 

    @observable
    pts1_namcn=""           // \didgrp\adv\pts\namcn    客户中文名称 

    @observable
    pts2_extkey=""           // \didgrp\age\pts\extkey    客户编号 

    @observable
    pts3_extkey=""           // \didgrp\apl\pts\extkey    客户编号 

    @observable
    pts3_namcn=""           // \didgrp\apl\pts\namcn    客户中文名称 

    @observable
    pts4_extkey=""           // \didgrp\ben\pts\extkey    客户编号 

    @observable
    pts4_namcn=""           // \didgrp\ben\pts\namcn    客户中文名称 

    @observable
    max_amt=""           // \didgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \didgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \didgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \didgrp\cbs\opn1\cur    Currency 

    @observable
    pts5_extkey=""           // \didgrp\con\pts\extkey    客户编号 

    @observable
    pts6_extkey=""           // \didgrp\iss\pts\extkey    客户编号 

    @observable
    pts7_extkey=""           // \didgrp\neg\pts\extkey    客户编号 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.rejreason=""
            this.accusr=""
            this.adlcnd=""
            this.adlcndame=""
            this.amedat=""
            this.amenbr=""
            this.avbby=""
            this.cfmflg=""
            this.clsdat=""
            this.clsinf=""
            this.conamt=""
            this.concur=""
            this.conno=""
            this.credat=""
            this.defdet=""
            this.etyextkey=""
            this.expdat=""
            this.expplc=""
            this.inr=""
            this.isstyp=""
            this.lcrdoc=""
            this.lcrdocame=""
            this.lcrgod=""
            this.lcrgodame=""
            this.nam=""
            this.negflg=""
            this.nomspc=""
            this.nomton=""
            this.nomtop=""
            this.opndat=""
            this.ownbch=""
            this.ownref=""
            this.ownusr=""
            this.preadvdat=""
            this.preper=""
            this.rejameflg=""
            this.rejamenbr=""
            this.rejflg=""
            this.shpdat=""
            this.shpfro=""
            this.shppar=""
            this.shpper=""
            this.shppro=""
            this.shpto=""
            this.shptrs=""
            this.tenmaxday=""
            this.traflg=""
            this.tratyp=""
            this.trdapt=""
            this.trdtyp=""
            this.usrbch=""
            this.utlnbr=""
            this.ver=""
            this.pts_extkey=""
            this.pts1_extkey=""
            this.pts1_namcn=""
            this.pts2_extkey=""
            this.pts3_extkey=""
            this.pts3_namcn=""
            this.pts4_extkey=""
            this.pts4_namcn=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts5_extkey=""
            this.pts6_extkey=""
            this.pts7_extkey=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
    }

} 


export default Ditfee