import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal, Spin } from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta from '@/views/Public/Ptspta'
import Business from '@/views/Public/Business'
import Ptspta1 from '@/views/Public/Ptspta1'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class DetpScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
	}

	onTabFocus() {
		console.log('#我被选中#')
	} 

	onTabBlur() {
		//this.goNext();
		console.log('#我已离开#')
	}
	//按钮事件 获取业务编号
	async onGetref() {
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/getref', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			// Notification.success({ message: 'cptopn/mtabut/getref数据提交成功!' })
			this.model.ownref = rtnmsg.data.ownref;
		}
		else {
			Notification.error({ message: 'cptopn/mtabut/getref服务端请求失败!' })
		}
		//余下逻辑处理
	}
	// 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}
	// 暂存按钮
	onPed = async () => {
		this.com.wrappedInstance.wrappedInstance.onPed();
	}
	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
	}

	onSav = () => {
		this.com.wrappedInstance.wrappedInstance.onSav();
	}

	async onRecal() {
		this.formBlur = true  //已触发表单提交处理
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/setmod_ast', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			this.model.fegmod_feslst = rtnmsg.data.fegmod_feslst;
			this.model.glgmod_glslst = rtnmsg.data.glgmod_glslst;
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}
		//余下逻辑处理
	}
	async onRecal1() {
		this.formBlur = true  //已触发表单提交处理
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/setmod_recal', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			this.model.fegmod_feslst = rtnmsg.data.fegmod_feslst;
			this.model.glgmod_glslst = rtnmsg.data.glgmod_glslst;
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}
		//余下逻辑处理
	}


	goNext = () => {
		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, (errors, values) => {
			if (!errors) {
				this.props.steps.go(1)
				this.onRecal()
				return
			}
			for (let item of errors) {
				if (this.bindSet.has(item.field))
					return;
			}
			this.props.steps.go(1)
		})
	}

	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const { bchlevelLst } = this.props.extra
		//const {next,pre} = this.props.steps
		if (this.props.flag == true) {
			return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
				<Business wrappedComponentRef={ref => (this.com = ref)} steps={this.props.steps} extra={this.props.extra} model={this.model} />
				{/* 第一行 */}
				<Row>
					<Col span={12}>
						<Ptspta1 model={this.model} argArr={{ desc: "委托行", prefix: 'pts2', url: 'ditram/agep_ptysel', flg: 'C', datakey: '\\ditp\\agep\\ptslst' }} isDisabled={this.model.isstyp==='OWIS' || !this.model.isstyp} formBlur={this.formBlur}/>
					</Col>
					<Col span={12}>
						<Ptspta1 model={this.model} argArr={{ desc: "转让行", prefix: 'pts', url: 'ditram/a2bp_ptysel', flg: 'C', datakey: '\\ditp\\a2bp\\ptslst' }} isDisabled={this.model.traflg=='FALS' || !this.model.traflg} formBlur={this.formBlur}/>
					</Col>


				</Row>
				{/* 第二行 */}
				<Row>

					<Col span={12}>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									{/* 合同编号*/}
									<Label itext="合同编号" />
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("conno")} maxLength={35} desp="合同编号" path="/didgrp/rec/conno" />
								</Col>



								<Col span={24}>
									<Row className="row">
										<Col span={5} offset={2}>
											{/* 合同金额 */}
											<Label itext="合同金额" />
										</Col>
										<Col span={6}>
											<SelectItem InputProps={{
												...bind("concur"), onChange: val => {
													this.model.concur = val
													this.model.liqtyp = ""
													this.model.swftyp = ""
												}
											}}
												disabled={true} code={CodeTable.curtxt} />
										</Col>
										<Col span={7} offset={1}>
											{/* <InputItem InputProps={bind("conamt")} /> */}
											<InputItem InputProps={{ ...bind("conamt"), type: "amount", cur: this.model.concur }} />
										</Col>
									</Row>
								</Col>

								<Col span={24}>
									<Row className="row">
										<Col span={5} offset={2}>
											{/* 分批装运货物/分次提供服务*/}
											<Label itext="分批装运货物/提供服务" />
										</Col>
										<Col span={14}>
											<SelectItem InputProps={bind("shppar")} code={CodeTable.allow} desp="分批装运货物/分次提供服务" path="/didgrp/rec/shppar" />
										</Col>
									</Row>
								</Col>

							</Row>

						</Col>
					</Col>


					<Col span={12}>
						<Ptspta1 model={this.model} argArr={{ desc: "保兑行", prefix: 'pts5', url: 'ditram/conp_ptysel', flg: 'C', datakey: '\\ditp\\conp\\ptslst' }}isDisabled={this.model.cfmflg=='FALS' || !this.model.cfmflg} formBlur={this.formBlur} />
					</Col>
				</Row>
				{/* 第三行 */}
				<Row>


					<Col span={12}>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									{/* 分期装运/提供服务*/}
									<Label itext="分期装运/提供服务" />
								</Col>
								<Col span={14}>
									<SelectItem InputProps={bind("shpper")} code={CodeTable.allow} desp="分期装运/提供服务" path="/didgrp/rec/shpper" />
								</Col>



								<Col span={24}>
									<Row className="row">
										<Col span={5} offset={2}>
											{/* 转运*/}
											<Label itext="转运" />
										</Col>
										<Col span={14}>
											<SelectItem InputProps={bind("shptrs")} code={CodeTable.allow} desp="转运" path="/didgrp/rec/shptrs" />
										</Col>
									</Row>
								</Col>

								<Col span={24}>
									<Row className="row">
										<Col span={5} offset={2}>
											{/* 是否可转让*/}
											<Label itext="是否可转让" />
										</Col>
										<Col span={14}>
										<SelectItem InputProps={{...bind("traflg"),
										onAfterChange:(val)=>{
											if(val=='FALS' || !val){
												this.model.pts_extkey="";
												this.model.pts_namcn="";
												this.model.pts_adrcn="";
											}
										}}} code={CodeTable.yesno} desp="是否可转让" path="/didgrp/rec/traflg" />
										</Col>
									</Row>
								</Col>

							</Row>

						</Col>
					</Col>
					<Col span={12}>
						<Ptspta1 model={this.model} argArr={{ desc: "议付行", prefix: 'pts7', url: 'ditram/negp_ptysel', flg: 'C', datakey: '\\ditp\\negp\\ptslst' }} isDisabled={this.model.negflg=='NULL' || !this.model.negflg} formBlur={this.formBlur}/>
					</Col>
				</Row>
				{/* 第四行 */}
				{/* 第五行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 保兑标志*/}
								<Label itext="保兑标志" />
							</Col>
							<Col span={14}>
							<SelectItem InputProps={{...bind("cfmflg"),
										onAfterChange:(val)=>{
											if(val=='FALS' || !val){
												this.model.pts5_extkey="";
												this.model.pts5_namcn="";
												this.model.pts5_adrcn="";
											}
										}}}
								code={CodeTable.yesno} desp="保兑标志" path="/didgrp/rec/cfmflg" />
							</Col>
							<Col span={3}>

							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 指定议付行 */}
								<Label i18nId={"指定议付行"} />
							</Col>
							<Col span={14}>
							<SelectItem InputProps={{...bind("negflg"),
										onAfterChange:(val)=>{
											if(val=='NULL' || !val){
												this.model.pts6_extkey="";
												this.model.pts6_namcn="";
												this.model.pts6_adrcn="";
											}
										}}} code={CodeTable.design} desp="指定议付行" path="/didgrp/rec/negflg" />
							</Col>

						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								{/* 货物运输或交货方式/服务方式 */}
								<Label i18nId={"货物运输或交货方式/服务方式"} />
							</Col>
							<Col span={10} >
								<InputItem InputProps={bind("tratyp")} maxLength={20} desp="货物运输或交货方式/服务方式" path="/didgrp/rec/tratyp" />
							</Col>
						</Row>
					</Col>

				</Row>

				{/* 第六行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								{/* 分期装运/提供服务约定 */}
								<Label i18nId={"分期装运/提供服务约定"} />
							</Col>
							<Col span={10} >
								<InputItem InputProps={bind("trdapt")} maxLength={100} desp="分期装运/提供服务约定" path="/didgrp/rec/trdapt" />
							</Col>
						</Row>
					</Col>

				</Row>

				{/* 第八行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								{/* 交单期限 */}
								<Label i18nId={"交单期限"} />
							</Col>
							<Col span={10} >
								<InputItem InputProps={bind("preper")} maxLength={100} desp="交单期限" path="/didgrp/rec/preper" />
							</Col>
						</Row>
					</Col>

				</Row>
				{/* 第九行 */}



				{/* 第十一行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								{/* 货物装运地(港) */}
								<Label i18nId={"货物装运地(港)"} />
							</Col>
							<Col span={10} >
								<InputItem InputProps={bind("shpfro")} maxLength={100} desp="货物装运地(港)" path="/didgrp/rec/shpfro" />
							</Col>
						</Row>
					</Col>

				</Row>
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								{/* 货物目的地、交货地（港） */}
								<Label i18nId={"货物目的地、交货地（港）"} />
							</Col>
							<Col span={10} >
								<InputItem InputProps={bind("shpto")} maxLength={100} desp="货物目的地、交货地（港）" path="/didgrp/rec/shpto" />
							</Col>
						</Row>
					</Col>

				</Row>
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								{/* 服务提供地点 */}
								<Label i18nId={"服务提供地点"} />
							</Col>
							<Col span={10} >
								<InputItem InputProps={bind("shppro")} maxLength={100} desp="服务提供地点" path="/didgrp/rec/shppro" />
							</Col>
						</Row>
					</Col>

				</Row>
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								{/* 有效地点） */}
								<Label i18nId={"有效地点"} />
							</Col>
							<Col span={10} >
								<InputItem InputProps={bind("expplc")} maxLength={100} desp="有效地点" path="/didgrp/rec/expplc" />
							</Col>
						</Row>
					</Col>

				</Row>
				<Row type="flex" justify="center">
					<Col>
						<div className='button0'>
							<div className='button2'>
								{/* 退出按钮 */}
								<ConfirmButton
									onOK={this.onRtn}
									title=""
									message="确定退出？"
								>
									<Label i18nId="MTABUT_BT000464" />
								</ConfirmButton>
							</div>
							<div className='button2'>
								{/* 暂存按钮 */}
								<ConfirmButton
									onOK={this.onPed}
									title=""
									message="确定暂存？"
								>
									<Label i18nId="MTABUT_BT000398" />
								</ConfirmButton>
							</div>
							<div className='button2'>
								{/* 检核按钮 */}
								<Button onClick={this.onChk}>
									<Label i18nId="MTABUT_BT000180" />
								</Button>
							</div>
							<div className='button2'>
								<ConfirmButton icon="save"
									onOK={this.onSav}>
									<Label i18nId="MTABUT_BT000473" />
								</ConfirmButton>
							</div>


						</div>
					</Col>
				</Row>
			</div >
		)
	}
}
