export default fieldSet = {
        ownref: [
                { type: 'string', max: 35, message: '长度不能超过35个字符' }, { required: true, message: '必输项' }  // \didgrp\rec\ownref    业务编号 
        ],
        _getref: [
                { type: 'string', max: 10, message: '长度不能超过10个字符' },  // \mtabut\getref    Get Ref. 
        ],
        nam: [
                { type: 'string', max: 40, message: '长度不能超过40个字符' },  // \didgrp\rec\nam    概要描述 
        ],
        opndat: [
              //  { type: 'string', max: 12, message: '长度不能超过12个字符' }, 
                { required: true, message: '必输项' }  // \didgrp\rec\opndat    开立日期 
        ],
        nom1_cur: [
                { type: 'string', max: 3, message: '长度不能超过3个字符' },  // \didgrp\cbs\nom1\cur    Currency 
        ],
        nom1_amt: [
                { type: 'string', max: 16, message: '长度不能超过16个字符' },  // \didgrp\cbs\nom1\amt    Balance 
        ],
        nomtop: [
                { type: 'string', max: 8, message: '长度不能超过8个字符' },  // \didgrp\rec\nomtop    上浮 
        ],
        nomton: [
                { type: 'string', max: 8, message: '长度不能超过8个字符' },  // \didgrp\rec\nomton    下浮 
        ],
        max_cur: [
                { type: 'string', max: 3, message: '长度不能超过3个字符' },  // \didgrp\cbs\max\cur    Currency 
        ],
        max_amt: [
                { type: 'string', max: 16, message: '长度不能超过16个字符' }, { required: true, message: '必输项' }   // \didgrp\cbs\max\amt    Balance 
        ],
        isstyp: [
                // { type: 'string', max: 1, message: '长度不能超过1个字符' }, 
                { required: true, message: '必输项' }  // \didgrp\rec\isstyp    开证类型 
        ],
        trdtyp: [
                { type: 'string', max: 4, message: '长度不能超过4个字符' },
                { required: true, message: '必输项' } // \didgrp\rec\trdtyp    贸易方式 
        ],
        shpdat: [
                { type: 'string', max: 12, message: '长度不能超过12个字符' },
                { required: true, message: '必输项' }  // \didgrp\rec\shpdat    最迟货物装运/服务提供日期  
        ],
        expdat: [
                { type: 'string'},{ required: true, message: '必输项' },
                {validator(rule,value,callback,source,options){
                  let opndat=source.opndat;
                  let expdat=source.expdat;
                  opndat=new Date(opndat);
                  expdat=new Date(expdat);
                  if(opndat >= expdat){
                    callback('有效日期必须大于开立日期');
                  }else{
                    return true;
                  }
                }}
                // \didgrp\rec\expdat    有效日期 
        ],
        avbby: [
                { type: 'string', max: 4, message: '长度不能超过4个字符' },
                { required: true, message: '必输项' }// \didgrp\rec\avbby    信用证兑付方式 
        ],
        tenmaxday: [
                { type: 'string', max: 3, message: '长度不能超过3个字符' },  
                {validator(rule, value, callback, source, options) {
                        if(source.avbby=='USNC'){
                                if(source.tenmaxday<=0)
                                { 
                                  callback('远期付款时必填')
                                }
                                else
                                        return true
                               
                        }else{
                               return true
                        }
                     }}// \didgrp\rec\tenmaxday    期限 
        ],
        pts3_extkey: [
                { type: 'string', max: 16, message: '长度不能超过16个字符' },  // \didgrp\apl\pts\extkey    客户编号 
        ],
        _aplp_ptysel: [
                { type: 'string', max: 8, message: '长度不能超过8个字符' },  // \ditp\aplp\ptysel    客户查询 
        ],
        pts3_namcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' }, { required: true, message: '必输项' } // \didgrp\apl\pts\namcn    客户中文名称 
        ],
        pts3_adrcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },  // \didgrp\apl\pts\adrcn    中文地址 
        ],
        pts4_extkey: [
                { type: 'string', max: 16, message: '长度不能超过16个字符' },  // \didgrp\ben\pts\extkey    客户编号 
        ],
        _benp_ptysel: [
                { type: 'string', max: 8, message: '长度不能超过8个字符' },  // \ditp\benp\ptysel    客户查询 
        ],
        pts4_namcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' }, { required: true, message: '必输项' }// \didgrp\ben\pts\namcn    客户中文名称 
        ],
        pts4_adrcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },  // \didgrp\ben\pts\adrcn    中文地址 
        ],
        pts1_extkey: [
                { type: 'string', max: 16, message: '长度不能超过16个字符' },  // \didgrp\adv\pts\extkey    客户编号 
        ],
        _advp_ptysel: [
                { type: 'string', max: 8, message: '长度不能超过8个字符' },  // \ditp\advp\ptysel    客户查询 
        ],
        pts1_namcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' }, { required: true, message: '必输项' } // \didgrp\adv\pts\namcn    客户中文名称 
        ],
        pts1_adrcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },  // \didgrp\adv\pts\adrcn    中文地址 
        ],
        defdet: [
                { type: 'string', max: 60, message: '长度不能超过60个字符' },  // \didgrp\rec\defdet    远期付款指示 
        ],
        ownbch: [
                { type: 'string', max: 8, message: '长度不能超过8个字符' },  // \didgrp\rec\ownbch    归属机构 
        ],
        accusr: [
                { type: 'string', max: 8, message: '长度不能超过8个字符' },
                { required: true, message: '必输项' } // \didgrp\rec\accusr    客户经理 
        ],
        tratyp: [
                { type: 'string', max: 20, message: '长度不能超过20个字符' },
                { required: true, message: '必输项' }// \didgrp\rec\tratyp    货物运输或交货方式/服务方式 
        ],
        shpfro: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },
                // \didgrp\rec\shpfro    货物装运地(港) 
        ],
        shpto: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },  // \didgrp\rec\shpto    货物目的地、交货地（港） 
        ],
        shppro: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },  // \didgrp\rec\shppro    服务提供地点 
        ],
        expplc: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },
                { required: true, message: '必输项' }   // \didgrp\rec\expplc    有效地点 
        ],
        preper: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },
                { required: true, message: '必输项' } // \didgrp\rec\preper    交单期限 
        ],
        conno: [
                { type: 'string', max: 35, message: '长度不能超过35个字符' },  // \didgrp\rec\conno    合同编号 
        ],
        conamt: [
                { type: 'string', max: 18, message: '长度不能超过18个字符' },  // \didgrp\rec\conamt    合同金额 
        ],
        concur: [
                { type: 'string', max: 3, message: '长度不能超过3个字符' },  // \didgrp\rec\concur    合同币种 
        ],
        negflg: [
                { type: 'string', max: 4, message: '长度不能超过4个字符' },  // \didgrp\rec\negflg    指定议付行 
        ],
        traflg: [
                { type: 'string', max: 4, message: '长度不能超过4个字符' },  // \didgrp\rec\traflg    是否可转让 
        ],
        cfmflg: [
                { type: 'string', max: 4, message: '长度不能超过4个字符' },  // \didgrp\rec\cfmflg    保兑标志 
        ],
        pts6_extkey: [
                { type: 'string', max: 16, message: '长度不能超过16个字符' },
                {validator(rule,value,callback,source,options){
                  if(source.negflg=='DSIG' && !value){
                    callback('指定银行时必填');
                  }else{
                    return true;
                  }
                }}
                // \didgrp\neg\pts\extkey    客户编号 
        ],
        _negp_ptysel: [
                { type: 'string', max: 8, message: '长度不能超过8个字符' },  // \ditp\negp\ptysel    客户查询 
        ],
        pts6_namcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },
                {validator(rule,value,callback,source,options){
                  if(source.negflg=='DSIG' && !value){
                    callback('指定银行时必填');
                  }else{
                    return true;
                  }
                }}
                // \didgrp\neg\pts\namcn    客户中文名称 
        ],
        pts6_adrcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },
                {validator(rule,value,callback,source,options){
                  if(source.negflg=='DSIG' && !value){
                    callback('指定银行时必填');
                  }else{
                    return true;
                  }
                }}
                // \didgrp\neg\pts\adrcn    中文地址 
        ],
        pts5_extkey: [
                { type: 'string', max: 16, message: '长度不能超过16个字符' },
                {validator(rule,value,callback,source,options){
                  if(source.cfmflg=='TRUE' && !value){
                    callback('可保兑时必填');
                  }else{
                    return true;
                  }
                }}
                // \didgrp\con\pts\extkey    客户编号 
        ],
        _conp_ptysel: [
                { type: 'string', max: 8, message: '长度不能超过8个字符' },  // \ditp\conp\ptysel    客户查询 
        ],
        pts5_namcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },
                {validator(rule,value,callback,source,options){
                  if(source.cfmflg=='TRUE' && !value){
                    callback('可保兑时必填');
                  }else{
                    return true;
                  }
                }}
                // \didgrp\con\pts\namcn    客户中文名称 
        ],
        pts5_adrcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' }, 
                {validator(rule,value,callback,source,options){
                  if(source.cfmflg=='TRUE' && !value){
                    callback('可保兑时必填');
                  }else{
                    return true;
                  }
                }}
                // \didgrp\con\pts\adrcn    中文地址 
        ],
        pts_extkey: [
                { type: 'string', max: 16, message: '长度不能超过16个字符' },
                {validator(rule,value,callback,source,options){
                  if(source.traflg=='TRUE' && !value){
                    callback('可转让时必填');
                  }else{
                    return true;
                  }
                }}
                // \didgrp\a2b\pts\extkey    客户编号 
        ],
        _a2bp_ptysel: [
                { type: 'string', max: 8, message: '长度不能超过8个字符' },  // \ditp\a2bp\ptysel    客户查询 
        ],
        pts_namcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' }, 
                {validator(rule,value,callback,source,options){
                  if(source.traflg=='TRUE' && !value){
                    callback('可转让时必填');
                  }else{
                    return true;
                  }
                }}
                // \didgrp\a2b\pts\namcn    客户中文名称 
        ],
        pts_adrcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },
                {validator(rule,value,callback,source,options){
                  if(source.traflg=='TRUE' && !value){
                    callback('可转让时必填');
                  }else{
                    return true;
                  }
                }}
                // \didgrp\a2b\pts\adrcn    中文地址 
        ],
        trdapt: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },  // \didgrp\rec\trdapt    分期装运/提供服务约定 
        ],
        shppar: [
                { type: 'string', max: 4, message: '长度不能超过4个字符' },  // \didgrp\rec\shppar    分批装运货物/分次提供服务 
        ],
        shpper: [
                { type: 'string', max: 4, message: '长度不能超过4个字符' },  // \didgrp\rec\shpper    分期装运/提供服务 
        ],
        shptrs: [
                { type: 'string', max: 4, message: '长度不能超过4个字符' },  // \didgrp\rec\shptrs    转运 
        ],
        pts2_extkey: [
                { type: 'string', max: 16, message: '长度不能超过16个字符' },
                {validator(rule,value,callback,source,options){
                  if(source.isstyp=='AGIS' && !value){
                    callback('他行开证时必填');
                  }else{
                    return true;
                  }
                }}
                // \didgrp\age\pts\extkey    客户编号 
        ],
        _agep_ptysel: [
                { type: 'string', max: 8, message: '长度不能超过8个字符' },  // \ditp\agep\ptysel    客户查询 
        ],
        pts2_namcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },
                {validator(rule,value,callback,source,options){
                  if(source.isstyp=='AGIS' && !value){
                    callback('他行开证时必填');
                  }else{
                    return true;
                  }
                }}
                // \didgrp\age\pts\namcn    客户中文名称 
        ],
        pts2_adrcn: [
                { type: 'string', max: 100, message: '长度不能超过100个字符' },
                {validator(rule,value,callback,source,options){
                  if(source.isstyp=='AGIS' && !value){
                    callback('他行开证时必填');
                  }else{
                    return true;
                  }
                }}
                // \didgrp\age\pts\adrcn    中文地址 
        ],
        pts1_extact: [
                { type: 'string', max: 35, message: '长度不能超过35个字符' },  // 申请人账号
        ],
        pts2_extact: [
                { type: 'string', max: 35, message: '长度不能超过35个字符' },  // 受益人账号
        ],
        lcrdoc: [
                { type: 'string', max: 2000, message: '长度不能超过2000个字符' }, 
                { required: true, message: '必输项' } // 单据要求
        ],
        adlcnd: [
                { type: 'string', max: 2000, message: '长度不能超过2000个字符' }, 
                { required: true, message: '必输项' } // 附加条款
        ],
        lcrgod: [
                { type: 'string', max: 2000, message: '长度不能超过2000个字符' }, 
                { required: true, message: '必输项' } // 货物服务
        ],
}