import React, { Component, Fragment } from 'react'
import {
    Page, Validator, Notification, FormItem,
    InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps, CheckboxItem, TextAreaItem, Table
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Tooltip, Modal, Spin } from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta1 from '@/views/Public/Ptspta1'
import Business from '@/views/Public/Business'
import Xyzpicker from './Xyzpicker'
import moment from 'moment'
const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class XinyongzhengScreen extends Page {
    @observable
    formBlur = false

    constructor(props) {
        super(props)
        this.model = props.model
        this.bind = Bind.bind(this)
    }


    link = (path) => {
        this.props.history.push({ pathname: path, query: { didinr: this.model.inr1 } });

    }

    childEvevnt = childDate => {
        this.abc = childDate;
      };
  
      handleClick=()=>{
        console.log('事件绑定成功')
        this.abc.handleClick();
      }


    cfgfil_cfgaHeader = [
        {
            title: <Label itext="交易名称" />,
            dataIndex: "frmnam",
            key: "frmnam",
            width: 100,
            render: (val, row) => {
                if (row.alwflg == 0) {
                    return (<a href='javascript:;' onClick={() => { this.link(row.frm) }} >{val}</a>)
                } else if (row.alwflg == 1) {
                    return (<Tooltip title={row.res}>
                        <span style={{ cursor: 'pointer', color: '#999' }}>{val}</span>
                    </Tooltip>)
                }
            }
        },
    ]
    cfgfil_cfgbHeader = [
    ]

    onRefClear = () => {
        if (!this.model.ownref1) {
            this.model.clear()
            this.props.initTrans()
        }
    }
    //交易内实现
    renderPage() {
        const bind = this.bind
        const { i18n } = this.props
        const { bchlevelLst } = this.props.extra
        const dateFormat = 'YYYY-MM-DD';
        //const {next,pre} = this.props.steps
        if (this.props.flag == true) {
            return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
        }
        return (
            <div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} extra={this.props.extra} model={this.model} />
                {/* 第一行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 业务编号 */}
                                <Label itext="业务编号" />
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={{
                                    ...bind("ownref1"), onBlur: this.onRefClear, onPressEnter:this.handleClick
                                }} maxLength={16} desp="业务编号" path="/didgrp/rec/ownref" />
                            </Col>
                            <Col span={4} offset={1}>
                                {/* {console.log(this.model.ditmod_clsflg )} */}
                                <Xyzpicker size='small' type="primary" model={this.model}  childEvevnt={this.childEvevnt}  />

                                
                            </Col>
                            <Col span={1} offset={0}><CheckboxItem InputProps={bind("ditmod_clsflg")} desp="闭卷业务" path="/ditmod/clsflg" /> </Col>
                            <Col span={3} offset={0}>
                                {/* 闭卷业务 */}
                                <Label itext="闭卷业务" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 概要描述 */}
                                <Label itext="概要描述" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("nam1")} disabled={true} maxLength={40} desp="概要描述" path="/didgrp/rec/nam" />
                            </Col>
                        </Row>
                    </Col>

                </Row>
                {/* 第二行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 信用证金额 */}
                                <Label itext="信用证金额" />
                            </Col>
                            <Col span={5}>
                                <SelectItem InputProps={{
                                    ...bind("max1_cur"), onChange: val => {
                                        this.model.max1_cur = val
                                        this.model.liqtyp = ""
                                        this.model.swftyp = ""
                                    }
                                }}
                                    disabled={true} code={CodeTable.curtxt} />
                            </Col>
                            <Col span={8} offset={1}>
                                {/* <InputItem  InputProps={bind("max1_amt")} /> */}
                                <InputItem  disabled={true} InputProps={ {...bind("max1_amt"), type:"amount", cur:this.model.max1_cur} } />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Col span={5} offset={2}>
                            {/* 申请人名称 */}
                            <Label itext="申请人名称" />
                        </Col>
                        <Col span={14}>
                            <InputItem InputProps={bind("pts1_namcn")} maxLength={100} disabled={true} desp="客户中文名称" path="/didgrp/apl/pts/namcn" />
                        </Col>


                    </Col>

                </Row>
                {/* 第三行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 到单金额 */}
                                <Label itext="未到单金额" />
                            </Col>
                            <Col span={5}>
                                <SelectItem InputProps={{
                                    ...bind("opn11_cur"), onChange: val => {
                                        this.model.opn11_cur = val
                                        this.model.liqtyp = ""
                                        this.model.swftyp = ""
                                    }
                                }}
                                    disabled={true} code={CodeTable.curtxt} />
                            </Col>
                            <Col span={8} offset={1}>
                                {/* <InputItem InputProps={bind("opn11_amt")} disabled={true} desp="Balance" path="/didgrp/cbs/opn1/amt" /> */}
                                <InputItem  disabled={true} InputProps={ {...bind("opn11_amt"), type:"amount", cur:this.model.opn11_cur} } />
                            </Col>
                        </Row>

                    </Col>
                    <Col span={12}>
                        <Col span={5} offset={2}>
                            {/* 受益人名称 */}
                            <Label itext="受益人名称" />
                        </Col>
                        <Col span={14}>
                            <InputItem InputProps={bind("pts2_namcn")} disabled={true} maxLength={100} desp="客户中文名称" path="/didgrp/ben/pts/namcn" />
                        </Col>
                    </Col>

                </Row >
                {/* 第四行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>

                            <Col span={5} offset={2}>
                                {/* 用证对付方式 */}
                                <Label itext="信用证对付方式" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("avbby")} disabled={true} code={CodeTable.avbby} desp="信用证对付方式" path="/didgrp/rec/avbby" />


                            </Col>
                        </Row>

                    </Col>
                    <Col span={12}>



                        <Col span={5} offset={2}>
                            {/* 通知行名称 */}
                            <Label itext="通知行名称" />
                        </Col>
                        <Col span={14}>
                            <InputItem InputProps={bind("pts_namcn")} disabled={true} maxLength={100} desp="客户中文名称" path="/didgrp/adv/pts/namcn" />
                        </Col>
                    </Col>

                </Row >

                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>

                            <Col span={5} offset={2}>
                                {/* 开立日期 */}
                                <Label itext="开立日期" />
                            </Col>
                            <Col span={10}>
                                <DatePickerItem InputProps={bind("opndat1")} disabled={true} desp="开立日期" path="/didgrp/rec/opndat" />
                            </Col>

                        </Row>

                    </Col>
                    <Col span={12}>
                        <Col span={5} offset={2}>
                            {/* 有效地点 */}
                            <Label itext="有效地点" />
                        </Col>
                        <Col span={14}>
                            <InputItem InputProps={bind("expplc")} disabled={true} maxLength={100} desp="有效地点" path="/didgrp/rec/expplc" />
                        </Col>
                    </Col>

                </Row >


                <Row>
                    <Col span={12}>
                        <Row className="row" type='flex'>
                            <Col span={5} offset={2}>
                                {/* 用证对付方式 */}
                                <Label itext="有效日期" />
                            </Col>
                            <Col span={10}>
                                <DatePickerItem InputProps={bind("expdat")} disabled={true} desp="有效日期" path="/didgrp/rec/expdat" />
                            </Col>
                            <Col span={7}>

                            </Col>
                        </Row>

                    </Col>



                </Row >
                <Row style={{ marginTop: 30 }}>
                    <Col span={12}>

                        <Col span={19} offset={2} >
                            {/* <TextAreaItem rows={10} style={{ resize: "none" }} InputProps={bind("ditmod_othinf")} 
                       desp="其他信息" path="/ditmod/othinf" /> */}
                            <pre>{this.model.ditmod_othinf}</pre>
                        </Col>
                    </Col>

                    <Col span={10} offset={1}>
                        <Table rowKey="inr" columns={this.cfgfil_cfgaHeader} dataSource={this.model.cfgfil_cfga} path="/cfgfil/cfga" /></Col>

                </Row >

            </div >
        )
    }
}
