import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {validate} from '@/components/Common-Library'
//实体



class Fetopn {
    
    @observable
    @validate
    pts_extkey=""           // \fedgrp\apl\pts\extkey    客户编号 

    @observable
    @validate
    pts_adrblk=""           // \fedgrp\apl\pts\adrblk    SWIFT地址 

    @observable
    @validate
    pts_nam=""           // \fedgrp\apl\pts\nam    客户英文名称 

    @observable
    @validate
    pts_namcn=""           // \fedgrp\apl\pts\namcn    客户中文名称 

    @observable
    @validate
    pts_adrcn=""           // \fedgrp\apl\pts\adrcn    中文地址 

    @observable
    @validate
    actcshflg=""           // \fedgrp\rec\actcshflg    出帐账户钞汇标志 

    @observable
    @validate
    nom1_cur=""           // \fedgrp\cbs\nom1\cur    Currency 

    @observable
    @validate
    nom1_amt=""           // \fedgrp\cbs\nom1\amt    Balance 

    @observable
    @validate
    nom2_cur=""           // \fedgrp\cbs\nom2\cur    Currency 

    @observable
    @validate
    nom2_amt=""           // \fedgrp\cbs\nom2\amt    Balance 

    @observable
    @validate
    dsp=""           // \fedgrp\rec\dsp    Disposition 

    @observable
    @validate
    dsp2=""           // \fedgrp\rec\dsp2    Disposition 

    @observable
    @validate
    acc=""           // \fedgrp\rec\acc    ForeignAccount 

    @observable
    @validate
    acc2=""           // \fedgrp\rec\acc2    CNYAccount 

    @observable
    @validate
    pfttyp=""           // \fedgrp\rec\pfttyp    牌价优惠方式 

    @observable
    @validate
    pftpct=""           // \fedgrp\rec\pftpct    牌价优惠点数/比例 

    @observable
    @validate
    rat=""           // \fedgrp\rec\rat    Rate 

    @observable
    @validate
    currat=""           // \fedgrp\rec\currat    实时牌价 

    @observable
    @validate
    trnman=""           // \fedgrp\rec\trnman    交易主体 

    @observable
    @validate
    trdint=""           // \fedgrp\rec\trdint    结汇资金属性 

    @observable
    @validate
    trdout=""           // \fedgrp\rec\trdout    购汇资金用途 

    @observable
    @validate
    ownref=""           // \fedgrp\rec\ownref    业务参考号 

    @observable
    @validate
    fxtyp=""           // \fedgrp\rec\fxtyp    交易类型 

    @observable
    @validate
    opndat=""           // \fedgrp\rec\opndat    开立日期 

    @observable
    @validate
    bch_branch=""           // \fetp\bchsel\bch\branch    机构编码 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    @validate
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    @validate
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    @validate
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    @validate
    setmod_docamt=""           // \setmod\docamt    document amount 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.pts_extkey=""
            this.pts_adrblk=""
            this.pts_nam=""
            this.pts_namcn=""
            this.pts_adrcn=""
            this.actcshflg=""
            this.nom1_cur=""
            this.nom1_amt=""
            this.nom2_cur=""
            this.nom2_amt=""
            this.dsp=""
            this.dsp2=""
            this.acc=""
            this.acc2=""
            this.pfttyp=""
            this.pftpct=""
            this.rat=""
            this.currat=""
            this.trnman=""
            this.trdint=""
            this.trdout=""
            this.ownref=""
            this.fxtyp=""
            this.opndat=""
            this.bch_branch=""
            this.docmod_doclst=[]
            this.trndoc_doccod=""
            this.trndoc_docpth=""
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_doccur=""
            this.setmod_docamt=""
    }

} 


export default Fetopn