import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Fptset {
    
    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    liaall_liaallg=[]           // \liaall\liaallg 

    @observable
    liaccv_concur=""           // \liaall\liaccv\concur    业务结算币种 

    @observable
    liaccv_newamt=""           // \liaall\liaccv\newamt    业务金额 

    @observable
    liaccv_cshpct=""           // \liaall\liaccv\cshpct    保证金应收比例 

    @observable
    liaccv_chgamt=""           // \liaall\liaccv\chgamt    变动金额 

    @observable
    liaccv_totcovamt=""           // \liaall\liaccv\totcovamt    保证金合计 

    @observable
    liaccv_pctresamt=""           // \liaall\liaccv\pctresamt    应收/支保证金 

    @observable
    liaccv_relcshpct=""           // \liaall\liaccv\relcshpct    保证金实收比例 

    @observable
    liaccv_liaccvg=[]           // \liaall\liaccv\liaccvg 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    inr=""           // \fpdgrp\rec\inr    索引 

    @observable
    perint=""           // \fpdgrp\rec\perint    融资比例 

    @observable
    silflg=""           // \fpdgrp\rec\silflg    转卖标志 

    @observable
    funflg=""           // \fpdgrp\rec\funflg    风险参与 

    @observable
    ownref=""           // \fpdgrp\rec\ownref    福费廷编号 

    @observable
    nam=""           // \fpdgrp\rec\nam    描述 

    @observable
    opndat=""           // \fpdgrp\rec\opndat    福费廷开立日期 

    @observable
    clsdat=""           // \fpdgrp\rec\clsdat    福费廷闭卷日期 

    @observable
    credat=""           // \fpdgrp\rec\credat    创建日期 

    @observable
    expdat=""           // \fpdgrp\rec\expdat    福费廷到期日 

    @observable
    nomtop=""           // \fpdgrp\rec\nomtop    溢短+ 

    @observable
    nomton=""           // \fpdgrp\rec\nomton    溢短- 

    @observable
    ownusr=""           // \fpdgrp\rec\ownusr    经办柜员 

    @observable
    stacty=""           // \fpdgrp\rec\stacty    国别 

    @observable
    opndatlc=""           // \fpdgrp\rec\opndatlc    信用证开立日期 

    @observable
    expdatlc=""           // \fpdgrp\rec\expdatlc    信用证失效日期 

    @observable
    grcdys=""           // \fpdgrp\rec\grcdys    宽限期 

    @observable
    docmatdat=""           // \fpdgrp\rec\docmatdat    承兑到期日 

    @observable
    irtcod=""           // \fpdgrp\rec\irtcod    同业基准利率类型 

    @observable
    basrat=""           // \fpdgrp\rec\basrat    基准利率 

    @observable
    ver=""           // \fpdgrp\rec\ver    版本号 

    @observable
    pntref=""           // \fpdgrp\rec\pntref    关联单据编号 

    @observable
    pnttyp=""           // \fpdgrp\rec\pnttyp    关联业务类型 

    @observable
    pntinr=""           // \fpdgrp\rec\pntinr    关联业务索引 

    @observable
    pntnam=""           // \fpdgrp\rec\pntnam    关联单据描述 

    @observable
    etyextkey=""           // \fpdgrp\rec\etyextkey    实体 

    @observable
    ownbch=""           // \fpdgrp\rec\ownbch    归属机构 

    @observable
    usrbch=""           // \fpdgrp\rec\usrbch    经办机构 

    @observable
    ffttyp=""           // \fpdgrp\rec\ffttyp    福费廷类型 

    @observable
    iratyp=""           // \fpdgrp\rec\iratyp    计息方式 

    @observable
    intday=""           // \fpdgrp\rec\intday    计息天数 

    @observable
    conno=""           // \fpdgrp\rec\conno    合同编号 

    @observable
    invno=""           // \fpdgrp\rec\invno    发票编号 

    @observable
    doccur=""           // \fpdgrp\rec\doccur    单据币种 

    @observable
    docamt=""           // \fpdgrp\rec\docamt    单据金额 

    @observable
    max_cur=""           // \fpdgrp\cbs\max\cur    Currency 

    @observable
    max_amt=""           // \fpdgrp\cbs\max\amt    Balance 

    @observable
    pts1_extkey=""           // \fpdgrp\sel\pts\extkey    客户编号 

    @observable
    pts1_namcn=""           // \fpdgrp\sel\pts\namcn    客户中文名称 

    @observable
    pts_extkey=""           // \fpdgrp\inv\pts\extkey    客户编号 

    @observable
    pts_namcn=""           // \fpdgrp\inv\pts\namcn    客户中文名称 

    @observable
    opn1_cur=""           // \fpdgrp\cbs\opn1\cur    Currency 

    @observable
    opn1_amt=""           // \fpdgrp\cbs\opn1\amt    Balance 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_doccur=""
            this.setmod_docamt=""
            this.setmod_feemac=""
            this.setmod_setmac=""
            this.glemod_glelst=[]
            this.liaall_liaallg=[]
            this.liaccv_concur=""
            this.liaccv_newamt=""
            this.liaccv_cshpct=""
            this.liaccv_chgamt=""
            this.liaccv_totcovamt=""
            this.liaccv_pctresamt=""
            this.liaccv_relcshpct=""
            this.liaccv_liaccvg=[]
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doccod=""
            this.trndoc_cortyp=""
            this.spt_inr=""
            this.inr=""
            this.perint=""
            this.silflg=""
            this.funflg=""
            this.ownref=""
            this.nam=""
            this.opndat=""
            this.clsdat=""
            this.credat=""
            this.expdat=""
            this.nomtop=""
            this.nomton=""
            this.ownusr=""
            this.stacty=""
            this.opndatlc=""
            this.expdatlc=""
            this.grcdys=""
            this.docmatdat=""
            this.irtcod=""
            this.basrat=""
            this.ver=""
            this.pntref=""
            this.pnttyp=""
            this.pntinr=""
            this.pntnam=""
            this.etyextkey=""
            this.ownbch=""
            this.usrbch=""
            this.ffttyp=""
            this.iratyp=""
            this.intday=""
            this.conno=""
            this.invno=""
            this.doccur=""
            this.docamt=""
            this.max_cur=""
            this.max_amt=""
            this.pts1_extkey=""
            this.pts1_namcn=""
            this.pts_extkey=""
            this.pts_namcn=""
            this.opn1_cur=""
            this.opn1_amt=""
    }

} 


export default Fptset