import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Fstset {
    
    @observable
    basrat=""           // \fpdgrp\rec\basrat    基准利率 

    @observable
    clsdat=""           // \fpdgrp\rec\clsdat    福费廷闭卷日期 

    @observable
    conno=""           // \fpdgrp\rec\conno    合同编号 

    @observable
    credat=""           // \fpdgrp\rec\credat    创建日期 

    @observable
    docamt=""           // \fpdgrp\rec\docamt    单据金额 

    @observable
    doccur=""           // \fpdgrp\rec\doccur    单据币种 

    @observable
    docmatdat=""           // \fpdgrp\rec\docmatdat    承兑到期日 

    @observable
    etyextkey=""           // \fpdgrp\rec\etyextkey    实体 

    @observable
    expdat=""           // \fpdgrp\rec\expdat    福费廷到期日 

    @observable
    expdatlc=""           // \fpdgrp\rec\expdatlc    信用证失效日期 

    @observable
    ffttyp=""           // \fpdgrp\rec\ffttyp    福费廷类型 

    @observable
    funflg=""           // \fpdgrp\rec\funflg    风险参与 

    @observable
    grcdys=""           // \fpdgrp\rec\grcdys    宽限期 

    @observable
    inr=""           // \fpdgrp\rec\inr    索引 

    @observable
    intday=""           // \fpdgrp\rec\intday    计息天数 

    @observable
    invno=""           // \fpdgrp\rec\invno    发票编号 

    @observable
    iratyp=""           // \fpdgrp\rec\iratyp    计息方式 

    @observable
    irtcod=""           // \fpdgrp\rec\irtcod    同业基准利率类型 

    @observable
    lcref=""           // \fpdgrp\rec\lcref    信用证编号 

    @observable
    nam=""           // \fpdgrp\rec\nam    描述 

    @observable
    nomton=""           // \fpdgrp\rec\nomton    溢短- 

    @observable
    nomtop=""           // \fpdgrp\rec\nomtop    溢短+ 

    @observable
    opndat=""           // \fpdgrp\rec\opndat    福费廷开立日期 

    @observable
    opndatlc=""           // \fpdgrp\rec\opndatlc    信用证开立日期 

    @observable
    ownbch=""           // \fpdgrp\rec\ownbch    归属机构 

    @observable
    ownref=""           // \fpdgrp\rec\ownref    福费廷编号 

    @observable
    ownusr=""           // \fpdgrp\rec\ownusr    经办柜员 

    @observable
    perint=""           // \fpdgrp\rec\perint    融资比例 

    @observable
    pntinr=""           // \fpdgrp\rec\pntinr    关联业务索引 

    @observable
    pntnam=""           // \fpdgrp\rec\pntnam    关联单据描述 

    @observable
    pntref=""           // \fpdgrp\rec\pntref    关联单据编号 

    @observable
    pnttyp=""           // \fpdgrp\rec\pnttyp    关联业务类型 

    @observable
    silflg=""           // \fpdgrp\rec\silflg    转卖标志 

    @observable
    stacty=""           // \fpdgrp\rec\stacty    国别 

    @observable
    usrbch=""           // \fpdgrp\rec\usrbch    经办机构 

    @observable
    ver=""           // \fpdgrp\rec\ver    版本号 

    @observable
    basrat1=""           // \fsdgrp\rec\basrat    卖出利率 

    @observable
    clsdat1=""           // \fsdgrp\rec\clsdat    闭卷日期 

    @observable
    credat1=""           // \fsdgrp\rec\credat    创建日期 

    @observable
    difrat=""           // \fsdgrp\rec\difrat    利差 

    @observable
    etyextkey1=""           // \fsdgrp\rec\etyextkey    实体 

    @observable
    expdat1=""           // \fsdgrp\rec\expdat    到期日 

    @observable
    finamt=""           // \fsdgrp\rec\finamt    收款金额 

    @observable
    fincur=""           // \fsdgrp\rec\fincur    收款币种 

    @observable
    fsttyp=""           // \fsdgrp\rec\fsttyp    福费廷卖出类型 

    @observable
    funflg1=""           // \fsdgrp\rec\funflg    风险出让标识 

    @observable
    grcdys1=""           // \fsdgrp\rec\grcdys    宽限期 

    @observable
    inr1=""           // \fsdgrp\rec\inr    索引 

    @observable
    irtcod1=""           // \fsdgrp\rec\irtcod    基准利率类型 

    @observable
    nam1=""           // \fsdgrp\rec\nam    描述 

    @observable
    opndat1=""           // \fsdgrp\rec\opndat    卖出日期 

    @observable
    ownbch1=""           // \fsdgrp\rec\ownbch    业务归属机构 

    @observable
    ownref1=""           // \fsdgrp\rec\ownref    卖出业务编号 

    @observable
    ownusr1=""           // \fsdgrp\rec\ownusr    经办柜员 

    @observable
    pntinr1=""           // \fsdgrp\rec\pntinr    关联业务索引 

    @observable
    pntref1=""           // \fsdgrp\rec\pntref    关联业务编号 

    @observable
    pnttyp1=""           // \fsdgrp\rec\pnttyp    关联业务类型 

    @observable
    stacty1=""           // \fsdgrp\rec\stacty    包买商国别 

    @observable
    usrbch1=""           // \fsdgrp\rec\usrbch    业务经办机构 

    @observable
    ver1=""           // \fsdgrp\rec\ver    版本号 

    @observable
    pts_adrcn=""           // \fpdgrp\inv\pts\adrcn    中文地址 

    @observable
    pts_extkey=""           // \fpdgrp\inv\pts\extkey    客户编号 

    @observable
    pts_namcn=""           // \fpdgrp\inv\pts\namcn    客户中文名称 

    @observable
    pts1_adrcn=""           // \fsdgrp\buy\pts\adrcn    中文地址 

    @observable
    pts1_extkey=""           // \fsdgrp\buy\pts\extkey    客户编号 

    @observable
    pts1_namcn=""           // \fsdgrp\buy\pts\namcn    客户中文名称 

    @observable
    max_amt=""           // \fsdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \fsdgrp\cbs\max\cur    Currency 

    @observable
    fstmod_payamt=""           // \fstmod\payamt    转汇金额 

    @observable
    fstmod_paycur=""           // \fstmod\paycur    转汇币种 

    @observable
    fstmod_recamt=""           // \fstmod\recamt    收款金额 

    @observable
    fstmod_reccur=""           // \fstmod\reccur    收款币种 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.basrat=""
            this.clsdat=""
            this.conno=""
            this.credat=""
            this.docamt=""
            this.doccur=""
            this.docmatdat=""
            this.etyextkey=""
            this.expdat=""
            this.expdatlc=""
            this.ffttyp=""
            this.funflg=""
            this.grcdys=""
            this.inr=""
            this.intday=""
            this.invno=""
            this.iratyp=""
            this.irtcod=""
            this.lcref=""
            this.nam=""
            this.nomton=""
            this.nomtop=""
            this.opndat=""
            this.opndatlc=""
            this.ownbch=""
            this.ownref=""
            this.ownusr=""
            this.perint=""
            this.pntinr=""
            this.pntnam=""
            this.pntref=""
            this.pnttyp=""
            this.silflg=""
            this.stacty=""
            this.usrbch=""
            this.ver=""
            this.basrat1=""
            this.clsdat1=""
            this.credat1=""
            this.difrat=""
            this.etyextkey1=""
            this.expdat1=""
            this.finamt=""
            this.fincur=""
            this.fsttyp=""
            this.funflg1=""
            this.grcdys1=""
            this.inr1=""
            this.irtcod1=""
            this.nam1=""
            this.opndat1=""
            this.ownbch1=""
            this.ownref1=""
            this.ownusr1=""
            this.pntinr1=""
            this.pntref1=""
            this.pnttyp1=""
            this.stacty1=""
            this.usrbch1=""
            this.ver1=""
            this.pts_adrcn=""
            this.pts_extkey=""
            this.pts_namcn=""
            this.pts1_adrcn=""
            this.pts1_extkey=""
            this.pts1_namcn=""
            this.max_amt=""
            this.max_cur=""
            this.fstmod_payamt=""
            this.fstmod_paycur=""
            this.fstmod_recamt=""
            this.fstmod_reccur=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
    }

} 


export default Fstset