//附加


import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal ,Spin} from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta from '@/views/Public/Ptspta'
import Business from '@/views/Public/Business'
import Ptspta1 from '@/views/Public/Ptspta1'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm
   
@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class DetpScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
		this.pageHide = true
	}

	onTabFocus(){
		console.log('#我被选中#')
	}
	
	onTabBlur(){
		//this.goNext();
		console.log('#我已离开#')
	}
	//按钮事件 获取业务编号
	async onGetref() {
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/getref', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			// Notification.success({ message: 'cptopn/mtabut/getref数据提交成功!' })
			this.model.ownref = rtnmsg.data.ownref;
		}
		else {
			Notification.error({ message: 'cptopn/mtabut/getref服务端请求失败!' })
		}
		//余下逻辑处理
	}
	// 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}
	// 暂存按钮
	onPed = async () => {
		 this.com.wrappedInstance.wrappedInstance.onPed();
	}
	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
	}

	//清算路径
	onLiqtyp = () => {
		const liqtyp1 = [
			{ label: '01-SWIFT支付', value: 'SWT' },
			{ label: '02-境内外币支付', value: 'FMT' },
			{ label: '03-行内划转', value: 'ZZT' },
		]
		const liqtyp2 = [
			{ label: '03-行内划转', value: 'ZZT' },
			{ label: '04-跨境人民币支付', value: 'CIP' },
			{ label: '05-人民币大额支付', value: 'CMT' },
		]
		const cur = this.model.max_cur
		return (<SelectItem InputProps={{
			...this.bind("liqtyp"), disabled: !cur,
			onChange: val => {
				this.model.liqtyp = val
				this.model.swftyp = ""
			}
		}}
			code={!cur ? CodeTable.liqtyp : cur == 'CNY' ? liqtyp2 : liqtyp1}
		/>)

	}

	async onRecal() {
		this.formBlur = true  //已触发表单提交处理
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/setmod_ast', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			this.model.fegmod_feslst = rtnmsg.data.fegmod_feslst;
			this.model.glgmod_glslst = rtnmsg.data.glgmod_glslst;
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}
		//余下逻辑处理
	}
	async onRecal1() {
		this.formBlur = true  //已触发表单提交处理
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/setmod_recal', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			this.model.fegmod_feslst = rtnmsg.data.fegmod_feslst;
			this.model.glgmod_glslst = rtnmsg.data.glgmod_glslst;
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}
		//余下逻辑处理
	}
	//报文类型 
	onSwftyp = () => {
		const swfcod = {
			SWT: [
				{ label: 'MT103', value: '103' },
				{ label: 'MT103+MT202', value: '103202' },
			],
			FMT: [
				{ label: 'FMT100', value: 'F00' },
				{ label: 'FMT101', value: 'F01' },
			],
			CIP: [
				{ label: 'CIPS001', value: 'C00' },
				{ label: 'CIPS101', value: 'C01' },
			],
			CMT: [
				{ label: 'CMT100', value: 'CM0' },
			],
		}
		swfcod.ZZT = swfcod.SWT
		const liqtyp = this.model.liqtyp
		return (
			<SelectItem InputProps={{ ...this.bind("swftyp"), disabled: (!liqtyp || liqtyp == 'ZZT') }} code={swfcod[liqtyp]} />
			//<SelectItem InputProps={{...this.bind("swftyp"),disabled: ( !liqtyp||liqtyp=='ZZT')}}  code={swfcod[liqtyp]}   />
		)
	}

	goNext = () => {
		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, (errors, values) => {
			if (!errors) {
				this.props.steps.go(1)
				this.onRecal()
				return
			}
			for (let item of errors) {
				if (this.bindSet.has(item.field))
					return;
			}
			this.props.steps.go(1)
		})
	}

	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const { bchlevelLst } = this.props.extra
		//const {next,pre} = this.props.steps
		if(this.props.flag==true){
			return <Spin style={{width:"100%", justifyContent:"center"}} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
			   <Business  wrappedComponentRef={ref => (this.com = ref)}  extra={this.props.extra}  model={this.model} />
				{/* 第一行 */}
				<Row> 
					<Col span={12}>
						{/* 委托行 */}
						<Ptspta1 model={this.model} argArr={{ desc: "委托行", prefix: 'pts1', url: 'detopn/agep_ptysel', flg: 'B', datakey: '\\detp\\agep\\ptslst' }}  />
					</Col>
					<Col span={12}>
            <Ptspta1 model={this.model} argArr={{ desc: "转让行", prefix: 'pts', url: 'detopn/a2bp_ptysel', flg: 'B', datakey: '\\detp\\a2bp\\ptslst' }}  />
					</Col>
				</Row>

        {/* 第二行 */}
        <Row>
          <Col span={12}>
            <Row className="row">
              {/* 合同编号 */}
              <Col span={5} offset={2}>
                <Label itext="合同编号"  />
              </Col>
              <Col span={14}>
                <InputItem InputProps={bind("conno")}  maxLength={35}  desp="合同编号" path="/dedgrp/rec/conno" />
              </Col>
            </Row>
          </Col>
					<Col span={12}></Col>
        </Row>


        {/* 第三行 */}
				<Row>
          <Col span={12}>
            <Row className="row" type="flex">
              {/* 合同金额 */}
              <Col span={5} offset={2}>
                <Label itext="合同金额"  />
              </Col>
							<Col span={6}>
								<SelectItem InputProps={{
									...bind("concur"), onChange: val => {
										this.model.concur = val
										this.model.liqtyp = ""
										this.model.swftyp = ""
									}
								}}
									code={CodeTable.curtxt} />
							</Col>
              <Col span={7} offset={1}>
                <InputItem InputProps={bind("conamt")}  desp="合同金额" path="/dedgrp/rec/conamt" />
              </Col>
							<Col span={3}></Col>

              {/* 分批装运 */}
              <Col span={10} offset={2}>
                <Label itext="分批装运货物/分次提供服务"  />
              </Col>
              <Col span={9}>
                <SelectItem InputProps={bind("shppar")} code={CodeTable.allow}  desp="分批装运货物/分次提供服务" path="/dedgrp/rec/shppar"/>
              </Col>
							<Col span={3}></Col>

							{/* 分期装运 */}
							<Col span={8} offset={2}>
                <Label itext="分期装运/提供服务"  />  
							</Col>
							<Col span={11}>
                <SelectItem InputProps={bind("shpper")} code={CodeTable.allow}  desp="分期装运/提供服务" path="/dedgrp/rec/shpper"/>
							</Col>
							<Col span={3}></Col>
						</Row>
          </Col>
          <Col span={12}>
            {/* 保兑行 */}
            <Ptspta1 model={this.model} argArr={{ desc: "保兑行", prefix: 'pts4', url: 'detopn/conp_ptysel', flg: 'B', datakey: '\\detp\\conp\\ptslst' }}  />
          </Col>
				</Row>
				{/* 第四行 */}
				<Row>
					<Col span={12}>
            <Row className="row">
              {/* 转运 */}
              <Col span={5} offset={2}>
                <Label itext="转运"  />
              </Col>
              <Col span={14}>
                <SelectItem InputProps={bind("shptrs")} code={CodeTable.allow}  desp="转运" path="/dedgrp/rec/shptrs"/>
              </Col>
            </Row>
					</Col>
					<Col span={12}></Col>
				</Row>

        {/* 第五行 */}
        
        <Row>
          <Col span={12}>
            <Row className="row" type="flex">
              {/* 是否可转让 */}
              <Col span={5} offset={2}>
                <Label itext="是否可转让"  />
              </Col>
              <Col span={14}>
                <SelectItem InputProps={bind("traflg")} code={CodeTable.yesno}  desp="是否可转让" path="/dedgrp/rec/traflg"/>
              </Col>
							<Col span={3}></Col>

              {/* 保兑标志 */}
              <Col span={5} offset={2}>
                <Label itext="保兑标志"  />
              </Col>
              <Col span={14}>
                <SelectItem InputProps={bind("cfmflg")} code={CodeTable.yesno}  desp="保兑标志" path="/dedgrp/rec/cfmflg"/>
              </Col>
							<Col span={3}></Col>

              {/* 是否可议付 */}
              <Col span={5} offset={2}>
                <Label itext="是否可议付"  />
              </Col>
              <Col span={14}>
                <SelectItem InputProps={bind("negflg")} code={CodeTable.negCode}  desp="是否可议付" path="/dedgrp/rec/negflg"/>
              </Col>
							<Col span={3}></Col>
            </Row>
          </Col>
          <Col span={12}>
            {/* 议付行 */}
            <Ptspta1 model={this.model} argArr={{ desc: "议付行", prefix: 'pts6', url: 'detopn/negp_ptysel', flg: 'B', datakey: '\\detp\\negp\\ptslst' }}  />
          </Col>
        </Row>

				{/* 第六行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								<Label itext="货物运输或交货方式/服务方式"  />
							</Col>
							<Col span={10}>
								<InputItem InputProps={bind("tratyp")}  maxLength={20}  desp="货物运输或交货方式/方式" path="/dedgrp/rec/tratyp" />
							</Col>
						</Row>
					</Col>
				</Row>
 
				{/* 第七行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								<Label itext="分期装运/提供服务约定"  />
							</Col>
							<Col span={10}>
								<InputItem InputProps={bind("trdapt")}  maxLength={100}  desp="分期装运/提供服务约定" path="/dedgrp/rec/trdapt" />
							</Col>
						</Row>
					</Col>
				</Row>

				{/* 第八行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								<Label itext="交单期限"  />
							</Col>
							<Col span={10}>
								<InputItem InputProps={bind("preper")}  maxLength={100}  desp="交单期限" path="/dedgrp/rec/preper" />
							</Col>
						</Row>
					</Col>
				</Row>

				{/* 第九行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								<Label itext="货物装运地(港)"  />
							</Col>
							<Col span={10}>
								<InputItem InputProps={bind("shpfro")}  maxLength={100}  desp="货物装运地(港)" path="/dedgrp/rec/shpfro" />
							</Col>
						</Row>
					</Col>
				</Row>

				{/* 第十行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								<Label itext="货物目的地、交货地（港）"  />
							</Col>
							<Col span={10}>
								<InputItem InputProps={bind("shpto")}  maxLength={100}  desp="货物目的地、交货地（港）" path="/dedgrp/rec/shpto" />
							</Col>
						</Row>
					</Col>
				</Row>

				{/* 第十一行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={4} offset={1}>
								<Label itext="服务提供地点"  />
							</Col>
							<Col span={10}>
								<InputItem InputProps={bind("shppro")}  maxLength={100}  desp="服务提供地点" path="/dedgrp/rec/shppro" />
							</Col>
						</Row>
					</Col>
				</Row>

				{/* 第十二行 */}
				<Row>
					<Col span={24}>
						<Row className="row" type="flex">
							<Col span={4} offset={1}>
								<Label itext="有效地点"  />
							</Col>
							<Col span={10}>
								<InputItem InputProps={bind("expplc")}  maxLength={100}  desp="有效地点" path="/dedgrp/rec/expplc" />
							</Col>
						</Row>
					</Col>
				</Row>


				
			</div >
		)
	}
}
