//条款  


import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button,TextAreaItem, Label, DatePickerItem, Section, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal ,Spin} from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta from '@/views/Public/Ptspta'
import Business from '@/views/Public/Business'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm
  
@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class TkpScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
		this.pageHide = true

	}

	onTabFocus(){
		console.log('#我被选中#')
	}
	
	onTabBlur(){
		//this.goNext();
		console.log('#我已离开#')
	}
	//按钮事件 获取业务编号
	async onGetref() {
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/getref', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			// Notification.success({ message: 'cptopn/mtabut/getref数据提交成功!' })
			this.model.ownref = rtnmsg.data.ownref;
		}
		else {
			Notification.error({ message: 'cptopn/mtabut/getref服务端请求失败!' })
		}
		//余下逻辑处理
	}
	// 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}
	// 暂存按钮
	onPed = async () => {
		 this.com.wrappedInstance.wrappedInstance.onPed();
	}
	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
	}

	//清算路径
	onLiqtyp = () => {
		const liqtyp1 = [
			{ label: '01-SWIFT支付', value: 'SWT' },
			{ label: '02-境内外币支付', value: 'FMT' },
			{ label: '03-行内划转', value: 'ZZT' },
		]
		const liqtyp2 = [
			{ label: '03-行内划转', value: 'ZZT' },
			{ label: '04-跨境人民币支付', value: 'CIP' },
			{ label: '05-人民币大额支付', value: 'CMT' },
		]
		const cur = this.model.max_cur
		return (<SelectItem InputProps={{
			...this.bind("liqtyp"), disabled: !cur,
			onChange: val => {
				this.model.liqtyp = val
				this.model.swftyp = ""
			}
		}}
			code={!cur ? CodeTable.liqtyp : cur == 'CNY' ? liqtyp2 : liqtyp1}
		/>)

	}

	async onRecal() {
		this.formBlur = true  //已触发表单提交处理
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/setmod_ast', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			this.model.fegmod_feslst = rtnmsg.data.fegmod_feslst;
			this.model.glgmod_glslst = rtnmsg.data.glgmod_glslst;
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}
		//余下逻辑处理
	}
	async onRecal1() {
		this.formBlur = true  //已触发表单提交处理
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/setmod_recal', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			this.model.fegmod_feslst = rtnmsg.data.fegmod_feslst;
			this.model.glgmod_glslst = rtnmsg.data.glgmod_glslst;
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}
		//余下逻辑处理
	}
	//报文类型 
	onSwftyp = () => {
		const swfcod = {
			SWT: [
				{ label: 'MT103', value: '103' },
				{ label: 'MT103+MT202', value: '103202' },
			],
			FMT: [
				{ label: 'FMT100', value: 'F00' },
				{ label: 'FMT101', value: 'F01' },
			],
			CIP: [
				{ label: 'CIPS001', value: 'C00' },
				{ label: 'CIPS101', value: 'C01' },
			],
			CMT: [
				{ label: 'CMT100', value: 'CM0' },
			],
		}
		swfcod.ZZT = swfcod.SWT
		const liqtyp = this.model.liqtyp
		return (
			<SelectItem InputProps={{ ...this.bind("swftyp"), disabled: (!liqtyp || liqtyp == 'ZZT') }} code={swfcod[liqtyp]} />
			//<SelectItem InputProps={{...this.bind("swftyp"),disabled: ( !liqtyp||liqtyp=='ZZT')}}  code={swfcod[liqtyp]}   />
		)
	}

	goNext = () => {
		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, (errors, values) => {
			if (!errors) {
				this.props.steps.go(1)
				this.onRecal()
				return
			}
			for (let item of errors) {
				if (this.bindSet.has(item.field))
					return;
			}
			this.props.steps.go(1)
		})
	}

	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const { bchlevelLst } = this.props.extra
		//const {next,pre} = this.props.steps
		if(this.props.flag==true){
			return <Spin style={{width:"100%", justifyContent:"center"}} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
			   <Business  wrappedComponentRef={ref => (this.com = ref)}  extra={this.props.extra}  model={this.model} />
				{/* 第一行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 货物服务描述 */}
								<Label itext="货物服务描述"  />	
							</Col>
						
						</Row>
					</Col>
				</Row>
				{/* 第二行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={16} offset={1}>
                <TextAreaItem InputProps={bind("lcrgod")} rows={8} style={{ resize: "none" }} desp="货物服务描述" path="/dedgrp/rec/lcrgod"/>
							</Col>
						</Row>
					</Col>
					
				</Row>
				{/* 第三行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 单据要求 */}
								<Label itext="单据要求"  />	
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={16} offset={1}>
                <TextAreaItem InputProps={bind("lcrdoc")} rows={8} style={{ resize: "none" }} desp="单据要求" path="/dedgrp/rec/lcrdoc"/>
							</Col>
						</Row>
					</Col>
					
				</Row>
			
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 附加条款 */}
								<Label itext="附加条款"  />	
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={16} offset={1}>
              <TextAreaItem InputProps={bind("adlcnd")} rows={8} style={{ resize: "none" }} desp="附加条款" path="/dedgrp/rec/adlcnd"/>	
              </Col>
						</Row>
					</Col>
				</Row>
			</div >
		)
	}
}
