import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Infdid {
    
    @observable
    accusr=""           // \didgrp\rec\accusr    客户经理 

    @observable
    adlcnd=""           // \didgrp\rec\adlcnd    附加条款 

    @observable
    avbby=""           // \didgrp\rec\avbby    信用证对付方式 

    @observable
    cfmflg=""           // \didgrp\rec\cfmflg    保兑标志 

    @observable
    conamt=""           // \didgrp\rec\conamt    合同金额 

    @observable
    concur=""           // \didgrp\rec\concur    合同币种 

    @observable
    conno=""           // \didgrp\rec\conno    合同编号 

    @observable
    defdet=""           // \didgrp\rec\defdet    远期付款指示 

    @observable
    expdat=""           // \didgrp\rec\expdat    有效日期 

    @observable
    expplc=""           // \didgrp\rec\expplc    有效地点 

    @observable
    isstyp=""           // \didgrp\rec\isstyp    开证类型 

    @observable
    lcrdoc=""           // \didgrp\rec\lcrdoc    单据要求 

    @observable
    lcrgod=""           // \didgrp\rec\lcrgod    货物服务描述 

    @observable
    nam=""           // \didgrp\rec\nam    概要描述 

    @observable
    negflg=""           // \didgrp\rec\negflg    指定议付行 

    @observable
    nomton=""           // \didgrp\rec\nomton    下浮 

    @observable
    nomtop=""           // \didgrp\rec\nomtop    上浮 

    @observable
    opndat=""           // \didgrp\rec\opndat    开立日期 

    @observable
    ownbch=""           // \didgrp\rec\ownbch    归属机构 

    @observable
    ownref=""           // \didgrp\rec\ownref    业务编号 

    @observable
    preper=""           // \didgrp\rec\preper    交单期限 

    @observable
    shpdat=""           // \didgrp\rec\shpdat    最迟货物装运/服务提供日期  

    @observable
    shpfro=""           // \didgrp\rec\shpfro    货物装运地(港) 

    @observable
    shppar=""           // \didgrp\rec\shppar    分批装运货物/分次提供服务 

    @observable
    shpper=""           // \didgrp\rec\shpper    分期装运/提供服务 

    @observable
    shppro=""           // \didgrp\rec\shppro    服务提供地点 

    @observable
    shpto=""           // \didgrp\rec\shpto    货物目的地、交货地（港） 

    @observable
    shptrs=""           // \didgrp\rec\shptrs    转运 

    @observable
    tenmaxday=""           // \didgrp\rec\tenmaxday    期限 

    @observable
    traflg=""           // \didgrp\rec\traflg    是否可转让 

    @observable
    tratyp=""           // \didgrp\rec\tratyp    货物运输或交货方式/服务方式 

    @observable
    trdapt=""           // \didgrp\rec\trdapt    分期装运/提供服务约定 

    @observable
    trdtyp=""           // \didgrp\rec\trdtyp    贸易方式 

    @observable
    pts_adrcn=""           // \didgrp\a2b\pts\adrcn    中文地址 

    @observable
    pts_extkey=""           // \didgrp\a2b\pts\extkey    客户编号 

    @observable
    pts_namcn=""           // \didgrp\a2b\pts\namcn    客户中文名称 

    @observable
    pts1_adrcn=""           // \didgrp\adv\pts\adrcn    中文地址 

    @observable
    pts1_extkey=""           // \didgrp\adv\pts\extkey    客户编号 

    @observable
    pts1_namcn=""           // \didgrp\adv\pts\namcn    客户中文名称 

    @observable
    pts2_adrcn=""           // \didgrp\age\pts\adrcn    中文地址 

    @observable
    pts2_extkey=""           // \didgrp\age\pts\extkey    客户编号 

    @observable
    pts2_namcn=""           // \didgrp\age\pts\namcn    客户中文名称 

    @observable
    pts3_adrcn=""           // \didgrp\apl\pts\adrcn    中文地址 

    @observable
    pts3_extact=""           // \didgrp\apl\pts\extact    结算账号 

    @observable
    pts3_extkey=""           // \didgrp\apl\pts\extkey    客户编号 

    @observable
    pts3_namcn=""           // \didgrp\apl\pts\namcn    客户中文名称 

    @observable
    pts4_adrcn=""           // \didgrp\ben\pts\adrcn    中文地址 

    @observable
    pts4_extact=""           // \didgrp\ben\pts\extact    结算账号 

    @observable
    pts4_extkey=""           // \didgrp\ben\pts\extkey    客户编号 

    @observable
    pts4_namcn=""           // \didgrp\ben\pts\namcn    客户中文名称 

    @observable
    max_amt=""           // \didgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \didgrp\cbs\max\cur    Currency 

    @observable
    nom1_amt=""           // \didgrp\cbs\nom1\amt    Balance 

    @observable
    nom1_cur=""           // \didgrp\cbs\nom1\cur    Currency 

    @observable
    pts5_adrcn=""           // \didgrp\con\pts\adrcn    中文地址 

    @observable
    pts5_extkey=""           // \didgrp\con\pts\extkey    客户编号 

    @observable
    pts5_namcn=""           // \didgrp\con\pts\namcn    客户中文名称 

    @observable
    pts6_adrcn=""           // \didgrp\neg\pts\adrcn    中文地址 

    @observable
    pts6_extkey=""           // \didgrp\neg\pts\extkey    客户编号 

    @observable
    pts6_namcn=""           // \didgrp\neg\pts\namcn    客户中文名称 

    @observable
    ditmod_clsflg=""           // \ditmod\clsflg    闭卷业务 

    @observable
    ditmod_didlst=[]           // \ditmod\didlst 

    @observable
    ditmod_diref=""           // \ditmod\diref    信用证编号 

    @observable
    ditmod_enddat=""           // \ditmod\enddat    结束时间(开立) 

    @observable
    ditmod_stadat=""           // \ditmod\stadat    开始时间(开立) 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.accusr=""
            this.adlcnd=""
            this.avbby=""
            this.cfmflg=""
            this.conamt=""
            this.concur=""
            this.conno=""
            this.defdet=""
            this.expdat=""
            this.expplc=""
            this.isstyp=""
            this.lcrdoc=""
            this.lcrgod=""
            this.nam=""
            this.negflg=""
            this.nomton=""
            this.nomtop=""
            this.opndat=""
            this.ownbch=""
            this.ownref=""
            this.preper=""
            this.shpdat=""
            this.shpfro=""
            this.shppar=""
            this.shpper=""
            this.shppro=""
            this.shpto=""
            this.shptrs=""
            this.tenmaxday=""
            this.traflg=""
            this.tratyp=""
            this.trdapt=""
            this.trdtyp=""
            this.pts_adrcn=""
            this.pts_extkey=""
            this.pts_namcn=""
            this.pts1_adrcn=""
            this.pts1_extkey=""
            this.pts1_namcn=""
            this.pts2_adrcn=""
            this.pts2_extkey=""
            this.pts2_namcn=""
            this.pts3_adrcn=""
            this.pts3_extact=""
            this.pts3_extkey=""
            this.pts3_namcn=""
            this.pts4_adrcn=""
            this.pts4_extact=""
            this.pts4_extkey=""
            this.pts4_namcn=""
            this.max_amt=""
            this.max_cur=""
            this.nom1_amt=""
            this.nom1_cur=""
            this.pts5_adrcn=""
            this.pts5_extkey=""
            this.pts5_namcn=""
            this.pts6_adrcn=""
            this.pts6_extkey=""
            this.pts6_namcn=""
            this.ditmod_clsflg=""
            this.ditmod_didlst=[]
            this.ditmod_diref=""
            this.ditmod_enddat=""
            this.ditmod_stadat=""
    }

} 


export default Infdid