import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal, Spin } from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta1 from '@/views/Public/Ptspta1'
import Business from '@/views/Public/Business'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class OvwpScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
		this.pageHide = true

	}

	onTabFocus() {
		console.log('#我被选中#')
	}


	onTabBlur() {
		//this.goNext();
		console.log('#我已离开#')
	}
	//按钮事件 获取业务编号
	onGetref = async ()=> {
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/getref', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			// Notification.success({ message: 'cptopn/mtabut/getref数据提交成功!' })
			this.model.ownref = rtnmsg.data.ownref;
		}
		else {
			Notification.error({ message: '请求失败!' })
		}
		//余下逻辑处理
	}
	// 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}
	// 暂存按钮
	onPed = async () => {
		this.com.wrappedInstance.wrappedInstance.onPed();
	}
	// 校验 按钮
	onChk = () => {
		this.formBlur = true
		this.com.wrappedInstance.wrappedInstance.onChk();
	}

	//清算路径
	onLiqtyp = () => {
		const liqtyp1 = [
			{ label: '01-SWIFT支付', value: 'SWT' },
			{ label: '02-境内外币支付', value: 'FMT' },
			{ label: '03-行内划转', value: 'ZZT' },
		]
		const liqtyp2 = [
			{ label: '03-行内划转', value: 'ZZT' },
			{ label: '04-跨境人民币支付', value: 'CIP' },
			{ label: '05-人民币大额支付', value: 'CMT' },
		]
		const cur = this.model.max_cur
		return (<SelectItem InputProps={{
			...this.bind("liqtyp"), disabled: !cur,
			onChange: val => {
				this.model.liqtyp = val
				this.model.swftyp = ""
			}
		}}
			code={!cur ? CodeTable.liqtyp : cur == 'CNY' ? liqtyp2 : liqtyp1}
		/>)

	}

	onSetmod_ast= ()=>{
        this.formBlur=true  //已触发表单提交处理
        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors)
                    return 
                const rtnmsg = await Api.post('ditopn/setmod_ast',{data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                    Notification.success({message:'数据提交成功!'})
                    
                }
                else
                {
                	Notification.error({message:'服务端请求失败!'})
                }
                //余下逻辑处理
                    
        })
    }

	async onRecal() {
		this.formBlur = true  //已触发表单提交处理
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/setmod_ast', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			this.model.fegmod_feslst = rtnmsg.data.fegmod_feslst;
			this.model.glgmod_glslst = rtnmsg.data.glgmod_glslst;
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}
		//余下逻辑处理
	}
	async onRecal1() {
		this.formBlur = true  //已触发表单提交处理
		const rtnmsg = await Api.post(this.props.extra.inifrm + '/setmod_recal', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			this.model.fegmod_feslst = rtnmsg.data.fegmod_feslst;
			this.model.glgmod_glslst = rtnmsg.data.glgmod_glslst;
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}
		//余下逻辑处理
	}
	//报文类型 
	onSwftyp = () => {
		const swfcod = {
			SWT: [
				{ label: 'MT103', value: '103' },
				{ label: 'MT103+MT202', value: '103202' },
			],
			FMT: [
				{ label: 'FMT100', value: 'F00' },
				{ label: 'FMT101', value: 'F01' },
			],
			CIP: [
				{ label: 'CIPS001', value: 'C00' },
				{ label: 'CIPS101', value: 'C01' },
			],
			CMT: [
				{ label: 'CMT100', value: 'CM0' },
			],
		}
		swfcod.ZZT = swfcod.SWT
		const liqtyp = this.model.liqtyp
		return (
			<SelectItem InputProps={{ ...this.bind("swftyp"), disabled: (!liqtyp || liqtyp == 'ZZT') }} code={swfcod[liqtyp]} />
			//<SelectItem InputProps={{...this.bind("swftyp"),disabled: ( !liqtyp||liqtyp=='ZZT')}}  code={swfcod[liqtyp]}   />
		)
	}

	onAplp_ptysel = () => {
		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
			if (errors)
				return
			const rtnmsg = await Api.post('ditopn/aplp_ptysel', { data: this.model })
			if (rtnmsg.retcod == SUCCESS) {
				Notification.success({ message: '数据提交成功!' })

			}
			else {
				Notification.error({ message: '服务端请求失败!' })
			}
			//余下逻辑处理

		})
	}

	goNext = () => {
		this.formBlur = true  //已触发表单提交处理
		Validator.validate(this.model, this.model.descriptor, (errors, values) => {
			if (!errors) {
				this.props.steps.go(1)
				this.onRecal()
				return
			}
			for (let item of errors) {
				if (this.bindSet.has(item.field))
					return;
			}
			this.props.steps.go(1)
		})
	}

	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const { bchlevelLst } = this.props.extra
		//const {next,pre} = this.props.steps
		if (this.props.flag == true) {
			return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
				<Business wrappedComponentRef={ref => (this.com = ref)} extra={this.props.extra} model={this.model} />
				{/* 第一行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 业务编号 */}
								<Label itext="业务编号" />
							</Col>
							<Col span={10}>
							<InputItem InputProps={bind("ownref")}  maxLength={16}  disabled={true} desp="业务编号" path="/didgrp/rec/ownref" />
							</Col>
							<Col span={4} offset={1}> 
								<Button type="primary" onClick={this.onGetref} desp="Get Ref." path="/mtabut/getref">
									<Label itext="获取" />
								</Button>
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 概要描述 */}
								<Label itext="概要描述" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("nam")} maxLength={40} desp="概要描述" path="/didgrp/rec/nam" />
							</Col>
						</Row>
					</Col>

				</Row>
				{/* 第二行 */}
				<Row>
					<Col span={12}>
						<Row className="row" type='flex'>
							<Col span={5} offset={2}>
								{/* 归属机构*/}
								<Label itext="归属机构" />
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("ownbch")} code={bchlevelLst} desp="归属机构" path="/didgrp/rec/ownbch" />
							</Col>
							<Col span={3}>

							</Col>
							<Col span={5} offset={2}>
								{/* 归属机构*/}
								<Label itext="客户经理" />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("accusr")} maxLength={8} desp="客户经理" path="/didgrp/rec/accusr" />
							</Col>
							<Col span={3}>

							</Col>
							<Col span={5} offset={2}>
								{/* 清算路径 */}
								<Label itext="开立日期" />
							</Col>
							<Col span={10}>
								<DatePickerItem InputProps={bind("opndat")} desp="开立日期" path="/didgrp/rec/opndat" />
							</Col>
							<Col span={7}>

							</Col>


						</Row>

					</Col>
					<Col span={12}>
						{/* <Row className="row"> */}
						{/* <Col span={5} offset={2}>
								申请人
								<Label itext="申请人"  />	
							</Col>
							<Col span={10}>
							<InputItem InputProps={bind("pts3_extkey")}  maxLength={16}  desp="客户编号" path="/didgrp/apl/pts/extkey" />
							</Col>
							<Col span={4} offset={1}>
							<Button  type="primary" icon="search" onClick={this.onAplp_ptysel} desp="客户查询" path="/ditp/aplp/ptysel">
		                        <Label   itext="查询"/>
                        	</Button>
							</Col>
						</Row> */}

						<Ptspta1 model={this.model} argArr={{ desc: "申请人", prefix: 'pts3', url: 'ditopn/aplp_ptysel', flg: 'C', datakey: '\\ditp\\aplp\\ptslst' }} />
					</Col>

				</Row>
				{/* 第三行 */}
				<Row>
					<Col span={12}>
						<Row className="row" type='flex'>
							<Col span={5} offset={2}>
								{/* 信用证金额 */}
								<Label itext="信用证金额" />
							</Col> 
							<Col span={6}>
								<SelectItem InputProps={{
									...bind("max_cur"), onChange: val => {
										this.model.max_cur = val
										this.model.liqtyp = ""
										this.model.swftyp = ""
									}
								}}
									code={CodeTable.curtxt} />
							</Col>
							<Col span={7} offset={1}>
								<InputItem InputProps={bind("max_amt")} />
							</Col>

							<Col span={5} offset={2}>
								{/* 开证类型 */}
								<Label itext="开证类型" />
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("isstyp")} code={CodeTable.isstyp} desp="开证类型" path="/didgrp/rec/isstyp" />
							</Col>
							<Col span={3}>

							</Col>

							<Col span={5} offset={2}>
								{/* 清算路径 */}
								<Label itext="贸易方式" />
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("trdtyp")} code={CodeTable.trdtyp} desp="贸易方式" path="/didgrp/rec/trdtyp" />
							</Col>
							<Col span={3}>

							</Col>
							<Col span={5} offset={2}>
								{/* 最迟货物装运/服务提供日期 */}
								<Label itext="最迟货物装运日期" />
							</Col>
							<Col span={14}>
								<DatePickerItem InputProps={bind("shpdat")} desp="最迟货物装运/服务提供日期 " path="/didgrp/rec/shpdat" />
							</Col>
							<Col span={3}>

							</Col>

						</Row>
					</Col>

					<Col span={12}>
						{/* <Row className="row"> */}
						{/* <Col span={5} offset={2}>
								申请人
								<Label itext="申请人"  />	
							</Col>
							<Col span={10}>
							<InputItem InputProps={bind("pts3_extkey")}  maxLength={16}  desp="客户编号" path="/didgrp/apl/pts/extkey" />
							</Col>
							<Col span={4} offset={1}>
							<Button  type="primary" icon="search" onClick={this.onAplp_ptysel} desp="客户查询" path="/ditp/aplp/ptysel">
		                        <Label   itext="查询"/>
                        	</Button>
							</Col>
						</Row> */}
						<Col span={5} offset={2}>
							{/* 申请人账号 */}
							<Label itext="申请人账号" />
						</Col>
						<Col span={14}>
							<InputItem InputProps={bind("pts3_extact")} maxLength={32} desp="申请人账号" path="/didgrp/apl/pts/extact" />
						</Col>
						<Col span={3}>

						</Col>
						<Ptspta1 model={this.model} argArr={{ desc: "受益人", prefix: 'pts4', url: 'ditopn/benp_ptysel', flg: 'C', datakey: '\\ditp\\benp\\ptslst' }} />
					</Col>
				</Row >
				{/* 第四行 */}
				{/* 第五行 */}
				<Row>
					<Col span={12}>
						<Row className="row" type='flex'>


							<Col span={5} offset={2}>
								{/* 信用证对付方式 */}
								<Label itext="信用证对付方式" />
							</Col>
							<Col span={7}>
								<SelectItem InputProps={bind("avbby")} code={CodeTable.avbby} desp="信用证对付方式" path="/didgrp/rec/avbby" />
							</Col>
							<Col span={4} offset={1}>
								<InputItem InputProps={bind("tenmaxday")} desp="期限" path="/didgrp/rec/tenmaxday" />

							</Col>
							<Col span={4} offset={1}>
								<Label itext="天" />
							</Col>

							<Col span={5} offset={2}>
								{/* 有效日期 */}
								<Label itext="有效日期" />
							</Col>
							<Col span={14}>
								<DatePickerItem InputProps={bind("expdat")} desp="有效日期" path="/didgrp/rec/expdat" />
							</Col>
							{/* <Col span={4} offset={2}>
								<InputItem InputProps={bind("tenmaxday")} desp="期限" path="/didgrp/rec/tenmaxday" />

							</Col>
							<Col span={4} offset={1}>
								<Label itext="天" />
							</Col> */}
							<Col span={3}></Col>

							<Col span={5} offset={2}>
								{/* 远期付款指示 */}
								<Label itext="远期付款指示" />
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("defdet")} code={CodeTable.avbby} desp="远期付款指示" path="/didgrp/rec/defdet" />
							</Col>
							<Col span={3}>

							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Col span={5} offset={2}>
							{/* 受益人账号 */}
							<Label itext="受益人账号" />
						</Col>
						<Col span={14}>
							<InputItem InputProps={bind("pts4_extact")} maxLength={32} desp="结算账号" path="/didgrp/ben/pts/extact" />
						</Col>
						<Col span={3}>

						</Col>
						<Ptspta1 model={this.model} argArr={{ desc: "通知行", prefix: 'pts1', url: 'ditopn/advp_ptysel', flg: 'C', datakey: '\\ditp\\advp\\ptslst' }} />
						
					</Col>
				</Row>

				<Row>
					<Col span={12}>
					</Col>

				</Row>

				{/* 第六行 */}
				{/*
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label i18nId={"CPTP_LT000080"} />
							</Col>
							<Col span={6}>
								<SelectItem InputProps={bind("curf33b")} code={CodeTable.curtxt} />
							</Col>
							<Col span={7} offset={1}> 
								<InputItem InputProps={bind("amtf33b")} />
							</Col>
						</Row>

					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label i18nId={"CPTP_LT000082"} />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("f36")}  />
							</Col>
						</Row>
					</Col>
				</Row>
				*/}


			</div >
		)
	}
}
