import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Sysels {
    
    @observable
    comchk_chkdat=""           // \comchk\chkdat    对账日期 

    @observable
    comdow_chkdat=""           // \comdow\chkdat    对账日期 

    @observable
    comdow_instgagt=""           // \comdow\instgagt    发起直接参与机构 

    @observable
    comdow_mesgid=""           // \comdow\mesgid    通信级标识号 

    @observable
    comdow_mesgtype=""           // \comdow\mesgtype    报文类型代码 

    @observable
    comdow_sndrrcvrind=""           // \comdow\sndrrcvrind    发起接收标识 

    @observable
    compms_pmslst=[]           // \compms\pmslst 

    @observable
    compms_ptcptbk=""           // \compms\ptcptbk    机构号 

    @observable
    compms_rcvmsg=""           // \compms\rcvmsg    报文接收权限集合 

    @observable
    compms_regsta=""           // \compms\regsta    注册状态 

    @observable
    compms_sndmsg=""           // \compms\sndmsg    报文发送权限集合 

    @observable
    conlog_loginoprtp=""           // \conlog\loginoprtp    操作类型 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.comchk_chkdat=""
            this.comdow_chkdat=""
            this.comdow_instgagt=""
            this.comdow_mesgid=""
            this.comdow_mesgtype=""
            this.comdow_sndrrcvrind=""
            this.compms_pmslst=[]
            this.compms_ptcptbk=""
            this.compms_rcvmsg=""
            this.compms_regsta=""
            this.compms_sndmsg=""
            this.conlog_loginoprtp=""
    }

} 


export default Sysels