import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Trnrel {
    
    @observable
    atp_cod=""           // \atp\cod    Transaction  ID 

    @observable
    atptxt=""           // \atptxt    Application Transaction Profile Text 

    @observable
    cretrs_dattim=""           // \recpan\cretrs\dattim    提交时间 

    @observable
    cretrs_usr=""           // \recpan\cretrs\usr    User ID Duplicate from SSN 

    @observable
    recpan_docinf=""           // \recpan\docinf    报文信息 

    @observable
    recpan_smhlst=[]           // \recpan\smhlst 

    @observable
    recpan_trnlst=[]           // \recpan\trnlst 

    @observable
    recpan_trslst=[]           // \recpan\trslst 

    @observable
    recpan_wfelst=[]           // \recpan\wfelst 

    @observable
    trn_cortrninr=""           // \trn\cortrninr    不详 

    @observable
    trn_exedat=""           // \trn\exedat    执行日期 

    @observable
    trn_inftxt=""           // \trn\inftxt    复核备注 

    @observable
    trn_inifrm=""           // \trn\inifrm    创建交易 

    @observable
    trn_inr=""           // \trn\inr    索引 

    @observable
    trn_objnam=""           // \trn\objnam    交易描述 

    @observable
    trn_ownref=""           // \trn\ownref    业务编号 

    @observable
    trn_relflg=""           // \trn\relflg    交易状态 

    @observable
    trn_reloriamt=""           // \trn\reloriamt    换算金额 

    @observable
    trn_reloricur=""           // \trn\reloricur    换算币种 

    @observable
    trn_usg=""           // \trn\usg    用户组 

    @observable
    trn_usr=""           // \trn\usr    用户角色 

    @observable
    trncorco_inidatfro=""           // \trncorco\inidatfro    Date of entry of Transaction 

    @observable
    trncorco_inidattil=""           // \trncorco\inidattil    Date of entry of Transaction until 

    @observable
    trncorco_iniusr=""           // \trncorco\iniusr    Userid entering the Transaction 

    @observable
    trncorco_ownref=""           // \trncorco\ownref    Own reference 

    @observable
    trncorco_relflg=""           // \trncorco\relflg    release status N-ot req, W-aiting, R-eleased 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.atp_cod=""
            this.atptxt=""
            this.cretrs_dattim=""
            this.cretrs_usr=""
            this.recpan_docinf=""
            this.recpan_smhlst=[]
            this.recpan_trnlst=[]
            this.recpan_trslst=[]
            this.recpan_wfelst=[]
            this.trn_cortrninr=""
            this.trn_exedat=""
            this.trn_inftxt=""
            this.trn_inifrm=""
            this.trn_inr=""
            this.trn_objnam=""
            this.trn_ownref=""
            this.trn_relflg=""
            this.trn_reloriamt=""
            this.trn_reloricur=""
            this.trn_usg=""
            this.trn_usr=""
            this.trncorco_inidatfro=""
            this.trncorco_inidattil=""
            this.trncorco_iniusr=""
            this.trncorco_ownref=""
            this.trncorco_relflg=""
    }

} 


export default Trnrel