import React, { Component, Fragment } from 'react'
import {
    Page, Validator, Notification, FormItem,
    InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, Table, TextArea, ConfirmButton, Steps, Checkbox, TextAreaItem,
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal, Spin } from 'antd';
import { UnicodePicker, ContryCodePicker } from '@/components/Business-Library'
import Business from '@/views/Public/Business'

const CodeTable = CodeTableFactory.getInstance()
const { Pre, Next, StepWrapper } = Steps

@inject('UserContext')
@inject('i18n')
@observer
export default class CptadvScreen extends Page {
    @observable
    formBlur = false

    constructor(props) {
        super(props)
        this.model = props.model;
        this.bind = Bind.bind(this)
        const {mtabut_paydat,bas_rptno,bas_actiontype,bas_ownextkey,bas_actiondesc,bas_custype,
            bas_method,bas_idcode,bas_custcod,bas_custnm,bas_oppuser,bas_buscode,bas_exrate
            ,bas_lcyamt,bas_lcyacc,bas_fcyamt,bas_fcyacc,bas_othamt,bas_othacc,bas_txccy,bas_txamt
            ,bas_inchargeccy,bas_inchargeamt,bas_outchargeccy,bas_outchargeamt,dcl_rptno,dcl_actiontype,
            dcl_actiondesc,dcl_rptdate,dcl_txcode,dcl_paytype,dcl_tc1amt,dcl_country,dcl_txrem,dcl_isref,
            dcl_txcode2,dcl_crtuser,dcl_tc2amt,dcl_inptelc,dcl_tx2rem,vrf_regno,dcl_payattr} = props.model.descriptor;
		this.descriptor = {mtabut_paydat,bas_rptno,bas_actiontype,bas_ownextkey,bas_actiondesc,bas_custype,
            bas_method,bas_idcode,bas_custcod,bas_custnm,bas_oppuser,bas_buscode,bas_exrate
            ,bas_lcyamt,bas_lcyacc,bas_fcyamt,bas_fcyacc,bas_othamt,bas_othacc,bas_txccy,bas_txamt
            ,bas_inchargeccy,bas_inchargeamt,bas_outchargeccy,bas_outchargeamt,dcl_rptno,dcl_actiontype,
            dcl_actiondesc,dcl_rptdate,dcl_txcode,dcl_paytype,dcl_tc1amt,dcl_country,dcl_txrem,dcl_isref,
            dcl_txcode2,dcl_crtuser,dcl_tc2amt,dcl_inptelc,dcl_tx2rem,vrf_regno,dcl_payattr}
		this.model.mtabut_paydat=DateFormat();
		this.model.mtabut_basflg='X';
		this.model.mtabut_dclflg='X';
		this.model.mtabut_vrfflg='X';
		this.model.bas_txccy=this.model.max_cur;
		this.model.bas_txamt=this.model.max_amt;
    }

    componentWillUnmount() {
       // this.model.closeValidate()//关闭校验
    }


    // 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}
	// 暂存按钮
	onPed = async () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.descriptor, async (errors, values) => {
            if (errors){
                this.forceUpdate();
                return
            }
            // const rtnmsg = await Api.post('cptadv/getref0', { data: this.model })
            // if (rtnmsg.retcod == SUCCESS) {
            //     Notification.success({ message: '数据提交成功!' })

            // }
            // else {
            //     Notification.error({ message: '服务端请求失败!' })
            // }
            //余下逻辑处理

        })
	}
	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
	}
	
    //按钮事件
    onGetref0 = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('cptadv/getref0', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
                Notification.success({ message: '数据提交成功!' })

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
    }
    onCustype = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('cptadv/custype', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
                Notification.success({ message: '数据提交成功!' })

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
    }
    //按钮事件
    onCodsel1_selbut = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('cptadv/codsel1_selbut', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
                Notification.success({ message: '数据提交成功!' })

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
    }
    onCodsel1_selbut1 = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('cptadv/codsel1_selbut1', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
                Notification.success({ message: '数据提交成功!' })

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
    }
  
    onSel0 = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('cptadv/sel0', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
                Notification.success({ message: '数据提交成功!' })

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
    }
    
    onGetref1 = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('cptadv/getref1', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
                Notification.success({ message: '数据提交成功!' })

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
    }
   
 
    onSel2 = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('cptadv/sel2', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
                Notification.success({ message: '数据提交成功!' })

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
    }
   
 
    onGetref = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('cptadv/getref', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
                Notification.success({ message: '数据提交成功!' })

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
    }
    onSel = async () => {
        this.formBlur = true  //已触发表单提交处理
        const rtnmsg = await Api.post('cptadv/sel', { data: this.model })
        if (rtnmsg.retcod == SUCCESS) {
            Notification.success({ message: '数据提交成功!' })

        }
        else {
            Notification.error({ message: '服务端请求失败!' })
        }
        //余下逻辑处理

    }

    onExtkey0 = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('cptadv/extkey0', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
                Notification.success({ message: '数据提交成功!' })

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
    }
    loading = false;

    //交易内实现
    renderPage() {
        const bind = this.bind
        const { i18n } = this.props
        // dba
        // DBAP_LT000001
        // if(this.loading==false){
        //     return <Spin style={{width:"100%", justifyContent:"center"}} spinning={this.props.flag} />
        // }
        return (
            <div style={{ position: 'relative' }}>
			     <Business  wrappedComponentRef={ref => (this.com = ref)}  steps={this.props.steps}  extra={this.props.extra}  model={this.model} />
                {/* 第一行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 收付汇日期（生成申报号码时填写） */}
                                <Label i18nId={"DBAP_LT000001"} />
                            </Col>
                            <Col span={14}>
                                {/*  // \mtabut\paydat    收付汇日期  收付汇日期（生成申报号码时填写） 日期 选择输入框 */}
                                <DatePickerItem InputProps={bind("mtabut_paydat")} />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 基础信息 复选框 */}
                                <Checkbox desp="基础信息" path="/mtabut/basflg" />
                                <Label i18nId={"DBAP_LT000002"} />
                            </Col>
                            <Col span={5} offset={2}>
                                {/* 申报信息 复选框 */}
                                <Checkbox desp="申报信息" path="/mtabut/dclflg" />
                                <Label i18nId={"DBAP_LT000003"} />
                            </Col>
                            <Col span={5} offset={2}>
                                {/* 管理信息 */}
                                <Checkbox desp="管理信息" path="/mtabut/vrfflg" />
                                <Label i18nId={"DBAP_LT000004"} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label value="基础信息" />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                {/* 第二，三，四行 */}
                <Row>
                    <Col style={{ height: "auto" }} span={12}>
                        {/* 第二行左边 */}
                        {/* <Row type="flex" align="center"> */}
                        {/* <Row className="row"> */}
                        <Row type="flex" style={{ height: "65px", "line-height": "40px", }}>
                            <Col span={5} offset={2}>
                                {/* 申报号码 */}
                                <Label i18nId={"DBAP_LT000005"} />
                            </Col>
                            <Col span={10}>
                                {/* // \bopmod\dbagrp\bas\rptno    申报号码 申报号码 输入框 */}
                                <InputItem InputProps={bind("bas_rptno")} />
                            </Col>
                            <Col span={4} offset={1}>
                                {/* 好像是 Ref. 申报号码右边的按钮 */}
                                <Button type="primary" onClick={this.onGetref0}>
                                    <Label i18nId="CPTP_BT000084" />
                                    {/* <Label i18nId="2" /> */}
                                </Button>
                            </Col>
                        </Row>
                        {/* 第三行左边 */}
                        <Row className="row">
                            {/* <Row> */}
                            <Col span={5} offset={2}>
                                {/* 操作类型 */}
                                <Label i18nId={"DBAP_LT000006"} />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\actiontype    操作类型  操作类型 选择输入框 */}
                                <SelectItem InputProps={bind("bas_actiontype")} code={CodeTable.actiontype} />
                            </Col>
                        </Row>
                        {/* 第四行左边 */}
                        <Row className="row">
                            {/* <Row> */}
                            <Col span={5} offset={2}>
                                {/* 地区机构 */}
                                <Label i18nId={"DBAP_LT000007"} />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\ownextkey    initial entity code 地区机构 选择输入框 */}
                                <SelectItem InputProps={bind("bas_ownextkey")} code={CodeTable.diqvjigou} />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 修改/删除原因 */}
                                <Label i18nId={"DBAP_LT000008"} />
                            </Col>
                            {/* <Col span={14} className="section"> */}
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\actiondesc    修改/删除原因 修改/删除原因 Section 详细信息？ */}
                                {/* <Section className="DbaSection" {...bind('bas_actiondesc')} /> */}
                                <TextAreaItem rows={4} style={{resize:"none"}} InputProps={bind('bas_actiondesc')} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第五行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* cusnam */}
                                <Label value="收款人类型" />
                            </Col>
                            <Col span={14}>
                                {/*  // \bopmod\dbagrp\bas\custype    收款人类型 cusnam 选择输入框 */}
                                <SelectItem InputProps={bind("bas_custype")} code={CodeTable.bopcustype} />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 结算方式 */}
                                <Label i18nId={"DBAP_LT000009"} />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\method    结算方式 结算方式 选择输入框 找不到 methods，可能是图片上多了个s？？？ */}
                                <SelectItem InputProps={bind("bas_method")} code={CodeTable.bopmethods} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第六行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 身份证件号码 */}
                                <Label i18nId={"DBAP_LT000010"} />
                            </Col>
                            <Col span={14}>
                                {/*  // \bopmod\dbagrp\bas\idcode    个人身份证件号码 身份证件号码 选择输入框 */}
                                <InputItem InputProps={bind("bas_idcode")} />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 组织机构代码 */}
                                <Label i18nId={"DBAP_LT000011"} />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\custcod    组织机构 组织机构代码 输入框 */}
                                <InputItem InputProps={bind("bas_custcod")} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第七行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* cornam */}
                                <Label value="收款人名称" />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\custnm    收款人名称 输入框 */}
                                <InputItem InputProps={bind("bas_custnm")} />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* corpnam */}
                                <Label value="付款人名称" />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\oppuser    付款人名称 corpnam 输入框 */}
                                <InputItem InputProps={bind("bas_oppuser")} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第八行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 银行业务编号 */}
                                <Label i18nId={"DBAP_LT000012"} />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\buscode    银行业务编号  银行业务编号 输入框 */}
                                <InputItem InputProps={bind("bas_buscode")} />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* exratelab */}
                                <Label value="结汇汇率" />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\exrate    结汇汇率 exratelab 输入框 */}
                                <InputItem InputProps={bind("bas_exrate")}  disabled={this.model.bas_lcyamt<=0} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第九行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* lcyamtlab */}
                                <Label value="结汇金额" />
                            </Col>
                            <Col span={14}>
                                {/*  // \bopmod\dbagrp\bas\lcyamt    结汇金额  lcyamtlab 输入框 */}
                                <InputItem InputProps={bind("bas_lcyamt")} />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 人民币账号 */}
                                <Label i18nId={"DBAP_LT000012"} />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\lcyacc    人民币帐号/银行卡号 人民币账号  */}
                                <InputItem InputProps={bind("bas_lcyacc")} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第十行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 现汇金额 */}
                                <Label i18nId={"DBAP_LT000014"} />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\fcyamt    现汇金额 现汇金额  */}
                                <InputItem InputProps={bind("bas_fcyamt")} />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 外汇账号/卡号 */}
                                <Label i18nId={"DBAP_LT000015"} />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\fcyacc    外汇帐号/银行卡号 外汇账号/卡号 */}
                                <InputItem InputProps={bind("bas_fcyacc")} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第十一行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 其他金额 */}
                                <Label i18nId={"DBAP_LT000016"} />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\othamt    其它金额 其他金额 */}
                                <InputItem InputProps={bind("bas_othamt")} />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 其他账号/卡号 */}
                                <Label i18nId={"DBAP_LT000017"} />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\bas\othacc    其它帐号/银行卡号 其他账号/卡号 */}
                                <InputItem InputProps={bind("bas_othacc")}  disabled={this.model.bas_othamt==0} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第十二行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 收入款金额 */}
                                <Label i18nId={"DBAP_LT000018"} />
                            </Col>
                            <Col span={6}>
                                {/*// \bopmod\dbagrp\bas\txccy    收入款币种 收入款币种 */}
                                {/* <SelectItem InputProps={bind("bas_txccy")} code={CodeTable.cur} /> */}
                                <SelectItem InputProps={bind("bas_txccy")} code={CodeTable.bizhongleixin} />
                            </Col>
                            <Col span={7} offset={1}>
                                {/* // \bopmod\dbagrp\bas\txamt    收入款金额 收入款金额 */}
                                <InputItem InputProps={bind("bas_txamt")} />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 国内银行扣费 */}
                                <Label i18nId={"DBAP_LT000019"} />
                            </Col>
                            <Col span={6}>
                                {/* // \bopmod\dbagrp\bas\inchargeccy    国内银行扣费币种 国内银行扣费 */}
                                {/* <SelectItem InputProps={bind("bas_inchargeccy")} code={CodeTable.cur} /> */}
                                <SelectItem InputProps={bind("bas_inchargeccy")} code={CodeTable.bizhongleixin} />
                            </Col>
                            <Col span={7} offset={1}>
                                {/*// \bopmod\dbagrp\bas\inchargeamt    国内银行扣费金额   国内银行扣费 的 选择输入框？？？ */}
                                <InputItem InputProps={bind("bas_inchargeamt")} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第十三行 最后一行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 国外银行扣费 */}
                                <Label i18nId={"DBAP_LT000020"} />
                            </Col>
                            <Col span={6}>
                                {/* // \bopmod\dbagrp\bas\outchargeccy    国外银行扣费币种  国外银行扣费 */}
                                {/* <SelectItem InputProps={bind("bas_outchargeccy")} code={CodeTable.cur} /> */}
                                <SelectItem InputProps={bind("bas_outchargeccy")} code={CodeTable.bizhongleixin} />
                            </Col>
                            <Col span={7} offset={1}>
                                {/* // \bopmod\dbagrp\bas\outchargeamt    国外银行扣费金额  国外银行扣费 的 选择输入框？？？ */}
                                <InputItem InputProps={bind("bas_outchargeamt")} />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label value="申报信息" />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                {/* DBA2 */}
                {/* 第一行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label i18nId={"DBAP_LT000021"} />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\dcl\rptno    申报号码 */}
                                <InputItem InputProps={bind("dcl_rptno")} maxLength={22} desp="申报号码" path="/bopmod/dbagrp/dcl/rptno" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label i18nId={"DBAP_LT000023"} />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("dcl_actiontype")} code={CodeTable.actiontype} desp="操作类型" path="/bopmod/dbagrp/dcl/actiontype" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label i18nId={"DBAP_LT000022"} />
                            </Col>
                            <Col span={14}>
                                {/* // \bopmod\dbagrp\dcl\actiondesc    修改/删除原因  */}
                                {/* <Section className="DbaSection" InputProps={bind("dcl_actiondesc")} desp="修改/删除原因" path="/bopmod/dbagrp/dcl/actiondesc" /> */}
                                <TextAreaItem rows={4} style={{resize:"none"}} InputProps={bind("dcl_actiondesc")} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第三行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>

                                <Label i18nId={"DBAP_LT000024"} />
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("dcl_rptdate")} desp="申报日期" path="/bopmod/dbagrp/dcl/rptdate" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>

                                <Label i18nId={"DBAP_LT000025"} />
                            </Col>
                            <Col span={10}>
                                <InputItem InputProps={bind("dcl_txcode")} maxLength={6} desp="交易编码1" path="/bopmod/dbagrp/dcl/txcode" />
                            </Col>
                            {/* <Col>
                                <Section {...bind("")}></Section>
                            </Col> */}
                            <Col span={4} offset={1}>
                                <UnicodePicker prefix="dcl_txcode" url="cptadv/codsel1_selbut" index="\bopmod\dbap\dclpp\codsel1\codlst" model={this.model} />
                                {/* <Button type="primary" icon="search" onClick={this.onCodsel1_selbut} desp="?" path="/bopmod/dbap/dclpp/codsel1/selbut">
                                    // {/* <Label i18nId="CODSEL_GT000001" desp="?" /> 
                                </Button> */}
                            </Col>
                        </Row>
                    </Col>
                </Row>

                {/* 第四行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label value="收款性质" code={CodeTable.boppaytype} desp="收款性质" path="/bopmod/dbap/dclpp/paytype1" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("dcl_paytype")} code={CodeTable.boppaytype} desp="收款性质" path="/bopmod/dbagrp/dcl/paytype" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>

                                <Label i18nId={"DBAP_LT000026"} />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("dcl_tc1amt")} desp="相应金额1" path="/bopmod/dbagrp/dcl/tc1amt" />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                {/* 第五行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>

                                <Label value="付款人常驻国家/地区代码" desp="收/付款人常驻国家/地区编码" path="/bopmod/dbap/dclpp/country1" />
                            </Col>
                            <Col span={10}>
                                <InputItem InputProps={bind("dcl_country")} maxLength={3} desp="付款人常驻国家/地区编码" path="/bopmod/dbagrp/dcl/country" />
                            </Col>
                            <Col span={4} offset={1}>
                                <ContryCodePicker prefix="dcl_country" url="cptadv/codsel1_selbut1" index="\bopmod\dbap\dclpp\codsel1\ctylst" model={this.model} />
                                {/* <Button type="primary" icon="search" onClick={this.onCodsel1_selbut1}></Button> */}
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>

                                <Label i18nId={"DBAP_LT000027"} />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("dcl_txrem")} maxLength={50} desp="交易附言1" path="/bopmod/dbagrp/dcl/txrem" />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                {/* 第六行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label value="是否保税货物项下收入" code={CodeTable.bopyesno} desp="是否出口核销项下收汇" path="/bopmod/dbap/dclpp/isref1" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("dcl_isref")} code={CodeTable.bopyesno} desp="是否出口核销项下收汇" path="/bopmod/dbagrp/dcl/isref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>

                                <Label i18nId={"DBAP_LT000028"} />
                            </Col>
                            <Col span={10}>
                                <InputItem InputProps={bind("dcl_txcode2")} maxLength={6} desp="交易编码2" path="/bopmod/dbagrp/dcl/txcode2" />
                            </Col>
                            <Col span={4} offset={1}>
                                <UnicodePicker prefix="dcl_txcode2" url="cptadv/codsel2_selbut" index="\bopmod\dbap\dclpp\codsel2\codlst" model={this.model} />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                {/* 第七行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label value="填报人" desp="申报填报人" path="/bopmod/dbap/dclpp/crtuser1" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("dcl_crtuser")} maxLength={20} desp="填报人" path="/bopmod/dbagrp/dcl/crtuser" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>

                                <Label i18nId={"DBAP_LT000029"} />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("dcl_tc2amt")} desp="相应金额2" path="/bopmod/dbagrp/dcl/tc2amt" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第八行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label value="填报人电话" desp="申报填报人电话" path="/bopmod/dbap/dclpp/inptelc1" />

                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("dcl_inptelc")} maxLength={20} desp="填报人电话" path="/bopmod/dbagrp/dcl/inptelc" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>

                                <Label i18nId={"DBAP_LT000030"} />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("dcl_tx2rem")} maxLength={50} desp="交易附言2" path="/bopmod/dbagrp/dcl/tx2rem" />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                {/* 第九行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>

                                <Label i18nId={"DBAP_LT000031"} />
                            </Col>
                            <Col span={14}>
                                {/* !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 这个好像下标搞错了 */}
                                <InputItem InputProps={bind("vrf_regno")} maxLength={20} desp="外汇局批件/备案表号" path="/bopmod/dbdgrp/vrf/regno" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>

                                <Label i18nId={"DBAP_LT000032"} />
                            </Col>
                            <Col span={14}>
                                {/* <SelectItem InputProps={bind("dcl_payattr")} code={CodeTable.boppayattr} desp="收入类型" path="/bopmod/dbagrp/dcl/payattr" /> */}
                                <SelectItem InputProps={bind("dcl_payattr")} code={CodeTable.shouruleixin} desp="收入类型" path="/bopmod/dbagrp/dcl/payattr" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row type="flex" justify="center">
                    <Col>
               
                            <div className='button2'>
                                {/* 退出按钮 */}
                                <ConfirmButton

                                    onOK={this.onRtn}
                                    title=""
                                    message="确定退出？"
                                >
                                    <Label i18nId="MTABUT_BT000464" />
                                </ConfirmButton>
                            </div>
                            <div className='button2'>
                                {/* 暂存按钮 */}
                                <ConfirmButton

                                    onOK={this.onPed}
                                    title=""
                                    message="确定暂存？"
                                >
                                    <Label i18nId="MTABUT_BT000398" />
                                </ConfirmButton>
                            </div>
                            <div className='button2'>
                                {/* 检核按钮 */}
                                <Button onClick={this.onChk}>
                                    <Label i18nId="MTABUT_BT000180" />
                                </Button>
                            </div>
                    </Col>
                </Row>
            </div>
        )
    }
}
