import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, Table, TextAreaItem,Checkbox,ConfirmButton,Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal } from 'antd';
import {ButtonModal,ModalTest} from '@/components/Business-Library'
import {Link,withRouter} from 'react-router-dom'
import DateFormat from  '@/utils/DateUtil'
import { UnicodePicker } from '@/components/Business-Library'
import Business from '@/views/Public/Business'

const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm
const {Pre,Next,StepWrapper} = Steps

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class GleScreen extends Page {
	@observable
	formBlur = false
	
	constructor(props) {
		super(props)
        this.model = props.model
		this.bind = Bind.bind(this)
		const {mtabut_paydat,mtabut_basflg,mtabut_dclflg,mtabut_vrfflg,bas_rptno,bas_actiondesc,bas_actiontype,bas_ownextkey,bas_custype,bas_method,bas_idcode,bas_custcod,bas_custnm,bas_oppuser,bas_buscode,bas_exrate,bas_lcyamt,bas_lcyacc,bas_fcyamt,bas_fcyacc,bas_othamt,bas_othacc,bas_txccy,bas_txamt,dcl_rptno,dcl_actiondesc,dcl_actiontype,dcl_rptdate,dcl_txcode,dcl_paytype,dcl_tc1amt,dcl_country,dcl_txrem,dcl_isref,dcl_txcode2,dcl_crtuser,dcl_tc2amt,dcl_inptelc,dcl_tx2rem,dcl_regno,vrf_rptno,vrf_actiondesc,vrf_actiontype,vrf_contrno,vrf_invoino,vrf_crtuser,vrf_rptdate,vrf_inptelc} = props.model.descriptor;
		this.descriptor = {mtabut_paydat,mtabut_basflg,mtabut_dclflg,mtabut_vrfflg,bas_rptno,bas_actiondesc,bas_actiontype,bas_ownextkey,bas_custype,bas_method,bas_idcode,bas_custcod,bas_custnm,bas_oppuser,bas_buscode,bas_exrate,bas_lcyamt,bas_lcyacc,bas_fcyamt,bas_fcyacc,bas_othamt,bas_othacc,bas_txccy,bas_txamt,dcl_rptno,dcl_actiondesc,dcl_actiontype,dcl_rptdate,dcl_txcode,dcl_paytype,dcl_tc1amt,dcl_country,dcl_txrem,dcl_isref,dcl_txcode2,dcl_crtuser,dcl_tc2amt,dcl_inptelc,dcl_tx2rem,dcl_regno,vrf_rptno,vrf_actiondesc,vrf_actiontype,vrf_contrno,vrf_invoino,vrf_crtuser,vrf_rptdate,vrf_inptelc}
		this.model.mtabut_paydat=DateFormat();
		this.model.mtabut_basflg='X';
		this.model.mtabut_dclflg='X';
		this.model.mtabut_vrfflg='X';
		this.model.bas_txccy=this.model.max_cur;
		this.model.bas_txamt=this.model.max_amt;
	}
	
	async componentWillMount() {
		
	}

	componentWillUnmount() {
		//this.model.closeValidate()//关闭校验
	}

	// 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}
	// 暂存按钮
	onPed = async () => {
		this.formBlur=true 
		console.log(this.descriptor)
		Validator.validate(this.model,this.descriptor,async(errors,values)=>{
				if(errors)
				{
				this.forceUpdate()
					return
				}	 
				// const rtnmsg = await Api.post(this.props.extra.inifrm+'/baspp1_getref',{data:this.model})
				// if(rtnmsg.retcod == SUCCESS)
				// {
				// // Notification.success({message:'数据提交成功!'})
				// 		this.model.bas1_rptno = rtnmsg.data['\\bopmod\\dbep\\baspp\\rptno'];
				// }
				// else
				// {
				// 	Notification.error({message:'服务端请求失败!'})
				// }
				// //余下逻辑处理
				console.log('OK')
		})
	}
	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
	}

	onCodsel1_selbut= ()=>{
        this.formBlur=true  //已触发表单提交处理
        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors)
                    return 
                const rtnmsg = await Api.post('cptopn/codsel1_selbut',{data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                    Notification.success({message:'数据提交成功!'})
                    
                }
                else
                {
                	Notification.error({message:'服务端请求失败!'})
                }
                //余下逻辑处理
                    
        })
    }
	
	onCodsel1_selbut1= ()=>{
		//报送国家查询
        this.formBlur=true  //已触发表单提交处理
        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors)
                    return 
                const rtnmsg = await Api.post('cptopn/codsel1_selbut1',{data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                    Notification.success({message:'数据提交成功!'})
                }
                else
                {
                	Notification.error({message:'服务端请求失败!'})
                }
                //余下逻辑处理      
        })
    }
	
	 onCodsel2_selbut= ()=>{
        this.formBlur=true  //已触发表单提交处理
        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors)
                    return 
                const rtnmsg = await Api.post('cptopn/codsel2_selbut',{data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                    Notification.success({message:'数据提交成功!'})
                    
                }
                else
                {
                	Notification.error({message:'服务端请求失败!'})
                }
                //余下逻辑处理
                    
        })
    }
	
	 onBaspp_getref= ()=>{
        this.formBlur=true  //已触发表单提交处理
		if (!this.model.mtabut_paydat)
		{
			alert('请输入收付汇日期')
			return
	    }
		if (!this.model.bas_custype)
		{
			alert('请输入汇款人类型')
			return
		}
        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors)
                    return 
                const rtnmsg = await Api.post('cptopn/baspp_getref',{data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                   // Notification.success({message:'数据提交成功!'})
				   	this.model.bas_rptno = rtnmsg.data['bas_rptno'];
                    
                }
                else
                {
                	Notification.error({message:'服务端请求失败!'})
                }
                //余下逻辑处理
                    
        })
    }
	// 会计分录
	glelstHeader = [
		{
			title: <Label i18nId="GLEMOD_TH000076" />,
			dataIndex: "dbtcdt",
			key: "dbtcdt",
			width: 100,
			render: (val, row, index) => {
				let text = val
				let em = CodeTable.dbtcdt.find(item => item.value == val)
				if (em)
					text = em.label
				return text
			}
		},
		{
			title: <Label i18nId="GLEMOD_TH000077" />,
			dataIndex: "act",
			key: "act",
			width: 100,
		},
		{
			title: <Label i18nId="GLEMOD_TH000078" />,
			dataIndex: "cur",
			key: "cur",
			width: 100,
		},
		{
			title: <Label i18nId="GLEMOD_TH000079" />,
			dataIndex: "amt",
			key: "amt",
			width: 100,
		},
		{
			title: <Label i18nId="GLEMOD_TH000080" />,
			dataIndex: "valdat",
			key: "valdat",
			width: 100,
			render: (val, row, index) => {
				let text = val
				if (val){
					let array = val.split(" ")
					text = array[0]
				}
				return text
			}
		},
		{
			title: <Label i18nId="GLEMOD_TH000081" />,
			dataIndex: "trmtyp",
			key: "trmtyp",
			width: 100,
		},
		{
			title: <Label i18nId="GLEMOD_TH000082" />,
			dataIndex: "prn",
			key: "prn",
			width: 100,
		},
	]
	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const { bchlevelLst } = this.props.extra
		
		return (
			<div style={{ position: 'relative' }}>
			 <Business  wrappedComponentRef={ref => (this.com = ref)}  steps={this.props.steps}  extra={this.props.extra}  model={this.model} />
			<Row>
				<Col span={12}>
					<Row className="row">
						<Col span={5} offset={2}>
							{/* 1申报号码 */}
							<Label value="收付汇日期" />
						</Col>
						<Col span={14}>
							<DatePickerItem InputProps={bind("mtabut_paydat")}/>
						</Col>
					</Row>
				</Col>
				
				<Col span={12}>
					<Row className="row">
						<Col span={6} offset={1}>
							<Checkbox InputProps={bind("mtabut_basflg") } id='basflg' value='X'  >  
								<Label value="基础信息" />
							</Checkbox>
						</Col>
						<Col span={6} offset={1}>
							<Checkbox InputProps={bind("mtabut_dclflg")}  id='dclflg' value='X' >   
								<Label value="申报信息" />
							</Checkbox>
						</Col>
						<Col span={6} offset={1}>
							<Checkbox InputProps={bind("mtabut_vrfflg") } id='vrfflg' value='X'  >     
								<Label value="管理信息" />
							</Checkbox>
						</Col>
					</Row>
				</Col>	
			</Row>
			
			<Row>
				<Col span={12}>
					<Row className="row">
						<Col span={5} offset={2}>
							{/* 一 基础信息 */}
							<Label value="基础信息" />
						</Col>
					</Row>
				</Col>
			</Row>
			
			
			<Row>
				<Col span={12}>
					<Row className="row">
						<Col span={5} offset={2}>
							{/* 1申报号码 */}
							<Label i18nId={"DBBP_LT000001"} />
						</Col>
						<Col span={10}>
							<InputItem InputProps={bind("bas_rptno") } disabled={true}/>
						</Col>
						<Col span={4} offset={1}>
							<Button type="primary" onClick={()=>this.onBaspp_getref()}>
								<Label i18nId="CPTP_BT000084" />
							</Button>
						</Col>
					</Row>
				</Col>
				<Col span={12}>
					<Row className="row">
						<Col span={5} offset={2}>
							{/* 2 修改删除原因 */}
							<Label i18nId={"DBBP_LT000002"} />
						</Col>
						<Col span={14}>
							<TextAreaItem rows={4} style={{resize:"none"}}  InputProps={bind('bas_actiondesc')} /> 
						</Col>
					</Row>
				</Col>
			</Row>
			
			<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 3操作类型*/}
								<Label i18nId={"DBBP_LT000003"} />
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("bas_actiontype")} code={CodeTable.actiontype} />
							</Col>
						</Row>
					</Col>
				</Row>
			{/* <Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								//地区机构
								<Label i18nId={"DBBP_LT000004"} />
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("bas_ownextkey")} code={bchlevelLst} />
							</Col>
						</Row>
					</Col>
				</Row> 
			*/}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 5 汇款人 */}
								<Label value={this.model.baspp_cusnam}  />
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("bas_custype")} code={CodeTable.bopcustype} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 6结算方式 */}
								<Label i18nId={"DBBP_LT000006"} />
							</Col>
							<Col span={14}>
									<SelectItem InputProps={bind("bas_method")}  code={CodeTable.bopmethods}  />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 7 身份证件号码 */}
								<Label i18nId={"DBBP_LT000007"} />
							</Col>
							<Col span={14}>
									<InputItem InputProps={bind("bas_idcode")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 8组织机构代码 */}
								<Label i18nId={"DBBP_LT000008"} />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("bas_custcod")} />
							</Col>
						</Row>
					</Col>
				</Row>
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 9 汇款人名称 */}
								<Label value={this.model.baspp_cornam}  />
							</Col>
							<Col span={14}>
									<InputItem InputProps={bind("bas_custnm")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 10 交易对手名称 */}
								<Label value={this.model.baspp_corpnam}  />
							</Col>
							<Col span={14}>
									<InputItem InputProps={bind("bas_oppuser")} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 11 银行业务编号 */}
								<Label i18nId={"DBBP_LT000011"} />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("bas_buscode")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 12 购汇汇率 */}
									<Label value={this.model.baspp_exratelab}  />
							</Col>
							<Col span={14}>
								<InputItem disabled={this.model.bas_lcyamt<=0} InputProps={bind("bas_exrate")} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 13 购汇金额 */}
									<Label value={this.model.baspp_lcyamtlab}  />
							</Col>
							<Col span={14}>
								<InputItem  InputProps={bind("bas_lcyamt")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 14 人民币账号 */}
								<Label i18nId={"DBBP_LT000014"} />
							</Col>
							<Col span={14}>
									<InputItem InputProps={bind("bas_lcyacc")} />
							</Col>
						</Row>
					</Col>
				</Row>
			
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 15 现汇金额 */}
								<Label i18nId={"DBBP_LT000015"} />
							</Col>
							<Col span={14}>
									<InputItem InputProps={bind("bas_fcyamt")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 16外汇账号/卡号 */}
								<Label i18nId={"DBBP_LT000016"} />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("bas_fcyacc")} />
							</Col>
						</Row>
					</Col>
				</Row>
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 17 其他金额 */}
								<Label i18nId={"DBBP_LT000017"} />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("bas_othamt")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 18其他账号/卡号 */}
								<Label i18nId={"DBBP_LT000018"} />
							</Col>
							<Col span={14}>
									<InputItem InputProps={bind("bas_othacc")} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 19 汇款金额 */}
								<Label i18nId={"DBBP_LT000019"} />
							</Col>
							<Col span={6}>
								<SelectItem InputProps={bind("bas_txccy")} code={CodeTable.curtxt} />
							</Col> 
							<Col span={7} offset={1}>
								<InputItem InputProps={bind("bas_txamt")} />
							</Col>
						</Row>
					</Col>
				</Row>
				

				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 二 申报信息 */}
								<Label value="申报信息" />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 1 申报号码 */}
								<Label i18nId={"DBBP_LT000020"} />
							</Col>
							<Col span={14}>
									<InputItem InputProps={bind("dcl_rptno")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 2修改删除原因 */}
								<Label i18nId={"DBBP_LT000021"} />
							</Col>
							<Col span={14}>
	                               <TextAreaItem rows={4} style={{resize:"none"}}   InputProps={bind('dcl_actiondesc')} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 3 操作类型 */}
								<Label i18nId={"DBBP_LT000022"} />
							</Col>
							<Col span={14}>
									<SelectItem InputProps={bind("dcl_actiontype")} code={CodeTable.actiontype} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 4 申报日期 */}
								<Label i18nId={"DBBP_LT000023"} />
							</Col>
							<Col span={14}>
								<DatePickerItem InputProps={bind("dcl_rptdate")}/>
							</Col>
						</Row>
					</Col>

					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 5交易编码1 */}
								<Label i18nId={"DBBP_LT000024"} />
							</Col>
							<Col span={10}>
								<InputItem InputProps={bind("dcl_txcode") } disabled={true}/>
							</Col>
							<Col span={4} offset={1}>
							     <UnicodePicker prefix="dcl_txcode" url="cptopn/codsel1_selbut" index="\bopmod\dbbp\dclpp\codsel1\codlst"  model={this.model} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 6 付款类型 */}
								<Label value={this.model.dclpp_paytype1} code={CodeTable.boppaytype} />
							</Col>
							<Col span={14}>
								<SelectItem InputProps={bind("dcl_paytype")} code={CodeTable.boppaytype} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 7 相应金额1 */}
								<Label i18nId={"DBBP_LT000025"} />
							</Col>
							<Col span={14}>
									<InputItem InputProps={bind("dcl_tc1amt")} />
							</Col>
						</Row>
					</Col>
				</Row>
				<Row>
				<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 8 收款人常驻国家/地区代码 */}
								<Label value={this.model.dclpp_country1}  />
							</Col>
							<Col span={10}>
								<InputItem InputProps={bind("dcl_country")} />
							</Col>
							<Col span={4} offset={1}>
								 <UnicodePicker prefix="dcl_country" url="cptopn/codsel1_selbut1" index="\bopmod\dbbp\dclpp\codsel1\ctylst" model={this.model} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 9 交易附言1 */}
								<Label i18nId={"DBBP_LT000026"} />
							</Col>
							<Col span={14}>
									<InputItem InputProps={bind("dcl_txrem")} />
							</Col>
						</Row>
					</Col>
				</Row>
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 10 是否保税货物项下付款 */}
									<Label value={this.model.dclpp_isref1} code={CodeTable.bopyesno} />
							</Col>
							<Col span={14}>
									<SelectItem InputProps={bind("dcl_isref")} code={CodeTable.bopyesno} />
							</Col>
						</Row>
					</Col>
					
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 11交易编码2 */}
								<Label i18nId={"DBBP_LT000027"} />
							</Col>
							<Col span={10}>
								<InputItem InputProps={bind("dcl_txcode2") } disabled={true}/>
							</Col>
							<Col span={4} offset={1}>
							        <UnicodePicker prefix="dcl_txcode2" url="cptopn/codsel2_selbut" index="\bopmod\dbbp\dclpp\codsel2\codlst" model={this.model} />
							</Col>
						</Row>
					</Col>
				</Row>
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 12 申请人 */}
								<Label value="申请人"  />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("dcl_crtuser")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 13 相应金额2 */}
								<Label i18nId={"DBBP_LT000028"} />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("dcl_tc2amt")} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 14 申请人电话 */}
										<Label value="申请人电话"  />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("dcl_inptelc")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 15 交易附言2 */}
								<Label i18nId={"DBBP_LT000029"} />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("dcl_tx2rem")} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 16 外汇局批件号 */}
								<Label i18nId={"DBBP_LT000030"} />
							</Col>
							<Col span={14}>
									<InputItem InputProps={bind("dcl_regno")} />
							</Col>
						</Row>
					</Col>
				</Row>
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 三 管理信息 */}
								<Label value="管理信息" />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 1 申报号码 */}
								<Label i18nId={"DBBP_LT000031"} />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("vrf_rptno")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 2修改删除原因 */}
								<Label i18nId={"DBBP_LT000032"} />
							</Col>
							<Col span={14}>
									<TextAreaItem rows={4} style={{resize:"none"}}  InputProps={bind('vrf_actiondesc')} /> 
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 3 操作类型 */}
								<Label i18nId={"DBBP_LT000033"} />
							</Col>
							<Col span={14}>
									<SelectItem InputProps={bind("vrf_actiontype")} code={CodeTable.actiontype} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 4 合同号 */}
								<Label i18nId={"DBBP_LT000034"} />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("vrf_contrno")} />

								
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 5发票号 */}
								<Label i18nId={"DBBP_LT000035"} />
							</Col>
							<Col span={14}>
									<InputItem InputProps={bind("vrf_invoino")} />
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 6 填报人 */}
								<Label i18nId={"DBBP_LT000036"} />
							</Col>
							<Col span={14}>
	                             <InputItem InputProps={bind("vrf_crtuser")} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 7 申报日期 */}
								<Label i18nId={"DBBP_LT000037"} />
							</Col>
							<Col span={14}>
									<DatePickerItem InputProps={bind("vrf_rptdate")}/>
							</Col>
						</Row>
					</Col>
				</Row>
				
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* 8 填报人电话*/}
								<Label i18nId={"DBBP_LT000038"} />
							</Col>
							<Col span={14}>
								<InputItem InputProps={bind("vrf_inptelc")} />
							</Col>
						</Row>
					</Col>
				</Row>
				<Row type="flex" justify="center">
					<Col>
				<div className='button0'>
					
					<div className='button2'>
						{/* 退出按钮 */}
						<ConfirmButton
						
							onOK={this.onRtn}
							title=""
							message="确定退出？"
						>
							<Label i18nId="MTABUT_BT000464" />
						</ConfirmButton>
					</div>
					<div className='button2'>
						{/* 暂存按钮 */}
						<ConfirmButton
							
							onOK={this.onPed}
							title=""
							message="确定暂存？"
						>
							<Label i18nId="MTABUT_BT000398" />
						</ConfirmButton>
					</div>
					<div className='button2'>
						{/* 检核按钮 */}
						<Button onClick={this.onChk}>
							<Label i18nId="MTABUT_BT000180" />
						</Button>
					</div>
					
				
				</div>
				 </Col>
                   </Row>
			</div >
		)
	}
}
