import React, { Component, Fragment } from 'react'
import {
    Page, Validator, Notification, FormItem,
    InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, Table, TextArea, ConfirmButton, Steps, Checkbox,TextAreaItem,
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal } from 'antd';
import { UnicodePicker } from '@/components/Business-Library'
import Business from '@/views/Public/Business'

const CodeTable = CodeTableFactory.getInstance()
const { Pre, Next, StepWrapper } = Steps

@inject('UserContext')
@inject('i18n')
@observer
export default class CptadvScreen extends Page {
    @observable
    formBlur = false

    constructor(props) {
        super(props)
        this.model = props.model;
        this.bind = Bind.bind(this)
        const {paydat,bas1_rptno,bas1_actiontype,bas1_ownextkey,bas1_actiondesc,bas1_custype,
            bas1_method,bas1_idcode,bas1_custcod,bas1_custnm,bas1_oppuser,bas1_buscode,
            bas1_exrate,bas1_lcyamt,bas1_lcyacc,bas1_fcyamt,bas1_fcyacc,bas1_othamt,bas1_othacc,
            bas1_txccy,bas1_txamt,bas1_inchargeccy,bas1_inchargeamt,vrf_rptno,vrf_actiontype,
            vrf_actiondesc,vrf_payattr,vrf_txcode,vrf_txrem,vrf_tc1amt,vrf_paytype,vrf_txcode2,
            vrf_tx2rem,vrf_tc2amt,vrf_isref,vrf_regno,vrf_crtuser,vrf_rptdate,vrf_inptelc}= props.model.descriptor;
		this.descriptor = {paydat,bas1_rptno,bas1_actiontype,bas1_ownextkey,bas1_actiondesc,bas1_custype,
            bas1_method,bas1_idcode,bas1_custcod,bas1_custnm,bas1_oppuser,bas1_buscode,
            bas1_exrate,bas1_lcyamt,bas1_lcyacc,bas1_fcyamt,bas1_fcyacc,bas1_othamt,bas1_othacc,
            bas1_txccy,bas1_txamt,bas1_inchargeccy,bas1_inchargeamt,vrf_rptno,vrf_actiontype,
            vrf_actiondesc,vrf_payattr,vrf_txcode,vrf_txrem,vrf_tc1amt,vrf_paytype,vrf_txcode2,
            vrf_tx2rem,vrf_tc2amt,vrf_isref,vrf_regno,vrf_crtuser,vrf_rptdate,vrf_inptelc}
		this.model.mtabut_paydat=DateFormat();
		this.model.mtabut_basflg='X';
		this.model.mtabut_dclflg='X';
		this.model.mtabut_vrfflg='X';
		this.model.bas_txccy=this.model.max_cur;
		this.model.bas_txamt=this.model.max_amt;
    }

    componentWillUnmount() {
       // this.model.closeValidate()//关闭校验
    }

   // 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}
	// 暂存按钮
	onPed = async () => {
		 this.com.wrappedInstance.wrappedInstance.onPed();
	}
	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
	}

    //按钮事件
    onGetref0 = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('cptadv/getref0', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
                Notification.success({ message: '数据提交成功!' })

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
    }
  
    onGetref = () => {
        this.formBlur = true  //已触发表单提交处理
        Validator.validate(this.model, this.model.descriptor, async (errors, values) => {
            if (errors)
                return
            const rtnmsg = await Api.post('cptadv/getref', { data: this.model })
            if (rtnmsg.retcod == SUCCESS) {
                Notification.success({ message: '数据提交成功!' })

            }
            else {
                Notification.error({ message: '服务端请求失败!' })
            }
            //余下逻辑处理

        })
    }
  
 


    //交易内实现
    renderPage() {
        const bind = this.bind
        const { i18n } = this.props
        // dba
        // DBAP_LT000001
        return (
            <div style={{ position: 'relative' }}>
			     <Business  wrappedComponentRef={ref => (this.com = ref)}  steps={this.props.steps}  extra={this.props.extra}  model={this.model} />
                {/* <Label value="境内收入类型   找不到" /> */}
                {/* 第一行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 收付汇日期（生成申报号码时填写） */}
                                <Label i18nId={"DBAP_LT000001"} />
                            </Col>
                            <Col span={14}>
                                {/* 收付汇日期（生成申报号码时填写） 日期 选择输入框 */}
                                <DatePickerItem InputProps={bind("paydat")} />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 基础信息 复选框 */}
                                <Checkbox desp="基础信息" path="/mtabut/basflg" />
                                <Label i18nId={"DBAP_LT000002"} />
                            </Col>
                            <Col span={5} offset={2}>
                                {/* 申报信息 复选框 */}
                                <Checkbox desp="申报信息" path="/mtabut/dclflg" />
                                <Label i18nId={"DBAP_LT000003"} />
                            </Col>
                            <Col span={5} offset={2}>
                                {/* 管理信息 */}
                                <Checkbox desp="管理信息" path="/mtabut/vrfflg" />
                                <Label i18nId={"DBAP_LT000004"} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label value="基础信息" />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                {/* 第二，三，四行 */}
                <Row>
                    <Col style={{ height: "auto" }} span={12}>
                        {/* 第二行左边 */}
                        {/* <Row type="flex" align="center"> */}
                        {/* <Row className="row"> */}
                        <Row type="flex" style={{ height: "65px", "line-height": "40px", }}>
                            <Col span={5} offset={2}>
                                {/* 申报号码 */}
                                <Label i18nId={"DBAP_LT000005"} />
                            </Col>
                            <Col span={10}>
                                {/* 申报号码 输入框 */}
                                <InputItem InputProps={bind("bas1_rptno")} maxLength={22} desp="申报号码" path="/bopmod/dbdgrp/bas/rptno" />
                            </Col>
                            <Col span={4} offset={1}>
                                {/* 好像是 Ref. 申报号码右边的按钮 */}
                                <Button type="primary" onClick={this.onGetref0}>
                                    <Label i18nId="CPTP_BT000084" />
                                    {/* <Label i18nId="2" /> */}
                                </Button>
                            </Col>
                        </Row>
                        {/* 第三行左边 */}
                        <Row className="row">
                            {/* <Row> */}
                            <Col span={5} offset={2}>
                                {/* 操作类型 */}
                                <Label i18nId={"DBAP_LT000006"} />
                            </Col>
                            <Col span={14}>
                                {/* 操作类型 选择输入框 */}
                                <SelectItem InputProps={bind("bas1_actiontype")} code={CodeTable.actiontype} desp="操作类型" path="/bopmod/dbdgrp/bas/actiontype" />
                            </Col>
                        </Row>
                        {/* 第四行左边 */}
                        <Row className="row">
                            {/* <Row> */}
                            <Col span={5} offset={2}>
                                {/* 地区机构 */}
                                <Label i18nId={"DBAP_LT000007"} />
                            </Col>
                            <Col span={14}>
                                {/* 地区机构 选择输入框 */}
                                <SelectItem InputProps={bind("bas1_ownextkey")} code={CodeTable.diqvjigou} desp="initial entity code" path="/bopmod/dbdgrp/bas/ownextkey" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 修改/删除原因 */}
                                <Label i18nId={"DBAP_LT000008"} />
                            </Col>
                            {/* <Col span={14} className="section"> */}
                            <Col span={14}>
                                {/* 修改/删除原因 Section 详细信息？ */}
                                {/* <Section className="DbaSection" InputProps={bind("bas1_actiondesc")} desp="修改/删除原因" path="/bopmod/dbdgrp/bas/actiondesc" /> */}
                                <TextAreaItem rows={4} style={{resize:"none"}} InputProps={bind('bas1_actiondesc')} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第五行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* cusnam */}
                                <Label value="收款人类型" desp="" path="/bopmod/dbdp/baspp/cusnam" />
                            </Col>
                            <Col span={14}>
                                {/* cusnam 选择输入框 */}
                                <SelectItem InputProps={bind("bas1_custype")} code={CodeTable.bopcustype} desp="收款人类型" path="/bopmod/dbdgrp/bas/custype" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 结算方式 */}
                                <Label i18nId={"DBAP_LT000009"} />
                            </Col>
                            <Col span={14}>
                                {/* 结算方式 选择输入框 找不到 methods，可能是图片上多了个s？？？ */}
                                <SelectItem InputProps={bind("bas1_method")} code={CodeTable.bopmethods}  desp="结算方式" path="/bopmod/dbdgrp/bas/method" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第六行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 身份证件号码 */}
                                <Label i18nId={"DBAP_LT000010"} />
                            </Col>
                            <Col span={14}>
                                {/* 身份证件号码 选择输入框 */}
                                <InputItem InputProps={bind("bas1_idcode")} maxLength={32} desp="个人身份证件号码" path="/bopmod/dbdgrp/bas/idcode" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 组织机构代码 */}
                                <Label i18nId={"DBAP_LT000011"} />
                            </Col>
                            <Col span={14}>
                                {/* 组织机构代码 输入框 */}
                                <InputItem InputProps={bind("bas1_custcod")} maxLength={9} desp="组织机构" path="/bopmod/dbdgrp/bas/custcod" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第七行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* cornam */}
                                <Label value="收款人名称" desp="" path="/bopmod/dbdp/baspp/cornam" />
                            </Col>
                            <Col span={14}>
                                {/* cornam 输入框 */}
                                <InputItem InputProps={bind("bas1_custnm")} maxLength={128} desp="收款人名称" path="/bopmod/dbdgrp/bas/custnm" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* corpnam */}
                                <Label value="付款人名称" desp="" path="/bopmod/dbdp/baspp/corpnam" />
                            </Col>
                            <Col span={14}>
                                {/* corpnam 输入框 */}
                                <InputItem InputProps={bind("bas1_oppuser")} maxLength={128} desp="付款人名称" path="/bopmod/dbdgrp/bas/oppuser" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第八行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 银行业务编号 */}
                                <Label i18nId={"DBAP_LT000012"} />
                            </Col>
                            <Col span={14}>
                                {/* 银行业务编号 输入框 */}
                                <InputItem InputProps={bind("bas1_buscode")} maxLength={22} desp="银行业务编号" path="/bopmod/dbdgrp/bas/buscode" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* exratelab */}
                                <Label value="结汇汇率" desp="售汇/结汇汇率" path="/bopmod/dbdp/baspp/exratelab" />
                            </Col>
                            <Col span={14}>
                                {/* exratelab 输入框 */}
                                <InputItem InputProps={bind("bas1_exrate")}  disabled={this.model.bas1_lcyamt<=0}desp="结汇汇率" path="/bopmod/dbdgrp/bas/exrate" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第九行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* lcyamtlab */}
                                <Label value="结汇金额" desp="售汇/结汇金额" path="/bopmod/dbdp/baspp/lcyamtlab" />
                            </Col>
                            <Col span={14}>
                                {/* lcyamtlab 输入框 */}
                                <InputItem InputProps={bind("bas1_lcyamt")} desp="结汇金额" path="/bopmod/dbdgrp/bas/lcyamt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 人民币账号 */}
                                <Label i18nId={"DBAP_LT000013"} />
                            </Col>
                            <Col span={14}>
                                {/* 人民币账号  */}
                                <InputItem InputProps={bind("bas1_lcyacc")} maxLength={32} desp="人民币帐号/银行卡号" path="/bopmod/dbdgrp/bas/lcyacc" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第十行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 现汇金额 */}
                                <Label i18nId={"DBAP_LT000014"} />
                            </Col>
                            <Col span={14}>
                                {/* 现汇金额 */}
                                <InputItem InputProps={bind("bas1_fcyamt")} desp="现汇金额" path="/bopmod/dbdgrp/bas/fcyamt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 外汇账号/卡号 */}
                                <Label i18nId={"DBAP_LT000015"} />
                            </Col>
                            <Col span={14}>
                                {/* 外汇账号/卡号 */}
                                <InputItem InputProps={bind("bas1_fcyacc")} maxLength={32} desp="外汇帐号/银行卡号" path="/bopmod/dbdgrp/bas/fcyacc" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第十一行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 其他金额 */}
                                <Label i18nId={"DBAP_LT000016"} />
                            </Col>
                            <Col span={14}>
                                {/* 其他金额 */}
                                <InputItem InputProps={bind("bas1_othamt")} desp="其它金额" path="/bopmod/dbdgrp/bas/othamt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 其他账号/卡号 */}
                                <Label i18nId={"DBAP_LT000017"} />
                            </Col>
                            <Col span={14}>
                                {/* 其他账号/卡号 */}
                                <InputItem InputProps={bind("bas1_othacc")} maxLength={32} desp="其它帐号/银行卡号" path="/bopmod/dbdgrp/bas/othacc" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第十二行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 收入款金额 */}
                                <Label i18nId={"DBAP_LT000018"} />
                            </Col>
                            <Col span={6}>
                                {/* 收入款币种 */}
                                <SelectItem InputProps={bind("bas1_txccy")} code={CodeTable.bizhongleixin} desp="收入款币种" path="/bopmod/dbdgrp/bas/txccy" />
                            </Col>
                            <Col span={7} offset={1}>
                                {/* 收入款金额 */}
                                <InputItem InputProps={bind("bas1_txamt")} desp="收入款金额" path="/bopmod/dbdgrp/bas/txamt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 国内银行扣费 */}
                                <Label i18nId={"DBAP_LT000019"} />
                            </Col>
                            <Col span={6}>
                                {/* 国内银行扣费 */}
                                <SelectItem InputProps={bind("bas1_inchargeccy")} code={CodeTable.bizhongleixin} desp="国内银行扣费币种" path="/bopmod/dbdgrp/bas/inchargeccy" />
                            </Col>
                            <Col span={7} offset={1}>
                                {/* 国内银行扣费 的 选择输入框？？？ */}
                                <InputItem InputProps={bind("bas1_inchargeamt")} desp="国内银行扣费金额" path="/bopmod/dbdgrp/bas/inchargeamt" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label value="管理信息" />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                {/* DBA2 */}
                {/* 第一行 */}
                <Row>
                    <Col style={{ height: "auto" }} span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 申报号码 */}
                                <Label i18nId={"DBAP_LT000021"} />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("vrf_rptno")} maxLength={22} desp="申报号码" path="/bopmod/dbdgrp/vrf/rptno" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 操作类型 */}
                                <Label i18nId={"DBAP_LT000023"} />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("vrf_actiontype")} code={CodeTable.actiontype} desp="操作类型" path="/bopmod/dbdgrp/vrf/actiontype" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 修改/删除原因 */}
                                <Label i18nId={"DBAP_LT000022"} />
                            </Col>
                            <Col span={14}>
                                {/* <Section className="DbaSection" InputProps={bind("vrf_actiondesc")} desp="修改/删除原因" path="/bopmod/dbdgrp/vrf/actiondesc" /> */}
                                <TextAreaItem rows={4} style={{resize:"none"}} InputProps={bind('vrf_actiondesc')} />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第三行 */}
                <Row>
                    <Col span={12}>
                        {/* 找不到 境内收入类型 */}
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 操作类型 */}
                                {/* // \bopmod\dbdgrp\vrf\payattr    收汇类型  */}
                                <Label value="境内收入类型" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("vrf_payattr")} code={CodeTable.jingneishouruleixin} desp="操作类型" path="/bopmod/dbdgrp/vrf/actiontype" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 交易编码1 */}
                                <Label i18nId={"DBAP_LT000025"} />
                            </Col>
                            <Col span={10}>
                                <InputItem InputProps={bind("vrf_txcode")} maxLength={6} desp="交易编码1" path="/bopmod/dbdgrp/vrf/txcode" />
                            </Col>
                            <Col span={4} offset={1}>
                                <UnicodePicker prefix="vrf_txcode" url="cptadv/codsel1_selbut" index="\bopmod\dbap\dclpp\codsel1\codlst"  model={this.model} />
                                {/* <Button type="primary" icon="search" onClick={this.onCodsel11_selbut} desp="?" path="/bopmod/dbdp/codsel1/selbut">
                                </Button> */}
                            </Col>
                        </Row>
                    </Col>
                </Row>

                {/* 第四行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 交易附言1 */}
                                <Label i18nId={"DBAP_LT000027"} />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("vrf_txrem")} maxLength={50} desp="交易附言1" path="/bopmod/dbdgrp/vrf/txrem" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 相应金额1 */}
                                <Label i18nId={"DBAP_LT000026"} />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("vrf_tc1amt")} desp="相应金额1" path="/bopmod/dbdgrp/vrf/tc1amt" />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                {/* 第五行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label value="收款性质" code={CodeTable.boppaytype} desp="收款性质" path="/bopmod/dbap/dclpp/paytype1" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("vrf_paytype")} code={CodeTable.paytype} desp="收款性'" path="/bopmod/dbdgrp/vrf/paytype" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 交易编码2 */}
                                <Label i18nId={"DBAP_LT000028"} />
                            </Col>
                            <Col span={10}>
                                <InputItem InputProps={bind("vrf_txcode2")} maxLength={6} desp="交易编码2" path="/bopmod/dbdgrp/vrf/txcode2" />
                            </Col>
                            <Col span={4} offset={1}>
                                <UnicodePicker prefix="vrf_txcode2" url="cptadv/codsel2_selbut" index="\bopmod\dbap\dclpp\codsel2\codlst" model={this.model} />
                                {/* <Button type="primary" icon="search" onClick={this.onCodsel21_selbut} desp="?" path="/bopmod/dbdp/codsel2/selbut">
                                </Button> */}
                            </Col>
                        </Row>
                    </Col>
                </Row>

                {/* 第六行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 交易附言2 */}
                                <Label i18nId={"DBAP_LT000030"} />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("vrf_tx2rem")} maxLength={50} desp="交易附言2" path="/bopmod/dbdgrp/vrf/tx2rem" />
                            </Col>
                        </Row>
                    </Col>

                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 相应金额2 */}
                                <Label i18nId={"DBAP_LT000029"} />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("vrf_tc2amt")} desp="相应金额2" path="/bopmod/dbdgrp/vrf/tc2amt" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第七行 */}
                <Row>
                    <Col span={12}>
                        {/* 是否保税货物项下收入 找不到 */}
                        {/* 应该就是这个了 // \bopmod\dbdgrp\vrf\isref    是否出口核销项下收汇 */}
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label value="是否保税货物项下收入" desp="收款性质" path="/bopmod/dbap/dclpp/paytype1" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("vrf_isref")} code={CodeTable.shifoubaoshui} desp="收款性'" path="/bopmod/dbdgrp/vrf/paytype" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 外汇局批件/备案表号 */}
                                <Label i18nId={"DBAP_LT000031"} />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("vrf_regno")} maxLength={20} desp="外汇局批件/备案表号" path="/bopmod/dbdgrp/vrf/regno" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                {/* 第八行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 填报人 */}
                                <Label value="填报人" desp="申报填报人" path="/bopmod/dbap/dclpp/crtuser1" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("vrf_crtuser")} maxLength={20} desp="填报人" path="/bopmod/dbdgrp/vrf/crtuser" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 申报日期 */}
                                <Label i18nId={"DBAP_LT000024"} />
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("vrf_rptdate")} desp="申报日期" path="/bopmod/dbdgrp/vrf/rptdate" />
                            </Col>
                        </Row>
                    </Col>

                </Row>

                {/* 第九行 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* 填报人电话 */}
                                <Label value="填报人电话" desp="申报填报人电话" path="/bopmod/dbap/dclpp/inptelc1" />

                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("vrf_inptelc")} maxLength={20} desp="填报人电话" path="/bopmod/dbdgrp/vrf/inptelc" />
                            </Col>
                        </Row>
                    </Col>

                </Row>
                <Row type="flex" justify="center">
                    <Col>
                       
                            <div className='button2'>
                                {/* 退出按钮 */}
                                <ConfirmButton

                                    onOK={this.onRtn}
                                    title=""
                                    message="确定退出？"
                                >
                                    <Label i18nId="MTABUT_BT000464" />
                                </ConfirmButton>
                            </div>
                            <div className='button2'>
                                {/* 暂存按钮 */}
                                <ConfirmButton

                                    onOK={this.onPed}
                                    title=""
                                    message="确定暂存？"
                                >
                                    <Label i18nId="MTABUT_BT000398" />
                                </ConfirmButton>
                            </div>
                            <div className='button2'>
                                {/* 检核按钮 */}
                                <Button onClick={this.onChk}>
                                    <Label i18nId="MTABUT_BT000180" />
                                </Button>
                            </div>

                    </Col>
                </Row>
            </div>
        )
    }
}
