import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, Table, TextArea, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable ,autorun} from 'mobx'
import { Row, Col, Popconfirm, Modal } from 'antd';
import { ButtonModal, ModalTest } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import { height } from 'window-size';
import Business from '@/views/Public/Business'
import { TableExpansion } from '@/components/Business-Library'


const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm

@withRouter
@inject('UserContext')  
@inject('i18n')
@observer
export default class EngpScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
    this.bind = Bind.bind(this)
	}

	async componentWillMount() {
	}

	    //交易描述赋值
        componentDidMount() {
            super.componentDidMount()
            this.autoDispose = autorun(() => {
                if(this.model.liaccv_newamt&&this.model.liaccv_newamt!=0){
                this.model.liaccv_relcshpct =( Number(this.model.liaccv_pctresamt)/ Number(this.model.liaccv_newamt) ).toString()}
                else
                {
                    this.model.liaccv_relcshpct=0
                }

            })
        }
        componentWillUnmount() {
            this.autoDispose && this.autoDispose()
        }
    

	onTabFocus = async () => {
    this.com.wrappedInstance.wrappedInstance.onRecal2();
	}

	

	 // 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}
	// 暂存按钮
	onPed = async () => {
		 this.com.wrappedInstance.wrappedInstance.onPed();
	}
	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
	}
	
	onSav = () => {
		this.com.wrappedInstance.wrappedInstance.onSav();
	}


	
	
	
    
    liaccv_liaccvgHeader=[
    	{
    		title:<Label itext="币种" />, 
    		dataIndex:"cur",
    		key:"cur",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.cur,r2.cur),
    		render:(val, row, index)=>{
    			let text = val
    			let em = CodeTable.curtxt.find(item=>item.value==val)
    			if(em)
    				text= em.label
    			return text
    		}
    	},
    	{
    		title:<Label itext="原始金额" />, 
    		dataIndex:"oldamt",
    		key:"oldamt",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.oldamt,r2.oldamt),
    	},
    	{
    		title:<Label itext="变动金额" />, 
    		dataIndex:"chgamt",
    		key:"chgamt",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.chgamt,r2.chgamt),
    	},
    	{
    		title:<Label itext="金额" />, 
    		dataIndex:"amt",
    		key:"amt",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.amt,r2.amt),
    	},
    	{
    		title:<Label itext="保证金账号" />, 
    		dataIndex:"ccvact",
    		key:"ccvact",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.ccvact,r2.ccvact),
    	},
    	{
    		title:<Label itext="业务币种" />, 
    		dataIndex:"covcur",
    		key:"covcur",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.covcur,r2.covcur),
    	},
    	{
    		title:<Label itext="转换金额" />, 
    		dataIndex:"covamt",
    		key:"covamt",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.covamt,r2.covamt),
    	},
    	{
    		title:<Label itext="汇率" />, 
    		dataIndex:"rat",
    		key:"rat",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.rat,r2.rat),
    	},
    	{
    		title:<Label itext="保证金类型" />, 
    		dataIndex:"ccvtyp",
    		key:"ccvtyp",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.ccvtyp,r2.ccvtyp),
    		render:(val, row, index)=>{
    			let text = val
    			let em = CodeTable.ccvtyp.find(item=>item.value==val)
    			if(em)
    				text= em.label
    			return text
    		}
    	},
    	{
    		title:<Label itext="记账" />, 
    		dataIndex:"gleflg",
    		key:"gleflg",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.gleflg,r2.gleflg),
    		render:(val, row, index)=>{
    			let text = val
    			let em = CodeTable.onsel.find(item=>item.value==val)
    			if(em)
    				text= em.label
    			return text
    		}
    	},
    ]
    

    liaall_liaallgHeader=[
    	{
    		title:<Label itext="业务种类" />, 
    		dataIndex:"bussec",
    		key:"bussec",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.bussec,r2.bussec),
    		render:(val, row, index)=>{
    			let text = val
    			let em = CodeTable.bussec.find(item=>item.value==val)
    			if(em)
    				text= em.label
    			return text
    		}
    	},
    	{
    		title:<Label itext="表外类型" />, 
    		dataIndex:"liatyp",
    		key:"liatyp",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.liatyp,r2.liatyp),
    		render:(val, row, index)=>{
    			let text = val
    			let em = CodeTable.liatyp.find(item=>item.value==val)
    			if(em)
    				text= em.label
    			return text
    		}
    	},
    	{
    		title:<Label itext="币种" />, 
    		dataIndex:"cur",
    		key:"cur",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.cur,r2.cur),
    	},
    	{
    		title:<Label itext="原金额" />, 
    		dataIndex:"oldamt",
    		key:"oldamt",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.oldamt,r2.oldamt),
    	},
    	{
    		title:<Label itext="变动金额" />, 
    		dataIndex:"chgamt",
    		key:"chgamt",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.chgamt,r2.chgamt),
    	},
    	{
    		title:<Label itext="金额" />, 
    		dataIndex:"amt",
    		key:"amt",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.amt,r2.amt),
    	},
    	{
    		title:<Label itext="表外账号" />, 
    		dataIndex:"acc",
    		key:"acc",
    		width:100,
    		sorter: (r1,r2)=>ColSorter(r1.acc,r2.acc),
    	},
    ]

    

	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		if (this.props.flag && this.props.flag == true) {
			return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
				<Business wrappedComponentRef={ref => (this.com = ref)}  steps={this.props.steps}  extra={this.props.extra} model={this.model} />
				{/* 表格 */}
				<Row>
					<Col>
					
						{/* <Row>
                        <Label itext="表外明细" trn="ditopn" />	
							<TableExpansion
								pagination={{ pageSize: 10, hideOnSinglePage: true }}
								delete={true}
								onChange={(val) => { this.model.liaall_liaallg = val;this.onTabFocus1() }}
								scroll={{ x: 700 }}
								rowKey="inr"
								columns={this.liaall_liaallgHeader}
								model={this.model}
								dataSource={this.model.liaall_liaallg || []}

								path="/fegmod_feslst" />

                        </Row> */}
            <Row>
              <Label itext="表外明细" trn="ditopn" />	
							<Table pagination={{ pageSize: 10,hideOnSinglePage:true }} rowKey="inr" columns={this.liaall_liaallgHeader} dataSource={this.model.liaall_liaallg} scroll={{ x: 420 }} />
						</Row>
            </Col>
          </Row>

      {
        this.props.fcdflg=='DE' ? null : (
        
        <div>
          <br/><br/><br/>
          
          <Row>
            <Col>
            <Row>
              <Label itext="保证金明细" trn="ditopn" />
            </Row>

            <Row>
							<Col span={12}>
								<Row className="row" >
									<Col span={5} >
										{/* 业务金额 */}
										<Label itext="业务余额" trn="ditopn" />	
									</Col>
									<Col span={6}>
										<SelectItem InputProps={{
											...bind("liaccv_concur"), onChange: val => {
												this.model.liaccv_concur = val
											}
										}}
											disabled={true} code={CodeTable.curtxt} />
									</Col>
									<Col span={7} offset={1}>
										{/* <InputItem InputProps={bind("nom1_amt")} /> */}
										<InputItem   disabled={true} InputProps={ {...bind("liaccv_newamt"), type:"amount", cur:this.model.liaccv_newamt} } />
									</Col>
								</Row>
							</Col>
							<Col span={12}>
								<Row className="row">
									<Col span={5} offset={2}>
										{/* 保证金应收比例 */}
										<Label itext="保证金应收比例" trn="ditopn" />
									</Col>
									<Col span={10}>
                    <InputItem InputProps={bind("liaccv_cshpct")}   desp="保证金应收比例" path="/liaall/liaccv/cshpct" />
									</Col>
                  <Col span={1} offset={1}>
                  	<Label itext="%" trn="ditopn" />
                  </Col>
								</Row>
							</Col>
						</Row>

            <Row>
							<Col span={12}>
								<Row className="row" >
                  <Col span={5} >
										{/* 应收/支保证金 */}
										<Label itext="应收/支保证金" trn="ditopn" />
									</Col>
									<Col span={6}>
										<SelectItem InputProps={{
											...bind("liaccv_concur"), onChange: val => {
												this.model.liaccv_concur = val
											}}} disabled={true}code={CodeTable.curtxt} 
										/>
									</Col>
									<Col span={7} offset={1}>
										{/* <InputItem InputProps={bind("nom1_amt")} /> */}
										<InputItem  disabled={true}  InputProps={ {...bind("liaccv_pctresamt"), type:"amount", cur:this.model.liaccv_pctresamt} } />
									</Col>
								</Row>
							</Col>
							<Col span={12}>
								<Row className="row">

									<Col span={5} offset={2}>
										{/* 保证金实收比例 */}
										<Label itext="保证金实收比例" trn="ditopn" />
									</Col>
									<Col span={10}>
                    <InputItem disabled={true} InputProps={bind("liaccv_relcshpct")}   desp="保证金实收比例" path="/liaall/liaccv/relcshpct" />
									</Col>
                  <Col span={1} offset={1}>
                    <Label itext="%" trn="ditopn" />
                  </Col>
								</Row>
							</Col>
						</Row>
      
						<Row>
							<TableExpansion 
								pagination={{ pageSize: 10, hideOnSinglePage: true }} 
								delete={true}
								rowKey="inr" 
								columns={this.liaccv_liaccvgHeader} 
								dataSource={this.model.liaccv_liaccvg}
								onChange={(val) => { this.model.liaccv_liaccvg = val}}
							/>
						</Row>
                    <Row>
              <Col span={12}>
                <Row className="row" >
                  <Col span={5} >
                    {/* 保证金合计 */}
                    <Label itext="保证金合计" trn="ditopn" />
                  </Col>
                  <Col span={6}>
                    <SelectItem InputProps={{
                      ...bind("liaccv_concur"), onChange: val => {
                        this.model.liaccv_concur = val
                      }
                    }}
                                    disabled={true} code={CodeTable.curtxt} />
                  </Col>
                  <Col span={7} offset={1}>
                    {/* <InputItem InputProps={bind("nom1_amt")} /> */}
                    <InputItem   disabled={true} InputProps={ {...bind("liaccv_totcovamt"), type:"amount", cur:this.model.liaccv_totcovamt} } />
                  </Col>
                            
                </Row>
              </Col>
            
            </Row>
					</Col>
				</Row>
        </div>
      )}
				<Row type="flex" justify="center">
					<Col>
				<div className='button0'>
					<div className='button2'>
						{/* 退出按钮 */}
						<ConfirmButton
							onOK={this.onRtn}
							title=""
							message="确定退出？"
						>
							<Label i18nId="MTABUT_BT000464" />
						</ConfirmButton>
					</div>
					<div className='button2'>
						{/* 暂存按钮 */}
						<ConfirmButton
							onOK={this.onPed}
							title=""
							message="确定暂存？"
						>
							<Label i18nId="MTABUT_BT000398" />
						</ConfirmButton>
					</div>
					<div className='button2'>
						{/* 检核按钮 */}
						<Button onClick={this.onChk}>
							<Label i18nId="MTABUT_BT000180" />
						</Button>
					</div>
					<div className='button2'>
						<ConfirmButton  icon="save"
							onOK={this.onSav}>
							<Label i18nId="MTABUT_BT000473" />
						</ConfirmButton>
					</div>
					
					
				</div>
				 </Col>
                   </Row>
			</div >
		)
	}
}
