import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, Table, TextArea, ConfirmButton, Steps,AmountLabel
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal,Spin } from 'antd';
import { ButtonModal, ModalTest } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import { height } from 'window-size';
import Business from '@/views/Public/Business'
import { TableExpansion } from '@/components/Business-Library'



const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class FeeScreen extends Page {
	@observable
  formBlur = false
  
	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
	}

	async componentWillMount() {
  }
  
	componentWillUnmount() {

	}

	onTabFocus = async () => {
    this.com.wrappedInstance.wrappedInstance.onRecal();
	}

	onTabFocus1 = async () => {
		this.com.wrappedInstance.wrappedInstance.onRecal1();
	}

	 // 退出按钮
	onRtn = async () => {
		this.com.wrappedInstance.wrappedInstance.onRtn();
	}
	// 暂存按钮
	onPed = async () => {
		 this.com.wrappedInstance.wrappedInstance.onPed();
	}
	// 校验 按钮
	onChk = () => {
		this.com.wrappedInstance.wrappedInstance.onChk();
	}
	
	onSav = () => {
		this.com.wrappedInstance.wrappedInstance.onSav();
	}


	lstHeader = [
		{
			title: <Label i18nId="SPTP_TH000003" />,
			dataIndex: "frm",
			key: "frm",
			width: 100,
		},
		{
			title: <Label i18nId="SPTP_TH000024" />,
			dataIndex: "credattim",
			key: "credattim",
			width: 20,
			render: (val, row, index) => {
				if (val) {
					let dat = Moment(val).format('YYYY-MM-DD HH:mm:ss')
					return dat;
				}
				return val
			},
		},

		{
			title: <Label i18nId="SPTP_TH000004" />,
			dataIndex: "objtyp",
			key: "objtyp",
			width: 100,
		},
		{
			title: <Label i18nId="SPTP_TH000023" />,
			dataIndex: "objnam",
			key: "objnam",
			width: 100,
		},
		{
			title: <Label i18nId="SPTP_TH000019" />,
			dataIndex: "objref",
			key: "objref",
			width: 100,
		},
		{
			title: <Label i18nId="SPTP_TH000008" />,
			dataIndex: "sta",
			key: "sta",
			width: 100,
			render: (val, row, index) => {
				let text = val
				let em = CodeTable.sptsta.find(item => item.value == val)
				if (em)
					text = em.label
				return text
			}
		},
		{
			title: <Label i18nId="SPTP_TH000020" />,
			dataIndex: "creusr",
			key: "creusr",
			width: 100,
		},
		{
			title: <Label i18nId="SPTP_TH000021" />,
			dataIndex: "relcur",
			key: "relcur",
			width: 100,
		},
		{
			title: <Label i18nId="SPTP_TH000022" />,
			dataIndex: "relamt",
			key: "relamt",
			width: 100,
		},
		{
			title: <Label i18nId="SPTP_TH000025" />,
			dataIndex: "ownbchkey",
			key: "ownbchkey",
			width: 100,
		},
		{
			title: '操作',
			dataIndex: "op",
			key: "op",
			width: 140,
			render: (val, row, index) => {

				return (
					<div>
						<Link to={{ pathname: row.frm, query: { inr: row.inr } }}>处理</Link>
						<Divider type="vertical" />
						<Link to={{ pathname: 'sptsel', query: { inr: row.inr } }}>删除</Link>
					</div>
				)
			}
		},
	]
	feslstHeader = [
		{
			title: <Label i18nId="TRNDOC_TH004773" />,
			dataIndex: "rol",
			key: "rol",
			width: 60,
			render:(val, row, index)=>{
    			let text = val
    			let em = CodeTable.rol.find(item=>item.value==val)
    			if(em)
    				text= em.label
    			return text
			},
			type: {
				// edit: { type: 'select',code:CodeTable.rol },
				add: { type: 'select',code:CodeTable.rol },
			}
		},
		{
			title: <Label i18nId="SETMOD_TH001606" />,
			dataIndex: "feecod",
			key: "feecod",
			width: '100px',
		},
		{
			title: <Label i18nId="SETMOD_TH001620" />,
			dataIndex: "feetxt",
			key: "feetxt",
			width: 100,
		},
		{
			title: <Label i18nId="SETMOD_TH001608" />,
			dataIndex: "cur",
			key: "cur",
			width: 100,
			render: (val, row, index) => {
				let text = val
				let em = CodeTable.curtxt.find(item => item.value == val)
				if (em)
					text = em.label
				return text
			},
			type: {
				// edit: { type: 'select',code:CodeTable.curtxt },
				add: { type: 'select',code:CodeTable.curtxt },
			}
			
			
		},
		{
			title: <Label i18nId="SETMOD_TH001605" />,
			dataIndex: "basamt",
			key: "basamt",
			width: 100,/*
			type: {
				edit: { type: 'input' }
			}*/
			render: (val, row, index) => {
				// let str = (Math.floor(val * 100)) + "";
				// let strindex = str.length - 2;
				// return str.slice(0, strindex) + "." + str.slice(strindex, str.length);
				return <AmountLabel cur={row.cur} amt={val} />
			},
		},
		{
			title: <Label i18nId="SETMOD_TH001609" />,
			dataIndex: "amt",
			key: "amt",
			width: 100,
			render: (val, row, index) => {
				// let str = (Math.floor(val * 100)) + "";
				// let strindex = str.length - 2;
				// return str.slice(0, strindex) + "." + str.slice(strindex, str.length);
				return <AmountLabel cur={row.cur} amt={val} />
			},
			type: {
				edit: { type: 'input' }
			}
		},
		{
			title: <Label i18nId="SETMOD_TH001611" />,
			dataIndex: "dsp",
			key: "dsp",
			width: 100,
			render: (val, row, index) => {
				let text = val
				let em = CodeTable.dsp.find(item => item.value == val)
				if (em)
					text = em.label
				return text
			},
			type: {
				edit: { type: 'select',code:CodeTable.dsp },
				add: { type: 'select',code:CodeTable.dsp },
			}
		},
		{
			title: <Label i18nId="SETMOD_TH001610" />,
			dataIndex: "payflg",
			key: "payflg",
			width: 100,
			render: (val, row, index) => {
				let text = val
				let em = CodeTable.payflg.find(item => item.value == val)
				if (em)
					text = em.label
				return text
			},
			type: {
				// edit选项是某些栏位才拥有
				// edit: { type: 'select', code: CodeTable.payflg },
				// add选项是所有栏位都要有
				add: { type: 'select', code: CodeTable.payflg },
			},
		},
	]
	glslstHeader = [
		{
			title: <Label i18nId="SETMOD_TH001613" />,
			dataIndex: "debcdtflg",
			key: "debcdtflg",
			width: 100,
			render: (val, row, index) => {
				let text = val
				let em = CodeTable.debcdtflg.find(item => item.value == val)
				if (em)
					text = em.label
				return text
			}
		},
		{
			title: <Label i18nId="SETMOD_TH001614" />,
			dataIndex: "cur",
			key: "cur",
			width: 100,
			render: (val, row, index) => {
				let text = val
				let em = CodeTable.curtxt.find(item => item.value == val)
				if (em)
					text = em.label
					this.onTabFocus1()
				return text
			},
			type: {
				edit: { type: 'select',code:CodeTable.curtxt },
				add: { type: 'select',code:CodeTable.curtxt },
			}
		},
		{
			title: <Label i18nId="SETMOD_TH001615" />,
			dataIndex: "amt",
			key: "amt",
			width: 100,
			render: (val, row, index) => {
				// let str = (Math.floor(val * 100)) + "";
				// let strindex = str.length - 2;
				// return str.slice(0, strindex) + "." + str.slice(strindex, str.length);
				return <AmountLabel cur={row.cur} amt={val} />
			},
		},
		{
			title: <Label i18nId="SETMOD_TH001616" />,
			dataIndex: "dsp",
			key: "dsp",
			width: 100,
			render: (val, row, index) => {
				let text = val
				let em = CodeTable.dsp2.find(item => item.value == val)
				if (em)
					text = em.label
				return text
			}
		},
		{
			title: <Label i18nId="SETMOD_TH001617" />,
			dataIndex: "act",
			key: "act",
			width: 100,
		},
		{
			title: <Label i18nId="SETMOD_TH001612" />,
			dataIndex: "acccur",
			key: "acccur",
			width: 100,
		},
		{
			title: <Label i18nId="SETMOD_TH001618" />,
			dataIndex: "accamt",
			key: "accamt",
			width: 100,
			render: (val, row, index) => {
				// let str = (Math.floor(val * 100)) + "";
				// let strindex = str.length - 2;
				// return str.slice(0, strindex) + "." + str.slice(strindex, str.length);
				return <AmountLabel cur={row.cur} amt={val} />
			},
		},
		{
			title: <Label i18nId="SETMOD_TH001619" />,
			dataIndex: "rat",
			key: "rat",
			width: 100,
		},
	]


	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		if (this.props.flag && this.props.flag == true) {
			return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
				<Business wrappedComponentRef={ref => (this.com = ref)}  steps={this.props.steps}  extra={this.props.extra} model={this.model} />
				{/* 表格 */}
				<Row>
					<Col>
						{/*<Row>
							<Col span={2} offset={22}>
								<Button type="primary" onClick={()=>this.onRecal()}>
									<Label i18nId="SETMOD_BT001621" />
								</Button>
							</Col>
						</Row>
						<Table pagination={{ pageSize: 10,hideOnSinglePage:true }} rowKey="inr" columns={this.feslstHeader} scroll={{x:700}} dataSource={this.model.fegmod_feslst}  />
					*/}
						<Row>
							<Label i18nId={"SETMOD_LT001603"} />
							<TableExpansion
								pagination={{ pageSize: 10, hideOnSinglePage: true }}
								delete={true}
								onChange={(val) => { this.model.fegmod_feslst = val;this.onTabFocus1() }}
								scroll={{ x: 700 }}
								rowKey="inr"
								columns={this.feslstHeader}
								model={this.model}
								dataSource={this.model.fegmod_feslst || []}

								path="/fegmod_feslst" />

						</Row>
						<br/>
						<br/>
						<Row>
							<Label i18nId={"SETMOD_LT001604"} />
							<TableExpansion pagination={{ pageSize: 10, hideOnSinglePage: true }} 
							onChange={(val) => { this.model.glgmod_glslst = val ;this.onTabFocus1()}}
							 rowKey="inr" columns={this.glslstHeader} scroll={{ x: 800 }} dataSource={this.model.glgmod_glslst} />
						</Row>
					</Col>
				</Row>
				<br />
				<Row type="flex" justify="center">
					<Col>
				<div className='button0'>
					<div className='button2'>
						{/* 退出按钮 */}
						<ConfirmButton
							onOK={this.onRtn}
							title=""
							message="确定退出？"
						>
							<Label i18nId="MTABUT_BT000464" />
						</ConfirmButton>
					</div>
					<div className='button2'>
						{/* 暂存按钮 */}
						<ConfirmButton
							onOK={this.onPed}
							title=""
							message="确定暂存？"
						>
							<Label i18nId="MTABUT_BT000398" />
						</ConfirmButton>
					</div>
					<div className='button2'>
						{/* 检核按钮 */}
						<Button onClick={this.onChk}>
							<Label i18nId="MTABUT_BT000180" />
						</Button>
					</div>
					<div className='button2'>
						<ConfirmButton  icon="save"
							onOK={this.onSav}>
							<Label i18nId="MTABUT_BT000473" />
						</ConfirmButton>
					</div>
					
					
				</div>
				 </Col>
                   </Row>
			</div >
		)
	}
}
