const merge = require('webpack-merge');
const common = require('./webpack.common.js');
const webpack = require('webpack');
const path = require('path');

module.exports = merge(common, {
    devtool: 'source-map',
    devServer: {
        hot: true,
        historyApiFallback: true,
        overlay: true,
        open: false,
        host: "0.0.0.0",
        port: 9001,
        disableHostCheck: true,
        proxy: {
            '/eIBS/service/*': {
                //target: 'http://197.1.4.163:8888',
                // target: 'http://197.1.4.195:8888',
                // target: 'http://197.1.4.163:18080/ft-backend',
                // target: 'http://197.1.4.195:18080/ft-backend',
                // target: 'http://22.5.65.161:30001',
                // target: 'http://22.6.107.179:8090',
                //target:'http://127.0.0.1:8080/',
                // target:'http://172.17.2.110:8090/',
                // target:'http://172.17.2.110:9901/',
                target: 'http://172.17.2.110:8091/',   // 服务器
                // target:'http://172.17.2.109:8080/',  //登哥电脑
                // target:'http://172.17.2.119:80/', //本机连以太网ip地址 
                changeOrigin: true,
                // pathRewrite: {
                //     '^/forfeit': '/'
                // }
            },
            '/reactremit/*':{
             //   target:'http://127.0.0.1:9536/',     // 本机服务器
                // target:'http://172.17.2.124:8088/',     // 刚哥电脑
         //       target:'http://172.17.2.110:8091/',     // 服务器
                // target:'http://172.17.2.109:8080/',  //登哥电脑
                // target:'http://172.17.2.119:80/',    //本机连以太网ip地址 
                 target:'http://127.0.0.1:8081/',
                // target:'http://172.17.2.130:80',     // 超哥电脑
                // target:'http://exam.letrd.com:8600/',
                changeOrigin: true,
            },
        },
    },
    plugins: [
        new webpack.NamedModulesPlugin(),
        new webpack.HotModuleReplacementPlugin(),
        new webpack.DefinePlugin({
            'process.env.NODE_ENV': JSON.stringify('development')
        }),
    ]

});
console.log("process.env.NODE_ENV 的值是(webpack.dev.js)：" + process.env.NODE_ENV)
